import { OnDestroy, OnInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { AccountApiService } from '../../../account/account-api.service';
import { AuthService } from '../../../auth.service';
import { LanguageService, MinLangString } from '../../../language.service';
import { SessionStorageService } from '../../../services';
export declare class SelectLanguageComponent implements OnInit, OnDestroy {
    private translateService;
    private accountApiService;
    private authService;
    private languageService;
    private sessionStorageService;
    /**
     * This component have two display mode :
     * select : displays a select box with the current selected lang as text.
     * button : displays a circle button with the current selected lang as an image.
     */
    displayMode: 'select' | 'button';
    hasLangSelection: any;
    currentLang: string;
    minLangString: typeof MinLangString;
    private destroyer$;
    constructor(translateService: TranslateService, accountApiService: AccountApiService, authService: AuthService, languageService: LanguageService, sessionStorageService: SessionStorageService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    use(lang: MinLangString): void;
    private getInitLanguage;
    private translateConverter;
}
