import { EventEmitter, OnInit } from '@angular/core';
import { FacetDetails } from '../../models/operation/facet-details.interface';
export declare class LogbookOperationFacetComponent implements OnInit {
    /**
     * The title of the component that contains a list of Facet
     * It can be in English or in French
     */
    facetTitle: string;
    /**
     * An action to execute that allows to filter the list of results
     * For static facet, it's not necessary to execute this action
     */
    filter: EventEmitter<string>;
    /**
     * The list of Facets to create
     * A list of FacetDetails with many informations about each Facet
     *
     * FacetDetails object contains :
     * title: the Title of the Facet component to show
     * totalResults: The number of results.
     * clickable : to distinguish between static and dynamic facet component
     * color : the color of the title
     * filter : the parameter used to lunch the filter on results
     *
     */
    facetDetails: FacetDetails[];
    constructor();
    ngOnInit(): void;
    onFilter(facet: FacetDetails): void;
}
