import { Observable } from 'rxjs';
import { AfterContentInit, EventEmitter, NgZone, OnDestroy, OnInit, QueryList } from '@angular/core';
import { TableFilterOptionComponent } from './table-filter-option/table-filter-option.component';
export declare class TableFilterComponent implements AfterContentInit, OnInit, OnDestroy {
    private ngZone;
    set filter(values: any[]);
    private _filter;
    showSearchBar: boolean;
    multiSelect: boolean;
    readonly filterChange: EventEmitter<any[]>;
    readonly search: EventEmitter<string>;
    readonly filterClose: EventEmitter<any>;
    options: QueryList<TableFilterOptionComponent>;
    searchText: string;
    /** Combined stream of all of the child options' change events. */
    readonly optionSelectionChanges: Observable<TableFilterOptionComponent>;
    private readonly destroy;
    private selectionModel;
    constructor(ngZone: NgZone);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterContentInit(): void;
    onKeyDown(event: KeyboardEvent): void;
    onSearchChange(text: string): void;
    cancelSearch(): void;
    onInputKeyDown(event: KeyboardEvent): void;
    private selectValue;
    private resetOptions;
    private initializeSelection;
}
