import { Observable } from 'rxjs';
import { LogbookApiService } from '../api/logbook-api.service';
import { Logger } from '../logger/logger';
import { Event } from '../models';
import { VitamSelectQuery } from '../models/vitam/vitam-select-query.interface';
export declare class LogbookService {
    private logger;
    private logbookApi;
    constructor(logger: Logger, logbookApi: LogbookApiService);
    protected extractEvents(response: {
        $results: Event[];
    }): Event[];
    listOperationsEvents(identifier: string, obIdReq: string, tenantIdentifier: number, accessContract: string): Observable<Event[]>;
    listUnitEvents(unitId: string, accessContract: string, tenantIdentifier: number): Observable<Event[]>;
    listObjectEvents(objectId: string, accessContract: string, tenantIdentifier: number): Observable<Event[]>;
    listOperationByIdAndCollectionName(identifier: string, collectionName: string, tenantIdentifier: number): Observable<Event[]>;
    listOperationByResourcePathIdAndCollectionName(resourcePath: string, identifier: string, collectionName: string, tenantIdentifier: number): Observable<Event[]>;
    listOperationByIdentifierAndCollectionName(id: string, identifier: string, collectionName: string, tenantIdentifier: number): Observable<Event[]>;
    listHistoryForOwner(id: string, identifier: string, externalParamId: string, tenantIdentifier: number): Observable<Event[]>;
    listHistoryForProfileArchive(id: string, externalParamId: string, tenantIdentifier: number): Observable<Event[]>;
    listOperationsBySelectQuery(query: VitamSelectQuery, tenantIdentifier: number): Observable<Event[]>;
    getOperationById(id: string, tenantIdentifier: number, accessContractId: string): Observable<Event>;
    downloadManifest(id: string): void;
    downloadATR(id: string): void;
}
