import { Injectable, InjectionToken, ɵɵdefineInjectable, ɵɵinject, Inject, Component, TemplateRef, Injector, Optional, SkipSelf, EventEmitter, Input, Output, ChangeDetectionStrategy, ChangeDetectorRef, INJECTOR, Directive, ElementRef, HostListener, NgModule, HostBinding, ViewChild, ContentChildren, forwardRef, Pipe, NgZone, ViewContainerRef, ViewChildren, Renderer2, APP_INITIALIZER } from '@angular/core';
import { ActivatedRoute, Router, RouterModule, ActivationStart } from '@angular/router';
import { takeUntil, take, tap, map, catchError, distinctUntilChanged, filter, switchMap, startWith, last, timeout } from 'rxjs/operators';
import { HttpClient, HttpHeaders, HttpParams, HttpClientModule, HttpResponse, HttpErrorResponse, HTTP_INTERCEPTORS } from '@angular/common/http';
import { MAT_SNACK_BAR_DATA, MatSnackBarRef, MatSnackBarConfig, SimpleSnackBar, MatSnackBarContainer, MatSnackBar, MatSnackBarModule } from '@angular/material/snack-bar';
import { LiveAnnouncer, A11yModule } from '@angular/cdk/a11y';
import { Breakpoints, BreakpointObserver } from '@angular/cdk/layout';
import { OverlayConfig, Overlay, OverlayPositionBuilder, CdkConnectedOverlay, OverlayModule } from '@angular/cdk/overlay';
import { PortalInjector, ComponentPortal, TemplatePortal } from '@angular/cdk/portal';
import { BehaviorSubject, Subject, Observable, of, timer, interval, merge, defer, forkJoin, throwError } from 'rxjs';
import { DomSanitizer, Title } from '@angular/platform-browser';
import { omit, isObject, isEqual, mapObject, isArray } from 'underscore';
import { Validators, FormControl, NG_VALUE_ACCESSOR, FormBuilder, ReactiveFormsModule, FormsModule } from '@angular/forms';
import { trigger, state, style, transition, animate, keyframes, query, stagger } from '@angular/animations';
import { TranslateService, TranslateModule } from '@ngx-translate/core';
import { CommonModule, Location, DOCUMENT } from '@angular/common';
import { MatDialogModule, MatDialog, MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
import { hasModifierKey, ENTER } from '@angular/cdk/keycodes';
import { MatButtonToggleModule } from '@angular/material/button-toggle';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSelectModule } from '@angular/material/select';
import * as moment_ from 'moment';
import { MatButtonModule } from '@angular/material/button';
import { coerceBooleanProperty } from '@angular/cdk/coercion';
import { CdkStepper, CdkStepperModule } from '@angular/cdk/stepper';
import { SelectionModel } from '@angular/cdk/collections';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatPseudoCheckboxModule } from '@angular/material/core';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { MatTooltipModule } from '@angular/material/tooltip';
import { MatMenuModule } from '@angular/material/menu';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { MatTabsModule } from '@angular/material/tabs';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatToolbarModule } from '@angular/material/toolbar';
import { MatSelectionList, MatListModule } from '@angular/material/list';
import { MatIconModule } from '@angular/material/icon';
import { uniqueId } from 'lodash-es';

class InjectorHelper {
}
InjectorHelper.injector = undefined;

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class Logger {
}
Logger.decorators = [
    { type: Injectable }
];

class AppRootComponent {
    constructor(route) {
        if (InjectorHelper.injector === undefined) {
            throw new Error('Injector not Found');
        }
        this.logger = InjectorHelper.injector.get(Logger);
        route.data.subscribe((data) => {
            if (!data.hasOwnProperty('appId')) {
                this.logger.error(this, 'Error: Missing "appId" property in route data.');
            }
            else {
                this._appId = data.appId;
            }
        });
    }
    get appId() {
        return this._appId;
    }
}

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
var ApplicationId;
(function (ApplicationId) {
    ApplicationId["STARTER_KIT_APP"] = "STARTER_KIT_APP";
    ApplicationId["PORTAL_APP"] = "PORTAL_APP";
    ApplicationId["CUSTOMERS_APP"] = "CUSTOMERS_APP";
    ApplicationId["USERS_APP"] = "USERS_APP";
    ApplicationId["GROUPS_APP"] = "GROUPS_APP";
    ApplicationId["PROFILES_APP"] = "PROFILES_APP";
    ApplicationId["SUBROGATIONS_APP"] = "SUBROGATIONS_APP";
    ApplicationId["ACCOUNTS_APP"] = "ACCOUNTS_APP";
    ApplicationId["HIERARCHY_PROFILE_APP"] = "HIERARCHY_PROFILE_APP";
    ApplicationId["INGEST_APP"] = "INGEST_MANAGEMENT_APP";
    ApplicationId["ARCHIVE_SEARCH_APP"] = "ARCHIVE_SEARCH_MANAGEMENT_APP";
    ApplicationId["RULES_APP"] = "RULES_APP";
    ApplicationId["HOLDING_FILLING_SCHEME_APP"] = "HOLDING_FILLING_SCHEME_APP";
    ApplicationId["LOGBOOK_OPERATION_APP"] = "LOGBOOK_OPERATION_APP";
    ApplicationId["PROBATIVE_VALUE_APP"] = "PROBATIVE_VALUE_APP";
    ApplicationId["DSL_APP"] = "DSL_APP";
    ApplicationId["SECURE_APP"] = "SECURE_APP";
    ApplicationId["AUDIT_APP"] = "AUDIT_APP";
    ApplicationId["ONTOLOGY_APP"] = "ONTOLOGY_APP";
    ApplicationId["SECURITY_PROFILES_APP"] = "SECURITY_PROFILES_APP";
    ApplicationId["CONTEXTS_APP"] = "CONTEXTS_APP";
    ApplicationId["FILE_FORMATS_APP"] = "FILE_FORMATS_APP";
    ApplicationId["AGENCIES_APP"] = "AGENCIES_APP";
    ApplicationId["ACCESS_APP"] = "ACCESS_APP";
    ApplicationId["INGEST_APP_REF"] = "INGEST_APP";
    ApplicationId["LOGBOOK_MANAGEMENT_OPERATION_APP"] = "LOGBOOK_MANAGEMENT_OPERATION_APP";
    ApplicationId["EXTERNAL_PARAM_PROFILE_APP"] = "EXTERNAL_PARAM_PROFILE_APP";
})(ApplicationId || (ApplicationId = {}));

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const APP_ID = new InjectionToken('APP_ID');
const BASE_URL = new InjectionToken('BASE_URL');
const VITAMUI_TOOLTIP_MESSAGE = new InjectionToken('VITAMUI_TOOLTIP_MESSAGE');
const ENVIRONMENT = new InjectionToken('ENVIRONMENT');
const SUBROGRATION_REFRESH_RATE_MS = new InjectionToken('SUBROGRATION_REFRESH_RATE_MS');
const WINDOW_LOCATION = new InjectionToken('WINDOW_LOCATION');

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class SecurityApiService {
    constructor(http, baseUrl) {
        this.http = http;
        this.apiUrl = baseUrl + '/security';
    }
    getAuthenticated() {
        return this.http.get(this.apiUrl);
    }
}
SecurityApiService.ɵprov = ɵɵdefineInjectable({ factory: function SecurityApiService_Factory() { return new SecurityApiService(ɵɵinject(HttpClient), ɵɵinject(BASE_URL)); }, token: SecurityApiService, providedIn: "root" });
SecurityApiService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
SecurityApiService.ctorParameters = () => [
    { type: HttpClient },
    { type: String, decorators: [{ type: Inject, args: [BASE_URL,] }] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUISnackBarComponent {
    constructor(data, matSnackBarRef) {
        this.data = data;
        this.matSnackBarRef = matSnackBarRef;
    }
    close() {
        this.matSnackBarRef.dismiss();
    }
}
VitamUISnackBarComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-vitamui-snack-bar',
                template: "<div class=\"vitamui-snack-bar-container\">\n\n  <span class=\"vitamui-snack-bar-content\" [ngSwitch]=\"data?.type\">\n\n    <ng-container *ngSwitchCase=\"'accountUpdate'\">\n      <i class=\"vitamui-icon vitamui-icon-user\"></i> {{'SNACKBAR.UPDATED_ACCOUNT' | translate}}\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"'subrogationFinish'\">\n      <i class=\"vitamui-icon vitamui-icon-link banner-icon\"></i> {{'SNACKBAR.FINISHED_SUBROGATION' | translate}}\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"'subrogationActivated'\">\n      <i class=\"vitamui-icon vitamui-icon-link banner-icon\"></i> {{'SNACKBAR.ACTIVATED_SUBROGATION' | translate : { duration: data.duration, hours: data.endTime | date:'H', minutes: data.endTime | date: 'mm' } }}\n    </ng-container>\n\n  </span>\n  <button class=\"close-btn\" (click)=\"close()\"><i class=\"material-icons\">clear</i></button>\n\n</div>\n",
                styles: [":host{height:100%}.vitamui-snack-bar-container,:host{align-items:center;display:flex;justify-content:space-between;width:100%}.vitamui-snack-bar-container{margin:0 auto;position:relative}.close-btn{background:none;border:none;padding:0}.close-btn>i{color:#fff;font-size:36px;opacity:.5}.vitamui-snack-bar-content{color:#fff;font-size:14px;font-weight:700}.vitamui-snack-bar-content>i{margin-right:10px}"]
            },] }
];
VitamUISnackBarComponent.ctorParameters = () => [
    { type: undefined, decorators: [{ type: Inject, args: [MAT_SNACK_BAR_DATA,] }] },
    { type: MatSnackBarRef }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
/** Injection token that can be used to specify default snack bar. */
const MAT_SNACK_BAR_DEFAULT_OPTIONS = new InjectionToken('mat-snack-bar-default-options', {
    providedIn: 'root',
    factory: MAT_SNACK_BAR_DEFAULT_OPTIONS_FACTORY,
});
/** @docs-private */
function MAT_SNACK_BAR_DEFAULT_OPTIONS_FACTORY() {
    return new MatSnackBarConfig();
}
class VitamUISnackBar {
    constructor(
    // tslint:disable-next-line:variable-name
    _overlay, 
    // tslint:disable-next-line:variable-name
    _live, 
    // tslint:disable-next-line:variable-name
    _injector, 
    // tslint:disable-next-line:variable-name
    _breakpointObserver, 
    // tslint:disable-next-line:variable-name
    _parentSnackBar, 
    // tslint:disable-next-line:variable-name
    _defaultConfig) {
        this._overlay = _overlay;
        this._live = _live;
        this._injector = _injector;
        this._breakpointObserver = _breakpointObserver;
        this._parentSnackBar = _parentSnackBar;
        this._defaultConfig = _defaultConfig;
        /**
         * Reference to the current snack bar in the view *at this level* (in the Angular injector tree).
         * If there is a parent snack-bar service, all operations should delegate to that parent
         * via `_openedSnackBarRef`.
         */
        // tslint:disable-next-line:variable-name
        this._snackBarRefAtThisLevel = null;
    }
    /** Reference to the currently opened snackbar at *any* level. */
    get _openedSnackBarRef() {
        const parent = this._parentSnackBar;
        return parent ? parent._openedSnackBarRef : this._snackBarRefAtThisLevel;
    }
    set _openedSnackBarRef(value) {
        if (this._parentSnackBar) {
            this._parentSnackBar._openedSnackBarRef = value;
        }
        else {
            this._snackBarRefAtThisLevel = value;
        }
    }
    /**
     * Creates and dispatches a snack bar with a custom component for the content, removing any
     * currently opened snack bars.
     *
     * @param component Component to be instantiated.
     * @param config Extra configuration for the snack bar.
     */
    openFromComponent(component, config) {
        return this._attach(component, config);
    }
    /**
     * Creates and dispatches a snack bar with a custom template for the content, removing any
     * currently opened snack bars.
     *
     * @param template Template to be instantiated.
     * @param config Extra configuration for the snack bar.
     */
    openFromTemplate(template, config) {
        return this._attach(template, config);
    }
    /**
     * Opens a snackbar with a message and an optional action.
     * @param message The message to show in the snackbar.
     * @param action The label for the snackbar action.
     * @param config Additional configuration options for the snackbar.
     */
    open(message, action = '', config) {
        const mergedConfig = Object.assign(Object.assign({}, this._defaultConfig), config);
        // Since the user doesn't have access to the component, we can
        // override the data to pass in our own message and action.
        mergedConfig.data = { message, action };
        mergedConfig.announcementMessage = message;
        return this.openFromComponent(SimpleSnackBar, mergedConfig);
    }
    /**
     * Dismisses the currently-visible snack bar.
     */
    dismiss() {
        if (this._openedSnackBarRef) {
            this._openedSnackBarRef.dismiss();
        }
    }
    /**
     * Attaches the snack bar container component to the overlay.
     */
    _attachSnackBarContainer(overlayRef, config) {
        const userInjector = config && config.viewContainerRef && config.viewContainerRef.injector;
        const injector = new PortalInjector(userInjector || this._injector, new WeakMap([
            [MatSnackBarConfig, config],
        ]));
        const containerPortal = new ComponentPortal(MatSnackBarContainer, config.viewContainerRef, injector);
        const containerRef = overlayRef.attach(containerPortal);
        containerRef.instance.snackBarConfig = config;
        return containerRef.instance;
    }
    /**
     * Places a new component or a template as the content of the snack bar container.
     */
    _attach(content, userConfig) {
        const config = Object.assign(Object.assign(Object.assign({}, new MatSnackBarConfig()), this._defaultConfig), userConfig);
        const overlayRef = this._createOverlay(config);
        const container = this._attachSnackBarContainer(overlayRef, config);
        const snackBarRef = new MatSnackBarRef(container, overlayRef);
        if (content instanceof TemplateRef) {
            const portal = new TemplatePortal(content, null, {
                $implicit: config.data,
                snackBarRef
            });
            snackBarRef.instance = container.attachTemplatePortal(portal);
        }
        else {
            const injector = this._createInjector(config, snackBarRef);
            const portal = new ComponentPortal(content, undefined, injector);
            const contentRef = container.attachComponentPortal(portal);
            // We can't pass this via the injector, because the injector is created earlier.
            snackBarRef.instance = contentRef.instance;
        }
        // Subscribe to the breakpoint observer and attach the mat-snack-bar-handset class as
        // appropriate. This class is applied to the overlay element because the overlay must expand to
        // fill the width of the screen for full width snackbars.
        this._breakpointObserver.observe(Breakpoints.Handset).pipe(takeUntil(overlayRef.detachments().pipe(take(1)))).subscribe((state) => {
            if (state.matches) {
                overlayRef.overlayElement.classList.add('mat-snack-bar-handset');
            }
            else {
                overlayRef.overlayElement.classList.remove('mat-snack-bar-handset');
            }
        });
        this._animateSnackBar(snackBarRef, config);
        this._openedSnackBarRef = snackBarRef;
        return this._openedSnackBarRef;
    }
    /** Animates the old snack bar out and the new one in. */
    _animateSnackBar(snackBarRef, config) {
        // When the snackbar is dismissed, clear the reference to it.
        snackBarRef.afterDismissed().subscribe(() => {
            // Clear the snackbar ref if it hasn't already been replaced by a newer snackbar.
            if (this._openedSnackBarRef === snackBarRef) {
                this._openedSnackBarRef = null;
            }
        });
        if (this._openedSnackBarRef) {
            // If a snack bar is already in view, dismiss it and enter the
            // new snack bar after exit animation is complete.
            this._openedSnackBarRef.afterDismissed().subscribe(() => {
                snackBarRef.containerInstance.enter();
            });
            this._openedSnackBarRef.dismiss();
        }
        else {
            // If no snack bar is in view, enter the new snack bar.
            snackBarRef.containerInstance.enter();
        }
        // If a dismiss timeout is provided, set up dismiss based on after the snackbar is opened.
        if (config.duration && config.duration > 0) {
            snackBarRef.afterOpened().subscribe(() => snackBarRef._dismissAfter(config.duration));
        }
        if (config.announcementMessage) {
            this._live.announce(config.announcementMessage, config.politeness);
        }
    }
    /**
     * Creates a new overlay and places it in the correct location.
     * @param config The user-specified snack bar config.
     */
    _createOverlay(config) {
        const overlayConfig = new OverlayConfig();
        overlayConfig.direction = config.direction;
        const positionStrategy = this._overlay.position().global();
        // Set horizontal position.
        const isRtl = config.direction === 'rtl';
        const isLeft = (config.horizontalPosition === 'left' ||
            (config.horizontalPosition === 'start' && !isRtl) ||
            (config.horizontalPosition === 'end' && isRtl));
        const isRight = !isLeft && config.horizontalPosition !== 'center';
        if (isLeft) {
            positionStrategy.left('0');
        }
        else if (isRight) {
            positionStrategy.right('0');
        }
        else {
            positionStrategy.centerHorizontally();
        }
        // Set horizontal position.
        if (config.verticalPosition === 'top') {
            positionStrategy.top('0');
        }
        else {
            positionStrategy.bottom('0');
        }
        // TODO Find another way to make the snackbar stretch accross the screen
        // The whole file has been ripped from the angular material sources
        // (https://github.com/angular/material2/blob/master/src/lib/snack-bar/snack-bar.ts)
        // just to add the line below
        overlayConfig.width = '100%';
        overlayConfig.positionStrategy = positionStrategy;
        return this._overlay.create(overlayConfig);
    }
    /**
     * Creates an injector to be used inside of a snack bar component.
     * @param config Config that was used to create the snack bar.
     * @param snackBarRef Reference to the snack bar.
     */
    _createInjector(config, snackBarRef) {
        const userInjector = config && config.viewContainerRef && config.viewContainerRef.injector;
        return new PortalInjector(userInjector || this._injector, new WeakMap([
            [MatSnackBarRef, snackBarRef],
            [MAT_SNACK_BAR_DATA, config.data],
        ]));
    }
}
VitamUISnackBar.decorators = [
    { type: Injectable }
];
VitamUISnackBar.ctorParameters = () => [
    { type: Overlay },
    { type: LiveAnnouncer },
    { type: Injector },
    { type: BreakpointObserver },
    { type: VitamUISnackBar, decorators: [{ type: Optional }, { type: SkipSelf }] },
    { type: MatSnackBarConfig, decorators: [{ type: Inject, args: [MAT_SNACK_BAR_DEFAULT_OPTIONS,] }] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class AccountApiService {
    constructor(http, baseUrl) {
        this.http = http;
        this.apiUrl = baseUrl + '/accounts';
    }
    patchMe(userPartial, headers) {
        return this.http.patch(this.apiUrl + '/me', userPartial, { headers });
    }
}
AccountApiService.ɵprov = ɵɵdefineInjectable({ factory: function AccountApiService_Factory() { return new AccountApiService(ɵɵinject(HttpClient), ɵɵinject(BASE_URL)); }, token: AccountApiService, providedIn: "root" });
AccountApiService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
AccountApiService.ctorParameters = () => [
    { type: HttpClient },
    { type: String, decorators: [{ type: Inject, args: [BASE_URL,] }] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class AccountService {
    constructor(accountApi, securityApi, snackBar) {
        this.accountApi = accountApi;
        this.securityApi = securityApi;
        this.snackBar = snackBar;
    }
    getMyAccount() {
        return this.securityApi.getAuthenticated();
    }
    patchMe(accountPartial) {
        return this.accountApi.patchMe(accountPartial).pipe(tap(() => {
            this.snackBar.openFromComponent(VitamUISnackBarComponent, {
                panelClass: 'vitamui-snack-bar',
                data: { type: 'accountUpdate' },
                duration: 10000
            });
        }, (error) => {
            this.snackBar.open(error.error.message, null, {
                panelClass: 'vitamui-snack-bar',
                duration: 10000
            });
        }));
    }
}
AccountService.ɵprov = ɵɵdefineInjectable({ factory: function AccountService_Factory() { return new AccountService(ɵɵinject(AccountApiService), ɵɵinject(SecurityApiService), ɵɵinject(VitamUISnackBar)); }, token: AccountService, providedIn: "root" });
AccountService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
AccountService.ctorParameters = () => [
    { type: AccountApiService },
    { type: SecurityApiService },
    { type: VitamUISnackBar }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class AccountComponent extends AppRootComponent {
    constructor(accountService, route) {
        super(route);
        this.accountService = accountService;
        this.route = route;
        // TO HIDE TEMPORARILY THE APPLICATION TAB AND ASK FOR AN EDIT AND CONTACT THE ADMIN BUTTONS
        this.displayAppTab = false;
        this.displayEditionAndAdminContact = false;
    }
    ngOnInit() {
        this.sub = this.accountService.getMyAccount().subscribe((account) => {
            this.account = account;
        });
        this.dataBreadcrumb = [
            { identifier: ApplicationId.PORTAL_APP },
            { identifier: ApplicationId.ACCOUNTS_APP }
        ];
    }
    ngOnDestroy() {
        this.sub.unsubscribe();
    }
}
AccountComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-account',
                template: "<div class=\"vitamui-heading\">\n  <vitamui-common-title-breadcrumb [data]=\"dataBreadcrumb\">\n    <div class=\"d-flex align-items-center d-flex\">\n      <vitamui-common-user-photo class=\"mr-1\" [photo]=\"account?.photo\"></vitamui-common-user-photo>\n      <span class=\"pl-2\">{{'ACCOUNT.TITLE' | translate}}</span>\n    </div>\n  </vitamui-common-title-breadcrumb>\n\n  <div class=\"d-flex\">\n    <button class=\"btn primary btn-header\">{{'ACCOUNT.REFRESH_PASSWORD' | translate}}</button>\n    <div *ngIf=\"displayAppTab\">\n      <button class=\"btn primary btn-header\">Demander une modification</button>\n      <button class=\"btn primary\">Contacter l'administrateur</button>\n    </div>\n  </div>\n</div>\n\n<div class=\"vitamui-content\">\n  <mat-tab-group>\n    <mat-tab [label]=\"'ACCOUNT.TAB.INFORMATIONS' | translate\">\n      <vitamui-common-account-information-tab [account]=account></vitamui-common-account-information-tab>\n    </mat-tab>\n  </mat-tab-group>\n</div>",
                styles: ["h2{align-items:center;display:flex}h2 i{margin-right:15px}.btn-header{margin-right:20px}:host::ng-deep{--radius:20px}:host::ng-deep .mat-tab-body-wrapper{background-color:#fff;border:1px solid var(--vitamui-grey-400);border-bottom-left-radius:var(--radius);border-bottom-right-radius:var(--radius);border-top-right-radius:var(--radius);margin-top:-1px}:host::ng-deep .mat-tab-label{background-color:var(--vitamui-primary-100);border-top-left-radius:10px;border-top-right-radius:10px;margin-right:5px}:host::ng-deep .mat-tab-label-active{border:1px solid var(--vitamui-grey-400);border-bottom:none}:host::ng-deep .mat-tab-header,:host::ng-deep .mat-tab-nav-bar{border-bottom:0}:host::ng-deep .mat-ink-bar{display:none}:host::ng-deep.mat-tab-label-active,:host::ng-deep.mat-tab-label-active:not(.mat-tab-disabled):focus{background-color:#fff;color:var(--vitamui-grey-700);font-weight:700;opacity:1}:host::ng-deep .mat-tab-body-content{height:100%;overflow:hidden}"]
            },] }
];
AccountComponent.ctorParameters = () => [
    { type: AccountService },
    { type: ActivatedRoute }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class ApplicationApiService {
    constructor(http, baseUrl) {
        this.http = http;
        this.apiUrl = baseUrl + '/ui/applications';
    }
    getAllByParams(params, headers) {
        return this.http.get(this.apiUrl, { params, headers });
    }
    isApplicationExternalIdentifierEnabled(id) {
        return this.http.get(this.apiUrl + '/' + id + '/externalid');
    }
    getConfiguration() {
        return this.http.get(this.apiUrl + '/conf');
    }
    getAsset(assets) {
        return this.http.get(`${this.apiUrl}/asset?assets=${assets}`);
    }
}
ApplicationApiService.ɵprov = ɵɵdefineInjectable({ factory: function ApplicationApiService_Factory() { return new ApplicationApiService(ɵɵinject(HttpClient), ɵɵinject(BASE_URL)); }, token: ApplicationApiService, providedIn: "root" });
ApplicationApiService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
ApplicationApiService.ctorParameters = () => [
    { type: HttpClient },
    { type: String, decorators: [{ type: Inject, args: [BASE_URL,] }] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class AuthService {
    constructor(location) {
        this.location = location;
        this.userLoaded = new BehaviorSubject(null);
    }
    set user(user) {
        this._user = user;
        this.userLoaded.next(user);
    }
    get user() {
        return this._user;
    }
    logout() {
        this.user = null;
        this.location.href = this.logoutUrl;
    }
    logoutForSubrogation(superUser, surrogate) {
        const email = surrogate + ',' + superUser;
        this.logoutAndRedirectToUiForUser(email);
    }
    logoutAndRedirectToUI() {
        this.user = null;
        this.location.href = this.logoutRedirectUiUrl;
    }
    logoutAndRedirectToUiForUser(email) {
        this.user = null;
        this.location.href = this.logoutRedirectUiUrl + '?cas_username=' + email;
    }
    logoutWithEmailWithOutRedirectToUi(email) {
        this.user = null;
        let casLogoutUrl = this.logoutUrl;
        if (casLogoutUrl && casLogoutUrl.endsWith('/')) {
            casLogoutUrl = casLogoutUrl.substr(0, casLogoutUrl.lastIndexOf('/') - 1);
        }
        this.location.href = casLogoutUrl + '?cas_username=' + email;
    }
    getAnyTenantIdentifier() {
        // retrieve any tenantIdentifier fro a profile
        let tenantIdentifier = null;
        if (this._user) {
            tenantIdentifier = this._user.profileGroup.profiles[0].tenantIdentifier.toString();
        }
        return tenantIdentifier;
    }
    getTenantByIdentifier(identifier) {
        let tenant;
        if (this._user) {
            const tenants = this._user.tenantsByApp.reduce((acc, x) => acc.concat(x.tenants), []);
            tenant = tenants.find((t) => t.identifier === identifier);
        }
        return tenant;
    }
    getTenantByAppAndIdentifier(appId, tenantIdentifier) {
        if (!this._user) {
            console.error(`AuthService Error: user is null`);
            return null;
        }
        const app = this._user.tenantsByApp.find((appTenants) => appTenants.name === appId);
        if (!app) {
            console.error(`AuthService Error: can\'t find application with id "${appId}"`);
            return null;
        }
        const tenant = app.tenants.find((t) => t.identifier === tenantIdentifier);
        if (!tenant) {
            console.error(`AuthService Error: can\'t find tenant with id "${tenantIdentifier}"`);
            return null;
        }
        return tenant;
    }
}
AuthService.ɵprov = ɵɵdefineInjectable({ factory: function AuthService_Factory() { return new AuthService(ɵɵinject(WINDOW_LOCATION)); }, token: AuthService, providedIn: "root" });
AuthService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
AuthService.ctorParameters = () => [
    { type: undefined, decorators: [{ type: Inject, args: [WINDOW_LOCATION,] }] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class GlobalEventService {
    constructor() {
        this.pageEvent = new Subject();
        this.tenantEvent = new Subject();
        this.customerEvent = new Subject();
    }
}
GlobalEventService.ɵprov = ɵɵdefineInjectable({ factory: function GlobalEventService_Factory() { return new GlobalEventService(); }, token: GlobalEventService, providedIn: "root" });
GlobalEventService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
GlobalEventService.ctorParameters = () => [];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class UserApiService {
    constructor(http, baseUrl, authService) {
        this.http = http;
        this.authService = authService;
        this.apiUrl = baseUrl + '/users';
    }
    analytics(data) {
        const headers = new HttpHeaders({ 'X-Tenant-Id': this.authService.getAnyTenantIdentifier() });
        return this.http.post(this.apiUrl + '/analytics', data, { headers });
    }
}
UserApiService.ɵprov = ɵɵdefineInjectable({ factory: function UserApiService_Factory() { return new UserApiService(ɵɵinject(HttpClient), ɵɵinject(BASE_URL), ɵɵinject(AuthService)); }, token: UserApiService, providedIn: "root" });
UserApiService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
UserApiService.ctorParameters = () => [
    { type: HttpClient },
    { type: String, decorators: [{ type: Inject, args: [BASE_URL,] }] },
    { type: AuthService }
];

/** Keyword in url that indicate the selected tenant identifier */
const TENANT_SELECTION_URL_CONDITION = '/tenant/';
class TenantSelectionService {
    constructor(authService, userApiService) {
        this.authService = authService;
        this.userApiService = userApiService;
        this.currentAppId$ = new BehaviorSubject(undefined);
        /** Provide selected tenant subscriptions */
        this.selectedTenant$ = new BehaviorSubject(undefined);
        /** Provide last tenant identifier subscriptions */
        this.lastTenantIdentifier$ = new Subject();
    }
    getSelectedTenant() {
        return this.selectedTenant;
    }
    setSelectedTenant(tenant) {
        if (!this.selectedTenant || this.selectedTenant.identifier !== tenant.identifier) {
            this.selectedTenant = tenant;
            this.selectedTenant$.next(tenant);
        }
    }
    setSelectedTenantByIdentifier(tenantIdentifier) {
        if (tenantIdentifier) {
            const tenant = this.getTenants().find(value => value.identifier === tenantIdentifier);
            if (tenant) {
                this.setSelectedTenant(tenant);
            }
        }
    }
    getSelectedTenant$() {
        if (this.selectedTenant$.getValue()) {
            return this.selectedTenant$.asObservable();
        }
        else {
            // Return a new observable if there is no value,
            // so we are only notified when a value is defined in the selected tenant BehaviorSubject
            return new Observable(observer => {
                this.selectedTenant$.asObservable().subscribe((tenant) => {
                    if (tenant) {
                        observer.next(tenant);
                    }
                });
            });
        }
    }
    getLastTenantIdentifier() {
        return this.lastTenantIdentifier;
    }
    getLastTenantIdentifier$() {
        return this.lastTenantIdentifier$.asObservable();
    }
    setLastTenantIdentifier(identifier) {
        this.lastTenantIdentifier = identifier;
        this.lastTenantIdentifier$.next(identifier);
    }
    getTenants() {
        if (!this.tenants) {
            const currentUser = this.authService.user;
            this.tenants = [];
            if (currentUser && currentUser.tenantsByApp) {
                currentUser.tenantsByApp.forEach((element) => {
                    if (element.tenants) {
                        element.tenants.forEach((tenant) => {
                            if (this.tenants.findIndex(value => value.identifier === tenant.identifier) === -1) {
                                this.tenants.push(tenant);
                            }
                        });
                    }
                });
            }
        }
        return this.tenants;
    }
    /**
     * Persist the current active tenant (only if the current opened app is not portal).
     * Can also define & persist a new tenant by passing it in entry.
     * @param tenant - the new selected tenant
     */
    saveSelectedTenant(tenant) {
        return new Observable((observer) => {
            if (!tenant) {
                tenant = this.getSelectedTenant();
            }
            // If the last tenantIdentifier is the same, no need to persist
            if (this.lastTenantIdentifier === tenant.identifier) {
                observer.next(tenant.identifier);
            }
            else {
                // In portal APP, just update the selected tenant without doing anything else.
                // In other apps, persist the new tenant identifier
                if (this.currentAppId$.value === ApplicationId.PORTAL_APP) {
                    this.setSelectedTenant(tenant);
                    observer.next(tenant.identifier);
                }
                else {
                    this.saveTenantIdentifier(tenant.identifier).subscribe((identifier) => {
                        observer.next(identifier);
                    });
                }
            }
        });
    }
    saveTenantIdentifier(identifier) {
        return new Observable((observer) => {
            if (!identifier) {
                if (this.selectedTenant) {
                    identifier = this.selectedTenant.identifier;
                }
                else {
                    identifier = this.lastTenantIdentifier;
                }
            }
            this.userApiService.analytics({ lastTenantIdentifier: identifier })
                .pipe(map((value) => value.analytics.lastTenantIdentifier)).subscribe((tenantIdentifier) => {
                this.setLastTenantIdentifier(tenantIdentifier);
                observer.next(tenantIdentifier);
            });
        });
    }
}
TenantSelectionService.ɵprov = ɵɵdefineInjectable({ factory: function TenantSelectionService_Factory() { return new TenantSelectionService(ɵɵinject(AuthService), ɵɵinject(UserApiService)); }, token: TenantSelectionService, providedIn: "root" });
TenantSelectionService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
TenantSelectionService.ctorParameters = () => [
    { type: AuthService },
    { type: UserApiService }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class ApplicationService {
    constructor(applicationApi, authService, tenantService, globalEventService) {
        this.applicationApi = applicationApi;
        this.authService = authService;
        this.tenantService = tenantService;
        this.globalEventService = globalEventService;
        this.analyticsUpdated$ = new Subject();
        /**
         * Map that will contain applications grouped by categories
         */
        this.appMap = undefined;
        this.appMap$ = new BehaviorSubject(undefined);
    }
    /**
     * Applications list of the authenticated user.
     */
    set applications(apps) { this._applications = apps; }
    get applications() { return this._applications; }
    get applicationsAnalytics() { return this._applicationsAnalytics; }
    set applicationsAnalytics(apps) {
        this._applicationsAnalytics = apps;
        this.analyticsUpdated$.next();
    }
    /*
     * Categories of the application.
     */
    set categories(categories) { this._categories = categories; }
    get categories() { return this._categories; }
    /**
     * Get Applications list for an user and save it in a property.
     */
    list() {
        const params = new HttpParams().set('filterApp', 'true');
        const headers = new HttpHeaders({ 'X-Tenant-Id': this.authService.getAnyTenantIdentifier() });
        return this.applicationApi.getAllByParams(params, headers).pipe(catchError(() => of({ APPLICATION_CONFIGURATION: [], CATEGORY_CONFIGURATION: [] })), map((applicationInfo) => {
            this._applications = applicationInfo.APPLICATION_CONFIGURATION;
            this._categories = this.sortCategories(applicationInfo.CATEGORY_CONFIGURATION);
            return applicationInfo;
        }));
    }
    /**
     * Get Applications list grouped by categories in a hashMap.
     */
    getAppsMap() {
        if (!this.appMap) {
            const stringMap = this.fillCategoriesWithApps(this.categories, this.applications);
            this.analyticsUpdated$.subscribe(() => {
                const lastUsedApps = this.getLastUsedApps(this.categories, this.applications);
                if (lastUsedApps) {
                    this.appMap.set(lastUsedApps.category, lastUsedApps.apps);
                    const convertedMap = this.convertToCategoryMap(stringMap);
                    this.appMap = this.sortMapByCategory(convertedMap);
                }
                this.appMap$.next(this.appMap);
            });
        }
        return this.appMap$;
    }
    /**
     * Get Applications list grouped by categories in a hashMap of the active tenant.
     */
    getActiveTenantAppsMap() {
        this.tenantService.getSelectedTenant$().subscribe((tenant) => {
            this.appMap$.next(this.getTenantAppMap(tenant));
        });
        return this.appMap$;
    }
    /**
     * Returns the provided tenant application map as Map<Category, Application[]>
     * @param tenant - tenant whitch we want applications
     */
    getTenantAppMap(tenant) {
        const apps = [];
        const tenantsByApp = this.authService.user.tenantsByApp;
        if (tenantsByApp && tenant) {
            tenantsByApp.forEach((tenantByAppItem) => {
                const index = tenantByAppItem.tenants.findIndex((value) => value.identifier === tenant.identifier);
                const app = this.applications.find((value) => value.identifier === tenantByAppItem.name);
                if (app && (index !== -1 || !app.hasTenantList)) {
                    apps.push(app);
                }
            });
            const resultMap = this.fillCategoriesWithApps(this.categories, apps);
            const lastUsedApps = this.getLastUsedApps(this.categories, apps);
            if (lastUsedApps) {
                resultMap.set(lastUsedApps.category.identifier, lastUsedApps.apps);
            }
            const convertedMap = this.convertToCategoryMap(resultMap);
            return this.sortMapByCategory(convertedMap);
        }
    }
    openApplication(app, router, uiUrl, tenantIdentifier) {
        this.tenantService.saveTenantIdentifier(tenantIdentifier).subscribe((identifier) => {
            if (router && app.serviceId.includes(uiUrl)) {
                if (app.hasTenantList) {
                    router.navigate([app.url.replace(uiUrl, ''), 'tenant', identifier]);
                }
                else {
                    router.navigate([app.url.replace(uiUrl, '')]);
                }
            }
            if (!app.serviceId.includes(uiUrl) || router.url === '/') {
                if (app.hasTenantList) {
                    window.location.href = app.url + '/tenant/' + identifier;
                }
                else {
                    window.location.href = app.url;
                }
            }
        });
    }
    getApplicationUrl(app, tenantIdentifier) {
        if (!tenantIdentifier) {
            tenantIdentifier = this.tenantService.getSelectedTenant().identifier;
        }
        if (app.hasTenantList) {
            return app.url + '/tenant/' + tenantIdentifier;
        }
        else {
            return app.url;
        }
    }
    getApplicationTenants(appId) {
        if (this.authService.user) {
            const appTenantsInfo = this.authService.user.tenantsByApp.find((appTenantInfo) => appTenantInfo.name === appId);
            const appTenants = appTenantsInfo ? appTenantsInfo.tenants : [];
            appTenants.sort((t1, t2) => t1.name.localeCompare(t2.name));
            return appTenants;
        }
    }
    sortMapByCategory(appMap) {
        return new Map([...appMap.entries()].sort((a, b) => (a[0].order < b[0].order ? -1 : 1)));
    }
    getAppById(identifier) {
        return this.applications.find((value) => value.identifier === identifier);
    }
    /**
     * Return an observable that notify if the current application has a tenant list or not.
     */
    hasTenantList() {
        return new Observable((observer) => {
            this.globalEventService.pageEvent.subscribe((appId) => {
                if (appId === ApplicationId.PORTAL_APP) {
                    observer.next(true);
                }
                else {
                    const app = this.applications.find((value) => value.identifier === appId);
                    app ? observer.next(app.hasTenantList) : observer.next(false);
                }
            });
        });
    }
    /**
     * Convert a map using a string category identifier as key to a map using a Category object instead
     * @param stringMap - the map to convert as Map<string, Application[]>
     */
    convertToCategoryMap(stringMap) {
        const categMap = new Map();
        stringMap.forEach((val, key) => {
            const categ = this.categories.find(value => value.identifier === key);
            categMap.set(categ, val);
        });
        return categMap;
    }
    fillCategoriesWithApps(categories, applications) {
        const resultMap = new Map();
        categories.forEach((category) => {
            const sortedAppsOfCategory = this.getSortedAppsOfCategory(category, applications);
            if (sortedAppsOfCategory && sortedAppsOfCategory.length > 0) {
                resultMap.set(category.identifier, sortedAppsOfCategory);
            }
        });
        return resultMap;
    }
    getLastUsedApps(categories, applications, max = 8) {
        let dataSource;
        if (this.applicationsAnalytics) {
            dataSource = this.applicationsAnalytics;
        }
        else if (this.authService.user.analytics && this.authService.user.analytics.applications) {
            dataSource = this.authService.user.analytics.applications;
        }
        if (dataSource) {
            const lastUsedAppsCateg = { order: 0, identifier: 'lastusedapps', title: 'Dernières utilisées', displayTitle: true };
            // Define & set last used apps array
            let lastUsedApps = applications.filter((application) => {
                return dataSource.findIndex((app) => app.applicationId === application.identifier) !== -1;
            });
            if (lastUsedApps.length !== 0) {
                // Check if category already exists
                const categoryIndex = categories.findIndex((category) => category.identifier === lastUsedAppsCateg.identifier);
                if (categoryIndex === -1) {
                    this.categories.push(lastUsedAppsCateg);
                }
                // Sort last used apps by date
                lastUsedApps.sort((a, b) => {
                    const c = dataSource.find((app) => app.applicationId === a.identifier);
                    const d = dataSource.find((app) => app.applicationId === b.identifier);
                    return c && d && new Date(c.lastAccess).getTime() > new Date(d.lastAccess).getTime() ? -1 : 1;
                });
                // Get 8 last used apps if there is more than 8
                if (lastUsedApps.length > max) {
                    lastUsedApps = lastUsedApps.slice(0, 8);
                }
                return { category: lastUsedAppsCateg, apps: lastUsedApps };
            }
        }
    }
    getSortedAppsOfCategory(category, applications) {
        if (applications) {
            const apps = applications.filter((application) => application.category === category.identifier);
            return this.sortApplications(apps);
        }
    }
    sortApplications(applications) {
        // Sort apps inside categories
        return applications.sort((a, b) => {
            return a.position < b.position ? -1 : 1;
        });
    }
    sortCategories(categories) {
        // Sort apps inside categories
        return categories.sort((a, b) => {
            return a.order > b.order ? 1 : -1;
        });
    }
    isApplicationExternalIdentifierEnabled(id) {
        return this.applicationApi.isApplicationExternalIdentifierEnabled(id).pipe(catchError(() => of([])), map((result) => {
            return result;
        }));
    }
}
ApplicationService.ɵprov = ɵɵdefineInjectable({ factory: function ApplicationService_Factory() { return new ApplicationService(ɵɵinject(ApplicationApiService), ɵɵinject(AuthService), ɵɵinject(TenantSelectionService), ɵɵinject(GlobalEventService)); }, token: ApplicationService, providedIn: "root" });
ApplicationService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root',
            },] }
];
ApplicationService.ctorParameters = () => [
    { type: ApplicationApiService },
    { type: AuthService },
    { type: TenantSelectionService },
    { type: GlobalEventService }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
var ContentDisposition;
(function (ContentDisposition) {
    ContentDisposition["attachment"] = "ATTACHMENT";
    ContentDisposition["inline"] = "INLINE";
})(ContentDisposition || (ContentDisposition = {}));

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
var OtpState;
(function (OtpState) {
    OtpState["OPTIONAL"] = "OPTIONAL";
    OtpState["DEACTIVATED"] = "DISABLED";
    OtpState["MANDATORY"] = "MANDATORY";
})(OtpState || (OtpState = {}));

/**
 * Function created to bypass IE issues with 'new File(fileBits: BlobPart[], fileName: string)' which is not supported.
 */
function newFile(fileBits, fileName) {
    const blob = new Blob(fileBits);
    blob.lastModifiedDate = new Date();
    blob.name = fileName;
    blob.fileName = fileName;
    return blob;
}

var AttachmentType;
(function (AttachmentType) {
    AttachmentType["Header"] = "HEADER";
    AttachmentType["Footer"] = "FOOTER";
    AttachmentType["Portal"] = "PORTAL";
})(AttachmentType || (AttachmentType = {}));

var ThemeDataType;
(function (ThemeDataType) {
    ThemeDataType["PORTAL_LOGO"] = "PORTAL_LOGO";
    ThemeDataType["HEADER_LOGO"] = "HEADER_LOGO";
    ThemeDataType["FOOTER_LOGO"] = "FOOTER_LOGO";
})(ThemeDataType || (ThemeDataType = {}));

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2015-2021)
 *
 * contact.vitam@culture.gouv.fr
 *
 * This software is a computer program whose purpose is to implement a digital archiving back-office system managing
 * high volumetry securely and efficiently.
 *
 * This software is governed by the CeCILL 2.1 license under French law and abiding by the rules of distribution of free
 * software. You can use, modify and/ or redistribute the software under the terms of the CeCILL 2.1 license as
 * circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license,
 * users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the
 * successive licensors have only limited liability.
 *
 * In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or
 * developing or reproducing the software by the user in light of its specific status of free software, that may mean
 * that it is complicated to manipulate, and that also therefore means that it is reserved for developers and
 * experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the
 * software's suitability as regards their requirements in conditions enabling the security of their systems and/or data
 * to be ensured and, more generally, to use and operate it in the same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had knowledge of the CeCILL 2.1 license and that you
 * accept its terms.
 */
var Colors;
(function (Colors) {
    Colors["DEFAULT"] = "#757575";
    Colors["FATAL_COLOR"] = "#c10000";
    Colors["KO_COLOR"] = "red";
    Colors["WARNING_COLOR"] = "orange";
    Colors["OK_COLOR"] = "#27740a";
})(Colors || (Colors = {}));

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
var OperationStatus;
(function (OperationStatus) {
    OperationStatus["WAITING"] = "WAITING";
    OperationStatus["PAUSED"] = "PAUSED";
    OperationStatus["RUNNING"] = "RUNNING";
    OperationStatus["FAILED"] = "FAILED";
    OperationStatus["CANCELED"] = "CANCELED";
    OperationStatus["COMPLETED"] = "COMPLETED";
})(OperationStatus || (OperationStatus = {}));

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
var OperationType;
(function (OperationType) {
    OperationType["VITAMUI"] = "VITAMUI";
    OperationType["VITAM"] = "VITAM";
})(OperationType || (OperationType = {}));

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
var PositionType;
(function (PositionType) {
    PositionType["SERIAL"] = "SERIAL";
    PositionType["NODE"] = "NODE";
    PositionType["SOLIDARY"] = "SOLIDARY";
    PositionType["FINAL"] = "FINAL";
})(PositionType || (PositionType = {}));

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
var AccessRight;
(function (AccessRight) {
    AccessRight["NONE"] = "NONE";
    AccessRight["METADATA_PREVIEW"] = "METADATA_PREVIEW";
    AccessRight["CONSULTATION"] = "CONSULTATION";
    AccessRight["DOWNLOAD"] = "DOWNLOAD";
})(AccessRight || (AccessRight = {}));

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
var IngestRight;
(function (IngestRight) {
    IngestRight["NONE"] = "NONE";
    IngestRight["DEPOSIT"] = "DEPOSIT";
    IngestRight["CREATE_FOLDER"] = "CREATE_FOLDER";
    IngestRight["CREATE_FOLDER_AND_DEPOSIT"] = "CREATE_FOLDER_AND_DEPOSIT";
})(IngestRight || (IngestRight = {}));

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const HOLDING_ACCESS_CONTRACT_NAME = 'Contrat Acces Arbre';
const LOGBOOK_ACCESS_CONTRACT_NAME = 'Contrat Acces Logbook';
class AccessContractUtil {
}
AccessContractUtil.ɵprov = ɵɵdefineInjectable({ factory: function AccessContractUtil_Factory() { return new AccessContractUtil(); }, token: AccessContractUtil, providedIn: "root" });
AccessContractUtil.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
// Takes two objects and return a new object with only the properties that are different.
// The value of the properties are that of the first object
function diff(o1, o2) {
    const diffObj = omit(o1, (value, key) => {
        if (o2.hasOwnProperty(key)) {
            return isObject(value) ? isEqual(o2[key], value) : o2[key] === value;
        }
        return true;
    });
    return mapObject(diffObj, (value, key) => (isObject(value) && !isArray(value)) ? diff(value, o2[key]) : value);
}

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
function extractSubLevel(userLevel, level) {
    if (!userLevel) {
        return level;
    }
    const lastCharacter = userLevel === level ? '' : '\\.';
    const userLevelEscaped = userLevel.replace(/[|\\{}()[\]^$+*?.]/g, '\\$&');
    const regex = new RegExp('^' + userLevelEscaped + lastCharacter);
    return (level || '').replace(regex, '');
}
function isRootLevel(user) {
    return user && user.level === '';
}
function isLevelAllowed(user, ressourceLevel) {
    return user && (isRootLevel(user) || ressourceLevel.startsWith(user.level + '.'));
}
function buildValidators(user) {
    const validators = [Validators.pattern(/^[A-Z0-9]+(\.[A-Z0-9]+)*$/)];
    if (!isRootLevel(user)) {
        validators.push(Validators.required);
    }
    return validators;
}

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
var Role;
(function (Role) {
    Role["ROLE_CREATE_USERS"] = "ROLE_CREATE_USERS";
    Role["ROLE_ANONYMIZATION_USERS"] = "ROLE_ANONYMIZATION_USERS";
    Role["ROLE_GENERIC_USERS"] = "ROLE_GENERIC_USERS";
    Role["ROLE_UPDATE_USERS"] = "ROLE_UPDATE_USERS";
    Role["ROLE_MFA_USERS"] = "ROLE_MFA_USERS";
    Role["ROLE_UPDATE_STANDARD_USERS"] = "ROLE_UPDATE_STANDARD_USERS";
    Role["ROLE_GET_USERS"] = "ROLE_GET_USERS";
    Role["ROLE_GET_GROUPS"] = "ROLE_GET_GROUPS";
    Role["ROLE_SEARCH"] = "ROLE_SEARCH";
    Role["ROLE_EXPORT_DIP"] = "ROLE_EXPORT_DIP";
    Role["ROLE_LOGBOOKS"] = "ROLE_LOGBOOKS";
    Role["ROLE_GET_LOGBOOKS_OPERATIONS"] = "ROLE_GET_LOGBOOKS_OPERATIONS";
    Role["ROLE_GET_BASKETS"] = "ROLE_GET_BASKETS";
    Role["ROLE_CREATE_BASKETS"] = "ROLE_CREATE_BASKETS";
    Role["ROLE_UPDATE_BASKETS"] = "ROLE_UPDATE_BASKETS";
    Role["ROLE_DELETE_BASKETS"] = "ROLE_DELETE_BASKETS";
    Role["ROLE_GET_ARCHIVE_PARAM"] = "ROLE_GET_ARCHIVE_PARAM";
    Role["ROLE_SEARCH_CYCLE"] = "ROLE_SEARCH_CYCLE";
    Role["ROLE_CREATE_WITHDRAWAL_TRANSFER_ITEMS"] = "ROLE_CREATE_WITHDRAWAL_TRANSFER_ITEMS";
    Role["ROLE_CREATE_DISPOSAL_TRANSFER_ITEMS"] = "ROLE_CREATE_DISPOSAL_TRANSFER_ITEMS";
    Role["ROLE_INGEST_ITEM"] = "ROLE_INGEST_ITEM";
    Role["ROLE_INGEST_FILE"] = "ROLE_INGEST_FILE";
    Role["ROLE_GET_ARCHIVE_LIFECYCLE"] = "ROLE_GET_ARCHIVE_LIFECYCLE";
    Role["ROLE_DOWNLOAD_PROFILE"] = "ROLE_DOWNLOAD_PROFILE";
    Role["ROLE_GET_INGEST_CONTRACTS"] = "ROLE_GET_INGEST_CONTRACTS";
    Role["ROLE_GET_OPERATIONS"] = "ROLE_GET_OPERATIONS";
    Role["ROLE_GET_MY_ARCHIVE_TREE"] = "ROLE_GET_MY_ARCHIVE_TREE";
})(Role || (Role = {}));

var AuthnRequestBindingEnum;
(function (AuthnRequestBindingEnum) {
    AuthnRequestBindingEnum["GET"] = "GET";
    AuthnRequestBindingEnum["POST"] = "POST";
})(AuthnRequestBindingEnum || (AuthnRequestBindingEnum = {}));

var ThemeColorType;
(function (ThemeColorType) {
    ThemeColorType["VITAMUI_PRIMARY"] = "vitamui-primary";
    ThemeColorType["VITAMUI_SECONDARY"] = "vitamui-secondary";
    ThemeColorType["VITAMUI_TERTIARY"] = "vitamui-tertiary";
    ThemeColorType["VITAMUI_HEADER_FOOTER"] = "vitamui-header-footer";
    ThemeColorType["VITAMUI_BACKGROUND"] = "vitamui-background";
    ThemeColorType["VITAMUI_GREY"] = "vitamui-grey";
    /* DEPRECATED colors : Use color chart with declinations var(--vitamui-primary-XXX) and var(--vitamui-secondary-XXX) */
    ThemeColorType["VITAMUI_PRIMARY_LIGHT"] = "vitamui-primary-light";
    ThemeColorType["VITAMUI_PRIMARY_LIGHT_20"] = "vitamui-primary-light-20";
    ThemeColorType["VITAMUI_PRIMARY_DARK"] = "vitamui-primary-dark";
    ThemeColorType["VITAMUI_SECONDARY_LIGHT"] = "vitamui-secondary-light";
    ThemeColorType["VITAMUI_SECONDARY_LIGHT_8"] = "vitamui-secondary-light-8";
    ThemeColorType["VITAMUI_SECONDARY_DARK_5"] = "vitamui-secondary-dark-5";
})(ThemeColorType || (ThemeColorType = {}));

const DARK_SUFFIX = '-dark';
const LIGHT_SUFFIX = '-light';
const LIGHTEN_PATTERN = /-light-(\d*)/gm;
const DARKEN_PATTERN = /-dark-(\d*)/gm;
class RGB {
    constructor(r, g, b) {
        this.r = r;
        this.g = g;
        this.b = b;
    }
}
class HSL {
    constructor(h, s, l) {
        this.h = h;
        this.s = s;
        this.l = l;
    }
}
/**
 * Find, compute or return default value for the given name and maps of colors.
 * @param name the color name
 * @param defaultMap the default color map if no overriding in priority and fallback maps
 * @param fallbackMap the fallback map. The function will search in it if no color is found in priority map. Should be application config
 * @param priorityMap the priority map. If the color is found in it, the fallbackMap is not used. Should be customer config
 * @return The hex RBG color find or computed from all sources
 */
function getColorFromMaps(name, defaultMap, fallbackMap, priorityMap) {
    const customColor = getColorFromMap(name, priorityMap);
    if (customColor) {
        return customColor;
    }
    const applicationColor = getColorFromMap(name, fallbackMap);
    if (applicationColor) {
        return applicationColor;
    }
    return getColorFromMap(name, defaultMap);
}
function getColorFromMap(colorName, colorMap) {
    if (!colorMap) {
        return null;
    }
    if (colorMap[colorName]) {
        return colorMap[colorName];
    }
    if (colorName.endsWith(DARK_SUFFIX) && colorMap[colorName.substring(0, colorName.length - DARK_SUFFIX.length)]) {
        return convertToDarkColor(colorMap[colorName.substring(0, colorName.length - DARK_SUFFIX.length)]);
    }
    if (colorName.endsWith(LIGHT_SUFFIX) && colorMap[colorName.substring(0, colorName.length - LIGHT_SUFFIX.length)]) {
        return convertToLightColor(colorMap[colorName.substring(0, colorName.length - LIGHT_SUFFIX.length)]);
    }
    LIGHTEN_PATTERN.lastIndex = 0;
    let match = LIGHTEN_PATTERN.exec(colorName);
    if (match && match.length === 2 && colorMap[colorName.substring(0, colorName.length - match[0].length)]) {
        return convertToLightColor(colorMap[colorName.substring(0, colorName.length - match[0].length)], +match[1]);
    }
    DARKEN_PATTERN.lastIndex = 0;
    match = DARKEN_PATTERN.exec(colorName);
    if (match && match.length === 2 && colorMap[colorName.substring(0, colorName.length - match[0].length)]) {
        return convertToDarkColor(colorMap[colorName.substring(0, colorName.length - match[0].length)], +match[1]);
    }
    DARKEN_PATTERN.lastIndex = 0;
    match = DARKEN_PATTERN.exec(colorName);
    if (match && match.length === 2 && colorMap[colorName.substring(0, colorName.length - match[0].length)]) {
        return convertToDarkColor(colorMap[colorName.substring(0, colorName.length - match[0].length)], +match[1]);
    }
    return null;
}
/**
 * Apply a +X to the color lightness.
 * @param color the color to lighten. Must be hex color with #fff or #ffffff format
 * @param lightModificator the value of lighten operation. Default value to 10 if not set
 */
function convertToLightColor(color, lightModificator = 10) {
    if (!color) {
        return color;
    }
    const rgbValue = hexToRgb(color);
    const hslValue = rgbToHsl(rgbValue);
    // lighten
    hslValue.l = Math.min(hslValue.l + lightModificator, 100);
    const lightRGBvalue = hslToRgb(hslValue);
    return '#' + toHex(lightRGBvalue.r) + toHex(lightRGBvalue.g) + toHex(lightRGBvalue.b);
}
function convertLighten(rgbValue, lightModificator) {
    const hslValue = rgbToHsl(rgbValue);
    // lighten
    hslValue.l = hslValue.l + lightModificator;
    if (hslValue.l > 100) {
        hslValue.l = 100;
    }
    else if (hslValue.l < 0) {
        hslValue.l = 0;
    }
    const lightRGBvalue = hslToRgb(hslValue);
    return '#' + toHex(lightRGBvalue.r) + toHex(lightRGBvalue.g) + toHex(lightRGBvalue.b);
}
/**
 * Apply a -X to the color lightness.
 * @param color the color to darken. Must be hex color with #fff or #ffffff format
 * @param lightModificator the value of darken  operation. Default value to 10 if not set
 */
function convertToDarkColor(color, lightModificator = 10) {
    if (!color) {
        return color;
    }
    const rgbValue = hexToRgb(color);
    const hslValue = rgbToHsl(rgbValue);
    // darken
    hslValue.l = Math.max(hslValue.l - lightModificator, 0);
    const darkRGBvalue = hslToRgb(hslValue);
    return '#' + toHex(darkRGBvalue.r) + toHex(darkRGBvalue.g) + toHex(darkRGBvalue.b);
}
function toHex(componentValue) {
    const hex = componentValue.toString(16);
    return hex.length === 1 ? '0' + hex : hex;
}
function hexToRgb(hex) {
    const shorthandRegex = /^#?([a-f\d])([a-f\d])([a-f\d])$/i;
    hex = hex.replace(shorthandRegex, (m, r, g, b) => r + r + g + g + b + b);
    const result = /^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i.exec(hex);
    return result ?
        new RGB(parseInt(result[1], 16), parseInt(result[2], 16), parseInt(result[3], 16)) :
        null;
}
function hexToRgbString(hex) {
    const rgb = hexToRgb(hex);
    return rgb.r + ', ' + rgb.g + ', ' + rgb.b;
}
function hslToRgb(inputHSL) {
    const hsl = new HSL(inputHSL.h * 360, inputHSL.s / 100, inputHSL.l / 100);
    let rgb;
    const c = (1 - Math.abs(2 * hsl.l - 1)) * hsl.s;
    const x = c * (1 - Math.abs((hsl.h / 60) % 2 - 1));
    const m = hsl.l - c / 2;
    if (hsl.h < 60) {
        rgb = new RGB(c, x, 0);
    }
    else if (hsl.h < 120) {
        rgb = new RGB(x, c, 0);
    }
    else if (hsl.h < 180) {
        rgb = new RGB(0, c, x);
    }
    else if (hsl.h < 240) {
        rgb = new RGB(0, x, c);
    }
    else if (hsl.h < 300) {
        rgb = new RGB(x, 0, c);
    }
    else if (hsl.h < 360) {
        rgb = new RGB(c, 0, x);
    }
    rgb.r = Math.round((rgb.r + m) * 255);
    rgb.g = Math.round((rgb.g + m) * 255);
    rgb.b = Math.round((rgb.b + m) * 255);
    return rgb;
}
function rgbToHsl(inputRGB) {
    const rgb = new RGB(inputRGB.r / 255, inputRGB.g / 255, inputRGB.b / 255);
    const hsl = new HSL(0, 0, 0);
    const max = Math.max(rgb.r, rgb.g, rgb.b);
    const min = Math.min(rgb.r, rgb.g, rgb.b);
    hsl.l = (max + min) / 2;
    // if min = max: achromatic, h = s = 0 => Nothing to update
    if (max !== min) {
        const d = max - min;
        hsl.s = hsl.l > 0.5 ? d / (2 - max - min) : d / (max + min);
        switch (max) {
            case rgb.r:
                hsl.h = (rgb.g - rgb.b) / d + (rgb.g < rgb.b ? 6 : 0);
                break;
            case rgb.g:
                hsl.h = (rgb.b - rgb.r) / d + 2;
                break;
            case rgb.b:
                hsl.h = (rgb.r - rgb.g) / d + 4;
                break;
        }
        hsl.h /= 6;
    }
    hsl.s = hsl.s * 100;
    hsl.s = Math.round(hsl.s);
    hsl.l = hsl.l * 100;
    hsl.l = Math.round(hsl.l);
    return hsl;
}

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

class ThemeService {
    constructor(domSanitizer) {
        this.domSanitizer = domSanitizer;
        this.baseColors = {
            [ThemeColorType.VITAMUI_PRIMARY]: 'COLOR.PRIMARY',
            [ThemeColorType.VITAMUI_SECONDARY]: 'COLOR.SECONDARY',
            [ThemeColorType.VITAMUI_TERTIARY]: 'COLOR.TERTIARY',
            [ThemeColorType.VITAMUI_HEADER_FOOTER]: 'COLOR.HEADER_FOOTER',
            [ThemeColorType.VITAMUI_BACKGROUND]: 'COLOR.BACKGROUND'
        };
        // tslint:disable-next-line: variable-name
        this._defaultTheme = {
            colors: {},
            headerUrl: '',
            footerUrl: '',
            portalUrl: ''
        };
        // Default theme
        this.defaultMap = {
            [ThemeColorType.VITAMUI_PRIMARY]: '#604379',
            [ThemeColorType.VITAMUI_GREY]: '#9E9E9E',
            [ThemeColorType.VITAMUI_SECONDARY]: '#65B2E4',
            [ThemeColorType.VITAMUI_TERTIARY]: '#E7304D',
            [ThemeColorType.VITAMUI_HEADER_FOOTER]: '#604379',
            [ThemeColorType.VITAMUI_BACKGROUND]: '#F5F7FC',
            /* DEPRECATED colors : Use color chart with declinations var(--vitamui-primary-XXX),
            var(--vitamui-secondary-XXX) and var(--vitamui-grey-XXX) */
            [ThemeColorType.VITAMUI_PRIMARY_LIGHT]: '',
            [ThemeColorType.VITAMUI_PRIMARY_LIGHT_20]: '',
            [ThemeColorType.VITAMUI_PRIMARY_DARK]: '',
            [ThemeColorType.VITAMUI_SECONDARY_LIGHT]: '',
            [ThemeColorType.VITAMUI_SECONDARY_LIGHT_8]: '',
            [ThemeColorType.VITAMUI_SECONDARY_DARK_5]: '',
        };
        // tslint:disable-next-line: variable-name
        this._backgroundChoice = [
            { class: 'Foncé', value: '#0F0D2D' },
            { class: 'Blanc', value: '#FFFFFF' },
            { class: 'Clair', value: '#F5F5F5' },
            { class: 'Bleu clair', value: '#F5F7FC' },
        ];
    }
    get defaultTheme() {
        return this._defaultTheme;
    }
    set defaultTheme(theme) { this._defaultTheme = theme; }
    get backgroundChoice() { return this._backgroundChoice; }
    getBaseColors() {
        return this.baseColors;
    }
    getVariationColorsNames(baseName) {
        return Object.keys(this.defaultMap).filter((colorName) => colorName.startsWith(baseName));
    }
    init(conf, customerColorMap) {
        this.applicationColorMap = conf.THEME_COLORS;
        this.overrideTheme(customerColorMap);
        if (conf) {
            this.defaultTheme = {
                colors: conf.THEME_COLORS,
                headerUrl: this.domSanitizer.bypassSecurityTrustUrl('data:image/*;base64,' + conf.HEADER_LOGO),
                footerUrl: this.domSanitizer.bypassSecurityTrustUrl('data:image/*;base64,' + conf.FOOTER_LOGO),
                portalUrl: this.domSanitizer.bypassSecurityTrustUrl('data:image/*;base64,' + conf.PORTAL_LOGO),
            };
            // init default background
            const defaultBackground = this.backgroundChoice
                .find((color) => color.value === conf.THEME_COLORS[ThemeColorType.VITAMUI_BACKGROUND]);
            if (defaultBackground) {
                defaultBackground.isDefault = true;
            }
        }
    }
    overloadLocalTheme(colors, selectorToOver) {
        const selector = document.querySelector(selectorToOver);
        for (const key in colors) {
            if (colors.hasOwnProperty(key) && selector != null) {
                selector.style.setProperty('--' + key, colors[key]);
            }
        }
    }
    getData(authUser, type) {
        const userAuthGraphicIdentity = authUser && authUser.basicCustomer && authUser.basicCustomer.graphicIdentity
            ? authUser.basicCustomer.graphicIdentity
            : null;
        switch (type) {
            case ThemeDataType.PORTAL_LOGO:
                return userAuthGraphicIdentity
                    && userAuthGraphicIdentity.portalDataBase64 && userAuthGraphicIdentity.hasCustomGraphicIdentity
                    ? this.domSanitizer.bypassSecurityTrustUrl('data:image/*;base64,' + userAuthGraphicIdentity.portalDataBase64)
                    : this.defaultTheme.portalUrl;
                break;
            case ThemeDataType.HEADER_LOGO:
                return userAuthGraphicIdentity
                    && userAuthGraphicIdentity.headerDataBase64 && userAuthGraphicIdentity.hasCustomGraphicIdentity
                    ? this.domSanitizer.bypassSecurityTrustUrl('data:image/*;base64,' + userAuthGraphicIdentity.headerDataBase64)
                    : this.defaultTheme.headerUrl;
                break;
            case ThemeDataType.FOOTER_LOGO:
                return userAuthGraphicIdentity
                    && userAuthGraphicIdentity.footerDataBase64 && userAuthGraphicIdentity.hasCustomGraphicIdentity
                    ? this.domSanitizer.bypassSecurityTrustUrl('data:image/*;base64,' + userAuthGraphicIdentity.footerDataBase64)
                    : this.defaultTheme.footerUrl;
                break;
            default: return;
        }
    }
    calculateFontColor(color) {
        const rgbColor = hexToRgb(color);
        if ((rgbColor.r * 0.299 + rgbColor.g * 0.587 + rgbColor.b * 0.114) > 186) {
            return '#000000';
        }
        else {
            return '#ffffff';
        }
    }
    add10Declinations(key, colors, customerColors) {
        // tslint:disable-next-line: variable-name
        const map = Object.assign(Object.assign(Object.assign({}, this.defaultMap), this.applicationColorMap), customerColors);
        const rgbValue = hexToRgb(map[key]);
        // consider hs-L from color key as 500
        if (key === ThemeColorType.VITAMUI_GREY) {
            colors[key + '-900'] = '#212121';
            colors[key + '-800'] = '#424242';
            colors[key + '-700'] = '#616161';
            colors[key + '-600'] = '#757575';
            colors[key + '-400'] = '#BDBDBD';
            colors[key + '-300'] = '#E0E0E0';
            colors[key + '-200'] = '#EEEEEE';
            colors[key + '-100'] = '#F5F5F5';
            colors[key + '-50'] = '#FAFAFA';
        }
        else {
            colors[key + '-900'] = convertLighten(rgbValue, -32);
            colors[key + '-800'] = convertLighten(rgbValue, -24);
            colors[key + '-700'] = convertLighten(rgbValue, -16);
            colors[key + '-600'] = convertLighten(rgbValue, -8);
            // The color declination 500 is the base version (we use var(--vitamui-primary) instead of var(--vitamui-primary-500))
            colors[key + '-400'] = convertLighten(rgbValue, 8);
            colors[key + '-300'] = convertLighten(rgbValue, 16);
            colors[key + '-200'] = convertLighten(rgbValue, 24);
            colors[key + '-100'] = convertLighten(rgbValue, 32);
            colors[key + '-50'] = convertLighten(rgbValue, 40);
        }
        colors[key + '-900-font'] = this.calculateFontColor(colors[key + '-900']);
        colors[key + '-800-font'] = this.calculateFontColor(colors[key + '-800']);
        colors[key + '-700-font'] = this.calculateFontColor(colors[key + '-700']);
        colors[key + '-600-font'] = this.calculateFontColor(colors[key + '-600']);
        colors[key + '-font'] = this.calculateFontColor(map[key]); // primary/secondary/tertiary
        colors[key + '-400-font'] = this.calculateFontColor(colors[key + '-400']);
        colors[key + '-300-font'] = this.calculateFontColor(colors[key + '-300']);
        colors[key + '-200-font'] = this.calculateFontColor(colors[key + '-200']);
        colors[key + '-100-font'] = this.calculateFontColor(colors[key + '-100']);
        colors[key + '-50-font'] = this.calculateFontColor(colors[key + '-50']);
    }
    /**
     * Gives complete color theme from current app config and any given customization.
     * Setting base colors (primary, secondary) will return updated variations (primary-light etc..)
     * @param customerColors Entries to override
     */
    getThemeColors(customerColors = null) {
        const colors = {};
        for (const key in this.defaultMap) {
            if (this.defaultMap.hasOwnProperty(key)) {
                if ([ThemeColorType.VITAMUI_PRIMARY, ThemeColorType.VITAMUI_SECONDARY, ThemeColorType.VITAMUI_GREY].includes(key)) {
                    this.add10Declinations(key, colors, customerColors);
                }
                else if (key === ThemeColorType.VITAMUI_HEADER_FOOTER) {
                    const map = Object.assign(Object.assign(Object.assign({}, this.defaultMap), this.applicationColorMap), customerColors);
                    colors[key + '-font'] = this.calculateFontColor(map[key]);
                }
                colors[key] = getColorFromMaps(key, this.defaultMap, this.applicationColorMap, customerColors);
            }
        }
        return colors;
    }
    overrideTheme(customerThemeMap, selector = 'body') {
        const element = document.querySelector(selector);
        const themeColors = this.getThemeColors(customerThemeMap);
        for (const key in themeColors) {
            if (themeColors.hasOwnProperty(key)) {
                element.style.setProperty('--' + key, themeColors[key]);
                element.style.setProperty('--' + key + '-rgb', hexToRgbString(themeColors[key]));
            }
        }
    }
}
ThemeService.ɵprov = ɵɵdefineInjectable({ factory: function ThemeService_Factory() { return new ThemeService(ɵɵinject(DomSanitizer)); }, token: ThemeService, providedIn: "root" });
ThemeService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
ThemeService.ctorParameters = () => [
    { type: DomSanitizer }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const WARNING_DURATION = 2000;
const CUSTOMER_TECHNICAL_REFERENT_KEY = 'technical-referent-email';
const CUSTOMER_WEBSITE_URL_KEY = 'website-url';
class StartupService {
    constructor(logger, authService, securityApi, applicationApi, themeService, applicationService, location) {
        this.logger = logger;
        this.authService = authService;
        this.securityApi = securityApi;
        this.applicationApi = applicationApi;
        this.themeService = themeService;
        this.applicationService = applicationService;
        this.location = location;
        this.userRefresh = new Subject();
        this.CURRENT_APP_ID = ApplicationId.PORTAL_APP;
    }
    load() {
        this.configurationData = null;
        return this.applicationApi
            .getConfiguration()
            .toPromise()
            .then((data) => {
            this.configurationData = data;
            this.authService.loginUrl = this.configurationData.CAS_URL;
            this.authService.logoutUrl = this.configurationData.CAS_LOGOUT_URL;
            this.authService.logoutRedirectUiUrl = this.configurationData.LOGOUT_REDIRECT_UI_URL;
        })
            .then(() => this.refreshUser().toPromise())
            .then(() => this.applicationApi.getAsset([AttachmentType.Header, AttachmentType.Footer, AttachmentType.Portal]).toPromise())
            .then((data) => {
            this.configurationData.HEADER_LOGO = data[AttachmentType.Header];
            this.configurationData.FOOTER_LOGO = data[AttachmentType.Footer];
            this.configurationData.PORTAL_LOGO = data[AttachmentType.Portal];
            this.configurationData.LOGO = data[AttachmentType.Portal];
        })
            .then(() => {
            let customerColorMap = null;
            if (this.authService.user.basicCustomer.graphicIdentity.hasCustomGraphicIdentity) {
                customerColorMap = this.authService.user.basicCustomer.graphicIdentity.themeColors;
            }
            this.themeService.init(this.configurationData, customerColorMap);
        })
            .then(() => this.applicationService.list().toPromise());
    }
    setTenantIdentifier(tenantIdentifier) {
        this.CURRENT_TENANT_IDENTIFIER = tenantIdentifier;
    }
    getTenantIdentifier() {
        let tenantIdentifier = this.CURRENT_TENANT_IDENTIFIER;
        if (!tenantIdentifier && this.authService.user) {
            tenantIdentifier = this.authService.user.proofTenantIdentifier;
        }
        return tenantIdentifier;
    }
    /**
     * No catchError should be set here, the security api must be called and verified before anything else.
     */
    refreshUser() {
        return this.securityApi.getAuthenticated().pipe(tap((data) => {
            this.authService.user = data;
            this.userRefresh.next(data);
        }));
    }
    configurationLoaded() {
        return this.configurationData != null && this.configurationData.PORTAL_URL != null;
    }
    printConfiguration() {
        if (this.configurationLoaded()) {
            this.logger.log(this, 'startup data exists.', this.configurationData);
        }
        else {
            this.logger.log(this, 'startup data does not exists');
        }
    }
    getLogo() {
        if (this.configurationLoaded()) {
            if (this.configurationData.APP_LOGO) {
                return this.configurationData.APP_LOGO;
            }
            else {
                return this.configurationData.LOGO;
            }
        }
    }
    getAppLogoURL() {
        let trustedAppLogoUrl = null;
        const base64Logo = this.getLogo();
        if (base64Logo) {
            trustedAppLogoUrl = base64Logo;
        }
        return trustedAppLogoUrl;
    }
    getCustomerLogoURL() {
        let trustedInlineLogoUrl = null;
        if (this.authService.user) {
            const currentUser = this.authService.user;
            if (currentUser.basicCustomer) {
                trustedInlineLogoUrl = currentUser.basicCustomer.graphicIdentity.portalDataBase64;
            }
        }
        return trustedInlineLogoUrl;
    }
    getPortalUrl() {
        if (this.configurationLoaded()) {
            return this.configurationData.PORTAL_URL;
        }
        return null;
    }
    getLoginUrl() {
        if (this.configurationLoaded()) {
            return this.configurationData.CAS_URL;
        }
        return null;
    }
    getLogoutUrl() {
        if (this.configurationLoaded()) {
            return this.configurationData.CAS_LOGOUT_URL;
        }
        return null;
    }
    getCasUrl() {
        if (this.configurationLoaded()) {
            return this.configurationData.CAS_URL;
        }
        return null;
    }
    getSearchUrl() {
        if (this.configurationLoaded()) {
            return this.configurationData.SEARCH_URL;
        }
        return null;
    }
    getArchivesSearchUrl() {
        if (this.configurationLoaded()) {
            return this.configurationData.ARCHIVES_SEARCH_URL;
        }
        return null;
    }
    getReferentialUrl() {
        if (this.configurationLoaded()) {
            return this.configurationData.REFERENTIAL_SEARCH_URL;
        }
        return null;
    }
    getConfigStringValue(key) {
        if (this.configurationLoaded() && this.configurationData.hasOwnProperty(key)) {
            return this.configurationData[key];
        }
        return null;
    }
    getConfigNumberValue(key) {
        return +this.getConfigStringValue(key);
    }
    /**
     * Navigate to given url or to the portal otherwise.
     * @param url URL to be redirected to.
     */
    redirect(url) {
        setTimeout(() => (this.location.href = url ? url : this.getPortalUrl()), WARNING_DURATION);
    }
    getPlatformName() {
        if (this.configurationLoaded()) {
            return this.configurationData.PLATFORM_NAME;
        }
        return null;
    }
    getCustomer() {
        if (this.configurationLoaded()) {
            return this.configurationData.CUSTOMER;
        }
    }
    getCustomerTechnicalReferentEmail() {
        const customer = this.getCustomer();
        if (customer) {
            return customer[CUSTOMER_TECHNICAL_REFERENT_KEY];
        }
    }
    getCustomerWebsiteUrl() {
        const customer = this.getCustomer();
        if (customer) {
            return customer[CUSTOMER_WEBSITE_URL_KEY];
        }
    }
    getDefaultPortalTitle() {
        if (this.configurationLoaded()) {
            return this.configurationData.PORTAL_TITLE;
        }
        return null;
    }
    getDefaultPortalMessage() {
        if (this.configurationLoaded()) {
            return this.configurationData.PORTAL_MESSAGE;
        }
        return null;
    }
}
StartupService.ɵprov = ɵɵdefineInjectable({ factory: function StartupService_Factory() { return new StartupService(ɵɵinject(Logger), ɵɵinject(AuthService), ɵɵinject(SecurityApiService), ɵɵinject(ApplicationApiService), ɵɵinject(ThemeService), ɵɵinject(ApplicationService), ɵɵinject(WINDOW_LOCATION)); }, token: StartupService, providedIn: "root" });
StartupService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root',
            },] }
];
StartupService.ctorParameters = () => [
    { type: Logger },
    { type: AuthService },
    { type: SecurityApiService },
    { type: ApplicationApiService },
    { type: ThemeService },
    { type: ApplicationService },
    { type: undefined, decorators: [{ type: Inject, args: [WINDOW_LOCATION,] }] }
];

class ActiveTenantGuard {
    constructor(authService, appService, startupService, globalEventService, router, location) {
        this.authService = authService;
        this.appService = appService;
        this.startupService = startupService;
        this.globalEventService = globalEventService;
        this.router = router;
        this.location = location;
    }
    canActivate(route) {
        return this.checkTenants(route);
    }
    canActivateChild(route) {
        return this.canActivate(route);
    }
    checkTenants(route) {
        const tenantIdentifier = route.paramMap.get('tenantIdentifier');
        const tenantsByApp = this.authService.user.tenantsByApp.find((element) => element.name === route.data.appId);
        if (tenantsByApp) {
            const result = tenantsByApp.tenants.find((tenant) => tenant.identifier === +tenantIdentifier);
            if (result) {
                // set tenant Identifier whenever a tenant is selected
                this.startupService.setTenantIdentifier(tenantIdentifier);
                // emit tenant change event
                this.globalEventService.tenantEvent.next(tenantIdentifier);
                return true;
            }
        }
        // redirect user to the tenant selection page
        const application = this.appService.applications.find((appFromService) => appFromService.identifier === route.data.appId);
        this.router.navigate(route.pathFromRoot.map(r => r.url.toString()).concat(['tenant']));
        return false;
    }
}
ActiveTenantGuard.ɵprov = ɵɵdefineInjectable({ factory: function ActiveTenantGuard_Factory() { return new ActiveTenantGuard(ɵɵinject(AuthService), ɵɵinject(ApplicationService), ɵɵinject(StartupService), ɵɵinject(GlobalEventService), ɵɵinject(Router), ɵɵinject(WINDOW_LOCATION)); }, token: ActiveTenantGuard, providedIn: "root" });
ActiveTenantGuard.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
ActiveTenantGuard.ctorParameters = () => [
    { type: AuthService },
    { type: ApplicationService },
    { type: StartupService },
    { type: GlobalEventService },
    { type: Router },
    { type: undefined, decorators: [{ type: Inject, args: [WINDOW_LOCATION,] }] }
];

class AnalyticsResolver {
    constructor(userApiService, applicationService, tenantService) {
        this.userApiService = userApiService;
        this.applicationService = applicationService;
        this.tenantService = tenantService;
    }
    resolve(route) {
        const nextApplicationId = route.data.appId;
        this.tenantService.currentAppId$.next(nextApplicationId);
        if (nextApplicationId && nextApplicationId !== this.currentApplicationId) {
            // tag the application us the last used
            this.userApiService.analytics({ applicationId: nextApplicationId }).pipe(take(1)).subscribe((userData) => {
                if (userData.analytics) {
                    const analytics = userData.analytics;
                    this.applicationService.applicationsAnalytics = analytics.applications;
                    this.tenantService.setLastTenantIdentifier(analytics.lastTenantIdentifier);
                }
            });
            this.currentApplicationId = nextApplicationId;
        }
    }
}
AnalyticsResolver.ɵprov = ɵɵdefineInjectable({ factory: function AnalyticsResolver_Factory() { return new AnalyticsResolver(ɵɵinject(UserApiService), ɵɵinject(ApplicationService), ɵɵinject(TenantSelectionService)); }, token: AnalyticsResolver, providedIn: "root" });
AnalyticsResolver.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
AnalyticsResolver.ctorParameters = () => [
    { type: UserApiService },
    { type: ApplicationService },
    { type: TenantSelectionService }
];

const collapseAnimation = trigger('collapseAnimation', [
    state('collapsed', style({ height: '0px', visibility: 'hidden', opacity: '0' })),
    state('expanded', style({ height: '*', visibility: 'visible', opacity: '1' })),
    transition('expanded <=> collapsed', animate('150ms cubic-bezier(0.4,0.0,0.2,1)')),
]);
const rotateAnimation = trigger('rotateAnimation', [
    state('collapsed', style({ transform: 'rotate(180deg)' })),
    state('expanded', style({ transform: 'none' })),
    transition('expanded <=> collapsed', animate('225ms cubic-bezier(0.4,0.0,0.2,1)')),
]);
const rotateUpAnimation = trigger('rotateUpAnimation', [
    state('true', style({ transform: 'none' })),
    state('false', style({ transform: 'rotate(180deg)' })),
    transition('true <=> false', animate('225ms cubic-bezier(0.4,0.0,0.2,1)')),
]);
const rotate90Animation = trigger('rotate90Animation', [
    state('collapsed', style({ transform: 'rotate(-90deg)' })),
    state('expanded', style({ transform: 'rotate(0deg)' })),
    transition('expanded <=> collapsed', animate('200ms ease-out')),
]);
const fadeInOutAnimation = trigger('fadeInOutAnimation', [
    transition(':enter', [style({ opacity: 0 }), animate('200ms', style({ opacity: 1 }))]),
    transition(':leave', [style({ opacity: 1 }), animate('200ms', style({ opacity: 0 }))]),
]);
const slideDownAnimation = trigger('slideDownAnimation', [
    state('*', style({ opacity: 1, transform: 'translateX(0)' })),
    transition(':enter', [
        style({
            opacity: 0,
            transform: 'translateY(-100%)'
        }),
        animate('100ms ease-out'),
    ]),
]);
const tooltipAnimation = trigger('tooltipAnimation', [
    state('*', style({ opacity: 1, transform: 'translateX(0)' })),
    transition(':enter', [
        style({
            opacity: 0,
            transform: 'translateY(-100%)'
        }),
        animate('100ms ease-out'),
    ]),
]);
const opacityAnimation = trigger('opacityAnimation', [
    state('close', style({})),
    transition(':enter', [
        animate('500ms cubic-bezier(0, 0, 0.2, 1)', keyframes([
            style({ opacity: 0 }),
            style({ opacity: 1 }),
        ])),
    ]),
    transition('* => close', [
        animate('500ms cubic-bezier(0, 0, 0.2, 1)', keyframes([
            style({ opacity: 1 }),
            style({ opacity: 0 }),
        ])),
    ]),
]);
const transitionAnimation = trigger('transitionAnimation', [
    state('previous', style({ height: '0px', visibility: 'hidden' })),
    state('next', style({ height: '0px', visibility: 'hidden' })),
    state('current', style({ height: '*', visibility: 'visible' })),
    transition('* <=> current', animate('225ms cubic-bezier(0.4, 0.0, 0.2, 1)')),
]);
const slideAnimation = trigger('slideAnimation', [
    transition(':enter', [
        query('*', [
            style({ opacity: 0, transform: 'translateX(-20px)' }),
            stagger(50, [
                animate('50ms', style({ opacity: 1, transform: 'none' }))
            ])
        ])
    ]),
    transition(':leave', [
        animate('250ms', style({ opacity: 0, transform: 'translateX(+100px)' }))
    ])
]);

class AccessContractApiService {
    constructor(http, baseUrl) {
        this.http = http;
        this.apiUrl = baseUrl + '/accesscontracts';
        this.baseUrl = baseUrl;
    }
    getAllAccessContracts(params, headers) {
        return this.http.get(`${this.apiUrl}`, { params, headers });
    }
}
AccessContractApiService.ɵprov = ɵɵdefineInjectable({ factory: function AccessContractApiService_Factory() { return new AccessContractApiService(ɵɵinject(HttpClient), ɵɵinject(BASE_URL)); }, token: AccessContractApiService, providedIn: "root" });
AccessContractApiService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
AccessContractApiService.ctorParameters = () => [
    { type: HttpClient },
    { type: String, decorators: [{ type: Inject, args: [BASE_URL,] }] }
];

const CAS_CONTEXT = 'Contexte CAS';
const UNKNOWN_VALUE = '-';
const USER_INDEX = 3;
const SUBROGATOR_INDEX = 4;
const API_CONTEXT_INDEX = 2;
class LogbookApiService {
    constructor(http, baseUrl) {
        this.http = http;
        this.apiUrl = baseUrl + '/logbooks';
        this.baseUrl = baseUrl;
    }
    static toEvent(apiEvent) {
        const user = LogbookApiService.getUserIdentifier(apiEvent.evIdAppSession, USER_INDEX);
        const subrogator = LogbookApiService.getUserIdentifier(apiEvent.evIdAppSession, SUBROGATOR_INDEX);
        return {
            id: apiEvent.evId,
            idRequest: apiEvent.evIdReq,
            parentId: apiEvent.evParentId,
            type: apiEvent.evType,
            typeProc: apiEvent.evTypeProc,
            dateTime: apiEvent.evDateTime,
            outcome: apiEvent.outcome,
            outDetail: apiEvent.outDetail,
            outMessage: apiEvent.outMessg,
            data: apiEvent.evDetData,
            parsedData: JSON.parse(apiEvent.evDetData),
            objectId: apiEvent.obId,
            collectionName: apiEvent.obIdReq,
            agId: apiEvent.agId,
            agIdApp: apiEvent.agIdApp,
            agIdExt: apiEvent.agIdExt,
            obIdReq: apiEvent.obIdReq,
            obId: apiEvent.obId,
            rightsStatementIdentifier: apiEvent.rightsStatementIdentifier,
            userIdentifier: user,
            subrogatorIdentifier: subrogator,
            events: LogbookApiService.getSubEvents(apiEvent.events || [], user, subrogator)
        };
    }
    static getSubEvents(apiEvents, userIdentifier, subrogatorIdentifier) {
        const result = [];
        apiEvents.forEach(apiEvent => {
            const event = LogbookApiService.toEvent(apiEvent);
            event.userIdentifier = userIdentifier;
            event.subrogatorIdentifier = subrogatorIdentifier;
            result.push(event);
        });
        return result;
    }
    static getUserIdentifier(evIdAppSession, userIndex) {
        let userIdentifier;
        if (evIdAppSession) {
            // evIdAppSession format : API_ID:SESSSION_ID:API_CONTEXT:USER_ID:SUBROGATOR_ID:?
            // evIdAppSession example : CUSTOMERS_APP101763287410:973862d2-12c1-4244-9ed9-0cd42627e74b:Contexte UI Identity:101:-:1
            const data = evIdAppSession.split(':');
            if (data && data[API_CONTEXT_INDEX] !== CAS_CONTEXT && data[userIndex] !== UNKNOWN_VALUE) {
                userIdentifier = data[userIndex];
            }
        }
        return userIdentifier;
    }
    findUnitLifeCyclesByUnitId(unitId, headers) {
        return this.http.get(this.apiUrl + '/unitlifecycles/' + unitId, { headers }).pipe(map((response) => ({ $hits: response.$hits, $results: response.$results.map(LogbookApiService.toEvent) })));
    }
    findObjectGroupLifeCyclesByUnitId(objectId, headers) {
        return this.http.get(this.apiUrl + '/objectslifecycles/' + objectId, { headers }).pipe(map((response) => ({ $hits: response.$hits, $results: response.$results.map(LogbookApiService.toEvent) })));
    }
    findOperationById(operationId, headers) {
        return this.http.get(this.apiUrl + '/operations/' + operationId, { headers });
    }
    findOperations(obId, obIdReq, headers) {
        const params = new HttpParams()
            .set('obId', obId)
            .set('obIdReq', obIdReq);
        return this.http.get(this.apiUrl + '/operations/', { params, headers }).pipe(map((response) => ({ $results: response.$results.map(LogbookApiService.toEvent) })));
    }
    findOperationByIdAndCollectionName(id, resourcePath, headers) {
        return this.http.get(this.baseUrl + '/' + resourcePath + '/' + id + '/history', { headers }).pipe(map((response) => ({ $results: response.$results.map(LogbookApiService.toEvent) })));
    }
    findOperationsBySelectQuery(selectQuery, headers) {
        return this.http.post(this.apiUrl + '/operations', selectQuery, { headers }).pipe(map((response) => ({ $results: response.$results.map(LogbookApiService.toEvent) })));
    }
    downloadManifest(id, headers) {
        return this.http.get(this.apiUrl + '/operations/' + id + '/download/manifest', { headers, observe: 'response', responseType: 'blob' });
    }
    downloadAtr(id, headers) {
        return this.http.get(this.apiUrl + '/operations/' + id + '/download/atr', { headers, observe: 'response', responseType: 'blob' });
    }
    downloadReport(id, downloadType, headers) {
        return this.http.get(this.apiUrl + '/operations/' + id + '/download/' + downloadType, { headers, observe: 'response', responseType: 'blob' });
    }
    getAllPaginated(pageRequest, _, headers) {
        const criteria = JSON.parse(pageRequest.criteria);
        criteria.$filter.$offset = pageRequest.page * pageRequest.size;
        pageRequest.criteria = JSON.stringify(criteria);
        // The pagination and order are defined in the Vitam DSL query stored in the `criteria` property
        // We don't actually need to use the other properties of the page request
        return this.http.post(this.apiUrl + '/operations', JSON.parse(pageRequest.criteria), { headers }).pipe(map((response) => ({
            pageNum: pageRequest.page,
            pageSize: pageRequest.size,
            hasMore: (response.$hits.offset + response.$hits.size) < response.$hits.total,
            values: response.$results.map(LogbookApiService.toEvent)
        })));
    }
}
LogbookApiService.ɵprov = ɵɵdefineInjectable({ factory: function LogbookApiService_Factory() { return new LogbookApiService(ɵɵinject(HttpClient), ɵɵinject(BASE_URL)); }, token: LogbookApiService, providedIn: "root" });
LogbookApiService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
LogbookApiService.ctorParameters = () => [
    { type: HttpClient },
    { type: String, decorators: [{ type: Inject, args: [BASE_URL,] }] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const HTTP_STATUS_OK = 200;
class BaseHttpClient {
    constructor(http, apiUrl) {
        this.http = http;
        this.apiUrl = apiUrl;
    }
    getHttp() {
        return this.http;
    }
    getApiUrl() {
        return this.apiUrl;
    }
    getAllByParams(params, headers) {
        return this.http.get(this.apiUrl, { params, headers });
    }
    getAllPaginated(pageRequest, embedded, headers) {
        const params = embedded ? pageRequest.httpParams.set('embedded', embedded) : pageRequest.httpParams;
        return this.http.get(this.apiUrl, { params, headers });
    }
    getOne(id, headers) {
        const params = new HttpParams();
        return this.http.get(this.apiUrl + '/' + id, { params, headers });
    }
    getOneWithEmbedded(id, embedded, headers) {
        const params = new HttpParams().set('embedded', embedded);
        return this.http.get(this.apiUrl + '/' + id, { params, headers });
    }
    checkExistsByParam(params, headers) {
        const paramsToHttpParams = (tempHttpParams, param) => {
            return tempHttpParams.set(param.key, param.value);
        };
        const httpParams = params.reduce(paramsToHttpParams, new HttpParams());
        return this.http.head(this.apiUrl + '/check', { params: httpParams, observe: 'response', headers })
            .pipe(map((response) => response.status === HTTP_STATUS_OK ? true : false));
    }
    create(data, headers) {
        return this.http.post(this.apiUrl, data, { headers });
    }
    update(data, headers) {
        return this.http.put(this.apiUrl + '/' + data.id, data, { headers });
    }
    patch(data, headers) {
        return this.http.patch(this.apiUrl + '/' + data.id, data, { headers });
    }
    logbook(id, headers) {
        return this.http.get(this.apiUrl + '/' + id + '/logbook', { headers }).pipe(map((response) => ({ $results: response.$results.map(LogbookApiService.toEvent) })));
    }
}

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class ExternalParamProfileApiService extends BaseHttpClient {
    constructor(http, baseUrl) {
        super(http, baseUrl + '/externalparamprofile');
    }
    getAllPaginated(pageRequest, embedded, headers) {
        return super.getAllPaginated(pageRequest, embedded, headers);
    }
    create(externalParamProfile, headers) {
        return super.create(externalParamProfile, headers);
    }
    patch(data, headers) {
        return super.getHttp().patch(super.getApiUrl() + '/me', data, { headers });
    }
    getOne(id, headers) {
        return super.getOne(id, headers);
    }
    checkExistsByParam(params, headers) {
        return super.checkExistsByParam(params, headers);
    }
}
ExternalParamProfileApiService.ɵprov = ɵɵdefineInjectable({ factory: function ExternalParamProfileApiService_Factory() { return new ExternalParamProfileApiService(ɵɵinject(HttpClient), ɵɵinject(BASE_URL)); }, token: ExternalParamProfileApiService, providedIn: "root" });
ExternalParamProfileApiService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
ExternalParamProfileApiService.ctorParameters = () => [
    { type: HttpClient },
    { type: String, decorators: [{ type: Inject, args: [BASE_URL,] }] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class ProfileApiService extends BaseHttpClient {
    constructor(http, baseUrl) {
        super(http, baseUrl + '/profiles');
    }
    getAllByParams(params, headers) {
        return super.getAllByParams(params, headers);
    }
    getAllPaginated(pageRequest, embedded, headers) {
        return super.getAllPaginated(pageRequest, embedded, headers);
    }
    getOne(id, headers) {
        return super.getOne(id, headers);
    }
    getOneWithEmbedded(id, embedded, headers) {
        return super.getOneWithEmbedded(id, embedded, headers);
    }
    checkExistsByParam(params, headers) {
        return super.checkExistsByParam(params, headers);
    }
    create(profile, headers) {
        return super.create(profile, headers);
    }
    patch(data, headers) {
        return super.patch(data, headers);
    }
    getLevels(query, headers) {
        let params = new HttpParams();
        if (query) {
            params = params.set('criteria', JSON.stringify(query));
        }
        return this.http.get(this.apiUrl + '/levels', { params, headers });
    }
}
ProfileApiService.ɵprov = ɵɵdefineInjectable({ factory: function ProfileApiService_Factory() { return new ProfileApiService(ɵɵinject(HttpClient), ɵɵinject(BASE_URL)); }, token: ProfileApiService, providedIn: "root" });
ProfileApiService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
ProfileApiService.ctorParameters = () => [
    { type: HttpClient },
    { type: String, decorators: [{ type: Inject, args: [BASE_URL,] }] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class SubrogationApiService extends BaseHttpClient {
    constructor(http, baseUrl, authService) {
        super(http, baseUrl + '/subrogations');
        this.authService = authService;
    }
    getAllByParams(params, headers) {
        return super.getAllByParams(params, headers);
    }
    getOne(id, headers) {
        return super.getOne(id, headers);
    }
    getMySubrogationAsSuperuser() {
        const headers = new HttpHeaders({ 'X-Tenant-Id': this.authService.getAnyTenantIdentifier() });
        return this.http.get(this.apiUrl + '/me/superuser', { headers });
    }
    getMySubrogationAsSurrogate() {
        const headers = new HttpHeaders({ 'X-Tenant-Id': this.authService.getAnyTenantIdentifier() });
        return this.http.get(this.apiUrl + '/me/surrogate', { headers });
    }
    accept(id) {
        return this.http.patch(this.apiUrl + '/surrogate/accept/' + id, {});
    }
    decline(id) {
        return this.http.delete(this.apiUrl + '/surrogate/decline/' + id);
    }
    create(subrogation, headers) {
        return super.create(subrogation, headers);
    }
    delete(id) {
        return this.http.delete(this.apiUrl + '/' + id);
    }
    getGroupById(id, headers) {
        const params = new HttpParams();
        return this.http.get(this.apiUrl + '/groups/' + id, { params, headers });
    }
}
SubrogationApiService.ɵprov = ɵɵdefineInjectable({ factory: function SubrogationApiService_Factory() { return new SubrogationApiService(ɵɵinject(HttpClient), ɵɵinject(BASE_URL), ɵɵinject(AuthService)); }, token: SubrogationApiService, providedIn: "root" });
SubrogationApiService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
SubrogationApiService.ctorParameters = () => [
    { type: HttpClient },
    { type: String, decorators: [{ type: Inject, args: [BASE_URL,] }] },
    { type: AuthService }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const APPLICATION_TRANSLATE_PATH = 'APPLICATION';
class AppGuard {
    constructor(authService, startupService, titleService, globalEventService, location, translateService) {
        this.authService = authService;
        this.startupService = startupService;
        this.titleService = titleService;
        this.globalEventService = globalEventService;
        this.location = location;
        this.translateService = translateService;
    }
    canActivate(next) {
        if (!next.data.hasOwnProperty('appId')) {
            console.error('AppGuard Error: Missing "appId" property in route declaration. Please add the property to the route\'s data');
            return false;
        }
        const appId = next.data.appId;
        const foundAppProfile = this.authService.user.profileGroup.profiles.find((profile) => profile.applicationName === appId);
        if (!foundAppProfile) {
            this.location.href = this.startupService.getPortalUrl();
            return false;
        }
        this.startupService.CURRENT_APP_ID = appId;
        this.translateService.get(APPLICATION_TRANSLATE_PATH + '.' + appId + '.NAME').subscribe((translatedAppName) => {
            this.titleService.setTitle(translatedAppName);
        });
        // set user default tenant Identifier whenever we switch pages
        this.startupService.setTenantIdentifier();
        // emit page change event
        this.globalEventService.pageEvent.next(appId);
        return true;
    }
}
AppGuard.ɵprov = ɵɵdefineInjectable({ factory: function AppGuard_Factory() { return new AppGuard(ɵɵinject(AuthService), ɵɵinject(StartupService), ɵɵinject(Title), ɵɵinject(GlobalEventService), ɵɵinject(WINDOW_LOCATION), ɵɵinject(TranslateService)); }, token: AppGuard, providedIn: "root" });
AppGuard.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
AppGuard.ctorParameters = () => [
    { type: AuthService },
    { type: StartupService },
    { type: Title },
    { type: GlobalEventService },
    { type: undefined, decorators: [{ type: Inject, args: [WINDOW_LOCATION,] }] },
    { type: TranslateService }
];

class AuthGuard {
    constructor(authService) {
        this.authService = authService;
    }
    canActivate() {
        return !!this.authService.user;
    }
}
AuthGuard.ɵprov = ɵɵdefineInjectable({ factory: function AuthGuard_Factory() { return new AuthGuard(ɵɵinject(AuthService)); }, token: AuthGuard, providedIn: "root" });
AuthGuard.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
AuthGuard.ctorParameters = () => [
    { type: AuthService }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class ApplicationSelectContentComponent {
    constructor(authService) {
        this.authService = authService;
        this.applicationSelected = new EventEmitter();
    }
    set applications(applications) {
        this._applications = applications;
        this.checkTenantNumberByApp(this.applications);
        if (this._categories) {
            this.computeAppCategories();
        }
    }
    get applications() { return this._applications; }
    set categories(categories) {
        this._categories = categories;
        if (this._applications) {
            this.computeAppCategories();
        }
    }
    get categories() { return this._categories; }
    get target() { return '_blank'; }
    checkTenantNumberByApp(apps) {
        apps.forEach((application) => {
            const app = this.authService.user.tenantsByApp.find((appToTest) => appToTest.name === application.id);
            if (app) {
                application.hasTenantList = app.tenants && app.tenants.length > 1 && application.hasTenantList;
            }
        });
    }
    computeAppCategories() {
        const sortedApps = this._applications.sort((app1, app2) => app1.position - app2.position);
        this.categoryList = [];
        const ids = [];
        const defaultCategory = {
            id: 'default',
            title: 'Autres',
            displayTitle: true,
            order: 99,
            applications: []
        };
        this.categoryList.push(defaultCategory);
        for (const id in this._categories) {
            if (!this._categories.hasOwnProperty(id) || id === 'default') {
                continue;
            }
            const category = this._categories[id];
            category.id = id;
            category.applications = [];
            this.categoryList.push(category);
            ids.push(id);
        }
        this.categoryList.forEach(category => {
            if (category.id === 'default') {
                category.applications = sortedApps.filter((app) => !ids.includes(app.category));
            }
            else {
                category.applications = sortedApps.filter((app) => app.category === category.id);
            }
        });
        this.categoryList = this.categoryList.sort((c1, c2) => c1.order - c2.order);
    }
    selectApp(value) {
        this.applicationSelected.emit(value);
    }
}
ApplicationSelectContentComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-application-select-content',
                template: "<ng-template ngFor let-category [ngForOf]=\"categoryList\">\n  <div *ngIf=\"category.applications.length > 0 && category.displayTitle\"\n       class=\"row category-header\" [class.modal-category]=\"isModalMenu\">{{ category.title }}</div>\n  <div class=\"app-container\" [class.modal-container]=\"isModalMenu\">\n    <div class=\"row\">\n      <vitamui-common-menu-tile class=\"col-sm-12 col-md-6 col-lg-4 col-xl-4\"\n                                *ngFor=\"let app of category.applications\" [application]=\"app\" [isModalMenu]=\"isModalMenu\"\n                                (appSelect)=\"selectApp($event)\"></vitamui-common-menu-tile>\n    </div>\n  </div>\n</ng-template>\n",
                styles: [".app-container{margin-bottom:20px}.modal-container{margin-bottom:16px;margin-top:9px}.ext-app-container{margin-bottom:20px}.category-header{color:#474d4a;font-size:20px;padding-bottom:10px;padding-left:25px}.modal-category{font-size:16px;padding-left:20px}"]
            },] }
];
ApplicationSelectContentComponent.ctorParameters = () => [
    { type: AuthService }
];
ApplicationSelectContentComponent.propDecorators = {
    isModalMenu: [{ type: Input }],
    applications: [{ type: Input }],
    categories: [{ type: Input }],
    applicationSelected: [{ type: Output }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class TooltipComponent {
    constructor(
    // using any instead of @Inject(VITAMUI_TOOLTIP_MESSAGE) public config:
    // { message: string, tooltipClass: Observable<string> } to prevent packaging problems
    config, changeDetectorRef) {
        this.config = config;
        this.changeDetectorRef = changeDetectorRef;
        this.config.tooltipClass.subscribe((tooltipClass) => {
            this.tooltipClass = tooltipClass;
            this.changeDetectorRef.detectChanges();
        });
    }
}
TooltipComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-tooltip',
                template: "<div class=\"vitamui-tooltip\" @tooltipAnimation [ngClass]=\"tooltipClass\">\n  <div class=\"vitamui-tooltip-content\">{{ config?.message }}</div>\n  <div class=\"vitamui-tooltip-icon\"><i class=\"vitamui-icon vitamui-icon-light-bulb\"></i></div>\n</div>\n\n\n",
                animations: [
                    tooltipAnimation,
                ],
                changeDetection: ChangeDetectionStrategy.OnPush,
                styles: [""]
            },] }
];
TooltipComponent.ctorParameters = () => [
    { type: undefined, decorators: [{ type: Inject, args: [VITAMUI_TOOLTIP_MESSAGE,] }] },
    { type: ChangeDetectorRef }
];

class TooltipRef {
    constructor(overlayRef) {
        this.overlayRef = overlayRef;
    }
    close() {
        this.overlayRef.dispose();
    }
}

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const DEFAULT_CONFIG = {
    hasBackdrop: true,
    backdropClass: 'transparent-backdrop'
};
class TooltipService {
    constructor(injector, overlay) {
        this.injector = injector;
        this.overlay = overlay;
        this.closeTooltip = new Subject();
    }
    open(origin, component, config = {}) {
        const overlayConfig = Object.assign(Object.assign({}, DEFAULT_CONFIG), config);
        const overlayRef = this.createOverlay(origin, overlayConfig);
        const dialogRef = new TooltipRef(overlayRef);
        this.attachDialogContainer(overlayRef, config, component, dialogRef);
        overlayRef.backdropClick().subscribe((_) => dialogRef.close());
        return dialogRef;
    }
    getOverlayConfig(origin, config) {
        const positionStrategy = this.overlay.position()
            .flexibleConnectedTo(origin)
            .withPositions([{ originX: 'end', originY: 'bottom', overlayX: 'center', overlayY: 'top' }]);
        const overlayConfig = new OverlayConfig({
            hasBackdrop: config.hasBackdrop,
            backdropClass: config.backdropClass,
            scrollStrategy: this.overlay.scrollStrategies.reposition(),
            positionStrategy: config.positionStrategy || positionStrategy
        });
        return overlayConfig;
    }
    createOverlay(origin, config) {
        const overlayConfig = this.getOverlayConfig(origin, config);
        return this.overlay.create(overlayConfig);
    }
    attachDialogContainer(overlayRef, config, component, dialogRef) {
        const injector = this.createInjector(config, dialogRef);
        const containerPortal = new ComponentPortal(component, null, injector);
        const containerRef = overlayRef.attach(containerPortal);
        return containerRef.instance;
    }
    createInjector(config, tooltipRef) {
        const injectionTokens = new WeakMap();
        injectionTokens.set(TooltipRef, tooltipRef);
        injectionTokens.set(VITAMUI_TOOLTIP_MESSAGE, { message: config.message, tooltipClass: config.tooltipClass });
        return new PortalInjector(this.injector, injectionTokens);
    }
    close() {
        this.closeTooltip.next();
    }
    closingTooltip() {
        return this.closeTooltip.asObservable();
    }
}
TooltipService.ɵprov = ɵɵdefineInjectable({ factory: function TooltipService_Factory() { return new TooltipService(ɵɵinject(INJECTOR), ɵɵinject(Overlay)); }, token: TooltipService, providedIn: "root" });
TooltipService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
TooltipService.ctorParameters = () => [
    { type: Injector },
    { type: Overlay }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class TooltipDirective {
    constructor(tooltipService, elementRef, positionBuilder) {
        this.tooltipService = tooltipService;
        this.elementRef = elementRef;
        this.positionBuilder = positionBuilder;
        // Delay in MS
        this.vitamuiCommonTooltipShowDelay = 0;
    }
    showTooltip() {
        this.timerSub = timer(this.vitamuiCommonTooltipShowDelay).subscribe(() => {
            const positionStrategy = this.positionBuilder
                .flexibleConnectedTo(this.elementRef)
                .withTransformOriginOn('.vitamui-tooltip')
                .withPositions([
                { originX: 'center', originY: 'bottom', overlayX: 'start', overlayY: 'top' },
                { originX: 'center', originY: 'top', overlayX: 'start', overlayY: 'bottom' },
                { originX: 'center', originY: 'bottom', overlayX: 'end', overlayY: 'top' },
                { originX: 'center', originY: 'top', overlayX: 'end', overlayY: 'bottom' },
            ]);
            const tooltipClass$ = positionStrategy.positionChanges.pipe(map((position) => {
                const tooltipClasses = [];
                if (position.connectionPair.overlayY === 'bottom') {
                    tooltipClasses.push('vitamui-tooltip-bottom');
                }
                else if (position.connectionPair.overlayY === 'top') {
                    tooltipClasses.push('vitamui-tooltip-top');
                }
                if (position.connectionPair.overlayX === 'start') {
                    tooltipClasses.push(' vitamui-tooltip-start');
                }
                else if (position.connectionPair.overlayX === 'end') {
                    tooltipClasses.push(' vitamui-tooltip-end');
                }
                return tooltipClasses;
            }), distinctUntilChanged());
            this.tooltipRef = this.tooltipService.open(this.elementRef, TooltipComponent, {
                hasBackdrop: false,
                message: this.vitamuiCommonTooltip,
                positionStrategy,
                tooltipClass: tooltipClass$
            });
        });
    }
    hidetooltip() {
        this.closeTooltip();
    }
    ngOnDestroy() {
        this.closeTooltip();
    }
    closeTooltip() {
        if (this.tooltipRef) {
            this.tooltipRef.close();
        }
        if (this.timerSub) {
            this.timerSub.unsubscribe();
            this.timerSub = null;
        }
    }
}
TooltipDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonTooltip]'
            },] }
];
TooltipDirective.ctorParameters = () => [
    { type: TooltipService },
    { type: ElementRef },
    { type: OverlayPositionBuilder }
];
TooltipDirective.propDecorators = {
    vitamuiCommonTooltip: [{ type: Input }],
    vitamuiCommonTooltipShowDelay: [{ type: Input }],
    showTooltip: [{ type: HostListener, args: ['mouseenter',] }],
    hidetooltip: [{ type: HostListener, args: ['mouseleave',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class TooltipModule {
}
TooltipModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                ],
                declarations: [TooltipDirective, TooltipComponent],
                exports: [TooltipDirective],
                entryComponents: [TooltipComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUIMenuTileComponent {
    constructor(startupService) {
        this.startupService = startupService;
        this.sameApp = false;
        this.appSelect = new EventEmitter();
    }
    set application(application) {
        this._application = application;
    }
    get application() {
        return this._application;
    }
    ngOnInit() {
        this.url = this._application.url;
        const uiUrl = this.startupService.getConfigStringValue('UI_URL');
        // to handle single domains we need to remove sameApp feature from portal
        if (((this._application.url.startsWith(uiUrl)) && this.startupService.getPortalUrl() !== uiUrl)
            || (!this._application.url.startsWith('http://') && !this._application.url.startsWith('https://'))) {
            this.sameApp = true;
            this.url = this._application.url.replace(uiUrl, '');
        }
    }
    appSelected() {
        this.appSelect.emit();
    }
}
VitamUIMenuTileComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-menu-tile',
                template: "<a [href]=\"url\" *ngIf=\"!sameApp\" (click)=\"appSelected()\">\n  <ng-container *ngTemplateOutlet=\"button\"></ng-container>\n</a>\n<a [routerLink]=\"url\" *ngIf=\"sameApp\" (click)=\"appSelected()\">\n  <ng-container *ngTemplateOutlet=\"button\"></ng-container>\n</a>\n\n<ng-template #button>\n  <div class=\"app-box clickable archive-tile category-app\" [class.modal-app-box]=\"isModalMenu\"\n    [class.archive-tile]=\"application?.identifier === 'ARCHIVE_APP'\"\n    [class.settings-app]=\"application?.identifier=== 'settings'\"\n    [class.admin-app]=\"application?.identifier === 'administrators'\" [class.user-app]=\"application?.identifier === 'users'\"\n    [class.ingest-app]=\"application?.identifier === 'ingests'\"\n    [class.highlight]=\"application?.hasHighlight\" [vitamuiCommonTooltip]=\"application?.tooltip\"\n    [vitamuiCommonTooltipShowDelay]=\"800\" id=\"{{ application.identifier }}\">\n\n    <i [ngClass]=\"application?.icon\"></i>{{ application?.name }} <i\n      *ngIf=\"application?.hasCustomerList || application?.hasTenantList\"\n      class=\"material-icons chevron-icon\">chevron_right</i>\n  </div>\n</ng-template>\n",
                styles: [".app-box{align-items:center;background:#fff;border-radius:10px;box-sizing:border-box;color:#474747;display:flex;font-size:17px;font-style:medium;font-weight:500;height:90px;margin-bottom:24px;padding-bottom:26px;padding-left:23px;padding-top:25px;transition:box-shadow .24s ease-out}.app-box:not(.disabled),.app-box:not(:disabled){box-shadow:0 2px 8px rgba(var(--vitamui-grey-rgb),.2),0 4px 16px rgba(var(--vitamui-grey-rgb),.05)}.app-box:not(.disabled):hover,.app-box:not(:disabled):hover{box-shadow:0 4px 16px rgba(var(--vitamui-grey-rgb),.2),0 8px 32px rgba(var(--vitamui-grey-rgb),.05)}.app-box:not(.disabled) .active,.app-box:not(.disabled):focus,.app-box:not(:disabled) .active,.app-box:not(:disabled):focus{box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}.app-box.disabled,.app-box:disabled{box-shadow:none!important}.app-box i{font-size:42px;margin-right:15px}.category-app i{color:var(--vitamui-primary)}.category-app i.chevron-icon{font-size:24px;margin-left:auto}.category-app.highlight{border:1px solid var(--vitamui-primary)}.chevron-icon{font-size:24px;margin-left:auto}.archive-tile{background-color:var(--vitamui-primary);color:#fff}.archive-tile i{color:#fff}.modal-app-box{font-size:14px;height:60px}.modal-app-box i{font-size:30px}a{text-decoration:none}"]
            },] }
];
VitamUIMenuTileComponent.ctorParameters = () => [
    { type: StartupService }
];
VitamUIMenuTileComponent.propDecorators = {
    isModalMenu: [{ type: Input }],
    application: [{ type: Input }],
    appSelect: [{ type: Output }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUIMenuTileModule {
}
VitamUIMenuTileModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    TooltipModule,
                    RouterModule
                ],
                declarations: [VitamUIMenuTileComponent],
                exports: [VitamUIMenuTileComponent],
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class ApplicationSelectContentModule {
}
ApplicationSelectContentModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    HttpClientModule,
                    RouterModule,
                    VitamUIMenuTileModule,
                ],
                declarations: [ApplicationSelectContentComponent],
                exports: [ApplicationSelectContentComponent],
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class BlankComponent {
    constructor(route) {
        this.route = route;
        this.hideTenantMenu = true;
        this.hideCustomerMenu = true;
        this.route.data.subscribe((data) => {
            this.appId = data.appId;
        });
    }
}
BlankComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-blank',
                template: "<div class=\"vitamui-header\">\n  <div class=\"vitamui-container\">\n      <vitamui-common-navbar [appId]=\"appId\" [hideTenantMenu]=\"hideTenantMenu\" [hideCustomerMenu]=\"hideCustomerMenu\"></vitamui-common-navbar>\n  </div>\n</div>\n",
                styles: [""]
            },] }
];
BlankComponent.ctorParameters = () => [
    { type: ActivatedRoute }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CancelledSnackBarComponent {
    constructor(matSnackBarRef) {
        this.matSnackBarRef = matSnackBarRef;
    }
    close() {
        this.matSnackBarRef.dismiss();
    }
}
CancelledSnackBarComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-cancelled-snack-bar',
                template: "<div class=\"vitamui-snack-bar-container\">\n\n  <span class=\"vitamui-snack-bar-content\">\n    <i class=\"material-icons\">info</i>  <span class=\"cancelled-label\">{{'DOWNLOAD.CANCELLED' | translate}}</span>\n  </span>\n\n  <button class=\"close-btn\" (click)=\"close()\"><i class=\"material-icons\">clear</i></button>\n\n</div>\n",
                styles: [".cancelled-label{padding:15px}"]
            },] }
];
CancelledSnackBarComponent.ctorParameters = () => [
    { type: MatSnackBarRef }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CollapseComponent {
    constructor() {
        this.classCollapseContainer = true;
        this.collapseState = 'expanded';
    }
    ngOnInit() {
    }
    toggle() {
        this.collapseState = this.collapseState === 'expanded' ? 'collapsed' : 'expanded';
    }
}
CollapseComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-collapse',
                template: "<div class=\"collapse-title\" (click)=\"toggle()\">\n    <i class=\"material-icons\" [@rotate90Animation]=\"collapseState\">keyboard_arrow_down</i> {{collapseTitle}}\n</div>\n<div class=\"collapse-content\" [@collapseAnimation]=\"collapseState\"><ng-content></ng-content></div>\n",
                exportAs: 'vitamuiCommonCollapse',
                animations: [
                    collapseAnimation,
                    rotate90Animation,
                ],
                styles: [":host.collapse-container .collapse-title{cursor:pointer;margin-bottom:10px;width:100%}:host.collapse-container .collapse-content{overflow:hidden}"]
            },] }
];
CollapseComponent.ctorParameters = () => [];
CollapseComponent.propDecorators = {
    classCollapseContainer: [{ type: HostBinding, args: ['class.collapse-container',] }],
    collapseTitle: [{ type: Input }],
    collapseState: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CollapseModule {
}
CollapseModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                ],
                declarations: [CollapseComponent],
                exports: [CollapseComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class ClosePopupDialogComponent {
    constructor() { }
    ngOnInit() {
    }
}
ClosePopupDialogComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-close-popup-dialog',
                template: "<vitamui-common-confirm-dialog\n  [dialogTitle]=\"'COMMON.UNDO_MODAL.TITLE' | translate\"\n  [confirmLabel]=\"'COMMON.CLOSE' | translate\"\n  [cancelLabel]=\"'COMMON.BACK' | translate\"\n>\n  {{'COMMON.UNDO_MODAL.UNDO_MESSAGE' | translate}}\n</vitamui-common-confirm-dialog>\n",
                styles: [""]
            },] }
];
ClosePopupDialogComponent.ctorParameters = () => [];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class ConfirmDialogComponent {
    constructor() { }
    ngOnInit() {
    }
}
ConfirmDialogComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-confirm-dialog',
                template: "<h2 *ngIf=\"dialogTitle\" mat-dialog-title>{{ dialogTitle }}</h2>\n\n<mat-dialog-content><ng-content></ng-content></mat-dialog-content>\n\n<mat-dialog-actions>\n  <button class=\"btn primary\" [matDialogClose]=\"true\" cdkFocusInitial>\n    <ng-container>{{ confirmLabel ? confirmLabel : 'COMMON.CONFIRM' | translate }}</ng-container>\n  </button>\n  <button class=\"btn link\" [matDialogClose]=\"false\">\n    <ng-container>{{ cancelLabel ? cancelLabel : 'COMMON.BACK' | translate }}</ng-container>\n  </button>\n</mat-dialog-actions>\n",
                styles: [""]
            },] }
];
ConfirmDialogComponent.ctorParameters = () => [];
ConfirmDialogComponent.propDecorators = {
    dialogTitle: [{ type: Input }],
    cancelLabel: [{ type: Input }],
    confirmLabel: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class ConfirmDialogModule {
}
ConfirmDialogModule.decorators = [
    { type: NgModule, args: [{
                declarations: [ConfirmDialogComponent, ClosePopupDialogComponent],
                imports: [
                    CommonModule,
                    MatDialogModule,
                    TranslateModule
                ],
                exports: [ConfirmDialogComponent, ClosePopupDialogComponent],
                entryComponents: [ClosePopupDialogComponent]
            },] }
];

class ConfirmDialogService {
    constructor(matDialog) {
        this.matDialog = matDialog;
    }
    confirm(componentOrTemplateRef) {
        return this.matDialog.open(componentOrTemplateRef, { panelClass: 'vitamui-confirm-dialog' }).afterClosed().pipe(filter((result) => !!result));
    }
    // returns an observable that emits when escape is pressed
    listenToEscapeKeyPress(matDialogRef) {
        return matDialogRef.keydownEvents()
            .pipe(filter((event) => event.key === 'Escape' && !hasModifierKey(event)), tap((event) => event.preventDefault));
    }
    // Opens a confirmation dialog before closing the dialog
    confirmBeforeClosing(matDialogRef) {
        this.confirm(ClosePopupDialogComponent).subscribe(() => matDialogRef.close());
    }
}
ConfirmDialogService.ɵprov = ɵɵdefineInjectable({ factory: function ConfirmDialogService_Factory() { return new ConfirmDialogService(ɵɵinject(MatDialog)); }, token: ConfirmDialogService, providedIn: "root" });
ConfirmDialogService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
ConfirmDialogService.ctorParameters = () => [
    { type: MatDialog }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class DownloadSnackBarComponent {
    constructor(matDialog) {
        this.matDialog = matDialog;
        this.isCompressed = false;
        this.downloadCountMap = {
            '=1': 'DOWNLOAD.FILE_COMPRESSION.SINGULAR',
            other: 'DOWNLOAD.FILE_COMPRESSION.PLURAL',
        };
        this.downloadCountOverTotalMap = {
            '=1': 'DOWNLOAD.FILE_COMPRESSION_TOTAL.SINGULAR',
            other: 'DOWNLOAD.FILE_COMPRESSION_TOTAL.PLURAL',
        };
        // tslint:disable-next-line:variable-name
        this._cancel = new Subject();
    }
    initialize(isCompressed, count, total) {
        this.count = count;
        this.total = total;
        this.isCompressed = isCompressed;
        this.notDownloadable = total - count;
    }
    ngOnInit() {
    }
    confirmClose() {
        const dialogRef = this.matDialog.open(this.confirmDialog, { panelClass: 'vitamui-dialog' });
        dialogRef.afterClosed().pipe(filter((result) => !!result))
            .subscribe(() => this._cancel.next());
    }
    get cancel() {
        return this._cancel.asObservable();
    }
}
DownloadSnackBarComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-download-snack-bar',
                template: "<div class=\"download-bar-container\">\n\n  <div class=\"download-bar-content\">\n    <i class=\"vitamui-icon vitamui-icon-download\"></i>\n    <div *ngIf=\"isCompressed\" class=\"download-label\">\n      {{ count | i18nPlural: downloadCountMap | translate: { count: count } }}\n      <ng-container *ngIf=\"count !== total\">\n        {{ notDownloadable | i18nPlural: downloadCountOverTotalMap | translate: { total: total, count: notDownloadable } }}\n      </ng-container>\n    </div>\n    <div *ngIf=\"!isCompressed\" class=\"download-label\">\n      {{'DOWNLOAD.FILE_GENERATION' | translate}}\n    </div>\n    <div class=\"download-progress-bar-container\">\n      <mat-progress-bar class=\"download-progress-bar\" mode=\"indeterminate\"></mat-progress-bar>\n    </div>\n    <button class=\"cancel-link\" (click)=\"confirmClose()\">{{'DOWNLOAD.CANCEL_ACTION' | translate}}</button>\n  </div>\n\n  <button class=\"close-btn\" (click)=\"confirmClose()\"><i class=\"material-icons\">clear</i></button>\n\n</div>\n\n<ng-template #confirmDialog>\n  <mat-dialog-content>\n    <p>{{'DOWNLOAD.CONFIRM_CANCEL_ACTION' | translate}}</p>\n  </mat-dialog-content>\n  <mat-dialog-actions align=\"end\">\n    <button [matDialogClose]=\"true\" class=\"btn primary\">{{'COMMON.CONFIRM' | translate}}</button>\n    <button matDialogClose class=\"btn cancel link ml-3 mr-1\">{{'COMMON.BACK' | translate}}</button>\n  </mat-dialog-actions>\n</ng-template>",
                styles: [":host{background:var(--vitamui-primary);padding:14px 24px;width:100%}.download-label{padding:15px}.download-bar-container{align-items:center;display:flex;height:100%;justify-content:space-between}.download-bar-content{align-items:center;color:#fff;display:flex;flex-grow:1;font-size:14px;font-weight:700;justify-content:flex-start}.download-bar-content>i.material-icons{margin-right:10px}.download-progress-bar-container{max-width:300px;padding:0 15px;width:100%}.cancel-link{background:none;border:none;color:#fff;cursor:pointer;font-size:14px;font-weight:700;outline:none;padding:10px;text-decoration:underline}"]
            },] }
];
DownloadSnackBarComponent.ctorParameters = () => [
    { type: MatDialog }
];
DownloadSnackBarComponent.propDecorators = {
    confirmDialog: [{ type: ViewChild, args: ['confirmDialog', { static: true },] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUIFieldErrorComponent {
    constructor() {
        this.show = false;
    }
}
VitamUIFieldErrorComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-field-error',
                template: `<div *ngIf="show" @slideDownAnimation><ng-content></ng-content></div>`,
                animations: [
                    slideDownAnimation
                ],
                styles: [""]
            },] }
];
VitamUIFieldErrorComponent.propDecorators = {
    errorKey: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
// tslint:disable-next-line:directive-class-suffix
class EditableFieldComponent {
    constructor(elementRef) {
        this.elementRef = elementRef;
        this.editOpen = new EventEmitter();
        this.editClose = new EventEmitter();
        this.readonly = false;
        this.control = new FormControl();
        this.editMode = false;
        this.positions = [
            {
                originX: 'end',
                originY: 'center',
                overlayX: 'start',
                overlayY: 'center'
            },
            {
                originX: 'end',
                originY: 'bottom',
                overlayX: 'end',
                overlayY: 'top'
            },
            {
                originX: 'end',
                originY: 'top',
                overlayX: 'end',
                overlayY: 'bottom'
            },
        ];
        this.onChange = (_) => { };
        this.onTouched = () => { };
    }
    set disabled(disabled) {
        this._disabled = disabled;
        this.readonly = this._disabled;
    }
    get disabled() { return this._disabled; }
    set validator(validator) {
        this.control.setValidators(validator);
        this.control.setErrors(null);
    }
    set asyncValidator(asyncValidator) {
        this.control.setAsyncValidators(asyncValidator);
        this.control.setErrors(null);
    }
    get showSpinner() { return this.control.pending && this.control.dirty; }
    get canConfirm() { return this.editMode && !this.control.pending && this.control.valid && this.control.dirty; }
    ngAfterContentInit() {
        this.control.statusChanges.subscribe(() => {
            this.errors.forEach((error) => {
                error.show = this.control.errors ? !!this.control.errors[error.errorKey] : false;
            });
        });
    }
    writeValue(value) {
        this.control.reset(value, { emitEvent: false });
        this.originValue = value;
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(disabled) {
        this.disabled = disabled;
    }
    enterEditMode() {
        this.editMode = true;
    }
    onEscape(event) {
        event.preventDefault();
        this.cancel();
    }
    onEnter(event) {
        event.preventDefault();
        this.confirm();
    }
    onClick(target) {
        if (!this.editMode) {
            return;
        }
        const overlayRef = this.cdkConnectedOverlay.overlayRef;
        if (this.isInside(target, this.elementRef.nativeElement) || this.isInside(target, overlayRef.hostElement)) {
            return;
        }
        this.cancel();
    }
    confirm() {
        if (!this.canConfirm) {
            return;
        }
        this.editMode = false;
        this.onChange(this.control.value);
        this.originValue = this.control.value;
        this.control.reset(this.originValue);
    }
    cancel() {
        if (!this.editMode) {
            return;
        }
        this.editMode = false;
        this.control.reset(this.originValue);
    }
    isInside(target, element) {
        return element && (target === element || element.contains(target));
    }
}
EditableFieldComponent.decorators = [
    { type: Directive }
];
EditableFieldComponent.ctorParameters = () => [
    { type: ElementRef }
];
EditableFieldComponent.propDecorators = {
    label: [{ type: Input }],
    disabled: [{ type: Input }],
    validator: [{ type: Input }],
    asyncValidator: [{ type: Input }],
    editOpen: [{ type: Output }],
    editClose: [{ type: Output }],
    cdkConnectedOverlay: [{ type: ViewChild, args: [CdkConnectedOverlay,] }],
    errors: [{ type: ContentChildren, args: [VitamUIFieldErrorComponent,] }],
    readonly: [{ type: HostBinding, args: ['class.readonly',] }],
    onEscape: [{ type: HostListener, args: ['document:keydown.escape', ['$event'],] }],
    onEnter: [{ type: HostListener, args: ['document:keydown.enter', ['$event'],] }],
    onClick: [{ type: HostListener, args: ['document:click', ['$event.target'],] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const moment = moment_;
const EDITABLE_DURATION_INPUT_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => EditableDurationInputComponent),
    multi: true
};
class EditableDurationInputComponent extends EditableFieldComponent {
    constructor(formBuilder, elementRef) {
        super(elementRef);
        this.delaySlaForm = formBuilder.group({
            days: [null],
            hours: [null],
            minutes: [null]
        });
        this.delaySlaForm.valueChanges.subscribe((delayData) => {
            const newDuration = moment.duration(delayData).toISOString();
            this.control.setValue(newDuration);
            this.control.markAsDirty();
        });
    }
    writeValue(value) {
        this.control.reset(value, { emitEvent: false });
        this.originValue = value;
        if (value) {
            const momentDuration = moment.duration(value);
            this.delaySlaForm.get('days').reset(momentDuration.days() || null, { emitEvent: false });
            this.delaySlaForm.get('hours').reset(momentDuration.hours() || null, { emitEvent: false });
            this.delaySlaForm.get('minutes').reset(momentDuration.minutes() || null, { emitEvent: false });
        }
    }
    onClick(target) {
        if (!this.editMode) {
            return;
        }
        const overlayRef = this.cdkConnectedOverlay.overlayRef;
        if (this.isInside(target, this.elementRef.nativeElement) ||
            this.isInside(target, overlayRef.hostElement)) {
            return;
        }
        this.cancel();
    }
}
EditableDurationInputComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-duration-input',
                template: "<ng-container *ngIf=\"!disabled\">\n    <div class=\"editable-field-wrapper\" cdkOverlayOrigin #origin=\"cdkOverlayOrigin\">\n        <div class=\"vitamui-input editable-field\" [class.edit-mode]=\"editMode\" (click)=\"enterEditMode()\">\n            <div class=\"editable-field-content\">\n                <label>{{label}}</label>\n                <span class=\"editable-field-text-content\">{{ control?.value | humanizedDuration}}</span>\n                <div class=\"editable-field-control vitamui-duration-input\" [formGroup]=\"delaySlaForm\">\n                    <input type=\"number\" class=\"days\" formControlName=\"days\" min=\"0\"/><div class=\"unit\">J</div>\n                    <input type=\"number\" class=\"hours\" formControlName=\"hours\" min=\"0\" max=\"23\"/><div class=\"unit\">H</div>\n                    <input type=\"number\" class=\"minutes\" formControlName=\"minutes\" min=\"0\" max=\"59\"/><div class=\"unit\">M</div>\n                </div>\n            </div>\n            <i *ngIf=\"!showSpinner && !editMode\" class=\"material-icons edit-icon\">edit</i>\n            <div *ngIf=\"showSpinner\">\n                <mat-spinner diameter=\"24\" color=\"accent\"></mat-spinner>\n            </div>\n        </div>\n    </div>\n\n    <div class=\"vitamui-input-errors\">\n        <ng-content select=\"vitamui-common-field-error\"></ng-content>\n    </div>\n\n    <ng-template\n        cdkConnectedOverlay\n        [cdkConnectedOverlayOpen]=\"editMode\"\n        [cdkConnectedOverlayOrigin]=\"origin\"\n        [cdkConnectedOverlayPositions]=\"positions\">\n        <div class=\"editable-field-actions\">\n            <button type=\"button\" class=\"editable-field-confirm\" (click)=\"confirm()\" [disabled]=\"!canConfirm\"><i class=\"material-icons\">check</i></button>\n            <button type=\"button\" class=\"editable-field-cancel\" (click)=\"cancel()\"><i class=\"material-icons\">clear</i></button>\n        </div>\n    </ng-template>\n\n</ng-container>\n\n<div *ngIf=\"disabled\" class=\"read-only-field\">\n    <label>{{ label }}</label>\n    <div>{{ control?.value | humanizedDuration}}</div>\n</div>\n",
                providers: [EDITABLE_DURATION_INPUT_VALUE_ACCESSOR],
                styles: [".vitamui-duration-input{margin-top:8px}.unit{align-items:center;background-color:var(--vitamui-grey-200);display:flex;height:25px;justify-content:center;width:25px}.unit>div{margin-left:5px;margin-top:11px}input{border:none}.days,.hours,.minutes{margin-left:30px;width:40px}"]
            },] }
];
EditableDurationInputComponent.ctorParameters = () => [
    { type: FormBuilder },
    { type: ElementRef }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const moment$1 = moment_;
class HumanizedDurationPipe {
    /**
     * Method allowing to transform a duration (ISOString)
     * @param value String value (ISOString) linked to a duration.
     * @returns The humanized value (not sensitive to the current locale).
     */
    transform(value) {
        if (!value) {
            return '';
        }
        const momentDuration = moment$1.duration(value);
        const days = momentDuration.days();
        const hours = momentDuration.hours();
        const minutes = momentDuration.minutes();
        return days + 'j ' + hours + 'h ' + minutes + 'mn';
    }
}
HumanizedDurationPipe.decorators = [
    { type: Pipe, args: [{
                name: 'humanizedDuration'
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const EDITABLE_EMAIL_INPUT_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => EditableEmailInputComponent),
    multi: true
};
class EditableEmailInputComponent extends EditableFieldComponent {
    constructor(formBuilder, elementRef) {
        super(elementRef);
        this.formEmail = formBuilder.group({
            emailFirstPart: null,
            domain: [null]
        });
        this.formEmail.valueChanges.subscribe((emailData) => {
            this.control.setValue(emailData.emailFirstPart + '@' + emailData.domain);
            this.control.markAsDirty();
        });
    }
    writeValue(value) {
        this.control.reset(value, { emitEvent: false });
        this.originValue = value;
        if (value) {
            const splittedEmail = value.split('@');
            this.formEmail.get('emailFirstPart').setValue(splittedEmail[0], { emitEvent: false });
            this.formEmail.get('domain').setValue(splittedEmail[1], { emitEvent: false });
        }
    }
    onClick(target) {
        if (!this.editMode) {
            return;
        }
        const overlayRef = this.cdkConnectedOverlay.overlayRef;
        const selectOverlayRef = this.select.overlayDir.overlayRef;
        if (this.isInside(target, this.elementRef.nativeElement) ||
            this.isInside(target, overlayRef.hostElement) ||
            this.isInside(target, selectOverlayRef ? selectOverlayRef.overlayElement : null) ||
            this.isInside(target, selectOverlayRef ? selectOverlayRef.backdropElement : null)) {
            return;
        }
        this.cancel();
    }
}
EditableEmailInputComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-email-input',
                template: "<div class=\"editable-field-wrapper\" *ngIf=\"!disabled\">\n\n  <div cdkOverlayOrigin #origin=\"cdkOverlayOrigin\">\n    <div class=\"vitamui-input editable-field\" [class.edit-mode]=\"editMode\" (click)=\"enterEditMode()\">\n      <div class=\"editable-field-content\">\n        <label>{{label}}</label>\n          <span class=\"editable-field-text-content\">{{control?.value}}</span>\n          <div class=\"editable-field-control align\" [formGroup]=\"formEmail\">\n            <input type=\"text\" formControlName=\"emailFirstPart\">\n            <span class=\"layer\">@</span>\n\n            <mat-form-field class=\"vitamui-mat-select vitamui-mat-select-mini\" >\n              <mat-select formControlName=\"domain\" required panelClass=\"vitamui-mat-select\" #select>\n                <mat-option value=\"{{domainTmp}}\" *ngFor=\"let domainTmp of domains; let index = index\">\n                  {{domainTmp}}\n                </mat-option>\n              </mat-select>\n              <div class=\"select-arrow\">\n                <i class=\"material-icons\">keyboard_arrow_up</i>\n                <i class=\"material-icons\">keyboard_arrow_down</i>\n              </div>\n            </mat-form-field>\n\n          </div>\n      </div>\n      <i *ngIf=\"!showSpinner && !editMode\" class=\"material-icons edit-icon\">edit</i>\n      <div *ngIf=\"showSpinner\">\n        <mat-spinner diameter=\"24\" color=\"accent\"></mat-spinner>\n      </div>\n    </div>\n  </div>\n\n  <div class=\"vitamui-input-errors\">\n    <ng-content select=\"vitamui-common-field-error\"></ng-content>\n  </div>\n\n  <ng-template\n    cdkConnectedOverlay\n    [cdkConnectedOverlayOpen]=\"editMode\"\n    [cdkConnectedOverlayOrigin]=\"origin\"\n    [cdkConnectedOverlayPositions]=\"positions\"\n  >\n    <div class=\"editable-field-actions\">\n      <button type=\"button\" class=\"editable-field-confirm\" (click)=\"confirm()\" [disabled]=\"!canConfirm\"><i class=\"material-icons\">check</i></button>\n      <button type=\"button\" class=\"editable-field-cancel\" (click)=\"cancel()\"><i class=\"material-icons\">clear</i></button>\n    </div>\n  </ng-template>\n\n</div>\n\n<div *ngIf=\"disabled\" class=\"read-only-field\">\n  <label>{{label}}</label>\n  <div>{{control?.value}}</div>\n</div>\n",
                providers: [EDITABLE_EMAIL_INPUT_VALUE_ACCESSOR],
                styles: [":host::ng-deep .mat-select-trigger{border-bottom:1px solid var(--vitamui-primary)}input{width:100%}mat-form-field{width:40%!important}.layer{color:var(--vitamui-grey-800);font-size:18px;font-weight:700;margin:0 .5rem}"]
            },] }
];
EditableEmailInputComponent.ctorParameters = () => [
    { type: FormBuilder },
    { type: ElementRef }
];
EditableEmailInputComponent.propDecorators = {
    select: [{ type: ViewChild, args: ['select',] }],
    domains: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const EDITABLE_FILE_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => EditableFileComponent),
    multi: true
};
class EditableFileComponent extends EditableFieldComponent {
    constructor(elementRef) {
        super(elementRef);
    }
    setFile(files) {
        this.file = files.item(0);
        this.control.setValue(this.file);
        this.control.markAsDirty();
    }
    cancel() {
        if (!this.editMode) {
            return;
        }
        this.file = null;
        this.fileInput.nativeElement.value = null;
        super.cancel();
    }
}
EditableFileComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-file',
                template: "<div class=\"editable-field-wrapper\" *ngIf=\"!disabled\">\n  <div cdkOverlayOrigin #origin=\"cdkOverlayOrigin\">\n    <div class=\"vitamui-input editable-field\" [class.edit-mode]=\"editMode\" (click)=\"enterEditMode()\">\n      <div class=\"editable-field-content\">\n        <label>{{label}}</label>\n          <span class=\"editable-field-text-content\">{{control?.value?.name}}</span>\n          <div class=\"editable-field-control\">\n            <div class=\"vitamui-input-file\">\n              <label for=\"vitamui-input-file\">\n                <span class=\"text primary underline\">{{'SHARED.EDITABLE_FIELD.UPLOAD_FILE' | translate}}</span>\n                <div class=\"vitamui-input-file-filename\">{{file?.name}}</div>\n              </label>\n              <input id=\"vitamui-input-file\" type=\"file\" [accept]=\"accept\" (change)=\"setFile($event.target.files)\" #fileInput>\n            </div>\n          </div>\n      </div>\n      <i *ngIf=\"!showSpinner && !editMode\" class=\"material-icons edit-icon\">edit</i>\n      <div *ngIf=\"showSpinner\">\n        <mat-spinner diameter=\"24\" color=\"accent\"></mat-spinner>\n      </div>\n    </div>\n  </div>\n\n  <div class=\"vitamui-input-errors\">\n    <ng-content select=\"vitamui-common-field-error\"></ng-content>\n  </div>\n\n  <ng-template\n    cdkConnectedOverlay\n    [cdkConnectedOverlayOpen]=\"editMode\"\n    [cdkConnectedOverlayOrigin]=\"origin\"\n    [cdkConnectedOverlayPositions]=\"positions\">\n    <div class=\"editable-field-actions\">\n      <button type=\"button\" class=\"editable-field-confirm\" (click)=\"confirm()\" [disabled]=\"!canConfirm\"><i class=\"material-icons\">check</i></button>\n      <button type=\"button\" class=\"editable-field-cancel\" (click)=\"cancel()\"><i class=\"material-icons\">clear</i></button>\n    </div>\n  </ng-template>\n</div>\n\n<div *ngIf=\"disabled\" class=\"read-only-field\">\n  <label>{{label}}</label>\n  <div>{{control?.value?.name}}</div>\n</div>",
                providers: [EDITABLE_FILE_VALUE_ACCESSOR]
            },] }
];
EditableFileComponent.ctorParameters = () => [
    { type: ElementRef }
];
EditableFileComponent.propDecorators = {
    accept: [{ type: Input }],
    fileInput: [{ type: ViewChild, args: ['fileInput',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const EDITABLE_INPUT_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => EditableInputComponent),
    multi: true
};
class EditableInputComponent extends EditableFieldComponent {
    constructor(elementRef) {
        super(elementRef);
        this.type = 'text';
    }
    enterEditMode() {
        super.enterEditMode();
        setTimeout(() => this.input.nativeElement.focus(), 0);
    }
}
EditableInputComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-input',
                template: "<div class=\"editable-field-wrapper\" *ngIf=\"!disabled\">\n  <div cdkOverlayOrigin #origin=\"cdkOverlayOrigin\">\n    <div class=\"vitamui-input editable-field\" [class.edit-mode]=\"editMode\" (click)=\"enterEditMode()\">\n      <div class=\"editable-field-content\">\n        <label>{{label}}</label>\n          <span class=\"editable-field-text-content\">{{control?.value}}</span>\n          <div class=\"editable-field-control\">\n            <input type=\"number\" [formControl]=\"control\" [maxlength]=\"maxlength\" #input *ngIf=\"type === 'number'\">\n            <input [type]=\"type\" [formControl]=\"control\" [maxlength]=\"maxlength\" #input *ngIf=\"type !== 'number'\">\n          </div>\n      </div>\n      <i *ngIf=\"!showSpinner && !editMode\" class=\"material-icons edit-icon\">edit</i>\n      <div *ngIf=\"showSpinner\">\n        <mat-spinner diameter=\"24\" color=\"accent\"></mat-spinner>\n      </div>\n    </div>\n  </div>\n\n  <div class=\"vitamui-input-errors\">\n    <ng-content select=\"vitamui-common-field-error\"></ng-content>\n  </div>\n\n  <ng-template\n    cdkConnectedOverlay\n    [cdkConnectedOverlayOpen]=\"editMode\"\n    [cdkConnectedOverlayOrigin]=\"origin\"\n    [cdkConnectedOverlayPositions]=\"positions\"\n  >\n    <div class=\"editable-field-actions\">\n      <button type=\"button\" class=\"editable-field-confirm\" (click)=\"confirm()\" [disabled]=\"!canConfirm\"><i class=\"material-icons\">check</i></button>\n      <button type=\"button\" class=\"editable-field-cancel\" (click)=\"cancel()\"><i class=\"material-icons\">clear</i></button>\n    </div>\n  </ng-template>\n\n</div>\n\n<div *ngIf=\"disabled\" class=\"read-only-field\">\n  <label>{{label}}</label>\n  <div class=\"value-display\">{{control?.value}}</div>\n</div>",
                providers: [EDITABLE_INPUT_VALUE_ACCESSOR],
                styles: [""]
            },] }
];
EditableInputComponent.ctorParameters = () => [
    { type: ElementRef }
];
EditableInputComponent.propDecorators = {
    maxlength: [{ type: Input }],
    type: [{ type: Input }],
    input: [{ type: ViewChild, args: ['input',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const EDITABLE_LEVEL_INPUT_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => EditableLevelInputComponent),
    multi: true
};
class EditableLevelInputComponent extends EditableFieldComponent {
    constructor(elementRef) {
        super(elementRef);
    }
}
EditableLevelInputComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-level-input',
                template: "<ng-container *ngIf=\"!disabled\">\n  <div class=\"editable-field-wrapper\" cdkOverlayOrigin #origin=\"cdkOverlayOrigin\">\n    <div class=\"vitamui-input editable-field\" [class.edit-mode]=\"editMode\" (click)=\"enterEditMode()\">\n      <div class=\"editable-field-content\">\n        <label>{{label}}</label>\n        <span class=\"editable-field-text-content\">\n          {{ control.value | subLevel:prefix }}\n        </span>\n        <div class=\"editable-field-control\">\n          <vitamui-common-level-input [formControl]=\"control\" [prefix]=\"prefix\" [isEditableComponent]=\"true\"></vitamui-common-level-input>\n        </div>\n      </div>\n      <i *ngIf=\"!editMode\" class=\"material-icons edit-icon\">edit</i>\n    </div>\n  </div>\n\n  <div class=\"vitamui-input-errors\"></div>\n\n  <ng-template cdkConnectedOverlay [cdkConnectedOverlayOpen]=\"editMode\" [cdkConnectedOverlayOrigin]=\"origin\"\n    [cdkConnectedOverlayPositions]=\"positions\">\n    <div class=\"editable-field-actions\">\n      <button type=\"button\" class=\"editable-field-confirm\" (click)=\"confirm()\" [disabled]=\"!canConfirm\"><i class=\"material-icons\">check</i></button>\n      <button type=\"button\" class=\"editable-field-cancel\" (click)=\"cancel()\"><i class=\"material-icons\">clear</i></button>\n    </div>\n  </ng-template>\n</ng-container>\n\n<div *ngIf=\"disabled\" class=\"read-only-field\">\n  <div>\n    <label>{{'LEVEL_INPUT.SUBLEVEL' | translate }}</label>\n    <div> <span>{{control.value | subLevel:prefix }}</span></div>\n  </div>\n</div>\n",
                providers: [EDITABLE_LEVEL_INPUT_VALUE_ACCESSOR],
                styles: [""]
            },] }
];
EditableLevelInputComponent.ctorParameters = () => [
    { type: ElementRef }
];
EditableLevelInputComponent.propDecorators = {
    prefix: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class SubLevelPipe {
    transform(level, userLevel) {
        return extractSubLevel(userLevel, level);
    }
}
SubLevelPipe.decorators = [
    { type: Pipe, args: [{
                name: 'subLevel'
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class EditableOptionComponent {
}
EditableOptionComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-option',
                template: ''
            },] }
];
EditableOptionComponent.propDecorators = {
    value: [{ type: Input }],
    content: [{ type: Input }],
    disabled: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const EDITABLE_SELECT_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => EditableSelectComponent),
    multi: true
};
class EditableSelectComponent extends EditableFieldComponent {
    constructor(matDialog, elementRef) {
        super(elementRef);
        this.matDialog = matDialog;
        this.showConfirmDialog = false;
    }
    content(value) {
        const found = this.options.find((option) => option.value === value);
        return found ? found.content : null;
    }
    onClick(target) {
        if (!this.editMode) {
            return;
        }
        const overlayRef = this.cdkConnectedOverlay.overlayRef;
        const selectOverlayRef = this.select.overlayDir.overlayRef;
        if (this.dialogRef ||
            this.isInside(target, this.elementRef.nativeElement) ||
            this.isInside(target, overlayRef.hostElement) ||
            this.isInside(target, selectOverlayRef ? selectOverlayRef.overlayElement : null) ||
            this.isInside(target, selectOverlayRef ? selectOverlayRef.backdropElement : null)) {
            return;
        }
        this.cancel();
    }
    confirm() {
        if (!this.canConfirm) {
            return;
        }
        if (this.showConfirmDialog) {
            this.dialogRef = this.matDialog.open(this.confirmDialog, { panelClass: 'vitamui-confirm-dialog' });
            this.dialogRef.afterClosed().pipe(filter((result) => !!result))
                .subscribe(() => {
                this.dialogRef = null;
                this.applyChange();
            });
        }
        else {
            this.dialogRef = null;
            this.applyChange();
        }
    }
    applyChange() {
        this.editMode = false;
        this.onChange(this.control.value);
        this.originValue = this.control.value;
        this.control.reset(this.originValue);
    }
    enterEditMode() {
        super.enterEditMode();
        setTimeout(() => this.select.open(), 0);
    }
}
EditableSelectComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-select',
                template: "<div class=\"editable-field-wrapper\" *ngIf=\"!disabled\">\n  <div cdkOverlayOrigin #origin=\"cdkOverlayOrigin\">\n    <div class=\"vitamui-input editable-field\" [class.edit-mode]=\"editMode\" (click)=\"enterEditMode()\">\n      <div class=\"editable-field-content\">\n        <label>{{label}}</label>\n          <span class=\"editable-field-text-content\">{{content(control?.value)}}</span>\n          <div class=\"editable-field-control\">\n            <mat-form-field class=\"vitamui-mat-select vitamui-mat-select-mini\">\n              <mat-select [formControl]=\"control\" panelClass=\"vitamui-mat-select\" #select>\n                <mat-option *ngFor=\"let option of options\" [value]=\"option?.value\" [disabled]=\"option?.disabled\">{{option?.content}}</mat-option>\n              </mat-select>\n              <div class=\"select-arrow\">\n                <i class=\"material-icons\">keyboard_arrow_up</i>\n                <i class=\"material-icons\">keyboard_arrow_down</i>\n              </div>\n            </mat-form-field>\n          </div>\n      </div>\n      <i *ngIf=\"!showSpinner && !editMode\" class=\"material-icons edit-icon\">edit</i>\n      <div *ngIf=\"showSpinner\">\n        <mat-spinner diameter=\"24\" color=\"accent\"></mat-spinner>\n      </div>\n    </div>\n  </div>\n\n  <div class=\"vitamui-input-errors\"></div>\n\n  <ng-template\n    cdkConnectedOverlay\n    [cdkConnectedOverlayOpen]=\"editMode\"\n    [cdkConnectedOverlayOrigin]=\"origin\"\n    [cdkConnectedOverlayPositions]=\"positions\"\n  >\n    <div class=\"editable-field-actions\">\n      <button type=\"button\" class=\"editable-field-confirm\" (click)=\"confirm()\" [disabled]=\"!canConfirm\"><i class=\"material-icons\">check</i></button>\n      <button type=\"button\" class=\"editable-field-cancel\" (click)=\"cancel()\"><i class=\"material-icons\">clear</i></button>\n    </div>\n  </ng-template>\n\n</div>\n\n<div *ngIf=\"disabled\" class=\"read-only-field\">\n  <label>{{label}}</label>\n  <div>{{content(control?.value)}}</div>\n</div>\n\n<ng-template #confirmDialog>\n  <vitamui-common-confirm-dialog\n    [dialogTitle]=\"confirmDialogTitle\"\n    [cancelLabel]=\"'COMMON.UNDO' | translate\"\n  >\n    <ng-container *ngIf=\"!confirmDialogMessage; else customContent\">{{'EDITABLE_SELECT.CONFIM_UPDATE' | translate}}</ng-container>\n    <ng-template #customContent>{{ confirmDialogMessage }}</ng-template>\n  </vitamui-common-confirm-dialog>\n</ng-template>\n",
                providers: [EDITABLE_SELECT_VALUE_ACCESSOR],
                styles: [".editable-field{height:60px}"]
            },] }
];
EditableSelectComponent.ctorParameters = () => [
    { type: MatDialog },
    { type: ElementRef }
];
EditableSelectComponent.propDecorators = {
    options: [{ type: ContentChildren, args: [EditableOptionComponent,] }],
    select: [{ type: ViewChild, args: ['select',] }],
    confirmDialog: [{ type: ViewChild, args: ['confirmDialog', { static: true },] }],
    showConfirmDialog: [{ type: Input }],
    confirmDialogMessage: [{ type: Input }],
    confirmDialogTitle: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const EDITABLE_TEXTAREA_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => EditableTextareaComponent),
    multi: true
};
class EditableTextareaComponent extends EditableFieldComponent {
    constructor(elementRef) {
        super(elementRef);
    }
    enterEditMode() {
        super.enterEditMode();
        setTimeout(() => this.input.nativeElement.focus(), 0);
    }
}
EditableTextareaComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-textarea',
                template: "<div class=\"editable-field-wrapper\" *ngIf=\"!disabled\">\n  <div cdkOverlayOrigin #origin=\"cdkOverlayOrigin\">\n    <div class=\"vitamui-input editable-field\" [class.edit-mode]=\"editMode\" (click)=\"enterEditMode()\">\n      <div class=\"editable-field-content\">\n        <label>{{label}}</label>\n          <span class=\"editable-field-text-content display-all\">{{control?.value}}</span>\n          <div class=\"editable-field-control\">\n            <textarea [formControl]=\"control\" [maxlength]=\"maxlength\" rows=\"3\" #input></textarea>\n          </div>\n      </div>\n      <i *ngIf=\"!showSpinner && !editMode\" class=\"material-icons edit-icon\">edit</i>\n      <div *ngIf=\"showSpinner\">\n        <mat-spinner diameter=\"24\" color=\"accent\"></mat-spinner>\n      </div>\n    </div>\n  </div>\n\n  <div class=\"vitamui-input-errors\">\n    <ng-content select=\"vitamui-common-field-error\"></ng-content>\n  </div>\n\n  <ng-template\n    cdkConnectedOverlay\n    [cdkConnectedOverlayOpen]=\"editMode\"\n    [cdkConnectedOverlayOrigin]=\"origin\"\n    [cdkConnectedOverlayPositions]=\"positions\"\n  >\n    <div class=\"editable-field-actions\">\n      <button type=\"button\" class=\"editable-field-confirm\" (click)=\"confirm()\" [disabled]=\"!canConfirm\"><i class=\"material-icons\">check</i></button>\n      <button type=\"button\" class=\"editable-field-cancel\" (click)=\"cancel()\"><i class=\"material-icons\">clear</i></button>\n    </div>\n  </ng-template>\n\n</div>\n\n<div *ngIf=\"disabled\" class=\"read-only-field\">\n  <label>{{label}}</label>\n  <div>{{control?.value}}</div>\n</div>\n",
                providers: [EDITABLE_TEXTAREA_VALUE_ACCESSOR],
                styles: [".editable-field-content .editable-field-text-content.display-all{white-space:normal}"]
            },] }
];
EditableTextareaComponent.ctorParameters = () => [
    { type: ElementRef }
];
EditableTextareaComponent.propDecorators = {
    maxlength: [{ type: Input }],
    input: [{ type: ViewChild, args: ['input',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class EditableButtonToggleComponent {
}
EditableButtonToggleComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-button-toggle',
                template: ''
            },] }
];
EditableButtonToggleComponent.propDecorators = {
    value: [{ type: Input }],
    content: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const EDITABLE_TOGGLE_GROUP_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => EditableToggleGroupComponent),
    multi: true
};
class EditableToggleGroupComponent extends EditableFieldComponent {
    constructor(elementRef) {
        super(elementRef);
    }
    content(value) {
        const found = this.buttons.find((button) => button.value === value);
        return found ? found.content : null;
    }
}
EditableToggleGroupComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-editable-toggle-group',
                template: "<div class=\"editable-field-wrapper\" *ngIf=\"!disabled\">\n  <div cdkOverlayOrigin #origin=\"cdkOverlayOrigin\">\n    <div class=\"vitamui-input editable-field\" [class.edit-mode]=\"editMode\" (click)=\"enterEditMode()\">\n      <div class=\"editable-field-content\">\n        <label>{{label}}</label>\n          <span class=\"editable-field-text-content\">{{content(control?.value)}}</span>\n          <div class=\"editable-field-control\">\n            <mat-button-toggle-group [formControl]=\"control\" class=\"vitamui-button-toggle-group\">\n              <mat-button-toggle *ngFor=\"let button of buttons\" [value]=\"button?.value\">{{button?.content}}</mat-button-toggle>\n            </mat-button-toggle-group>\n          </div>\n      </div>\n      <i *ngIf=\"!showSpinner && !editMode\" class=\"material-icons edit-icon\">edit</i>\n      <div *ngIf=\"showSpinner\">\n        <mat-spinner diameter=\"24\" color=\"accent\"></mat-spinner>\n      </div>\n    </div>\n  </div>\n\n  <div class=\"vitamui-input-errors\"></div>\n\n  <ng-template\n    cdkConnectedOverlay\n    [cdkConnectedOverlayOpen]=\"editMode\"\n    [cdkConnectedOverlayOrigin]=\"origin\"\n    [cdkConnectedOverlayPositions]=\"positions\">\n\n    <div class=\"editable-field-actions\">\n      <button type=\"button\" class=\"editable-field-confirm\" (click)=\"confirm()\" [disabled]=\"!canConfirm\"><i class=\"material-icons\">check</i></button>\n      <button type=\"button\" class=\"editable-field-cancel\" (click)=\"cancel()\"><i class=\"material-icons\">clear</i></button>\n    </div>\n  </ng-template>\n\n</div>\n\n<div *ngIf=\"disabled\" class=\"read-only-field\">\n  <label>{{label}}</label>\n  <div>{{content(control?.value)}}</div>\n</div>\n",
                providers: [EDITABLE_TOGGLE_GROUP_VALUE_ACCESSOR],
                styles: [".editable-field-control{margin-top:15px}"]
            },] }
];
EditableToggleGroupComponent.ctorParameters = () => [
    { type: ElementRef }
];
EditableToggleGroupComponent.propDecorators = {
    buttons: [{ type: ContentChildren, args: [EditableButtonToggleComponent,] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const EMAILS_INPUT_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => EmailsInputComponent),
    multi: true
};
class EmailsInputComponent {
    constructor() {
        this.spinnerDiameter = 25;
        this.emails = [];
        this.separatorKeysCodes = [ENTER];
        this.control = new FormControl('', [Validators.pattern(/^[_a-z0-9]+(\.[_a-z0-9]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})$/)], null);
    }
    writeValue(emails) {
        this.emails = (emails || []).slice();
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    add() {
        if (this.control.invalid || this.control.pending) {
            return;
        }
        const email = this.control.value.trim();
        if (this.emails.includes(email)) {
            return;
        }
        this.emails.push(email);
        this.onChange(this.emails);
        this.control.reset();
    }
    remove(email) {
        const index = this.emails.indexOf(email);
        if (index >= 0) {
            this.emails.splice(index, 1);
            this.onChange(this.emails);
        }
    }
    buttonAddDisabled() {
        return !this.control.value || this.control.pending || this.control.invalid || this.emailExists;
    }
    get emailExists() {
        return this.emails.includes((this.control.value || '').trim());
    }
}
EmailsInputComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-emails-input',
                template: "<div class=\"domain-input-control\">\n    <div class=\"domain-input-wrapper\">\n        <mat-form-field>\n            <mat-label>{{placeholder}}</mat-label>\n            <input  matInput type=\"text\" size=\"10\" [formControl]=\"control\" [attr.placeholder]=\"placeholder\" (blur)=\"onTouched()\" (keydown.enter)=\"add()\">\n        </mat-form-field>\n        <mat-spinner *ngIf=\"control.pending\" [diameter]=\"spinnerDiameter\"></mat-spinner>\n    </div>\n\n    <div class=\"actions\">\n        <button mat-mini-fab (click)=\"add()\" [disabled]=\"buttonAddDisabled()\">\n            <i class=\"vitamui-icon vitamui-icon-add\"></i>\n        </button>\n    </div>\n</div>\n\n<div class=\"vitamui-input-errors\">\n    <div *ngIf=\"control?.errors?.pattern\">{{'EMAILS_INPUT.WRONG_FORMAT' | translate}}</div>\n    <div *ngIf=\"control?.errors?.unknownUser\">{{'EMAILS_INPUT.INVALID_USER' | translate}}</div>\n</div>\n\n<div class=\"vitamui-chip-list\">\n    <div *ngFor=\"let email of emails\" class=\"vitamui-chip\">\n        <div class=\"vitamui-chip-content\">{{ email }}</div>\n        <div class=\"vitamui-remove-chip\" (click)=\"remove(email)\">\n        <i class=\"material-icons\">clear</i>\n        </div>\n    </div>\n</div>\n\n",
                providers: [EMAILS_INPUT_ACCESSOR],
                styles: [":host{display:block;width:100%}:host::ng-deep .mat-button-wrapper{padding:0!important}button{background-color:var(--vitamui-primary)!important;height:35px;width:35px}button i{font-size:20px;font-weight:600}button:disabled{background-color:var(--vitamui-grey-300)!important}button:disabled>i{color:var(--vitamui-grey-800)}.domain-input-control{display:flex;height:60px}.domain-input-control .actions,.domain-input-control .domain-input-wrapper{align-items:center;display:flex}.domain-input-control .actions{justify-content:flex-end;width:100%}.domain-input-control mat-spinner{margin-left:1rem}.vitamui-input-errors{padding:0;position:relative;top:-8px}.vitamui-chip-list{margin-bottom:.5rem;margin-top:.5rem}"]
            },] }
];
EmailsInputComponent.ctorParameters = () => [];
EmailsInputComponent.propDecorators = {
    placeholder: [{ type: Input }],
    spinnerDiameter: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class EmailsInputModule {
}
EmailsInputModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    MatProgressSpinnerModule,
                    MatButtonModule,
                    MatInputModule,
                    TranslateModule
                ],
                declarations: [EmailsInputComponent],
                exports: [EmailsInputComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const LEVEL_INPUT_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => LevelInputComponent),
    multi: true
};
class LevelInputComponent {
    constructor() {
        // tslint:disable-next-line:variable-name
        this._isEditableComponent = false;
        // tslint:disable-next-line:variable-name
        this._required = false;
        // tslint:disable-next-line:variable-name
        this._disabled = false;
        this.focused = false;
        this.labelFloat = false;
        this.onChange = (_) => { };
        this.onTouched = () => { };
    }
    get isEditableComponent() { return this._isEditableComponent; }
    set isEditableComponent(value) { this._isEditableComponent = coerceBooleanProperty(value); }
    get required() { return this._required; }
    set required(value) { this._required = coerceBooleanProperty(value); }
    get disabled() { return this._disabled; }
    set disabled(value) { this._disabled = coerceBooleanProperty(value); }
    onClick() {
        this.input.nativeElement.focus();
    }
    ngOnInit() {
        this.labelFloat = !!this.subLevel;
    }
    writeValue(level) {
        this.subLevel = extractSubLevel(this.prefix, level);
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    onFocus() {
        this.focused = true;
        this.onTouched();
    }
    onBlur() {
        this.focused = false;
        this.onTouched();
    }
    onValueChange(_) {
        this.labelFloat = !!this.subLevel;
        const level = this.prefix ? this.prefix + '.' + this.subLevel : this.subLevel;
        this.onChange(level.toLocaleUpperCase());
    }
}
LevelInputComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-level-input',
                template: "<div *ngIf=\"!isEditableComponent\" class=\"vitamui-input\" [class.disabled]=\"disabled\">\n    <label>\n        {{'LEVEL_INPUT.SUBLEVEL' | translate }}\n        <span *ngIf=\"required\" class=\"required-marker\">*</span>\n      </label>\n    <input #vitamUILevelInput type=\"text\" [disabled]=\"disabled\" [required]=\"required\" [(ngModel)]=\"subLevel\" (ngModelChange)=\"onValueChange($event)\"\n    (blur)=\"onBlur()\" (focus)=\"onFocus()\" maxlength=\"250\">\n</div>\n\n<div *ngIf=\"!isEditableComponent\"  class=\"vitamui-input-errors\">\n    <ng-content></ng-content>\n</div>\n\n<div *ngIf=\"isEditableComponent\">\n    <input #vitamUILevelInput [disabled]=\"disabled\" [required]=\"required\" [(ngModel)]=\"subLevel\" (ngModelChange)=\"onValueChange($event)\"\n    (blur)=\"onBlur()\" maxlength=\"250\" (focus)=\"onFocus()\">\n</div>",
                providers: [LEVEL_INPUT_VALUE_ACCESSOR],
                styles: [":host.ng-valid.ng-touched .vitamui-input{border:1px solid #27740a}:host.ng-invalid.ng-touched .vitamui-input{border:1px solid #c10000}:host.ng-pending .vitamui-input mat-spinner{display:block}input{text-transform:uppercase;transition:margin .15s ease-out}"]
            },] }
];
LevelInputComponent.propDecorators = {
    prefix: [{ type: Input }],
    isEditableComponent: [{ type: Input }],
    required: [{ type: Input }],
    disabled: [{ type: Input }],
    input: [{ type: ViewChild, args: ['vitamUILevelInput',] }],
    focused: [{ type: HostBinding, args: ['class.vitamui-focused',] }],
    labelFloat: [{ type: HostBinding, args: ['class.vitamui-float',] }],
    onClick: [{ type: HostListener, args: ['click',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class LevelInputModule {
}
LevelInputModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    TranslateModule,
                ],
                declarations: [LevelInputComponent],
                exports: [LevelInputComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const MULTIPLE_EMAIL_INPUT_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => MultipleEmailInputComponent),
    multi: true
};
class MultipleEmailInputComponent extends EditableFieldComponent {
    constructor(elementRef) {
        super(elementRef);
        this.emailInputClicked = false;
    }
    get canConfirm() {
        return this.editMode && !this.control.pending && this.control.valid && this.control.dirty;
    }
    confirm() {
        if (!this.canConfirm) {
            return;
        }
        super.confirm();
    }
    cancel() {
        super.cancel();
    }
    onClick(target) {
        if (!this.editMode) {
            return;
        }
        if (this.emailInputClicked) {
            this.emailInputClicked = false;
            return;
        }
        const overlayRef = this.cdkConnectedOverlay.overlayRef;
        if (this.isInside(target, this.elementRef.nativeElement) || this.isInside(target, overlayRef.hostElement)) {
            return;
        }
        this.cancel();
    }
    onEmailInputClick() {
        this.emailInputClicked = true;
    }
}
MultipleEmailInputComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-multiple-email-input',
                template: "<ng-container *ngIf=\"!disabled\">\n    <div class=\"editable-field-wrapper\" cdkOverlayOrigin #origin=\"cdkOverlayOrigin\">\n      <div class=\"vitamui-input editable-field\" [class.edit-mode]=\"editMode\" (click)=\"enterEditMode()\">\n        <div class=\"editable-field-content\">\n          <label>{{label}}</label>\n            <span class=\"editable-field-text-content\">\n              <div *ngFor=\"let email of control.value\">\n                {{ email }}\n              </div>\n            </span>\n            <div class=\"editable-field-control\" [ngStyle]=\"{'margin-top': (label) ? '15px' : '0'}\">\n              <vitamui-common-emails-input\n                class=\"domains-input-mini\"\n                [formControl]=\"control\"\n                [placeholder]=\"'MULTIPLE_EMAILS_INPUT.PLACEHOLDER' | translate\"\n                spinnerDiameter=\"18\"\n                (click)=\"onEmailInputClick()\"\n              ></vitamui-common-emails-input>\n            </div>\n            <div class=\"text-error\" *ngIf=\"control?.value?.length === 0\">{{'MULTIPLE_EMAILS_INPUT.ERROR' | translate}}</div>\n        </div>\n        <i *ngIf=\"!showSpinner && !editMode\" class=\"material-icons edit-icon\">edit</i>\n        <div class=\"vitamui-input-errors\" *ngIf=\"showSpinner\">\n          <mat-spinner diameter=\"24\" color=\"accent\"></mat-spinner>\n        </div>\n      </div>\n    </div>\n\n    <div class=\"vitamui-input-errors\"></div>\n\n    <ng-template\n      cdkConnectedOverlay\n      [cdkConnectedOverlayOpen]=\"editMode\"\n      [cdkConnectedOverlayOrigin]=\"origin\"\n      [cdkConnectedOverlayPositions]=\"positions\"\n    >\n      <div class=\"editable-field-actions\">\n        <button type=\"button\" class=\"editable-field-confirm\" (click)=\"confirm()\" [disabled]=\"!canConfirm\"><i class=\"material-icons\">check</i></button>\n        <button type=\"button\" class=\"editable-field-cancel\" (click)=\"cancel()\"><i class=\"material-icons\">clear</i></button>\n      </div>\n    </ng-template>\n  </ng-container>\n\n  <div *ngIf=\"disabled\" class=\"read-only-field\">\n    <label>{{label}}</label>\n    <div *ngFor=\"let email of control?.value\">\n      {{ email }}\n    </div>\n  </div>",
                providers: [MULTIPLE_EMAIL_INPUT_VALUE_ACCESSOR]
            },] }
];
MultipleEmailInputComponent.ctorParameters = () => [
    { type: ElementRef }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class EditableFieldModule {
}
EditableFieldModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    ReactiveFormsModule,
                    OverlayModule,
                    MatSelectModule,
                    MatProgressSpinnerModule,
                    MatButtonToggleModule,
                    MatDialogModule,
                    ConfirmDialogModule,
                    EmailsInputModule,
                    LevelInputModule,
                    MatInputModule,
                    MatFormFieldModule,
                    TranslateModule
                ],
                declarations: [
                    EditableButtonToggleComponent,
                    EditableDurationInputComponent,
                    EditableEmailInputComponent,
                    EditableFileComponent,
                    EditableInputComponent,
                    EditableLevelInputComponent,
                    EditableOptionComponent,
                    EditableSelectComponent,
                    EditableTextareaComponent,
                    EditableToggleGroupComponent,
                    HumanizedDurationPipe,
                    MultipleEmailInputComponent,
                    SubLevelPipe,
                ],
                exports: [
                    EditableInputComponent,
                    EditableOptionComponent,
                    EditableSelectComponent,
                    EditableTextareaComponent,
                    EditableToggleGroupComponent,
                    EditableButtonToggleComponent,
                    EditableFileComponent,
                    EditableEmailInputComponent,
                    EditableLevelInputComponent,
                    MultipleEmailInputComponent,
                    EditableDurationInputComponent,
                    HumanizedDurationPipe,
                    SubLevelPipe,
                ]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

class SelectTenantDialogComponent {
    constructor(dialogRef, data, startupService) {
        this.dialogRef = dialogRef;
        this.data = data;
        this.startupService = startupService;
    }
    ngOnInit() {
        this.tenants = this.data.tenants;
        this.platformName = this.startupService.getPlatformName();
    }
    closeDialog() {
        if (this.selectedTenant) {
            this.dialogRef.close(this.selectedTenant.value);
        }
    }
}
SelectTenantDialogComponent.SELECT_TENANT_DIALOG_CONFIG = {
    maxWidth: 550,
    disableClose: true,
};
SelectTenantDialogComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-select-tenant-dialog',
                template: "<div class=\"row dialog\">\n    <h4 class=\"col-12 p-0 m-0\">{{ 'SELECT_TENANT.DIALOG_TITLE' | translate }} {{platformName}}</h4>\n    <h5 class=\"col-12 p-0\">{{ 'SELECT_TENANT.DIALOG_SUBTITLE' | translate }}</h5>\n    <p class=\"col-12 p-0 mt-5\">{{ 'SELECT_TENANT.DIALOG_INSTRUCTIONS' | translate }} <span class=\"asterix\">*</span></p>\n\n    <vitamui-common-item-select\n        class=\"col-12 p-0 mb-5\"\n        [label]=\"'SELECT_TENANT.SELECT' | translate\"\n        [selectedLabel]=\"'SELECT_TENANT.SELECTED' | translate\"\n        (itemSelected)=\"selectedTenant = $event\"\n        [items]=\"tenants\">\n    </vitamui-common-item-select>\n\n    <button class=\"col-12 p-0 mt-4 btn primary\" [disabled]=\"!selectedTenant\" (click)=\"closeDialog()\">{{ 'SELECT_TENANT.DIALOG_BUTTON_LABEL' | translate }}  {{platformName}}</button>\n    <p class=\"text normal mx-auto mt-4\"><span class=\"asterix\">*</span> {{ 'SELECT_TENANT.DIALOG_MESSAGE' | translate }}</p>\n</div>\n",
                styles: [":host::ng-deep .mat-form-field{padding:.5rem 2rem}.dialog{padding:2rem}.asterix{color:#c10000;font-weight:700}"]
            },] }
];
SelectTenantDialogComponent.ctorParameters = () => [
    { type: MatDialogRef },
    { type: undefined, decorators: [{ type: Inject, args: [MAT_DIALOG_DATA,] }] },
    { type: StartupService }
];

class ItemSelectComponent {
    constructor() {
        this.itemSelected = new EventEmitter();
    }
    set selectedItem(value) {
        if (value) {
            this._selectedItem = value.label;
        }
    }
    selectItem(itemLabel) {
        const item = this.items.find(value => value.label === itemLabel);
        this.itemSelected.emit(item);
    }
}
ItemSelectComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-item-select',
                template: "<mat-form-field>\n  <mat-label *ngIf=\"!_selectedItem\" class=\"selected-item-label\">{{label}}</mat-label>\n  <mat-label *ngIf=\"_selectedItem\" class=\"unselected-item-label\">{{selectedLabel}}</mat-label>\n  <mat-select (selectionChange)=\"selectItem($event.source.value)\" [(value)]=\"_selectedItem\" panelClass=\"vitamui-mat-select\">\n      <mat-option *ngFor=\"let item of items\" [value]=\"item.label\">\n          {{ item.label }}\n      </mat-option>\n  </mat-select>\n</mat-form-field>",
                styles: [":host::ng-deep .selected-item-label,:host::ng-deep .unselected-item-label{color:var(--vitamui-primary);font-size:16px;font-weight:700}:host::ng-deep .mat-form-field-underline{display:none}:host::ng-deep .mat-select-value-text{color:var(--vitamui-grey-900);font-size:16px;font-weight:700}:host::ng-deep .mat-form-field.mat-focused.mat-primary .mat-select-arrow,:host::ng-deep .mat-select-arrow{color:var(--vitamui-primary)}:host::ng-deep .mat-form-field-wrapper{padding-bottom:0;width:100%}:host::ng-deep mat-form-field{align-items:center;background-color:#fff;border:none;border-radius:4px;display:inline-flex;height:60px;padding:8px 30px;position:relative;transition:border-color .15s ease-out;vertical-align:top;width:100%}:host::ng-deep .mat-form-field{font-weight:700;width:100%}:host::ng-deep .mat-form-field.mat-form-field-disabled{background-color:var(--vitamui-grey-300);border:none;color:var(--vitamui-grey-300)}:host::ng-deep .mat-form-field.mat-form-field-disabled .mat-form-field-flex{background-color:var(--vitamui-grey-300)}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled):not(.disabled),:host::ng-deep .mat-form-field:not(.mat-form-field-disabled):not(:disabled){box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled):not(.disabled):hover,:host::ng-deep .mat-form-field:not(.mat-form-field-disabled):not(:disabled):hover{box-shadow:0 2px 8px rgba(var(--vitamui-grey-rgb),.2),0 4px 16px rgba(var(--vitamui-grey-rgb),.05)}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled).disabled,:host::ng-deep .mat-form-field:not(.mat-form-field-disabled):disabled{box-shadow:none!important}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled) .mat-form-field-label{color:var(--vitamui-grey-600)}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled).mat-focused{border:1px solid var(--vitamui-primary)}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled).mat-focused .mat-form-field-label{color:var(--vitamui-grey-600)}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled) .mat-select .mat-select-value{color:var(--vitamui-grey-900);font-size:16px;font-weight:700}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled) .select-arrow i{color:var(--vitamui-primary)}:host::ng-deep .mat-form-field-flex{background-color:#fff}:host::ng-deep mat-select{font-size:16px}:host::ng-deep .mat-option,:host::ng-deep .mat-option-text,:host::ng-deep mat-select{color:var(--vitamui-grey-900)}:host::ng-deep .mat-option.mat-selected:not(.mat-option-disabled){color:var(--vitamui-primary)}:host::ng-deep span.mat-select-placeholder{margin-top:.4rem}"]
            },] }
];
ItemSelectComponent.ctorParameters = () => [];
ItemSelectComponent.propDecorators = {
    label: [{ type: Input }],
    selectedLabel: [{ type: Input }],
    items: [{ type: Input }],
    itemSelected: [{ type: Output }],
    selectedItem: [{ type: Input }]
};

class ItemSelectModule {
}
ItemSelectModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    MatSelectModule,
                    TranslateModule
                ],
                declarations: [ItemSelectComponent],
                exports: [ItemSelectComponent]
            },] }
];

class SelectTenantDialogModule {
}
SelectTenantDialogModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    SelectTenantDialogComponent
                ],
                imports: [
                    CommonModule,
                    MatButtonModule,
                    TranslateModule,
                    ItemSelectModule
                ],
                exports: [
                    SelectTenantDialogComponent
                ]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class NotificationSnackBarComponent {
    constructor(data, matSnackBarRef) {
        this.data = data;
        this.matSnackBarRef = matSnackBarRef;
    }
    close() {
        this.matSnackBarRef.dismiss();
    }
}
NotificationSnackBarComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-notification-snack-bar',
                template: "<div class=\"vitamui-snack-bar-container\">\n\n  <span class=\"vitamui-snack-bar-content\" [ngSwitch]=\"data?.type\">\n\n    <ng-container *ngSwitchCase=\"'SUBRO_ACCEPT'\">\n      <i class=\"vitamui-icon vitamui-icon-link banner-icon\"></i> {{'SUBROGATION.HOME.RESULTS_TABLE.MODAL.ACCEPT_SUBROGATION' | translate}}\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"'SUBRO_CANCEL'\">\n      <i class=\"vitamui-icon vitamui-icon-link banner-icon\"></i> {{'SUBROGATION.HOME.RESULTS_TABLE.MODAL.CANCEL_SUBROGATION' | translate}}\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"'SUBRO_DENY'\">\n      <i class=\"vitamui-icon vitamui-icon-link banner-icon\"></i> {{'SUBROGATION.HOME.RESULTS_TABLE.MODAL.DENIED_SUBROGATION' | translate}}\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"'SUBRO_UNAVAILABLE'\">\n      <i class=\"vitamui-icon vitamui-icon-link banner-icon\"></i> {{'SUBROGATION.HOME.RESULTS_TABLE.MODAL.IMPOSSIBLE_SUBROGATION' | translate}}\n    </ng-container>\n\n    <ng-container *ngSwitchCase=\"'SUBRO_ALREADY_RUNNING_WITH_OTHER_USERS'\">\n      <i class=\"vitamui-icon vitamui-icon-link banner-icon\"></i> {{'SUBROGATION.HOME.RESULTS_TABLE.MODAL.ACTIVE_SUBROGATION' | translate}} : {{data.email}}\n    </ng-container>\n  </span>\n\n  <button class=\"close-btn\" (click)=\"close()\"><i class=\"material-icons\">clear</i></button>\n\n</div>\n",
                styles: [".banner-icon{font-size:22px;margin-right:10px}"]
            },] }
];
NotificationSnackBarComponent.ctorParameters = () => [
    { type: undefined, decorators: [{ type: Inject, args: [MAT_SNACK_BAR_DATA,] }] },
    { type: MatSnackBarRef }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
var NotificationType;
(function (NotificationType) {
    NotificationType["SUBRO_ACCEPT"] = "SUBRO_ACCEPT";
    NotificationType["SUBRO_CANCEL"] = "SUBRO_CANCEL";
    NotificationType["SUBRO_DENY"] = "SUBRO_DENY";
    NotificationType["SUBRO_UNAVAILABLE"] = "SUBRO_UNAVAILABLE";
    NotificationType["SUBRO_ALREADY_RUNNING_WITH_OTHER_USERS"] = "SUBRO_ALREADY_RUNNING_WITH_OTHER_USERS";
})(NotificationType || (NotificationType = {}));

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class SubrogationSnackBarComponent {
    constructor(data, matSnackBarRef, subrogationApiService, matSnackBar) {
        this.data = data;
        this.matSnackBarRef = matSnackBarRef;
        this.subrogationApiService = subrogationApiService;
        this.matSnackBar = matSnackBar;
    }
    close() {
        this.matSnackBarRef.dismiss();
    }
    accept() {
        this.subrogationApiService.accept(this.data.subro.id).subscribe(() => {
            this.matSnackBar.openFromComponent(NotificationSnackBarComponent, {
                panelClass: 'vitamui-snack-bar',
                data: { type: NotificationType.SUBRO_ACCEPT },
                duration: 10000
            });
            this.close();
        });
    }
    decline() {
        this.subrogationApiService.decline(this.data.subro.id).subscribe(() => this.close());
    }
}
SubrogationSnackBarComponent.decorators = [
    { type: Component, args: [{
                template: "<div class=\"subrogation-banner\">\n  <div>\n    <i class=\"vitamui-icon vitamui-icon-repeat mr-4\"></i>\n    <span>{{'SNACKBAR.ASK_SUBROGATION' | translate : {user : data?.subro?.superUser} }}</span>\n\n    <button class=\"btn outline outline-primary ml-5\" (click)=\"accept()\">\n      {{'SNACKBAR.ACCEPT_SUBROGATION' | translate}}</button>\n    <button class=\"btn link ml-4\" (click)=\"decline()\"> {{'SNACKBAR.DECLINE_SUBROGATION' | translate}}</button>\n  </div>\n\n  <div (click)=\"decline()\">\n    <i class=\"vitamui-icon vitamui-icon-close clickable\"></i>\n  </div>\n</div>"
            },] }
];
SubrogationSnackBarComponent.ctorParameters = () => [
    { type: undefined, decorators: [{ type: Inject, args: [MAT_SNACK_BAR_DATA,] }] },
    { type: MatSnackBarRef },
    { type: SubrogationApiService },
    { type: MatSnackBar }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const moment$2 = moment_;
class SubrogationService {
    constructor(logger, subrogationApi, snackBar, matSnackBar, authService, subrogationRefreshRateMs) {
        this.logger = logger;
        this.subrogationApi = subrogationApi;
        this.snackBar = snackBar;
        this.matSnackBar = matSnackBar;
        this.authService = authService;
        this.subrogationRefreshRateMs = subrogationRefreshRateMs;
        this.subrogationCancel = new Subject();
        this.TIMEOUT_SUBROGATION_MS = 300000;
    }
    createSubrogation(subrogation) {
        return this.subrogationApi.create(subrogation);
    }
    checkSubrogationStatus(subrogationCreated, dialogRef) {
        const delay = 3000;
        return interval(delay).pipe(takeUntil(this.subrogationCancel), switchMap(() => this.getSubrogation(subrogationCreated.id, dialogRef)), filter((subrogationWatched) => subrogationWatched.status === 'ACCEPTED'), take(1));
    }
    checkCurrentUserIsInSubrogation() {
        return this.subrogationApi.getMySubrogationAsSuperuser().pipe(map((response) => response), catchError(() => of(undefined)));
    }
    getMySubrogation() {
        return this.subrogationApi.getMySubrogationAsSuperuser();
    }
    getSubrogation(id, dialogRef) {
        return this.subrogationApi.getOne(id).pipe(tap({
            error: (error) => {
                this.logger.error(this, error);
                dialogRef.close();
                this.matSnackBar.openFromComponent(NotificationSnackBarComponent, {
                    panelClass: 'vitamui-snack-bar',
                    data: { type: NotificationType.SUBRO_DENY },
                    duration: 10000
                });
            }
        }));
    }
    cancelSubrogation(subrogation) {
        return this.subrogationApi.delete(subrogation.id).pipe(tap({
            next: () => {
                this.matSnackBar.openFromComponent(NotificationSnackBarComponent, {
                    panelClass: 'vitamui-snack-bar',
                    data: { type: NotificationType.SUBRO_CANCEL },
                    duration: 10000
                });
                this.subrogationCancel.next();
            },
            error: (error) => {
                this.matSnackBar.open(error.error.message, null, {
                    panelClass: 'vitamui-snack-bar',
                    duration: 10000
                });
            }
        }));
    }
    accept(id) {
        return this.subrogationApi.accept(id);
    }
    decline(id) {
        return this.subrogationApi.decline(id);
    }
    getCurrent() {
        return this.subrogationApi.getMySubrogationAsSurrogate();
    }
    checkSubrogation() {
        const callCount = this.TIMEOUT_SUBROGATION_MS / this.subrogationRefreshRateMs;
        this.snackBar.openFromComponent(VitamUISnackBarComponent, {
            panelClass: 'vitamui-snack-bar',
            data: { type: 'subrogationActivated', duration: '5', endTime: moment$2().add(this.TIMEOUT_SUBROGATION_MS, 'ms') },
            duration: 50000
        });
        this.logger.log(this, callCount);
        const subrogationAccepted = new Subject();
        interval(this.subrogationRefreshRateMs).pipe(startWith(), take(callCount), takeUntil(subrogationAccepted), map(() => this.authService.user), filter((user) => !!user), switchMap(() => this.subrogationApi.getMySubrogationAsSurrogate()), filter((data) => data !== null), tap((data) => {
            if (data.status === 'CREATED' && !this.subrogationSnackBarComponent) {
                this.subrogationSnackBarComponent = this.matSnackBar.openFromComponent(SubrogationSnackBarComponent, {
                    panelClass: 'vitamui-snack-bar',
                    duration: 0,
                    data: { subro: data }
                });
                this.subrogationSnackBarComponent.afterDismissed().subscribe(() => this.subrogationSnackBarComponent = null);
            }
        }), map((data) => {
            if (data.status === 'ACCEPTED') {
                subrogationAccepted.next();
                return true;
            }
            return false;
        }), last())
            .subscribe((accepted) => {
            if (!accepted) {
                this.snackBar.openFromComponent(VitamUISnackBarComponent, {
                    panelClass: 'vitamui-snack-bar',
                    data: { type: 'subrogationFinish' },
                    duration: 10000
                });
            }
        });
    }
}
SubrogationService.ɵprov = ɵɵdefineInjectable({ factory: function SubrogationService_Factory() { return new SubrogationService(ɵɵinject(Logger), ɵɵinject(SubrogationApiService), ɵɵinject(VitamUISnackBar), ɵɵinject(MatSnackBar), ɵɵinject(AuthService), ɵɵinject(SUBROGRATION_REFRESH_RATE_MS)); }, token: SubrogationService, providedIn: "root" });
SubrogationService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
SubrogationService.ctorParameters = () => [
    { type: Logger },
    { type: SubrogationApiService },
    { type: VitamUISnackBar },
    { type: MatSnackBar },
    { type: AuthService },
    { type: Number, decorators: [{ type: Inject, args: [SUBROGRATION_REFRESH_RATE_MS,] }] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class NavbarComponent {
    constructor(authService, startupService, subrogationService, domSanitizer) {
        this.authService = authService;
        this.subrogationService = subrogationService;
        this.domSanitizer = domSanitizer;
        this.hideTenantMenu = false;
        this.hideCustomerMenu = false;
        this.tenantSelect = new EventEmitter();
        this.customerSelect = new EventEmitter();
        this.hasAccountProfile = false;
        this.portalUrl = startupService.getPortalUrl();
        this.base64Logo = startupService.getLogo();
        this.trustedAppLogoUrl = startupService.getAppLogoURL() ?
            this.domSanitizer.bypassSecurityTrustUrl('data:image/*;base64,' + startupService.getAppLogoURL()) : null;
        if (this.authService.user) {
            this.currentUser = this.authService.user;
            this.trustedInlineLogoUrl = startupService.getCustomerLogoURL() ?
                this.domSanitizer.bypassSecurityTrustUrl('data:image/*;base64,' + startupService.getCustomerLogoURL()) : null;
            this.hasAccountProfile = this.authService.user.profileGroup.profiles.find((profile) => profile.applicationName === ApplicationId.ACCOUNTS_APP) !== undefined;
        }
    }
    emitTenantSelect(tenantIdentifier) {
        this.tenantSelect.emit(tenantIdentifier);
    }
    emitCustomerSelect(customerId) {
        this.customerSelect.emit(customerId);
    }
    enabledSubrogation() {
        this.subrogationService.checkSubrogation();
    }
}
NavbarComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-navbar',
                template: "<nav class=\"vitamui-navbar\">\n  <a href=\"{{portalUrl}}\" class=\"vitamui-navbar-logo\">\n    <img [src]=\"trustedAppLogoUrl ? trustedAppLogoUrl : '/assets/logo.png'\">\n  </a>\n\n  <ul class=\"menu\">\n\n    <li><vitamui-common-application-menu [appId]=\"appId\"></vitamui-common-application-menu></li>\n    <li *ngIf=\"!hideTenantMenu\"><vitamui-common-tenant-menu [appId]=\"appId\" (selectedTenant)=\"emitTenantSelect($event)\"></vitamui-common-tenant-menu></li>\n    <li *ngIf=\"!hideCustomerMenu\"><vitamui-common-customer-menu [customers]=\"customers\" (customerSelect)=\"emitCustomerSelect($event)\"></vitamui-common-customer-menu></li>\n\n    <ng-content></ng-content>\n\n  </ul>\n\n  <div *ngIf=\"!appId && currentUser?.basicCustomer?.graphicIdentity?.hasCustomGraphicIdentity\" class=\"portal-logo\">\n    <img [src]=\"trustedInlineLogoUrl\" />\n  </div>\n\n  <div class=\"account\">\n    <div *ngIf=\"appId && currentUser?.basicCustomer?.graphicIdentity?.hasCustomGraphicIdentity\" class=\"application-logo\">\n      <img class=\"logo\" [src]=\"trustedInlineLogoUrl\" />\n    </div>\n    <div class=\"d-flex align-items-center cursor-effect\" [matMenuTriggerFor]=\"accountMenu\">\n      <div class=\"account-picture\">\n        <i class=\"vitamui-icon vitamui-icon-user\"></i>\n      </div>\n\n      <div class=\"account-info\">\n        {{currentUser?.firstname}}\n      <br/>\n      {{currentUser?.lastname}}\n      </div>\n      <i class=\"material-icons vitamui-menu-caret\">keyboard_arrow_down</i>\n  </div>\n    <div class=\"account-menu\">\n      <mat-menu #accountMenu=\"matMenu\" [overlapTrigger]=\"false\" xPosition=\"before\">\n        <ng-container>\n          <button mat-menu-item [routerLink]=\"['/account']\" *ngIf=hasAccountProfile>{{'ACCOUNT.TITLE' | translate}}</button>\n          <button mat-menu-item (click)=\"enabledSubrogation()\" *ngIf=!!!authService?.user?.superUser>Activer le mode subrogation</button>\n          <button mat-menu-item (click)=\"authService.logout()\">D\u00E9connexion</button>\n        </ng-container>\n      </mat-menu>\n    </div>\n  </div>\n</nav>\n",
                animations: [
                    rotateUpAnimation,
                ],
                styles: [".portal-logo,.vitamui-navbar-logo img{display:block}.portal-logo{height:100px;margin-right:28%;width:280px}.portal-logo img{bottom:0;left:0;margin:auto;position:absolute;right:0;top:0}.logo{margin-left:20px}.application-logo{margin-right:30px}.account-picture{font-size:30px;margin-right:17px;padding-top:10px}.account{align-items:center;display:flex;padding-top:5px}.cursor-effect{cursor:pointer}"]
            },] }
];
NavbarComponent.ctorParameters = () => [
    { type: AuthService },
    { type: StartupService },
    { type: SubrogationService },
    { type: DomSanitizer }
];
NavbarComponent.propDecorators = {
    appId: [{ type: Input }],
    hideTenantMenu: [{ type: Input }],
    hideCustomerMenu: [{ type: Input }],
    customers: [{ type: Input }],
    tenantSelect: [{ type: Output }],
    customerSelect: [{ type: Output }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
var Operators;
(function (Operators) {
    Operators["between"] = "BETWEEN";
    Operators["contains"] = "CONTAINS";
    Operators["containsIgnoreCase"] = "CONTAINSIGNORECASE";
    Operators["equals"] = "EQUALS";
    Operators["equalsIgnoreCase"] = "EQUALSIGNORECASE";
    Operators["greater"] = "GREATER";
    Operators["greaterThanOrEquals"] = "GREATERTHANOREQUALS";
    Operators["in"] = "IN";
    Operators["lower"] = "LOWER";
    Operators["lowerThanOrEquals"] = "LOWERTHANOREQUALS";
    Operators["notequals"] = "NOTEQUALS";
    Operators["notin"] = "NOTIN";
    Operators["elemMatch"] = "ELEMMATCH";
})(Operators || (Operators = {}));

function buildCriteriaFromSearch(search, keys) {
    if (!search) {
        return [];
    }
    return [{
            queryOperator: 'OR',
            criteria: keys.map((key) => ({ key, value: '*' + search + '*', operator: Operators.equalsIgnoreCase }))
        }];
}
function buildCriteriaFromFilters(filterMap, converter) {
    let criterionList = [];
    Object.keys(filterMap)
        .filter((key) => filterMap[key] && filterMap[key].length > 0)
        .forEach((key) => {
        if (converter[key]) {
            criterionList = criterionList.concat(converter[key](filterMap[key]));
        }
    });
    return criterionList;
}

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
var Direction;
(function (Direction) {
    Direction["ASCENDANT"] = "ASC";
    Direction["DESCENDANT"] = "DESC";
})(Direction || (Direction = {}));

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const DEFAULT_PAGE_SIZE = 20;
class PageRequest {
    constructor(page, size, orderBy, direction, criteria) {
        this.page = page;
        this.size = size;
        this.orderBy = orderBy;
        this.direction = direction;
        this.criteria = criteria;
    }
    get httpParams() {
        let params = new HttpParams()
            .set('page', this.page.toString())
            .set('size', this.size.toString())
            .set('orderBy', this.orderBy)
            .set('direction', this.direction);
        if (this.criteria) {
            params = params.set('criteria', this.criteria);
        }
        return params;
    }
}

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const INFINITE_SCROLL_MAX_ITEMS = 100;
class InfiniteScrollTable {
    constructor(searchService) {
        this.searchService = searchService;
        this.infiniteScrollDisabled = false;
        this.pending = false;
        // with this information, the caller can be able to set himself the end of the change
        this.overridePendingChange = false;
        this.updatedData = new Subject();
        this.searchService = searchService;
    }
    loadMore() {
        // get more elements if there isn't a pending operation
        if (!this.pending) {
            this.pending = true;
            this.searchService.loadMore().subscribe((data) => {
                this.dataSource = data;
                if (!this.overridePendingChange) {
                    this.pending = false;
                }
                if (this.dataSource.length >= INFINITE_SCROLL_MAX_ITEMS) {
                    this.infiniteScrollDisabled = true;
                }
                this.updatedData.next();
            }, () => this.pending = false);
        }
    }
    search(pageRequest = new PageRequest(0, DEFAULT_PAGE_SIZE, 'name', Direction.ASCENDANT)) {
        // launch the search if there isn't a pending operation
        if (!this.pending) {
            this.pending = true;
            this.dataSource = [];
            this.updatedData.next();
            this.searchService.search(pageRequest).subscribe((data) => {
                this.dataSource = data;
                if (!this.overridePendingChange) {
                    this.pending = false;
                }
                this.updatedData.next();
            }, () => this.pending = false);
        }
    }
    onScroll() {
        this.loadMore();
    }
}

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class SearchService {
    constructor(http, paginatedApi, embedded, headers) {
        this.http = http;
        this.paginatedApi = paginatedApi;
        this.embedded = embedded;
        this.headers = headers;
    }
    search(pageRequest = new PageRequest(0, DEFAULT_PAGE_SIZE, 'name', Direction.ASCENDANT)) {
        this.pageRequest = pageRequest;
        // TODO catch errors
        return this.paginatedApi.getAllPaginated(this.pageRequest, this.embedded, this.headers)
            .pipe(map((paginated) => {
            this.data = paginated.values;
            this.pageRequest.page = paginated.pageNum;
            this.hasMore = paginated.hasMore;
            return this.data;
        }));
    }
    loadMore() {
        if (!this.hasMore) {
            return of(this.data);
        }
        this.pageRequest.page += 1;
        // TODO catch errors
        return this.paginatedApi.getAllPaginated(this.pageRequest, this.embedded, this.headers)
            .pipe(map((paginated) => {
            this.data = this.data.concat(paginated.values);
            this.pageRequest.page = paginated.pageNum;
            this.hasMore = paginated.hasMore;
            return this.data;
        }));
    }
    get canLoadMore() { return this.hasMore; }
}

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class OrderByButtonComponent {
    constructor() {
        this.orderChange = new EventEmitter();
        this.orderByChange = new EventEmitter();
        this.directionChange = new EventEmitter();
    }
    ngOnInit() {
    }
    toggleOrder() {
        if (this.orderBy === this.orderByKey) {
            this.direction = this.direction !== Direction.DESCENDANT ? Direction.DESCENDANT : Direction.ASCENDANT;
        }
        else {
            this.orderBy = this.orderByKey;
            this.orderByChange.emit(this.orderBy);
            this.direction = Direction.ASCENDANT;
        }
        this.directionChange.emit(this.direction);
        this.orderChange.emit();
    }
}
OrderByButtonComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-order-by-button',
                template: "<button\n  class=\"btn-orderby\"\n  [class.active]=\"orderBy===orderByKey\"\n  [class.upside-down]=\"orderBy===orderByKey && direction==='ASC'\"\n  (click)=\"toggleOrder()\"\n>\n  <i class=\"material-icons\">keyboard_arrow_down</i>\n</button>\n",
                styles: [""]
            },] }
];
OrderByButtonComponent.ctorParameters = () => [];
OrderByButtonComponent.propDecorators = {
    orderByKey: [{ type: Input }],
    orderBy: [{ type: Input }],
    direction: [{ type: Input }],
    orderChange: [{ type: Output }],
    orderByChange: [{ type: Output }],
    directionChange: [{ type: Output }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class OrderByButtonModule {
}
OrderByButtonModule.decorators = [
    { type: NgModule, args: [{
                declarations: [OrderByButtonComponent],
                imports: [
                    CommonModule,
                ],
                exports: [OrderByButtonComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class RoleComponent {
    constructor() {
        // tslint:disable-next-line:variable-name
        this._checkedChange = new Subject();
    }
    ngOnInit() {
    }
    get checkedChange() {
        return this._checkedChange.asObservable();
    }
}
RoleComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-role',
                template: "<vitamui-common-slide-toggle [(ngModel)]=\"checked\" (ngModelChange)=\"_checkedChange.next($event)\" [disabled]=\"disabled || forceDisabled\">\n  <ng-content></ng-content>\n</vitamui-common-slide-toggle>",
                styles: [""]
            },] }
];
RoleComponent.ctorParameters = () => [];
RoleComponent.propDecorators = {
    checked: [{ type: Input }],
    name: [{ type: Input }],
    disabled: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const ROLE_TOGGLE_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => RoleToggleComponent),
    multi: true
};
class RoleToggleComponent {
    constructor() {
        this.roles = [];
    }
    ngAfterContentInit() {
        const toggleChangeList = this.roleComponents.map((roleComponent) => {
            return roleComponent.checkedChange.pipe(map((value) => ({ name: roleComponent.name, value })));
        });
        const toggleChangeMerged = merge(...toggleChangeList);
        toggleChangeMerged.subscribe((role) => {
            if (role.value) {
                if (!this.roles.find((r) => r.name === role.name)) {
                    this.roles = this.roles.concat([{ name: role.name }]);
                }
            }
            else {
                this.roles = this.roles.filter((r) => role.name !== r.name);
            }
            this.onChange(this.roles);
        });
        this.roleComponents.forEach((roleComponent) => {
            roleComponent.checked = !!this.roles.find((role) => role.name === roleComponent.name);
        });
    }
    ngAfterContentChecked() {
        // TODO
    }
    writeValue(roles) {
        this.roles = roles || [];
        if (this.roleComponents) {
            this.roleComponents.forEach((roleComponent) => {
                roleComponent.checked = !!this.roles.find((role) => role.name === roleComponent.name);
            });
        }
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.roleComponents.forEach((roleComponent) => {
            roleComponent.forceDisabled = isDisabled;
        });
    }
    ngOnInit() {
    }
}
RoleToggleComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-role-toggle',
                template: "  <ng-content></ng-content>",
                providers: [ROLE_TOGGLE_VALUE_ACCESSOR],
                styles: [""]
            },] }
];
RoleToggleComponent.ctorParameters = () => [];
RoleToggleComponent.propDecorators = {
    roleComponents: [{ type: ContentChildren, args: [RoleComponent, { descendants: true },] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const SLIDE_TOGGLE_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => SlideToggleComponent),
    multi: true
};
class SlideToggleComponent {
    constructor() {
        this.name = null;
        this.onChange = (_) => { };
        this.onTouched = () => { };
    }
    toggle() {
        if (this.disabled) {
            return;
        }
        this.checked = !this.checked;
        this.onChange(this.checked);
    }
    writeValue(value) {
        this.checked = !!value;
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
}
SlideToggleComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-slide-toggle',
                template: "<label>\n  <div class=\"slide-toggle\" [ngClass]=\"{'slide-toggle-on': checked, 'slide-toggle-off': !checked}\" [class.slide-toggle-on]=\"checked\" [class.slide-toggle-disabled]=\"disabled\">\n    <input\n      class=\"cdk-visually-hidden\"\n      [required]=\"required\"\n      [tabIndex]=\"tabIndex\"\n      [checked]=\"checked\"\n      [disabled]=\"disabled\"\n      [attr.name]=\"name\"\n      type=\"checkbox\"\n      (click)=\"toggle()\"\n      (blur)=\"onTouched()\"\n    >\n    <div class=\"slide-toggle-inner d-flex\">\n      <div class=\"slide-toggle-label\"></div>\n      <div class=\"slide-toggle-thumb\"></div>\n      <div class=\"slide-toggle-label\"></div>\n    </div>\n  </div>\n  <span><ng-content></ng-content></span>\n</label>",
                providers: [SLIDE_TOGGLE_VALUE_ACCESSOR],
                styles: [":host{display:inline-block;white-space:nowrap}label{align-items:center;display:flex;margin-bottom:10px}label>span{color:var(--vitamui-grey-900);font-size:16px;font-weight:400}.mat-dialog-container .slide-toggle .slide-toggle-thumb:not(.disabled),.mat-dialog-container .slide-toggle .slide-toggle-thumb:not(:disabled),.mat-drawer .slide-toggle .slide-toggle-thumb:not(.disabled),.mat-drawer .slide-toggle .slide-toggle-thumb:not(:disabled){box-shadow:0 0 2px rgba(var(--vitamui-grey-rgb),.2),0 1px 4px rgba(var(--vitamui-grey-rgb),.05)}.mat-dialog-container .slide-toggle .slide-toggle-thumb:not(.disabled):hover,.mat-dialog-container .slide-toggle .slide-toggle-thumb:not(:disabled):hover,.mat-drawer .slide-toggle .slide-toggle-thumb:not(.disabled):hover,.mat-drawer .slide-toggle .slide-toggle-thumb:not(:disabled):hover{box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}.mat-dialog-container .slide-toggle .slide-toggle-thumb.disabled,.mat-dialog-container .slide-toggle .slide-toggle-thumb:disabled,.mat-drawer .slide-toggle .slide-toggle-thumb.disabled,.mat-drawer .slide-toggle .slide-toggle-thumb:disabled{box-shadow:none!important}.slide-toggle{align-items:center;background-color:var(--vitamui-grey);border-radius:8px;display:flex;height:12px;margin-right:18px;transition:background-color .1s ease-in-out,box-shadow .2s ease-out;width:36px}.slide-toggle.slide-toggle-on{background-color:var(--vitamui-secondary)}.slide-toggle.slide-toggle-on .slide-toggle-thumb{background-color:var(--vitamui-primary)}.slide-toggle.slide-toggle-on:hover:not(.slide-toggle-disabled){background-color:var(--vitamui-secondary-700)}.slide-toggle.slide-toggle-on:hover:not(.slide-toggle-disabled) .slide-toggle-thumb{background-color:var(--vitamui-primary-700)}.slide-toggle.slide-toggle-off{background-color:var(--vitamui-grey-300)}.slide-toggle.slide-toggle-off .slide-toggle-thumb{background-color:var(--vitamui-grey)}.slide-toggle.slide-toggle-off:hover:not(.slide-toggle-disabled){background-color:var(--vitamui-grey-400)}.slide-toggle.slide-toggle-off:hover:not(.slide-toggle-disabled) .slide-toggle-thumb{background-color:var(--vitamui-grey-700)}.slide-toggle .slide-toggle-label{line-height:22px;transition:margin-left .1s ease-in-out;width:14px}.slide-toggle .slide-toggle-label:first-child{padding-left:0}.slide-toggle .slide-toggle-label:last-child{padding-right:0}.slide-toggle .slide-toggle-thumb{border:2px solid #fff;border-radius:12px;cursor:pointer;height:24px;width:24px}.slide-toggle .slide-toggle-thumb:not(.disabled),.slide-toggle .slide-toggle-thumb:not(:disabled){box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}.slide-toggle .slide-toggle-thumb:not(.disabled):hover,.slide-toggle .slide-toggle-thumb:not(:disabled):hover{box-shadow:0 2px 8px rgba(var(--vitamui-grey-rgb),.2),0 4px 16px rgba(var(--vitamui-grey-rgb),.05)}.slide-toggle .slide-toggle-thumb.disabled,.slide-toggle .slide-toggle-thumb:disabled{box-shadow:none!important}.slide-toggle:not(.slide-toggle-on) .slide-toggle-label:first-child{margin-left:-16px}.slide-toggle.slide-toggle-disabled{cursor:not-allowed;opacity:.5}.slide-toggle.slide-toggle-disabled .slide-toggle-thumb{cursor:not-allowed}"]
            },] }
];
SlideToggleComponent.ctorParameters = () => [];
SlideToggleComponent.propDecorators = {
    required: [{ type: Input }],
    tabIndex: [{ type: Input }],
    checked: [{ type: Input }],
    disabled: [{ type: Input }],
    name: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class SlideToggleModule {
}
SlideToggleModule.decorators = [
    { type: NgModule, args: [{
                declarations: [SlideToggleComponent],
                imports: [
                    CommonModule,
                    TranslateModule,
                ],
                exports: [SlideToggleComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class RoleToggleModule {
}
RoleToggleModule.decorators = [
    { type: NgModule, args: [{
                declarations: [RoleToggleComponent, RoleComponent],
                imports: [
                    CommonModule,
                    FormsModule,
                    SlideToggleModule,
                ],
                exports: [RoleToggleComponent, RoleComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class SearchBarComponent {
    constructor() {
        this.disabled = false;
        this.search = new EventEmitter();
        this.searchChanged = new EventEmitter();
        this.clear = new EventEmitter();
    }
    ngOnInit() { }
    onSearch() {
        this.search.emit(this.searchValue);
    }
    reset() {
        this.searchValue = null;
        this.clear.emit();
        this.search.emit(this.searchValue);
    }
    onFocus() {
        if (this.searchInput) {
            setTimeout(() => this.searchInput.nativeElement.focus(), 0);
        }
    }
}
SearchBarComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-search-bar',
                template: "<div class=\"search\">\n  <input\n    #searchInput\n    [(ngModel)]=\"searchValue\"\n    (ngModelChange)=\"searchChanged.emit(searchValue)\"\n    [name]=\"name\"\n    type=\"text\"\n    [placeholder]=\"placeholder\"\n    [disabled]=\"disabled\"\n  />\n  <button\n    *ngIf=\"searchValue\"\n    type=\"button\"\n    class=\"btn-reset\"\n    (click)=\"reset()\"\n    [disabled]=\"disabled\"\n  >\n    <i class=\"material-icons\">clear</i>\n  </button>\n  <button\n    type=\"button\"\n    class=\"btn btn-circle btn-search secondary small\"\n    (click)=\"onSearch()\"\n    [disabled]=\"disabled\"\n  >\n    <i class=\"material-icons\">search</i>\n  </button>\n</div>\n",
                styles: [":host{display:flex;justify-content:flex-start;width:100%}"]
            },] }
];
SearchBarComponent.ctorParameters = () => [];
SearchBarComponent.propDecorators = {
    placeholder: [{ type: Input }],
    name: [{ type: Input }],
    disabled: [{ type: Input }],
    search: [{ type: Output }],
    searchChanged: [{ type: Output }],
    clear: [{ type: Output }],
    searchInput: [{ type: ViewChild, args: ['searchInput', { static: true },] }],
    onSearch: [{ type: HostListener, args: ['keydown.enter',] }],
    reset: [{ type: HostListener, args: ['keydown.escape',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class SearchBarModule {
}
SearchBarModule.decorators = [
    { type: NgModule, args: [{
                declarations: [SearchBarComponent],
                imports: [
                    CommonModule,
                    FormsModule,
                ],
                exports: [SearchBarComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

class StepperComponent extends CdkStepper {
}
StepperComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-stepper',
                template: "<ng-container *ngFor=\"let step of steps; let i = index; let isLast = last\">\n  <div class=\"step\" [@transitionAnimation]=\"_getAnimationDirection(i)\" [attr.tabindex]=\"selectedIndex === i ? 0 : null\"\n    [attr.aria-expanded]=\"selectedIndex === i\">\n    <ng-container [ngTemplateOutlet]=\"step.content\"></ng-container>\n  </div>\n</ng-container>\n",
                // This custom stepper provides itself as CdkStepper so that it can be recognized
                // by other components.
                providers: [{ provide: CdkStepper, useExisting: StepperComponent }],
                animations: [
                    transitionAnimation,
                ],
                styles: [".step{outline:none;overflow:hidden}"]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class StepperModule {
}
StepperModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    CdkStepperModule,
                ],
                declarations: [
                    StepperComponent,
                ],
                exports: [
                    StepperComponent,
                    CdkStepperModule,
                ],
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class TableFilterSearchComponent {
    constructor() {
        this.filterChange = new EventEmitter();
        this.filterClose = new EventEmitter();
        this.hideEmptyValueOption = false;
    }
    set options(options) {
        this._options = options;
        this.optionDisplayMap = this._options.map(() => true);
    }
    ngOnInit() {
    }
    searchOptions(search) {
        if (!search) {
            this.optionDisplayMap = this._options.map(() => true);
            this.hideEmptyValueOption = false;
            return;
        }
        this.optionDisplayMap = this._options.map((option) => option.label.toLowerCase().includes(search.toLowerCase()));
        this.hideEmptyValueOption = !this.emptyValueOption || !this.emptyValueOption.toLowerCase().includes(search.toLowerCase());
    }
    resetOptionList() {
        this.optionDisplayMap = this._options.map(() => true);
    }
}
TableFilterSearchComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-table-filter-search',
                template: "<vitamui-common-table-filter\n  [(filter)]=\"filter\"\n  (filterChange)=\"filterChange.emit($event)\"\n  [showSearchBar]=\"true\"\n  (search)=\"searchOptions($event)\"\n  (filterClose)=\"filterClose.emit()\"\n>\n  <vitamui-common-table-filter-option *ngIf=\"emptyValueOption\" [value]=\"null\" [class.hidden]=\"hideEmptyValueOption\">{{ emptyValueOption }}</vitamui-common-table-filter-option>\n  <vitamui-common-table-filter-option *ngFor=\"let option of _options; let index = index\" [value]=\"option.value\" [class.hidden]=\"!optionDisplayMap[index]\">{{ option.label }}</vitamui-common-table-filter-option>\n</vitamui-common-table-filter>\n",
                styles: ["vitamui-common-table-filter-option.hidden{display:none;visibility:hidden}"]
            },] }
];
TableFilterSearchComponent.ctorParameters = () => [];
TableFilterSearchComponent.propDecorators = {
    filter: [{ type: Input }],
    options: [{ type: Input }],
    emptyValueOption: [{ type: Input }],
    filterChange: [{ type: Output }],
    filterClose: [{ type: Output }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class TableFilterOptionComponent {
    constructor() {
        this.selectionChange = new EventEmitter();
        this.separatorClass = false;
        // tslint:disable-next-line:variable-name
        this._selected = false;
    }
    set separator(separator) {
        this.separatorClass = separator;
    }
    get selected() { return this._selected; }
    ngOnInit() {
    }
    select() {
        if (this._selected) {
            return;
        }
        this._selected = true;
    }
    deselect() {
        if (!this._selected) {
            return;
        }
        this._selected = false;
    }
    onClick() {
        this._selected = !this._selected;
        this.selectionChange.emit(this);
    }
}
TableFilterOptionComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-table-filter-option',
                template: "<mat-pseudo-checkbox class=\"vitamui-checkbox\" [state]=\"selected ? 'checked' : ''\"></mat-pseudo-checkbox>\n\n<div><ng-content></ng-content></div>\n",
                styles: [":host{align-items:center;cursor:pointer;display:flex;padding:15px}:host:active,:host:hover{background:rgba(var(--vitamui-primary-rgb),.15)}:host.table-filter-option-separator:not(:first-child){border-top:1px solid var(--vitamui-grey-300)}:host.table-filter-option-separator:not(:last-child){border-bottom:1px solid var(--vitamui-grey-300)}.vitamui-checkbox{margin-right:15px}"]
            },] }
];
TableFilterOptionComponent.ctorParameters = () => [];
TableFilterOptionComponent.propDecorators = {
    value: [{ type: Input }],
    separator: [{ type: Input }],
    selectionChange: [{ type: Output }],
    separatorClass: [{ type: HostBinding, args: ['class.table-filter-option-separator',] }],
    onClick: [{ type: HostListener, args: ['click',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class TableFilterComponent {
    constructor(ngZone) {
        this.ngZone = ngZone;
        this.showSearchBar = false;
        this.multiSelect = true;
        this.filterChange = new EventEmitter();
        this.search = new EventEmitter();
        this.filterClose = new EventEmitter();
        /** Combined stream of all of the child options' change events. */
        this.optionSelectionChanges = defer(() => {
            if (this.options) {
                return this.options.changes.pipe(startWith(this.options), switchMap(() => merge(...this.options.map((option) => option.selectionChange))));
            }
            return this.ngZone.onStable
                .asObservable()
                .pipe(take(1), switchMap(() => this.optionSelectionChanges));
        });
        this.destroy = new Subject();
    }
    set filter(values) {
        this._filter = values || [];
    }
    ngOnInit() {
        this.selectionModel = new SelectionModel(true);
    }
    ngOnDestroy() {
        this.destroy.next();
        this.destroy.complete();
    }
    ngAfterContentInit() {
        this.selectionModel.changed.pipe(takeUntil(this.destroy)).subscribe((event) => {
            event.added.forEach((option) => option.select());
            event.removed.forEach((option) => option.deselect());
        });
        this.options.changes.pipe(startWith(null), takeUntil(this.destroy)).subscribe(() => {
            this.resetOptions();
            this.initializeSelection();
        });
    }
    onKeyDown(event) {
        if (event.key === 'Escape') {
            this.filterClose.emit();
        }
    }
    onSearchChange(text) {
        this.search.emit(text);
    }
    cancelSearch() {
        this.searchText = null;
        this.onSearchChange(null);
    }
    onInputKeyDown(event) {
        if (event.key === 'Escape') {
            if (this.searchText) {
                event.preventDefault();
                event.stopPropagation();
                this.cancelSearch();
            }
        }
    }
    selectValue(value) {
        const filterOption = this.options.find((option) => option.value === value);
        if (!filterOption) {
            return;
        }
        this.selectionModel.select(filterOption);
    }
    resetOptions() {
        const changedOrDestroyed = merge(this.options.changes, this.destroy);
        this.optionSelectionChanges.pipe(takeUntil(changedOrDestroyed)).subscribe((filterOption) => {
            if (!this.multiSelect) {
                const options = this.options.forEach((option) => {
                    if (option.value !== filterOption.value && option.selected) {
                        this.selectionModel.deselect(option);
                    }
                });
            }
            filterOption.selected ? this.selectionModel.select(filterOption) : this.selectionModel.deselect(filterOption);
            this.filterChange.emit(this.selectionModel.selected.map((option) => option.value));
        });
    }
    initializeSelection() {
        if (!this.options) {
            return;
        }
        this.selectionModel.clear();
        if (!this._filter) {
            return;
        }
        this._filter.forEach((currentValue) => this.selectValue(currentValue));
    }
}
TableFilterComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-table-filter',
                template: "<div class=\"table-filter-panel\">\n  <div *ngIf=\"showSearchBar\" class=\"table-filter-header\">\n    <div class=\"table-filter-search-input\">\n      <input type=\"text\" [(ngModel)]=\"searchText\" (ngModelChange)=\"onSearchChange($event)\" (keydown)=\"onInputKeyDown($event)\">\n      <i *ngIf=\"!searchText; else cancelButton\" class=\"material-icons search-icon\">search</i>\n      <ng-template #cancelButton>\n        <button class=\"btn-search-cancel\" (click)=\"cancelSearch()\"><i class=\"material-icons\">clear</i></button>\n      </ng-template>\n    </div>\n  </div>\n  <div class=\"table-filter-content\">\n    <ng-content></ng-content>\n  </div>\n</div>\n",
                styles: [".table-filter-panel{background:#fff;border:1px solid var(--vitamui-grey-400);border-radius:5px;box-shadow:0 2px 8px rgba(var(--vitamui-grey-rgb),.2),0 4px 16px rgba(var(--vitamui-grey-rgb),.05)}.table-filter-header{align-items:center;border-bottom:1px solid #e0e0e0;display:flex;padding:7px 11px}.table-filter-header .table-filter-search-input{flex-grow:1;position:relative}.table-filter-header .table-filter-search-input input{border:1px solid rgba(0,0,0,.5);border-radius:18px;height:36px;outline:none;padding:8px 36px 8px 24px;width:100%}.table-filter-header .table-filter-search-input .search-icon{color:rgba(0,0,0,.5);display:block;padding:0 12px 0 0;position:absolute;right:0;top:6px}.table-filter-header .table-filter-search-input .btn-search-cancel{background:transparent;border:none;color:rgba(0,0,0,.5);cursor:pointer;display:block;height:36px;outline:none;padding:0;position:absolute;right:12px;top:0}.table-filter-content{max-height:300px;overflow:auto}"]
            },] }
];
TableFilterComponent.ctorParameters = () => [
    { type: NgZone }
];
TableFilterComponent.propDecorators = {
    filter: [{ type: Input }],
    showSearchBar: [{ type: Input }],
    multiSelect: [{ type: Input }],
    filterChange: [{ type: Output }],
    search: [{ type: Output }],
    filterClose: [{ type: Output }],
    options: [{ type: ContentChildren, args: [TableFilterOptionComponent, { descendants: true },] }],
    onKeyDown: [{ type: HostListener, args: ['document:keydown', ['$event'],] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class TableFilterDirective {
    constructor(overlay, elementRef, viewContainerRef) {
        this.overlay = overlay;
        this.elementRef = elementRef;
        this.viewContainerRef = viewContainerRef;
        this.filterClosed = new EventEmitter();
    }
    openTemplate() {
        const positionStrategy = this.overlay.position()
            .flexibleConnectedTo(this.elementRef)
            .withPositions([{
                overlayX: 'start',
                overlayY: 'top',
                originX: 'start',
                originY: 'bottom'
            }]);
        const scrollStrategy = this.overlay.scrollStrategies.reposition({ autoClose: true });
        this.overlayRef = this.overlay.create({
            positionStrategy,
            scrollStrategy,
            hasBackdrop: true,
            backdropClass: 'cdk-overlay-transparent-backdrop',
        });
        const filterTemplatePortal = new TemplatePortal(this.templateRef, this.viewContainerRef);
        this.overlayRef.attach(filterTemplatePortal);
        this.overlayRef.backdropClick().subscribe(() => {
            this.close();
        });
    }
    close() {
        if (this.overlayRef) {
            this.overlayRef.detach();
            this.filterClosed.emit();
        }
    }
}
TableFilterDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonTableFilter]',
                exportAs: 'vitamuiCommonTableFilter'
            },] }
];
TableFilterDirective.ctorParameters = () => [
    { type: Overlay },
    { type: ElementRef },
    { type: ViewContainerRef }
];
TableFilterDirective.propDecorators = {
    templateRef: [{ type: Input, args: ['vitamuiCommonTableFilter',] }],
    filterClosed: [{ type: Output }],
    openTemplate: [{ type: HostListener, args: ['click',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class TableFilterModule {
}
TableFilterModule.decorators = [
    { type: NgModule, args: [{
                declarations: [TableFilterComponent, TableFilterOptionComponent, TableFilterDirective, TableFilterSearchComponent],
                imports: [
                    CommonModule,
                    MatPseudoCheckboxModule,
                    MatCheckboxModule,
                    OverlayModule,
                    FormsModule,
                ],
                exports: [TableFilterComponent, TableFilterOptionComponent, TableFilterDirective, TableFilterSearchComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const VITAMUI_AUTOCOMPLETE_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => VitamUIAutocompleteComponent),
    multi: true
};
class VitamUIAutocompleteComponent {
    constructor() {
        // tslint:disable-next-line:variable-name
        this._options = [];
        this.control = new FormControl('');
        this.optionsChanges = new Subject();
        this.labelUp = false;
        this.focused = false;
        this.onChange = (_) => { };
        this.onTouched = () => { };
    }
    set options(options) {
        this._options = options.sort((a, b) => a.label.toLocaleLowerCase() > b.label.toLocaleLowerCase() ? 1 : -1);
        this.optionsChanges.next(this._options);
        if (this._options.length === 1) {
            // Re-setting the value so the input shows the updated option's label.
            this.control.setValue(this.control.value, { emitEvent: false });
        }
        else {
            this.control.reset(null, { emitEvent: false });
        }
        this.updatePlaceholderPosition();
    }
    get options() { return this._options; }
    ngOnInit() {
        const valueChanges = this.control.valueChanges
            .pipe(startWith(''), map((value) => {
            if (value) {
                return typeof value === 'string' ? value : value.label;
            }
            return '';
        }), map((name) => name ? this.filter(name) : this.options.slice()));
        this.filteredOptions = merge(valueChanges, this.optionsChanges);
        this.control.valueChanges.subscribe((value) => this.onChange(value));
        this.control.valueChanges.subscribe(() => this.updatePlaceholderPosition());
    }
    writeValue(value) {
        this.control.setValue(value);
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    filter(name) {
        return this.options.filter((option) => {
            return option.label ? option.label.toLowerCase().indexOf(name.toLowerCase()) === 0 : false;
        });
    }
    displayFn(options) {
        return (key) => {
            const selected = options.find((option) => option.key === key);
            return selected ? selected.label : undefined;
        };
    }
    focus() {
        if (this.inputElement) {
            this.inputElement.nativeElement.focus();
        }
    }
    setDisabledState(disabled) {
        if (disabled) {
            this.control.disable({ emitEvent: false });
        }
        else {
            this.control.enable({ emitEvent: false });
        }
    }
    updatePlaceholderPosition() {
        this.labelUp = !!this.control.value || this.focused;
    }
    onBlur() {
        this.focused = false;
        this.updatePlaceholderPosition();
    }
    onFocus() {
        this.focused = true;
        this.updatePlaceholderPosition();
    }
}
VitamUIAutocompleteComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-vitamui-autocomplete',
                template: "<div class=\"vitamui-autocomplete\" [class.disabled]=\"control.disabled\" [class.label-up]=\"labelUp\">\n  <label class=\"input-label\">\n    {{placeholder}}\n    <span *ngIf=\"required\" class=\"required-marker\">*</span>\n  </label>\n  <input\n      #input=\"matAutocompleteTrigger\"\n      matInput\n      type=\"text\"\n      [required]=\"required\"\n      [formControl]=\"control\"\n      [matAutocomplete]=\"auto\"\n      [vitamuiAutocompletePosition]=\"input\"\n      (blur)=\"onBlur()\"\n      (focus)=\"onFocus()\"\n  >\n  <i class=\"material-icons\">keyboard_arrow_down</i>\n</div>\n\n<mat-autocomplete #auto=\"matAutocomplete\" [displayWith]=\"displayFn(options)\" autoActiveFirstOption class=\"vitamui-autocomplete-panel\">\n  <mat-option *ngFor=\"let option of filteredOptions | async\" [value]=\"option.key\">\n    <span class=\"vitamui-option-label\">{{ option.label }}</span> <i class=\"material-icons\" *ngIf=\"option.info\" [matTooltip]=\"option.info\" matTooltipClass=\"vitamui-tooltip\">info_outline</i>\n  </mat-option>\n</mat-autocomplete>\n",
                providers: [VITAMUI_AUTOCOMPLETE_VALUE_ACCESSOR],
                styles: [".mat-dialog-container .vitamui-autocomplete>input:not(.disabled),.mat-dialog-container .vitamui-autocomplete>input:not(:disabled),.mat-drawer .vitamui-autocomplete>input:not(.disabled),.mat-drawer .vitamui-autocomplete>input:not(:disabled){box-shadow:0 0 2px rgba(var(--vitamui-grey-rgb),.2),0 1px 4px rgba(var(--vitamui-grey-rgb),.05)}.mat-dialog-container .vitamui-autocomplete>input:not(.disabled):hover,.mat-dialog-container .vitamui-autocomplete>input:not(:disabled):hover,.mat-drawer .vitamui-autocomplete>input:not(.disabled):hover,.mat-drawer .vitamui-autocomplete>input:not(:disabled):hover{box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}.mat-dialog-container .vitamui-autocomplete>input.disabled,.mat-dialog-container .vitamui-autocomplete>input:disabled,.mat-drawer .vitamui-autocomplete>input.disabled,.mat-drawer .vitamui-autocomplete>input:disabled{box-shadow:none!important}.vitamui-autocomplete{position:relative}.vitamui-autocomplete>input{background:#fff;background-color:#fff;border:none;border-radius:4px;box-sizing:border-box;height:60px;padding:10px 40px 10px 29px;transition:padding .15s ease-out;width:100%}.vitamui-autocomplete>input:not(.disabled),.vitamui-autocomplete>input:not(:disabled){box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}.vitamui-autocomplete>input:not(.disabled):hover,.vitamui-autocomplete>input:not(:disabled):hover{box-shadow:0 2px 8px rgba(var(--vitamui-grey-rgb),.2),0 4px 16px rgba(var(--vitamui-grey-rgb),.05)}.vitamui-autocomplete>input.disabled,.vitamui-autocomplete>input:disabled{box-shadow:none!important}.vitamui-autocomplete>input:focus{border:1px solid var(--vitamui-primary);outline:none}.vitamui-autocomplete>input.ng-invalid{border:1px solid #c10000}.vitamui-autocomplete.disabled>input{background:var(--vitamui-grey-300);box-shadow:none!important}.vitamui-autocomplete.disabled>i{color:var(--vitamui-grey-700)}.vitamui-autocomplete>i{font-size:24px;right:16px;top:14px}.vitamui-autocomplete .input-label,.vitamui-autocomplete>i{color:var(--vitamui-primary);pointer-events:none;position:absolute}.vitamui-autocomplete .input-label{align-items:center;font-size:14px;font-weight:700;left:30px;letter-spacing:.1px;line-height:10px;top:26px;transform-origin:left;transition:transform .15s ease-out,top .15s ease-out}.vitamui-autocomplete .input-label>.required-marker{color:#c10000}.vitamui-autocomplete.label-up .input-label{transform:scale(.85714) translateY(-15px)}.vitamui-autocomplete.label-up>input{color:var(--vitamui-grey-900);font-size:16px;font-weight:700;padding-top:30px}"]
            },] }
];
VitamUIAutocompleteComponent.ctorParameters = () => [];
VitamUIAutocompleteComponent.propDecorators = {
    options: [{ type: Input }],
    placeholder: [{ type: Input }],
    required: [{ type: Input }],
    inputElement: [{ type: ViewChild, args: ['input', { read: ElementRef, static: true },] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class AutocompletePositionDirective {
    constructor() {
        this.scrollEvent = () => {
            if (this.matAutocompleteTrigger == null) {
                return;
            }
            if (this.matAutocompleteTrigger.panelOpen) {
                this.matAutocompleteTrigger.updatePosition();
            }
        };
    }
    set autocompletePosition(value) {
        this.matAutocompleteTrigger = value;
        window.addEventListener('scroll', this.scrollEvent, true);
    }
    ngOnDestroy() {
        window.removeEventListener('scroll', this.scrollEvent, true);
    }
}
AutocompletePositionDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiAutocompletePosition]'
            },] }
];
AutocompletePositionDirective.propDecorators = {
    autocompletePosition: [{ type: Input, args: ['vitamuiAutocompletePosition',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class AutocompletePositionDirectiveModule {
}
AutocompletePositionDirectiveModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                ],
                declarations: [
                    AutocompletePositionDirective
                ],
                exports: [
                    AutocompletePositionDirective
                ]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUIAutocompleteModule {
}
VitamUIAutocompleteModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    MatAutocompleteModule,
                    ReactiveFormsModule,
                    MatTooltipModule,
                    MatInputModule,
                    AutocompletePositionDirectiveModule
                ],
                declarations: [VitamUIAutocompleteComponent],
                exports: [VitamUIAutocompleteComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUICustomerSelectComponent {
    constructor(router, route, globalEventService) {
        this.router = router;
        this.route = route;
        this.globalEventService = globalEventService;
        this.destroyer$ = new Subject();
    }
    ngOnInit() {
        this.route.data.pipe(takeUntil(this.destroyer$))
            .subscribe((data) => {
            this.customers = data.customers;
        });
        this.globalEventService.customerEvent.pipe(takeUntil(this.destroyer$))
            .subscribe((customerId) => this.selectCustomer(customerId));
    }
    ngOnDestroy() {
        this.destroyer$.next();
        this.destroyer$.complete();
    }
    selectCustomer(customerId) {
        this.router.navigate(['./' + customerId], { relativeTo: this.route });
    }
}
VitamUICustomerSelectComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-customer-select',
                template: "<img src=\"assets/bg-customer-select.svg\" class=\"customer-bg\" alt=\"customer select\"/>\n\n<div class=\"vitamui-header\">\n  <div class=\"vitamui-container\">\n      <h2>\n        {{'SUBROGATION.PREHOME.ORGANIZATIONS' | translate}}\n      </h2>\n  </div>\n</div>\n\n<vitamui-common-customer-select-content [customers]=\"customers\" [isModalMenu]=\"false\"></vitamui-common-customer-select-content>\n",
                styles: [".customer-bg{bottom:-70px;position:fixed;right:-20px;width:518px;z-index:-2}.vitamui-header{background:none}.vitamui-header h2{font-size:48px;text-align:center}.vitamui-header .vitamui-container{padding-bottom:0}"]
            },] }
];
VitamUICustomerSelectComponent.ctorParameters = () => [
    { type: Router },
    { type: ActivatedRoute },
    { type: GlobalEventService }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CustomerSelectionService {
    constructor() {
        this.selectedCustomer$ = new BehaviorSubject(undefined);
        this.customers$ = new BehaviorSubject(undefined);
    }
    setCustomerId(customerId) {
        if (customerId && customerId !== this.selectedCustomer$.getValue()) {
            this.selectedCustomer$.next(customerId);
        }
    }
    getSelectedCustomerId$() {
        return this.selectedCustomer$.asObservable();
    }
    getSelectedCustomerId() {
        return this.selectedCustomer$.getValue();
    }
    getCustomers$() {
        return this.customers$.asObservable();
    }
    getCustomers() {
        return this.customers$.getValue();
    }
    setCustomers(customers) {
        // Set only if there is no value yet
        if (!this.customers$.getValue()) {
            this.customers$.next(customers);
        }
    }
}
CustomerSelectionService.ɵprov = ɵɵdefineInjectable({ factory: function CustomerSelectionService_Factory() { return new CustomerSelectionService(); }, token: CustomerSelectionService, providedIn: "root" });
CustomerSelectionService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
CustomerSelectionService.ctorParameters = () => [];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CustomerMenuService {
    constructor() {
        this.selectedCustomerSubject = new Subject();
    }
    sendSelectedCustomerId(customerId) {
        this.selectedCustomerSubject.next(customerId);
    }
    getSelectedCustomer() {
        return this.selectedCustomerSubject.asObservable();
    }
}
CustomerMenuService.ɵprov = ɵɵdefineInjectable({ factory: function CustomerMenuService_Factory() { return new CustomerMenuService(); }, token: CustomerMenuService, providedIn: "root" });
CustomerMenuService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
CustomerMenuService.ctorParameters = () => [];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CustomerSelectContentComponent {
    constructor(router, route, customerMenuService, customerSelectionService) {
        this.router = router;
        this.route = route;
        this.customerMenuService = customerMenuService;
        this.customerSelectionService = customerSelectionService;
        this.customerSelected = new EventEmitter();
    }
    ngOnInit() {
        if (this.customers) {
            this.customers.sort((c1, c2) => c1.label.localeCompare(c2.label));
            this.customerSelectionService.setCustomers(this.customers);
        }
    }
    ngOnDestroy() { }
    selectCustomerId(customerId) {
        if (customerId) {
            if (this.isModalMenu) {
                this.customerMenuService.sendSelectedCustomerId(customerId);
                this.customerSelectionService.setCustomerId(customerId);
                this.customerSelected.emit(customerId);
            }
            else {
                this.router.navigate(['./' + customerId], { relativeTo: this.route });
            }
        }
    }
}
CustomerSelectContentComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-customer-select-content',
                template: "<div class=\"vitamui-body\" [class.modal-body]=\"isModalMenu\">\n  <div class=\"vitamui-container\">\n    <div class=\"row\">\n      <div class=\"col-sm-12 col-md-6 col-lg-4 col-xl-4\"\u00A0*ngFor=\"let option of customers\" (click)=\"selectCustomerId(option.value)\">\n        <div class=\"customer-box clickable\" [class.modal-customer-box]=\"isModalMenu\">\n          <i class=\"vitamui-icon vitamui-icon-bank\"></i> <span [innerHTML]=\"option.label\"></span>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n",
                styles: [".modal-body{min-height:100px}.mat-dialog-container .customer-box:not(.disabled),.mat-dialog-container .customer-box:not(:disabled),.mat-drawer .customer-box:not(.disabled),.mat-drawer .customer-box:not(:disabled){box-shadow:0 0 2px rgba(var(--vitamui-grey-rgb),.2),0 1px 4px rgba(var(--vitamui-grey-rgb),.05)}.mat-dialog-container .customer-box:not(.disabled):hover,.mat-dialog-container .customer-box:not(:disabled):hover,.mat-drawer .customer-box:not(.disabled):hover,.mat-drawer .customer-box:not(:disabled):hover{box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}.mat-dialog-container .customer-box.disabled,.mat-dialog-container .customer-box:disabled,.mat-drawer .customer-box.disabled,.mat-drawer .customer-box:disabled{box-shadow:none!important}.customer-box{align-items:center;background:#fff;border-radius:10px;color:#474747;display:flex;font-size:16px;font-weight:500;height:90px;margin-bottom:24px;padding:23px 12px 23px 30px;transition:box-shadow .24s ease-out;word-break:break-word}.customer-box:not(.disabled),.customer-box:not(:disabled){box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}.customer-box:not(.disabled):hover,.customer-box:not(:disabled):hover{box-shadow:0 2px 8px rgba(var(--vitamui-grey-rgb),.2),0 4px 16px rgba(var(--vitamui-grey-rgb),.05)}.customer-box.disabled,.customer-box:disabled{box-shadow:none!important}.customer-box i{color:var(--vitamui-primary);font-size:42px;margin-right:15px}.modal-customer-box{font-size:14px;height:60px;padding-left:20px}.modal-customer-box i{font-size:30px}"]
            },] }
];
CustomerSelectContentComponent.ctorParameters = () => [
    { type: Router },
    { type: ActivatedRoute },
    { type: CustomerMenuService },
    { type: CustomerSelectionService }
];
CustomerSelectContentComponent.propDecorators = {
    customers: [{ type: Input }],
    isModalMenu: [{ type: Input }],
    customerSelected: [{ type: Output }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CustomerSelectContentModule {
}
CustomerSelectContentModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    HttpClientModule,
                    RouterModule,
                ],
                declarations: [CustomerSelectContentComponent],
                exports: [CustomerSelectContentComponent],
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class TenantMenuService {
    constructor(authService, userApiService) {
        this.authService = authService;
        this.userApiService = userApiService;
        // tslint:disable-next-line:variable-name
        this._tenants = [];
        this.selectedTenantSubject = new Subject();
    }
    set appId(appId) {
        if (this.authService.user && this.authService.user.hasOwnProperty('tenantsByApp')) {
            const activeApp = this.authService.user.tenantsByApp.find((app) => app.name === appId);
            if (activeApp) {
                this._tenants = activeApp.tenants;
            }
        }
    }
    get tenants() {
        return this._tenants;
    }
    get activeTenant() {
        return (this._tenants || []).find((tenant) => tenant.identifier === this.activeTenantIdentifier);
    }
    setDefaultTenant(tenantIdentifier) {
        return this.userApiService.analytics({ lastTenantIdentifier: tenantIdentifier });
    }
    sendSelectedTenant(tenantIdentifier) {
        this.selectedTenantSubject.next(tenantIdentifier);
    }
    getSelectedTenant() {
        return this.selectedTenantSubject.asObservable();
    }
}
TenantMenuService.ɵprov = ɵɵdefineInjectable({ factory: function TenantMenuService_Factory() { return new TenantMenuService(ɵɵinject(AuthService), ɵɵinject(UserApiService)); }, token: TenantMenuService, providedIn: "root" });
TenantMenuService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
TenantMenuService.ctorParameters = () => [
    { type: AuthService },
    { type: UserApiService }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class TenantSelectContentComponent {
    constructor(router, route, tenantMenuService) {
        this.router = router;
        this.route = route;
        this.tenantMenuService = tenantMenuService;
        this.tenantSelected = new EventEmitter();
    }
    selectTenantIdentifier(tenantIdentifier) {
        if (this.isModalMenu) {
            this.tenantMenuService.sendSelectedTenant(tenantIdentifier);
        }
        else {
            this.router.navigate(['./' + tenantIdentifier], { relativeTo: this.route });
        }
        this.tenantSelected.emit(tenantIdentifier);
    }
}
TenantSelectContentComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-tenant-select-content',
                template: "<div class=\"vitamui-body\" [class.modal-body]=\"isModalMenu\">\n  <div class=\"vitamui-container\">\n    <div class=\"row\">\n      <div class=\"col-sm-12 col-md-6 col-lg-4 col-xl-4\"\u00A0*ngFor=\"let option of tenants\" (click)=\"selectTenantIdentifier(option.value)\">\n        <div class=\"tenant-box clickable\" [class.modal-tenant-box]=\"isModalMenu\">\n          <i class=\"vitamui-icon vitamui-icon-safe\"></i> <span [innerHTML]=\"option.label\"></span>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n",
                styles: [".modal-body{min-height:100px}.mat-dialog-container .tenant-box:not(.disabled),.mat-dialog-container .tenant-box:not(:disabled),.mat-drawer .tenant-box:not(.disabled),.mat-drawer .tenant-box:not(:disabled){box-shadow:0 0 2px rgba(var(--vitamui-grey-rgb),.2),0 1px 4px rgba(var(--vitamui-grey-rgb),.05)}.mat-dialog-container .tenant-box:not(.disabled):hover,.mat-dialog-container .tenant-box:not(:disabled):hover,.mat-drawer .tenant-box:not(.disabled):hover,.mat-drawer .tenant-box:not(:disabled):hover{box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}.mat-dialog-container .tenant-box.disabled,.mat-dialog-container .tenant-box:disabled,.mat-drawer .tenant-box.disabled,.mat-drawer .tenant-box:disabled{box-shadow:none!important}.tenant-box{align-items:center;background:#fff;border-radius:10px;color:#474747;display:flex;font-size:16px;font-weight:500;height:90px;margin-bottom:24px;padding:26px 12px 29px 23px;transition:box-shadow .24s ease-out;word-break:break-word}.tenant-box:not(.disabled),.tenant-box:not(:disabled){box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}.tenant-box:not(.disabled):hover,.tenant-box:not(:disabled):hover{box-shadow:0 2px 8px rgba(var(--vitamui-grey-rgb),.2),0 4px 16px rgba(var(--vitamui-grey-rgb),.05)}.tenant-box.disabled,.tenant-box:disabled{box-shadow:none!important}.tenant-box i{color:var(--vitamui-primary);font-size:42px;margin-right:15px}.modal-tenant-box{font-size:14px;height:60px}.modal-tenant-box i{font-size:30px}"]
            },] }
];
TenantSelectContentComponent.ctorParameters = () => [
    { type: Router },
    { type: ActivatedRoute },
    { type: TenantMenuService }
];
TenantSelectContentComponent.propDecorators = {
    tenants: [{ type: Input }],
    isModalMenu: [{ type: Input }],
    tenantSelected: [{ type: Output }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class TenantSelectContentModule {
}
TenantSelectContentModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    HttpClientModule,
                    RouterModule,
                ],
                declarations: [TenantSelectContentComponent],
                exports: [TenantSelectContentComponent],
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
var MenuType;
(function (MenuType) {
    MenuType["tenant"] = "TENANT";
    MenuType["customer"] = "CUSTOMER";
    MenuType["application"] = "APPLICATION";
})(MenuType || (MenuType = {}));

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CommonMenuComponent {
    constructor(dialogRef, data) {
        this.dialogRef = dialogRef;
        this.data = data;
    }
    ngOnInit() {
        this.menuType = this.data.menuType;
        this.title = this.menuType === MenuType.tenant ? 'Coffres' :
            this.menuType === MenuType.customer ? 'Organisations' : 'Applications';
        this.items = this.data.items;
        this.applicationConfig = this.data.applicationConfig;
    }
    closeApplicationMenu() {
        this.dialogRef.close();
    }
    closeCustomerMenu() {
        this.dialogRef.close();
    }
    closeTenantMenu() {
        this.dialogRef.close();
    }
}
CommonMenuComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-common-menu',
                template: "<div class=\"menu-container\">\n    <div class=\"menu-modal\">\n        <h2>Mes <span>{{ title }}</span></h2>\n\n        <mat-dialog-content>\n            <vitamui-common-application-select-content *ngIf=\"menuType === 'APPLICATION'\" [applications]=\"applicationConfig.applications\" [categories]=\"applicationConfig.categories\"\n                                                       [isModalMenu]=\"true\" (applicationSelected)=\"closeApplicationMenu()\"></vitamui-common-application-select-content>\n\n            <vitamui-common-customer-select-content *ngIf=\"menuType === 'CUSTOMER'\" [customers]=\"items\" [isModalMenu]=\"true\" (customerSelected)=\"closeCustomerMenu()\"></vitamui-common-customer-select-content>\n\n            <vitamui-common-tenant-select-content *ngIf=\"menuType === 'TENANT'\" [tenants]=\"items\" [isModalMenu]=\"true\" (tenantSelected)=\"closeTenantMenu()\"></vitamui-common-tenant-select-content>\n        </mat-dialog-content>\n\n    </div>\n</div>\n\n",
                styles: [".menu-container .menu-modal{background-color:#f7f8fb;border-radius:10px;padding:40px}.menu-container h2{color:#485053;font-size:24px;font-weight:400;margin:0;padding-bottom:32px;padding-top:24px;text-align:center}.menu-container h2 span{font-weight:700}.item-container{display:flex;flex-direction:row;flex-wrap:wrap;justify-content:flex-start}.tile{background:#fff;border-radius:10px;box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05);height:60px;margin-bottom:50px;margin-left:22px;padding:20px;white-space:nowrap;width:250px}.tile,.tile i{vertical-align:middle}.tile i{color:var(--vitamui-primary);font-size:24px;margin-right:10px}"]
            },] }
];
CommonMenuComponent.ctorParameters = () => [
    { type: MatDialogRef },
    { type: undefined, decorators: [{ type: Inject, args: [MAT_DIALOG_DATA,] }] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class ApplicationMenuComponent {
    constructor(applicationService, dialog) {
        this.applicationService = applicationService;
        this.dialog = dialog;
    }
    get activeApplication() {
        return this.applicationService.applications.find((application) => application.identifier === this.appId);
    }
    openApplicationMenu() {
        this.dialog.open(CommonMenuComponent, {
            panelClass: 'vitamui-modal',
            data: {
                menuType: MenuType.application,
                applicationConfig: { applications: this.applicationService.applications, categories: this.applicationService.categories }
            }
        });
    }
}
ApplicationMenuComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-application-menu',
                template: "<button class=\"vitamui-menu-button\" (click)=\"openApplicationMenu()\">\n  <i class=\"{{ activeApplication?.icon }}\"></i>\n  <span *ngIf=\"activeApplication\">{{ activeApplication.name }}</span>\n  <span *ngIf=\"!activeApplication\">{{'MENU.APPLICATION_TITLE' | translate}}</span>\n</button>\n",
                styles: [""]
            },] }
];
ApplicationMenuComponent.ctorParameters = () => [
    { type: ApplicationService },
    { type: MatDialog }
];
ApplicationMenuComponent.propDecorators = {
    appId: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CustomerMenuComponent {
    constructor(dialog, customerMenuService, customerSelectionService, route) {
        this.dialog = dialog;
        this.customerMenuService = customerMenuService;
        this.customerSelectionService = customerSelectionService;
        this.route = route;
        this.customerSelect = new EventEmitter();
    }
    ngOnInit() {
        this.route.paramMap.subscribe((params) => {
            this.activeCustomerId = params.get('customerId');
        });
        this.customerSelection = this.customerMenuService.getSelectedCustomer().subscribe((customerId) => {
            if (customerId !== this.activeCustomerId) {
                this.activeCustomerId = customerId;
                this.customerSelectionService.setCustomerId(customerId);
                this.emitCustomerIdChange(customerId);
            }
        });
    }
    emitCustomerIdChange(customerId) {
        this.customerSelect.emit(customerId);
    }
    get activeCustomer() {
        return (this.customers || []).find((customer) => customer.value === this.activeCustomerId);
    }
    openCustomerMenu() {
        this.dialog.open(CommonMenuComponent, {
            panelClass: 'vitamui-modal',
            data: { menuType: MenuType.customer, items: this.customers }
        });
    }
    ngOnDestroy() {
        this.customerSelection.unsubscribe();
    }
}
CustomerMenuComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-customer-menu',
                template: "<button class=\"vitamui-menu-button\" [disabled]=\"customers?.length <= 1\" (click)=\"openCustomerMenu()\">\n  <i class=\"vitamui-icon vitamui-icon-bank\"></i>\n  <span *ngIf=\"activeCustomer\">{{ activeCustomer?.label }}</span>\n  <span *ngIf=\"!activeCustomer\">{{'MENU.CUSTOMER_TITLE' | translate}}</span>\n</button>\n",
                styles: [""]
            },] }
];
CustomerMenuComponent.ctorParameters = () => [
    { type: MatDialog },
    { type: CustomerMenuService },
    { type: CustomerSelectionService },
    { type: ActivatedRoute }
];
CustomerMenuComponent.propDecorators = {
    customers: [{ type: Input }],
    customerSelect: [{ type: Output }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class TenantMenuComponent {
    constructor(tenantMenuService, dialog, route) {
        this.tenantMenuService = tenantMenuService;
        this.dialog = dialog;
        this.route = route;
        this.selectedTenant = new EventEmitter();
    }
    ngOnInit() {
        this.tenantMenuService.appId = this.appId;
        this.route.paramMap.subscribe((params) => {
            this.tenantMenuService.activeTenantIdentifier = +params.get('tenantIdentifier');
        });
        this.tenantSelection = this.tenantMenuService.getSelectedTenant().subscribe((tenantIdentifier) => {
            if (tenantIdentifier !== this.tenantMenuService.activeTenantIdentifier) {
                this.tenantMenuService.activeTenantIdentifier = tenantIdentifier;
                this.emitTenantIdentifierChange(tenantIdentifier);
            }
        });
    }
    emitTenantIdentifierChange(tenantIdentifier) {
        this.selectedTenant.emit(tenantIdentifier);
    }
    openTenantMenu() {
        const tenants = new Array();
        this.tenantMenuService.tenants.sort((t1, t2) => t1.name.localeCompare(t2.name));
        this.tenantMenuService.tenants.forEach((tenant) => tenants.push({ value: tenant.identifier, label: tenant.name }));
        this.dialog.open(CommonMenuComponent, {
            panelClass: 'vitamui-modal',
            data: { menuType: MenuType.tenant, items: tenants }
        });
    }
    ngOnDestroy() {
        this.tenantSelection.unsubscribe();
    }
}
TenantMenuComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-tenant-menu',
                template: "<button class=\"vitamui-menu-button\" [disabled]=\"tenantMenuService.tenants?.length <= 1\" (click)=\"openTenantMenu()\">\n  <i class=\"vitamui-icon vitamui-icon-safe\"></i>\n  <span *ngIf=\"tenantMenuService.activeTenantIdentifier\">{{ tenantMenuService.activeTenant.name }}</span>\n  <span *ngIf=\"!tenantMenuService.activeTenantIdentifier\">{{'MENU.TENANT_TITLE' | translate}}</span>\n</button>\n",
                styles: [""]
            },] }
];
TenantMenuComponent.ctorParameters = () => [
    { type: TenantMenuService },
    { type: MatDialog },
    { type: ActivatedRoute }
];
TenantMenuComponent.propDecorators = {
    appId: [{ type: Input }],
    selectedTenant: [{ type: Output }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class NavbarModule {
}
NavbarModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    HttpClientModule,
                    RouterModule,
                    MatMenuModule,
                    ApplicationSelectContentModule,
                    CustomerSelectContentModule,
                    TenantSelectContentModule,
                    MatDialogModule,
                    TranslateModule,
                ],
                declarations: [NavbarComponent, ApplicationMenuComponent, TenantMenuComponent, CustomerMenuComponent, CommonMenuComponent],
                exports: [NavbarComponent, ApplicationMenuComponent, TenantMenuComponent, CustomerMenuComponent, CommonMenuComponent],
                entryComponents: [CommonMenuComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUICustomerSelectModule {
}
VitamUICustomerSelectModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    HttpClientModule,
                    RouterModule,
                    NavbarModule,
                    CustomerSelectContentModule,
                    TranslateModule
                ],
                declarations: [VitamUICustomerSelectComponent],
                exports: [VitamUICustomerSelectComponent],
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUIDisplayNodeComponent {
    constructor() { }
    ngOnInit() {
    }
}
VitamUIDisplayNodeComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-display-node',
                template: "<div class=\"parent-label\" matTooltip=\"{{node?.name}}\"\nmatTooltipClass=\"vitamui-tooltip\"\n[matTooltipShowDelay]=\"300\"><i class=\"material-icons\">chevron_right</i>{{node?.name}}</div>\n<ul>\n  <li *ngFor=\"let node of node?.child\">\n    <vitamui-common-display-node [node]=\"node\"></vitamui-common-display-node>\n  </li>\n</ul>\n",
                styles: [".parent-label{font-size:14px;font-weight:400;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}li,ul{font-size:14px;font-weight:500;list-style:none;margin-bottom:0;margin-top:0;padding-left:5px}"]
            },] }
];
VitamUIDisplayNodeComponent.ctorParameters = () => [];
VitamUIDisplayNodeComponent.propDecorators = {
    node: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUIDisplayNodeModule {
}
VitamUIDisplayNodeModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    MatTooltipModule,
                    CommonModule,
                ],
                declarations: [VitamUIDisplayNodeComponent],
                exports: [VitamUIDisplayNodeComponent],
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUIFieldErrorModule {
}
VitamUIFieldErrorModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                ],
                declarations: [
                    VitamUIFieldErrorComponent,
                ],
                exports: [
                    VitamUIFieldErrorComponent,
                ]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const LIST_INPUT_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => VitamUIListInputComponent),
    multi: true
};
class VitamUIListInputComponent {
    constructor() {
        this.spinnerDiameter = 25;
        // tslint:disable-next-line:variable-name
        this._required = false;
        this.values = [];
        this.separatorKeysCodes = [ENTER];
        this.control = new FormControl(null, [Validators.required]);
    }
    set validator(validator) {
        this.control.setValidators(Validators.compose([Validators.required, validator]));
        this.control.updateValueAndValidity({ emitEvent: false });
    }
    set asyncValidator(asyncValidator) {
        this.control.setAsyncValidators(asyncValidator);
        this.control.updateValueAndValidity({ emitEvent: false });
    }
    get required() { return this._required; }
    set required(value) { this._required = coerceBooleanProperty(value); }
    ngAfterContentInit() {
        this.control.statusChanges.subscribe(() => {
            this.errors.forEach((error) => {
                error.show = this.control.errors ? !!this.control.errors[error.errorKey] : false;
            });
        });
    }
    writeValue(values) {
        this.values = (values || []).slice();
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    add() {
        if (this.control.invalid || this.control.pending) {
            return;
        }
        const val = this.control.value.trim();
        if (this.values.includes(val)) {
            return;
        }
        this.values.push(val);
        this.onChange(this.values);
        this.control.reset();
    }
    remove(val) {
        const index = this.values.indexOf(val);
        if (index >= 0) {
            this.values.splice(index, 1);
            this.onChange(this.values);
        }
    }
    buttonAddDisabled() {
        return this.control.pending || this.control.invalid || this.valueExists;
    }
    get valueExists() {
        return this.values.includes((this.control.value || '').trim());
    }
}
VitamUIListInputComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-list-input',
                template: "<div class=\"list-input-control\">\n  <div class=\"list-input-wrapper\">\n    <input class=\"vitamui-input\" type=\"text\" size=\"10\" [formControl]=\"control\" [attr.placeholder]=\"placeholder\" (blur)=\"onTouched()\" (keydown.enter)=\"add()\">\n    <mat-spinner *ngIf=\"control.pending\" [diameter]=\"spinnerDiameter\" color=\"accent\"></mat-spinner>\n  </div>\n  <button type=\"button\" class=\"btn primary\" (click)=\"add()\" [disabled]=\"buttonAddDisabled()\">{{'COMMON.ADD' | translate}}</button>\n</div>\n<div class=\"vitamui-input-errors\">\n    <ng-content select=\"vitamui-common-field-error\"></ng-content>\n</div>\n<div class=\"vitamui-chip-list\">\n  <div *ngFor=\"let val of values\" class=\"vitamui-chip\">\n    <div class=\"vitamui-chip-content\">{{val}}</div>\n    <div class=\"vitamui-remove-chip\" (click)=\"remove(val)\">\n      <i class=\"material-icons\">clear</i>\n    </div>\n  </div>\n</div>\n",
                providers: [LIST_INPUT_ACCESSOR],
                styles: [":host{display:block;width:100%}mat-chip i,mat-chip span{vertical-align:middle}.list-input-control{align-items:center;display:flex;justify-content:stretch}.list-input-control .list-input-wrapper{flex-grow:1;margin-right:15px;position:relative}.list-input-control .list-input-wrapper mat-spinner{position:absolute;right:12px;top:12px}.vitamui-chip-list{margin-bottom:.5rem;margin-top:.5rem}:host.list-input-mini .list-input-control button,:host.list-input-mini .list-input-control input{border-radius:17px;height:34px}:host.list-input-mini .list-input-control>span{font-size:18px}:host.list-input-mini .list-input-control mat-spinner{right:8px;top:8px}:host.list-input-mini .vitamui-chip-list{padding-left:27px}.required-marker{color:#c10000}"]
            },] }
];
VitamUIListInputComponent.ctorParameters = () => [];
VitamUIListInputComponent.propDecorators = {
    placeholder: [{ type: Input }],
    spinnerDiameter: [{ type: Input }],
    validator: [{ type: Input }],
    asyncValidator: [{ type: Input }],
    required: [{ type: Input }],
    errors: [{ type: ContentChildren, args: [VitamUIFieldErrorComponent,] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUIListInputModule {
}
VitamUIListInputModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    MatProgressSpinnerModule,
                    TranslateModule
                ],
                declarations: [VitamUIListInputComponent],
                exports: [VitamUIListInputComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUITenantSelectComponent {
    constructor(route, router, authService) {
        this.route = route;
        this.router = router;
        this.authService = authService;
        this.hideTenantMenu = false;
        this.hideCustomerMenu = true;
        this.route.data.subscribe((data) => {
            this.appId = data.appId;
        });
    }
    ngOnInit() {
        if (this.authService.user) {
            const appTenantsInfo = this.authService.user.tenantsByApp.find((appTenantInfo) => appTenantInfo.name === this.appId);
            this.appTenants = appTenantsInfo ? appTenantsInfo.tenants : [];
            this.tenants = [];
            this.appTenants.forEach((tenant) => this.tenants.push({ value: tenant.identifier, label: tenant.name }));
            this.tenants.sort((t1, t2) => t1.label.localeCompare(t2.label));
        }
    }
    selectTenantInNavbar(tenantIdentifier) {
        this.router.navigate(['./' + tenantIdentifier], { relativeTo: this.route });
    }
}
VitamUITenantSelectComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-tenant-select',
                template: "<img src=\"assets/bg-tenant-select.svg\" class=\"bg-tenant\" />\n\n<div class=\"vitamui-header\">\n  <div class=\"vitamui-container\">\n      <h2>\n        {{'SELECT_TENANT.MY_TENANTS' | translate}}\n      </h2>\n  </div>\n</div>\n\n<vitamui-common-tenant-select-content [tenants]=\"tenants\" [isModalMenu]=\"false\"></vitamui-common-tenant-select-content>\n",
                styles: [".bg-tenant{bottom:-40px;position:fixed;right:-20px;width:521px;z-index:-2}.vitamui-header{background:none}.vitamui-header h2{font-size:48px;text-align:center}.vitamui-header .vitamui-container{padding-bottom:0}.mat-dialog-container .tenant-box:not(.disabled),.mat-dialog-container .tenant-box:not(:disabled),.mat-drawer .tenant-box:not(.disabled),.mat-drawer .tenant-box:not(:disabled){box-shadow:0 0 2px rgba(var(--vitamui-grey-rgb),.2),0 1px 4px rgba(var(--vitamui-grey-rgb),.05)}.mat-dialog-container .tenant-box:not(.disabled):hover,.mat-dialog-container .tenant-box:not(:disabled):hover,.mat-drawer .tenant-box:not(.disabled):hover,.mat-drawer .tenant-box:not(:disabled):hover{box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}.mat-dialog-container .tenant-box.disabled,.mat-dialog-container .tenant-box:disabled,.mat-drawer .tenant-box.disabled,.mat-drawer .tenant-box:disabled{box-shadow:none!important}.tenant-box{align-items:center;background:#fff;border-radius:10px;color:#474747;display:flex;font-size:16px;font-weight:500;margin-bottom:24px;padding-bottom:29px;padding-left:23px;padding-top:22px;transition:box-shadow .24s ease-out}.tenant-box:not(.disabled),.tenant-box:not(:disabled){box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}.tenant-box:not(.disabled):hover,.tenant-box:not(:disabled):hover{box-shadow:0 2px 8px rgba(var(--vitamui-grey-rgb),.2),0 4px 16px rgba(var(--vitamui-grey-rgb),.05)}.tenant-box.disabled,.tenant-box:disabled{box-shadow:none!important}.tenant-box i{color:var(--vitamui-primary);font-size:42px;margin-right:15px}"]
            },] }
];
VitamUITenantSelectComponent.ctorParameters = () => [
    { type: ActivatedRoute },
    { type: Router },
    { type: AuthService }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUITenantSelectModule {
}
VitamUITenantSelectModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    HttpClientModule,
                    RouterModule,
                    NavbarModule,
                    TenantSelectContentModule,
                    TranslateModule
                ],
                declarations: [VitamUITenantSelectComponent],
                exports: [VitamUITenantSelectComponent],
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
// Enum of keys, do not use as the name to show itself
var CountryName;
(function (CountryName) {
    // can be completed at need
    CountryName["FRANCE"] = "FRANCE";
    CountryName["UNITED_KINGDOM"] = "UNITED_KINGDOM";
    CountryName["GERMANY"] = "GERMANY";
    CountryName["SPAIN"] = "SPAIN";
    CountryName["ITALY"] = "ITALY";
    CountryName["DENMARK"] = "DENMARK";
    CountryName["BELGIUM"] = "BELGIUM";
    CountryName["PORTUGAL"] = "PORTUGAL";
})(CountryName || (CountryName = {}));
var CountryCode;
(function (CountryCode) {
    // can be completed at need
    CountryCode["FR"] = "FR";
    CountryCode["GB"] = "GB";
    CountryCode["DE"] = "DE";
    CountryCode["ES"] = "ES";
    CountryCode["IT"] = "IT";
    CountryCode["DK"] = "DK";
    CountryCode["BE"] = "BE";
    CountryCode["PT"] = "PT";
})(CountryCode || (CountryCode = {}));
const COUNTRY_TRANSLATION_PATH = 'COUNTRY';
class CountryService {
    constructor(translateService) {
        this.translateService = translateService;
        this.availableCountries = [
            { code: CountryCode.FR, name: CountryName.FRANCE },
            { code: CountryCode.GB, name: CountryName.UNITED_KINGDOM },
            { code: CountryCode.DE, name: CountryName.GERMANY },
            { code: CountryCode.ES, name: CountryName.SPAIN },
            { code: CountryCode.IT, name: CountryName.ITALY },
            { code: CountryCode.DK, name: CountryName.DENMARK },
            { code: CountryCode.BE, name: CountryName.BELGIUM },
            { code: CountryCode.PT, name: CountryName.PORTUGAL },
        ];
    }
    getTranslatedCountryNameByCode(countryCode) {
        var _a;
        const name = (_a = this.availableCountries.find((value) => value.code === countryCode)) === null || _a === void 0 ? void 0 : _a.name;
        if (name) {
            return this.translateService.instant(COUNTRY_TRANSLATION_PATH + '.' + name);
        }
        return countryCode;
    }
    getAvailableCountries() {
        return new Observable((observer) => {
            this.translateService
                .get(COUNTRY_TRANSLATION_PATH)
                .pipe(take(1))
                .subscribe((translations) => {
                const countries = [];
                this.availableCountries.forEach((country) => {
                    countries.push({
                        code: country.code,
                        name: translations[country.name],
                    });
                });
                observer.next(countries);
            });
        });
    }
}
CountryService.ɵprov = ɵɵdefineInjectable({ factory: function CountryService_Factory() { return new CountryService(ɵɵinject(TranslateService)); }, token: CountryService, providedIn: "root" });
CountryService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root',
            },] }
];
CountryService.ctorParameters = () => [
    { type: TranslateService }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CollapseDirective {
    constructor() {
        this.expanded = new EventEmitter();
        this.state = 'collapsed';
    }
    toggle() {
        if (this.state === 'collapsed') {
            this.expand();
        }
        else {
            this.collapse();
        }
    }
    expand() {
        this.state = 'expanded';
        this.expanded.emit(true);
    }
    collapse() {
        this.state = 'collapsed';
    }
}
CollapseDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonCollapse]',
                exportAs: 'vitamuiCommonCollapse'
            },] }
];
CollapseDirective.ctorParameters = () => [];
CollapseDirective.propDecorators = {
    vitamuiCommonCollapse: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CollapseContainerDirective {
    constructor() { }
    ngAfterContentInit() {
        this.subscribeToExpandEvents();
        this.collapseDirectives.changes.subscribe(() => this.subscribeToExpandEvents());
    }
    subscribeToExpandEvents() {
        this.collapseDirectives.forEach((collapseDirective) => {
            collapseDirective.expanded.subscribe(() => this.collapseAllExcept(collapseDirective));
        });
    }
    collapseAllExcept(collapseDirective) {
        this.collapseDirectives.filter((e) => e !== collapseDirective).forEach((e) => e.collapse());
    }
}
CollapseContainerDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonCollapseContainer]'
            },] }
];
CollapseContainerDirective.ctorParameters = () => [];
CollapseContainerDirective.propDecorators = {
    collapseDirectives: [{ type: ContentChildren, args: [CollapseDirective,] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CollapseTriggerForDirective {
    constructor() {
        this.cursor = 'pointer';
    }
    toggle() {
        this.vitamuiCommonCollapseTriggerFor.toggle();
    }
}
CollapseTriggerForDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonCollapseTriggerFor]'
            },] }
];
CollapseTriggerForDirective.ctorParameters = () => [];
CollapseTriggerForDirective.propDecorators = {
    vitamuiCommonCollapseTriggerFor: [{ type: Input }],
    cursor: [{ type: HostBinding, args: ['style.cursor',] }],
    toggle: [{ type: HostListener, args: ['click',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CollapseDirectiveModule {
}
CollapseDirectiveModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                ],
                declarations: [
                    CollapseDirective,
                    CollapseTriggerForDirective,
                    CollapseContainerDirective,
                ],
                exports: [
                    CollapseDirective,
                    CollapseTriggerForDirective,
                    CollapseContainerDirective,
                ]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class DragAndDropDirective {
    constructor() {
        this.fileToUploadEmitter = new EventEmitter();
        this.fileDragOverEmitter = new EventEmitter();
        this.fileDragLeaveEmitter = new EventEmitter();
        // Disable dropping on the body of the document.
        // This prevents the browser from loading the dropped files
        // using it's default behaviour if the user misses the drop zone.
        // Set this input to false if you want the browser default behaviour.
        this.preventBodyDrop = true;
    }
    onDragOver(dragOverEvent) {
        dragOverEvent.preventDefault();
        dragOverEvent.stopPropagation();
        this.fileDragOverEmitter.emit(true);
    }
    onDragLeave(dragLeaveEvent) {
        dragLeaveEvent.preventDefault();
        dragLeaveEvent.stopPropagation();
        this.fileDragLeaveEmitter.emit(false);
    }
    onDrop(dropEvent) {
        dropEvent.preventDefault();
        dropEvent.stopPropagation();
        const files = dropEvent.dataTransfer.files;
        if (files.length > 0) {
            this.fileToUploadEmitter.emit(files);
        }
    }
    onBodyDragOver(event) {
        if (this.preventBodyDrop) {
            event.preventDefault();
            event.stopPropagation();
        }
    }
    onBodyDrop(event) {
        if (this.preventBodyDrop) {
            event.preventDefault();
        }
    }
}
DragAndDropDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonDragAndDrop]'
            },] }
];
DragAndDropDirective.ctorParameters = () => [];
DragAndDropDirective.propDecorators = {
    fileToUploadEmitter: [{ type: Output }],
    fileDragOverEmitter: [{ type: Output }],
    fileDragLeaveEmitter: [{ type: Output }],
    preventBodyDrop: [{ type: Input }],
    onDragOver: [{ type: HostListener, args: ['dragover', ['$event'],] }],
    onDragLeave: [{ type: HostListener, args: ['dragleave', ['$event'],] }],
    onDrop: [{ type: HostListener, args: ['drop', ['$event'],] }],
    onBodyDragOver: [{ type: HostListener, args: ['body:dragover', ['$event'],] }],
    onBodyDrop: [{ type: HostListener, args: ['body:drop', ['$event'],] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class DragAndDropModule {
}
DragAndDropModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                ],
                declarations: [DragAndDropDirective],
                exports: [DragAndDropDirective]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const DEFAULT_SCROLL_THRESHOLD = 0.8;
class InfiniteScrollDirective {
    constructor() {
        this.vitamuiCommonInfiniteScrollThreshold = DEFAULT_SCROLL_THRESHOLD;
        this.vitamuiCommonInfiniteScrollDisable = false;
        this.vitamuiScroll = new EventEmitter();
    }
    ngOnInit() {
        const sideNavElement = document.getElementsByClassName('mat-sidenav-content');
        const windowElement = document.getElementsByTagName('div');
        const scrollElement = (sideNavElement === null || sideNavElement === void 0 ? void 0 : sideNavElement.length) > 0 ? sideNavElement[0] : windowElement[0];
        scrollElement.addEventListener('scroll', () => {
            if (!this.vitamuiCommonInfiniteScrollDisable) {
                const height = scrollElement.scrollHeight - scrollElement.clientHeight;
                const scrollRatio = scrollElement.scrollTop / height;
                if (scrollRatio >= this.vitamuiCommonInfiniteScrollThreshold) {
                    this.vitamuiScroll.emit();
                }
            }
        });
    }
}
InfiniteScrollDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonInfiniteScroll]'
            },] }
];
InfiniteScrollDirective.ctorParameters = () => [];
InfiniteScrollDirective.propDecorators = {
    vitamuiCommonInfiniteScrollThreshold: [{ type: Input }],
    vitamuiCommonInfiniteScrollDisable: [{ type: Input }],
    vitamuiScroll: [{ type: Output }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class InfiniteScrollModule {
}
InfiniteScrollModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                ],
                declarations: [InfiniteScrollDirective],
                exports: [InfiniteScrollDirective]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class RowCollapseDirective {
    constructor() {
        this.expanded = new EventEmitter();
        this.state = 'collapsed';
    }
    toggle() {
        if (this.state === 'collapsed') {
            this.expand();
        }
        else {
            this.collapse();
        }
    }
    expand() {
        this.state = 'expanded';
        this.expanded.emit(true);
    }
    collapse() {
        this.state = 'collapsed';
    }
}
RowCollapseDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonRowCollapse]',
                exportAs: 'vitamuiRowCollapse'
            },] }
];
RowCollapseDirective.ctorParameters = () => [];
RowCollapseDirective.propDecorators = {
    expanded: [{ type: Output }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class RowCollapseContainerDirective {
    constructor() { }
    ngAfterContentInit() {
        this.subscribeToExpandEvents();
        this.collapseDirectives.changes.subscribe(() => this.subscribeToExpandEvents());
    }
    subscribeToExpandEvents() {
        this.collapseDirectives.forEach((collapseDirective) => {
            collapseDirective.expanded.subscribe(() => this.collapseAllExcept(collapseDirective));
        });
    }
    collapseAllExcept(collapseDirective) {
        this.collapseDirectives.filter((e) => e !== collapseDirective).forEach((e) => e.collapse());
    }
}
RowCollapseContainerDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonRowCollapseContainer]'
            },] }
];
RowCollapseContainerDirective.ctorParameters = () => [];
RowCollapseContainerDirective.propDecorators = {
    collapseDirectives: [{ type: ContentChildren, args: [RowCollapseDirective,] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class RowCollapseTriggerForDirective {
    constructor() {
        this.cursor = 'pointer';
        this.tabindex = 0;
    }
    toggle() {
        this.vitamuiCommonRowCollapseTriggerFor.toggle();
    }
}
RowCollapseTriggerForDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonRowCollapseTriggerFor]'
            },] }
];
RowCollapseTriggerForDirective.ctorParameters = () => [];
RowCollapseTriggerForDirective.propDecorators = {
    vitamuiCommonRowCollapseTriggerFor: [{ type: Input }],
    cursor: [{ type: HostBinding, args: ['style.cursor',] }],
    tabindex: [{ type: HostBinding, args: ['tabindex',] }],
    toggle: [{ type: HostListener, args: ['click',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class ErrorDialogComponent {
    constructor(matDialogRef, startupService, domSanitizer) {
        this.matDialogRef = matDialogRef;
        this.domSanitizer = domSanitizer;
        this.trustedAppLogoUrl = startupService.getAppLogoURL() ?
            this.domSanitizer.bypassSecurityTrustUrl('data:image/*;base64,' + startupService.getAppLogoURL()) : null;
    }
    ngOnInit() {
    }
    goBack() {
        this.matDialogRef.close();
    }
}
ErrorDialogComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-error-dialog',
                template: "<div class=\"error-message\">\n  <img class=\"vitamui-logo\" [src]=\"trustedAppLogoUrl ? trustedAppLogoUrl : '/assets/logo.png'\">\n\n  <h2>{{'ERROR_DIALOG.TITLE' | translate}}</h2>\n  <p>{{'ERROR_DIALOG.MESSAGE' | translate}}</p>\n\n  <button class=\"btn link\" (click)=\"goBack()\">\n    <i class=\"vitamui-icon vitamui-icon-chevron-left\"></i>\n    <span class=\"text-underline\">{{'COMMON.UNDO' | translate}}</span>\n  </button>\n</div>",
                styles: [".error-message{padding:40px}.error-message h2{font-size:24px;font-weight:500;margin-top:40px}.error-message button.back{margin-top:40px}"]
            },] }
];
ErrorDialogComponent.ctorParameters = () => [
    { type: MatDialogRef },
    { type: StartupService },
    { type: DomSanitizer }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
var ExternalParameters;
(function (ExternalParameters) {
    ExternalParameters["PARAM_ACCESS_CONTRACT"] = "PARAM_ACCESS_CONTRACT";
})(ExternalParameters || (ExternalParameters = {}));

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class ExternalParametersService {
    constructor(http, baseUrl) {
        this.http = http;
        this.baseUrl = baseUrl;
        this.apiUrl = this.baseUrl + '/externalparameters';
    }
    /**
     * Get the external parameters for the authenticated user
     * @returns the user parameters map
     */
    getUserExternalParameters() {
        return this.http.get(this.apiUrl).pipe(map(response => {
            const map = new Map();
            if (response) {
                for (const value in response) {
                    map.set(value, response[value]);
                }
            }
            return map;
        }));
    }
}
ExternalParametersService.ɵprov = ɵɵdefineInjectable({ factory: function ExternalParametersService_Factory() { return new ExternalParametersService(ɵɵinject(HttpClient), ɵɵinject(BASE_URL)); }, token: ExternalParametersService, providedIn: "root" });
ExternalParametersService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
ExternalParametersService.ctorParameters = () => [
    { type: HttpClient },
    { type: String, decorators: [{ type: Inject, args: [BASE_URL,] }] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
function throwIfAlreadyLoaded(parentModule, moduleName) {
    if (parentModule) {
        throw new Error(`${moduleName} has already been loaded. Import Core modules in the AppModule only.`);
    }
}

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
/*
This module must be loaded in AppModule only
*/
class InjectorModule {
    // tslint:disable-next-line:no-shadowed-variable
    constructor(injector, injectorModule) {
        throwIfAlreadyLoaded(injectorModule, this.constructor.name);
        InjectorHelper.injector = injector;
    }
}
InjectorModule.decorators = [
    { type: NgModule, args: [{
                declarations: []
            },] }
];
InjectorModule.ctorParameters = () => [
    { type: Injector },
    { type: InjectorModule, decorators: [{ type: Optional }, { type: SkipSelf }] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
// can be completed at need
var MinLangString;
(function (MinLangString) {
    MinLangString["FR"] = "fr";
    MinLangString["EN"] = "en";
    MinLangString["DE"] = "de";
})(MinLangString || (MinLangString = {}));
// can be completed at need
var FullLangString;
(function (FullLangString) {
    FullLangString["FRENCH"] = "FRENCH";
    FullLangString["ENGLISH"] = "ENGLISH";
    FullLangString["GERMAN"] = "GERMAN";
})(FullLangString || (FullLangString = {}));
const LANGUAGE_TRANSLATION_PATH = 'LANGUAGE';
class LanguageService {
    constructor(translateService) {
        this.translateService = translateService;
        this.availableLanguages = [
            { fullLangString: FullLangString.FRENCH, minLangString: MinLangString.FR },
            { fullLangString: FullLangString.ENGLISH, minLangString: MinLangString.EN },
            { fullLangString: FullLangString.GERMAN, minLangString: MinLangString.DE },
        ];
    }
    getFullLangString(minLang) {
        return this.availableLanguages.find((value) => value.minLangString === minLang).fullLangString;
    }
    getShortLangString(fullLang) {
        return this.availableLanguages.find((value) => value.fullLangString === fullLang).minLangString;
    }
    getAvailableLanguagesOptions() {
        return new Observable((observer) => {
            this.translateService
                .get(LANGUAGE_TRANSLATION_PATH)
                .pipe(take(1))
                .subscribe((translations) => {
                const options = [];
                this.availableLanguages.forEach((language) => {
                    options.push({
                        key: language.fullLangString,
                        label: translations[language.fullLangString],
                    });
                });
                observer.next(options);
            });
        });
    }
    getAvaiableLanguages() {
        return this.availableLanguages;
    }
}
LanguageService.ɵprov = ɵɵdefineInjectable({ factory: function LanguageService_Factory() { return new LanguageService(ɵɵinject(TranslateService)); }, token: LanguageService, providedIn: "root" });
LanguageService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root',
            },] }
];
LanguageService.ctorParameters = () => [
    { type: TranslateService }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class LogbookService {
    constructor(logger, logbookApi) {
        this.logger = logger;
        this.logbookApi = logbookApi;
    }
    extractEvents(response) {
        if (response && response.$results) {
            if (response.$results.length > 1) {
                this.logger.warn(this, 'WARN: multiple results in history');
            }
            if (response.$results.length > 0) {
                return response.$results[0].events;
            }
        }
        return [];
    }
    listOperationsEvents(identifier, obIdReq, tenantIdentifier, accessContract) {
        const headers = new HttpHeaders({ 'X-Tenant-Id': tenantIdentifier.toString(), 'X-Access-Contract-Id': accessContract });
        return this.logbookApi.findOperations(identifier, obIdReq, headers).pipe(catchError(() => of({ $results: [] })), map((response) => response.$results.reduce(flattenChildEvents, []).sort(sortEventByDate)));
    }
    listUnitEvents(unitId, accessContract, tenantIdentifier) {
        const headers = new HttpHeaders({ 'X-Tenant-Id': tenantIdentifier.toString(), 'X-Access-Contract-Id': accessContract });
        return this.logbookApi.findUnitLifeCyclesByUnitId(unitId, headers).pipe(catchError(() => of({ $hits: null, $results: [] })), map((response) => this.extractEvents(response).sort(sortEventByDate)));
    }
    listObjectEvents(objectId, accessContract, tenantIdentifier) {
        const headers = new HttpHeaders({ 'X-Tenant-Id': tenantIdentifier.toString(), 'X-Access-Contract-Id': accessContract });
        return this.logbookApi.findObjectGroupLifeCyclesByUnitId(objectId, headers).pipe(catchError(() => of({ $hits: null, $results: [] })), map((response) => this.extractEvents(response).sort(sortEventByDate)));
    }
    listOperationByIdAndCollectionName(identifier, collectionName, tenantIdentifier) {
        const headers = new HttpHeaders({ 'X-Tenant-Id': tenantIdentifier.toString() });
        return this.logbookApi.findOperationByIdAndCollectionName(identifier, collectionName, headers).pipe(catchError(() => of({ $results: [] })), map((response) => response.$results.reduce(flattenChildEvents, []).filter(e => e.obIdReq === collectionName).sort(sortEventByDate)));
    }
    listOperationByResourcePathIdAndCollectionName(resourcePath, identifier, collectionName, tenantIdentifier) {
        const headers = new HttpHeaders({ 'X-Tenant-Id': tenantIdentifier.toString() });
        return this.logbookApi.findOperationByIdAndCollectionName(identifier, resourcePath, headers).pipe(catchError(() => of({ $results: [] })), map((response) => response.$results.reduce(flattenChildEvents, []).filter(e => e.obIdReq === collectionName).sort(sortEventByDate)));
    }
    listOperationByIdentifierAndCollectionName(id, identifier, collectionName, tenantIdentifier) {
        const headers = new HttpHeaders({ 'X-Tenant-Id': tenantIdentifier.toString() });
        return this.logbookApi.findOperationByIdAndCollectionName(id, collectionName, headers).pipe(catchError(() => of({ $results: [] })), map((response) => response.$results.reduce(flattenChildEvents, [])
            .filter(e => e.obIdReq === collectionName && e.obId === identifier).sort(sortEventByDate)));
    }
    listHistoryForOwner(id, identifier, externalParamId, tenantIdentifier) {
        const ownerEventsObservable = this.listOperationByIdentifierAndCollectionName(id, identifier, 'owners', tenantIdentifier);
        const tenantEventsObservable = this.listOperationByIdAndCollectionName(externalParamId, 'tenants', tenantIdentifier);
        return forkJoin([ownerEventsObservable, tenantEventsObservable]).pipe(map((results) => {
            return (results[0].concat(results[1])).sort(sortEventByDate);
        }));
    }
    listHistoryForProfileArchive(id, externalParamId, tenantIdentifier) {
        const profileEventsObservable = this.listOperationByIdAndCollectionName(id, 'profiles', tenantIdentifier);
        const archiveParamEventsObservable = this.listOperationByIdAndCollectionName(externalParamId, 'archiveParams', tenantIdentifier);
        return forkJoin([profileEventsObservable, archiveParamEventsObservable]).pipe(map((results) => {
            return (results[0].concat(results[1])).sort(sortEventByDate);
        }));
    }
    listOperationsBySelectQuery(query, tenantIdentifier) {
        const headers = new HttpHeaders({ 'X-Tenant-Id': tenantIdentifier.toString() });
        return this.logbookApi.findOperationsBySelectQuery(query, headers).pipe(catchError(() => of({ $results: [] })), map((response) => {
            return response.$results.reduce(flattenChildEvents, []).sort(sortEventByDate);
        }));
    }
    getOperationById(id, tenantIdentifier, accessContractId) {
        const headers = new HttpHeaders({
            'X-Tenant-Id': tenantIdentifier.toString(),
            'X-Access-Contract-Id': accessContractId
        });
        return this.logbookApi.findOperationById(id, headers).pipe(switchMap((response) => {
            if (!response || !response.$results || response.$results.length === 0) {
                return throwError(`getOperationById error: no result for operation with id ${id}`);
            }
            return of(response);
        }), map((response) => response.$results.length === 1 ? LogbookApiService.toEvent(response.$results[0]) : null));
    }
    downloadManifest(id) {
        this.logbookApi.downloadManifest(id).subscribe((response) => {
            const element = document.createElement('a');
            element.href = window.URL.createObjectURL(response.body);
            element.download = id + '-manifest.xml';
            element.style.visibility = 'hidden';
            document.body.appendChild(element);
            element.click();
            document.body.removeChild(element);
        });
    }
    downloadATR(id) {
        this.logbookApi.downloadAtr(id).subscribe((response) => {
            const element = document.createElement('a');
            element.href = window.URL.createObjectURL(response.body);
            element.download = id + '-atr.xml';
            element.style.visibility = 'hidden';
            document.body.appendChild(element);
            element.click();
            document.body.removeChild(element);
        });
    }
}
LogbookService.ɵprov = ɵɵdefineInjectable({ factory: function LogbookService_Factory() { return new LogbookService(ɵɵinject(Logger), ɵɵinject(LogbookApiService)); }, token: LogbookService, providedIn: "root" });
LogbookService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
LogbookService.ctorParameters = () => [
    { type: Logger },
    { type: LogbookApiService }
];
function flattenChildEvents(acc, current) {
    return acc.concat(current.events);
}
function sortEventByDate(ev1, ev2) {
    const ev1Date = getEffectiveDate(ev1);
    const ev2Date = getEffectiveDate(ev2);
    if (ev1Date > ev2Date) {
        return -1;
    }
    else if (ev1Date < ev2Date) {
        return 1;
    }
    return 0;
}
function getEffectiveDate(event) {
    const operationDate = event.parsedData ? event.parsedData['Date d\'opération'] : null;
    if (operationDate) {
        return new Date(operationDate);
    }
    return event.dateTime;
}

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class EventTypeLabelComponent {
    constructor() { }
    ngOnInit() {
    }
}
EventTypeLabelComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-event-type-label',
                template: "<span class=\"history-event-type\"\n  >{{ 'EVENT_TYPE_LABEL.' + key | translate }}\n</span>\n",
                styles: [":host-context(.history-event-item.event-error) .history-event-type{color:#ea0101}"]
            },] }
];
EventTypeLabelComponent.ctorParameters = () => [];
EventTypeLabelComponent.propDecorators = {
    key: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class EventTypeLabelModule {
}
EventTypeLabelModule.decorators = [
    { type: NgModule, args: [{
                declarations: [EventTypeLabelComponent],
                exports: [EventTypeLabelComponent],
                imports: [
                    CommonModule,
                    TranslateModule,
                ]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class HistoryEventsComponent {
    constructor() { }
    ngOnInit() {
    }
}
HistoryEventsComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-history-events',
                template: "<ng-container *ngFor=\"let event of events\">\n  <div class=\"history-event-item\" [class.event-error]=\"event.outcome === 'KO' || event.outcome === 'FATAL'\"\n    [class.event-warning]=\"event.outcome === 'WARNING'\">\n    <div class=\"history-event-date\">\n      <ng-container *ngIf=\"event.parsedData && event.parsedData['Date d\\'op\u00E9ration']\">\n        {{ event.parsedData['Date d\\'op\u00E9ration'] | date:'dd/MM/yyyy | HH:mm:ss' }}\n      </ng-container>\n      <ng-container *ngIf=\"!event.parsedData || !event.parsedData['Date d\\'op\u00E9ration']\">\n        {{ event.dateTime | date:'dd/MM/yyyy | HH:mm:ss' }}\n      </ng-container>\n    </div>\n    <div class=\"history-event-title\">\n      <vitamui-common-event-type-label [key]=\"event.type\"></vitamui-common-event-type-label> -\n      <span class=\"history-event-outcome\">{{ event.outcome }}</span>\n    </div>\n    <div class=\"history-event-outmessage\">{{ event.outMessage }}<span *ngIf=\"event.userIdentifier\"> par l'utilisateur {{ event.userIdentifier }}</span><span *ngIf=\"event.subrogatorIdentifier\"> (subrog\u00E9 par {{ event.subrogatorIdentifier }})</span>.\n    </div>\n    <div class=\"history-event-details\" *ngIf=\"event.data !== '{}'\">{{ event.data }}</div>\n  </div>\n</ng-container>\n",
                styles: [".history-event-item{font-size:12px;padding-left:12px}.history-event-item.event-error .history-event-date,.history-event-item.event-error .history-event-outcome,.history-event-item.event-error .history-event-type{color:#ea0101}.history-event-item.event-warning .history-event-date,.history-event-item.event-warning .history-event-outcome,.history-event-item.event-warning .history-event-type{color:#ffa610}.history-event-item .history-event-date{color:var(--vitamui-grey-600)}.history-event-item .history-event-outcome{color:var(--vitamui-grey-900)}.history-event-item .history-event-details{color:var(--vitamui-grey-900);padding-right:8px;word-break:break-word}.history-event-item .history-event-title{color:var(--vitamui-grey-900);font-size:16px;font-weight:700}.history-event-item .history-event-outmessage{font-weight:400}.history-event-item{border-color:var(--vitamui-grey-400);left:8px;overflow:hidden;padding:0 4px 24px 35px;position:relative}.history-event-item:before{border-color:var(--vitamui-grey-400);border-style:solid;border-width:1px 0 0 1px;content:\"\";height:999px;left:7px;position:absolute;top:9px;width:0}.history-event-item:last-child:before{border-width:0}.history-event-item:after{background:#fff;border:2px solid var(--vitamui-grey-400);border-radius:50%;content:\"\";height:16px;left:0;position:absolute;top:0;width:16px}.history-event-item.event-error:after{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;background:#ea0101;border-color:#ea0101;color:#fff;content:\"\\ea0f\";font-family:vitamui-icon!important;font-size:8px;font-style:normal;font-variant:normal;font-weight:400;line-height:1;padding-left:2px;padding-top:2px;speak:none;text-transform:none}"]
            },] }
];
HistoryEventsComponent.ctorParameters = () => [];
HistoryEventsComponent.propDecorators = {
    events: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const EVENT_LIMIT = 100;
class OperationHistoryTabComponent {
    constructor(authService, logbookService, route) {
        this.authService = authService;
        this.logbookService = logbookService;
        this.route = route;
        this.filteringByIdentifier = true;
        this.events = [];
        this.loading = false;
        this.isDestroyed$ = new Subject();
    }
    ngOnChanges(changes) {
        if (changes.hasOwnProperty('identifier') || changes.hasOwnProperty('collectionName')) {
            if (this.id && this.collectionName) {
                this.initEvent();
            }
        }
    }
    ngOnDestroy() {
        this.isDestroyed$.next();
    }
    initEvent() {
        this.loading = true;
        this.events = [];
        this.route.paramMap
            .pipe(map((paramMap) => paramMap.get('tenantIdentifier') ? +paramMap.get('tenantIdentifier') : Number(this.authService.user.proofTenantIdentifier)), switchMap((tenantIdentifier) => {
            return this.logbookService.listOperationByIdAndCollectionName(this.id, this.collectionName, tenantIdentifier);
        }), takeUntil(this.isDestroyed$))
            .subscribe((results) => {
            this.events = results.filter((event) => {
                return this.filter ? this.filter(event) && (!this.filteringByIdentifier || this.filterByIdentifier(event)) : true;
            })
                .slice(0, EVENT_LIMIT);
            this.loading = false;
        }, () => (this.loading = false));
    }
    filterByIdentifier(event) {
        return event.objectId && event.objectId === this.identifier;
    }
}
OperationHistoryTabComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-operation-history-tab',
                template: "<div *ngIf=\"loading; else elseBlock\" class=\"loading-spinner\"><mat-spinner diameter=\"50\" color=\"accent\"></mat-spinner></div>\n<ng-template #elseBlock>\n  <div *ngIf=\"!events?.length; else elseBlock\" class=\"no-result\">{{'COMMON.HISTORY.NO_HISTORY' | translate}}</div>\n  <ng-template #elseBlock>\n      <vitamui-common-collapse [collapseTitle]=\"'COMMON.HISTORY.OPERATIONS' | translate\">\n          <vitamui-common-history-events [events]=\"events\" ></vitamui-common-history-events>\n        </vitamui-common-collapse>\n  </ng-template>\n</ng-template>\n\n",
                styles: [""]
            },] }
];
OperationHistoryTabComponent.ctorParameters = () => [
    { type: AuthService },
    { type: LogbookService },
    { type: ActivatedRoute }
];
OperationHistoryTabComponent.propDecorators = {
    id: [{ type: Input }],
    identifier: [{ type: Input }],
    collectionName: [{ type: Input }],
    filter: [{ type: Input }],
    filteringByIdentifier: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class HistoryModule {
}
HistoryModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    CollapseModule,
                    MatProgressSpinnerModule,
                    EventTypeLabelModule,
                    TranslateModule
                ],
                declarations: [HistoryEventsComponent, OperationHistoryTabComponent],
                exports: [HistoryEventsComponent, OperationHistoryTabComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class LoggerService {
    // tslint:disable-next-line:ban-types
    info(parentClass, ...msg) {
        const className = parentClass.constructor.name;
        // tslint:disable-next-line:no-console
        console.info('%c' + new Date().toLocaleString() + ' %c' + className, 'color: red', 'color: blue', ...msg);
    }
    // tslint:disable-next-line:ban-types
    log(parentClass, ...msg) {
        const className = parentClass.constructor.name;
        console.log('%c' + new Date().toLocaleString() + ' %c' + className, 'color: red', 'color: blue', ...msg);
    }
    // tslint:disable-next-line:ban-types
    warn(parentClass, ...msg) {
        const className = parentClass.constructor.name;
        console.warn('%c' + new Date().toLocaleString() + ' %c' + className, 'color: red', 'color: blue', ...msg);
    }
    // tslint:disable-next-line:ban-types
    error(parentClass, ...msg) {
        const className = parentClass.constructor.name;
        console.error('%c' + new Date().toLocaleString() + ' %c' + className, 'color: red', 'color: blue', ...msg);
    }
}
LoggerService.decorators = [
    { type: Injectable }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class NoLogService extends Logger {
    // @ts-ignore
    // tslint:disable-next-line:ban-types
    info(parentClass, ...msg) {
    }
    // @ts-ignore
    // tslint:disable-next-line:ban-types
    log(parentClass, ...msg) {
    }
    // @ts-ignore
    // tslint:disable-next-line:ban-types
    warn(parentClass, ...msg) {
    }
    // @ts-ignore
    // tslint:disable-next-line:ban-types
    error(parentClass, ...msg) {
    }
}
NoLogService.decorators = [
    { type: Injectable }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
function loggerFactory(environment) {
    if (environment && environment.production) {
        return new NoLogService();
    }
    else {
        return new LoggerService();
    }
}
// @dynamic
class LoggerModule {
    static forRoot() {
        return {
            ngModule: LoggerModule,
            providers: [
                {
                    provide: Logger,
                    useFactory: loggerFactory,
                    deps: [[new Optional(), ENVIRONMENT]]
                }
            ]
        };
    }
}
LoggerModule.decorators = [
    { type: NgModule }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

class VitamuiMissingTranslationHandler {
    handle(params) {
        const interParams = params.interpolateParams;
        if (interParams && interParams.default) {
            return interParams.default;
        }
        return params.key;
    }
}

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class StrongifyPipe {
    transform(value, search) {
        if (!search) {
            return value;
        }
        const regex = new RegExp('(' + search + ')', 'i');
        value = value.replace(regex, (match) => {
            return '<strong>' + match + '</strong>';
        });
        return value;
    }
}
StrongifyPipe.decorators = [
    { type: Pipe, args: [{
                name: 'strongify'
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const NUMBER_OF_BYTES_IN_ONE_KB = 1024;
const DEFAULT_PRECISION = 2;
class BytesPipe {
    constructor(logger) {
        this.logger = logger;
    }
    transform(value, precision = DEFAULT_PRECISION) {
        if (isNaN(parseFloat(value)) || !isFinite(value)) {
            this.logger.log(this, 'BytesPipe: value [' + value + '] is not a number');
            return '';
        }
        // TODO internationalization of units
        const units = ['bytes', 'kB', 'MB', 'GB', 'TB', 'PB'];
        let power = Math.floor(Math.log(value) / Math.log(NUMBER_OF_BYTES_IN_ONE_KB));
        if (power >= units.length) {
            power = units.length - 1;
        }
        return (value / Math.pow(NUMBER_OF_BYTES_IN_ONE_KB, power)).toFixed(precision) + ' ' + units[power];
    }
}
BytesPipe.decorators = [
    { type: Pipe, args: [{ name: 'bytes' },] }
];
BytesPipe.ctorParameters = () => [
    { type: Logger }
];

class HighlightPipe {
    constructor(sanitizer) {
        this.sanitizer = sanitizer;
    }
    transform(value, args) {
        if (!args) {
            return value;
        }
        const originalStringToSearchWitoutAccent = this.withoutAcent(args);
        const searchInWithoutAccent = this.withoutAcent(value);
        const regex = new RegExp(originalStringToSearchWitoutAccent, 'gi');
        let result = '';
        let startIndex = 0;
        while (regex.exec(searchInWithoutAccent) !== null) {
            const matchedStringIndex = regex.lastIndex - args.length;
            // tslint:disable-next-line: max-line-length
            const coloredString = `<span style='color: var(--${ThemeColorType.VITAMUI_PRIMARY});font-weight: bold;'>${value.substring(matchedStringIndex, regex.lastIndex)}</span>`;
            result = result.concat(searchInWithoutAccent.substring(startIndex, matchedStringIndex), coloredString);
            startIndex = regex.lastIndex;
        }
        if (startIndex > 0) {
            result = result.concat(value.substr(startIndex));
        }
        return this.sanitizer.bypassSecurityTrustHtml(result);
    }
    withoutAcent(val) {
        return val.normalize('NFD').replace(/[\u0300-\u036f]/g, '');
    }
}
HighlightPipe.decorators = [
    { type: Pipe, args: [{ name: 'highlight' },] }
];
HighlightPipe.ctorParameters = () => [
    { type: DomSanitizer }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class SecurityService {
    constructor(authService) {
        this.authService = authService;
    }
    /**
     * Returns true if the logged user has any of the specified roles and false otherwise.
     */
    hasAnyRole(appId, tenantIdentifier, ...roles) {
        return this.authService.userLoaded
            .pipe(switchMap((user) => {
            if (user.profileGroup.profiles) {
                const appProfiles = user.profileGroup.profiles.filter((profile) => profile.applicationName === appId);
                const tenantProfiles = appProfiles.filter((profile) => profile.tenantIdentifier === tenantIdentifier);
                const rolesByTenant = tenantProfiles.map((profile) => profile.roles);
                // Flatten the rolesByTenant (which is an array of arrays) into a simple list of roles
                const userRoles = [].concat.apply([], rolesByTenant);
                const userRolesNames = userRoles.map((role) => role.name);
                const hasRole = roles.some((r) => userRolesNames.includes(r));
                return of(hasRole);
            }
            return of(false);
        }));
    }
    /**
     * Returns true if the logged user has the specified role and false otherwise.
     */
    hasRole(appId, tenantIdentifier, role) {
        return this.hasAnyRole(appId, tenantIdentifier, role);
    }
}
SecurityService.ɵprov = ɵɵdefineInjectable({ factory: function SecurityService_Factory() { return new SecurityService(ɵɵinject(AuthService)); }, token: SecurityService, providedIn: "root" });
SecurityService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
SecurityService.ctorParameters = () => [
    { type: AuthService }
];

class ProfileService {
    constructor(profileApi) {
        this.profileApi = profileApi;
    }
    list(level, tenantIdentifier, applicationNameExclude) {
        let httpHeaders = new HttpHeaders();
        const criterionArray = [];
        const enabledCriterion = { key: 'enabled', value: true, operator: Operators.equals };
        criterionArray.push(enabledCriterion);
        if (level || level === '') {
            const levelCriterion = { key: 'level', value: level, operator: Operators.equals };
            criterionArray.push(levelCriterion);
        }
        if (tenantIdentifier) {
            httpHeaders = httpHeaders.set('X-Tenant-Id', tenantIdentifier.toString());
            const criterionTenantIdentifier = { key: 'tenantIdentifier', value: tenantIdentifier, operator: Operators.equals };
            criterionArray.push(criterionTenantIdentifier);
        }
        if (applicationNameExclude && applicationNameExclude.length) {
            const criterion = { key: 'applicationName', value: applicationNameExclude, operator: Operators.notin };
            criterionArray.push(criterion);
        }
        const query = { criteria: criterionArray };
        const params = new HttpParams().set('criteria', JSON.stringify(query)).set('embedded', 'ALL');
        return this.profileApi.getAllByParams(params, httpHeaders);
    }
    getLevelsNoEmpty(query) {
        return this.profileApi.getLevels(query)
            .pipe(map((levels) => levels.filter((l) => !!l)));
    }
}
ProfileService.ɵprov = ɵɵdefineInjectable({ factory: function ProfileService_Factory() { return new ProfileService(ɵɵinject(ProfileApiService)); }, token: ProfileService, providedIn: "root" });
ProfileService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
ProfileService.ctorParameters = () => [
    { type: ProfileApiService }
];

class SessionStorageService {
    constructor() { }
    set language(language) { sessionStorage.setItem('language', language); }
    get language() { return sessionStorage.getItem('language'); }
}
SessionStorageService.ɵprov = ɵɵdefineInjectable({ factory: function SessionStorageService_Factory() { return new SessionStorageService(); }, token: SessionStorageService, providedIn: "root" });
SessionStorageService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
SessionStorageService.ctorParameters = () => [];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
// tslint:disable-next-line:directive-class-suffix
class SidenavPage extends AppRootComponent {
    constructor(route, globalEventService) {
        super(route);
        this.globalEventService = globalEventService;
        this.destroy = new Subject();
        merge(this.globalEventService.pageEvent, this.globalEventService.customerEvent, this.globalEventService.tenantEvent).pipe(takeUntil(this.destroy)).subscribe(() => {
            this.closePanel();
        });
    }
    ngAfterViewInit() {
        if (!this.panel) {
            this.logger.error(this, 'Missing <mat-sidenav> element in component\'s template. Please a <mat-sidenav> with a #panel attribute');
        }
    }
    ngOnDestroy() {
        this.destroy.next();
    }
    openPanel(item) {
        this.openedItem = item;
        if (this.panel && !this.panel.opened) {
            this.panel.open();
        }
    }
    closePanel() {
        if (this.panel && this.panel.opened) {
            this.panel.close();
        }
    }
}
SidenavPage.decorators = [
    { type: Directive }
];
SidenavPage.ctorParameters = () => [
    { type: ActivatedRoute },
    { type: GlobalEventService }
];
SidenavPage.propDecorators = {
    panel: [{ type: ViewChild, args: ['panel',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const PROGRESS_BAR_MULTIPLICATOR = 100;
class SubrogationModalComponent {
    constructor(dialogRef, data, builder, authService, matSnackBar, subrogationService) {
        this.dialogRef = dialogRef;
        this.data = data;
        this.builder = builder;
        this.authService = authService;
        this.matSnackBar = matSnackBar;
        this.subrogationService = subrogationService;
        this.stepIndex = 0;
        this.stepCount = 2;
        this.form = this.builder.group({
            emailFirstPart: [null, Validators.required],
            domain: null
        });
    }
    ngOnInit() {
        this.domains = this.data.domains;
        this.user = this.data.user;
        if (this.user) {
            this.stepIndex = 1;
            this.retrieveOrCreateSubrogation(this.user.email);
        }
        else {
            this.form.get('domain').setValue(this.domains[0], { emitEvent: false });
        }
    }
    get stepProgress() {
        return ((this.stepIndex + 1) / this.stepCount) * PROGRESS_BAR_MULTIPLICATOR;
    }
    // check if a subrogation exists and was already created with the same information
    // a. the subrogation exists, we retrieve it
    // b. we asks for a subrogation
    retrieveOrCreateSubrogation(surrogateEmail) {
        this.pending = true;
        this.subrogationService.checkCurrentUserIsInSubrogation().subscribe((response) => {
            if (response.id) {
                if (response.surrogate === surrogateEmail) {
                    // tslint:disable-next-line:no-magic-numbers
                    this.stepIndex = 1;
                    // TODO subscribe to the modal close event and cancel the subrogation
                    this.pending = true;
                    this.subrogation = response;
                    if (this.subrogation && this.subrogation.status === 'ACCEPTED') {
                        this.logoutAndLaunchSubrogation(this.subrogation);
                    }
                    else {
                        this.subrogationService.checkSubrogationStatus(this.subrogation, this.dialogRef).subscribe(() => {
                            this.logoutAndLaunchSubrogation(this.subrogation);
                        });
                    }
                }
                else {
                    this.dialogRef.close();
                    this.matSnackBar.openFromComponent(NotificationSnackBarComponent, {
                        panelClass: 'vitamui-snack-bar',
                        data: { type: NotificationType.SUBRO_ALREADY_RUNNING_WITH_OTHER_USERS, email: response.surrogate },
                        duration: 10000
                    });
                }
            }
            else {
                this.createSubrogation(surrogateEmail);
            }
        });
    }
    askForSubrogation() {
        const surrogateEmail = this.form.get('emailFirstPart').value + '@' + this.form.get('domain').value;
        this.user = { email: surrogateEmail, firstname: undefined, lastname: undefined };
        this.retrieveOrCreateSubrogation(surrogateEmail);
    }
    createSubrogation(surrogateEmail) {
        // TODO subscribe to the modal close event and cancel the subrogation
        this.pending = true;
        const currentUserEmail = this.authService.user.email;
        this.subrogation = {
            id: null,
            status: 'CREATED',
            date: null,
            surrogate: surrogateEmail,
            superUser: currentUserEmail,
        };
        this.subrogationService.createSubrogation(this.subrogation).subscribe((subrogation) => {
            // tslint:disable-next-line:no-magic-numbers
            this.stepIndex = 1;
            this.subrogation = subrogation;
            this.subrogationService.checkSubrogationStatus(this.subrogation, this.dialogRef).subscribe(() => {
                this.logoutAndLaunchSubrogation(this.subrogation);
            });
        }, () => {
            this.handleSubrogationError();
        });
    }
    handleSubrogationError() {
        this.dialogRef.close();
        this.matSnackBar.openFromComponent(NotificationSnackBarComponent, {
            panelClass: 'vitamui-snack-bar',
            data: { type: NotificationType.SUBRO_UNAVAILABLE },
            duration: 10000
        });
    }
    logoutAndLaunchSubrogation(subrogation) {
        this.dialogRef.close();
        this.authService.logoutForSubrogation(subrogation.superUser, subrogation.surrogate);
    }
    onCancel() {
        this.dialogRef.close();
    }
    cancelSubrogation() {
        this.subrogationService.cancelSubrogation(this.subrogation).subscribe(() => {
            this.dialogRef.close();
        });
    }
}
SubrogationModalComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-subrogation-modal',
                template: "<div class=\"header\">\n  <vitamui-common-progress-bar [index]=\"stepIndex\" [count]=\"stepCount\"></vitamui-common-progress-bar>\n</div>\n\n<vitamui-common-stepper [selectedIndex]=\"stepIndex\" (selectionChange)=\"stepIndex=$event.selectedIndex\">\n  <cdk-step>\n    <div class=\"content\">\n      <div class=\"large text bold\">{{'SUBROGATION.HOME.RESULTS_TABLE.MODAL.TITLE' | translate}}</div>\n\n      <form [formGroup]=\"form\">\n          <div class=\"d-flex\">\n            <vitamui-common-input formControlName=\"emailFirstPart\" [placeholder]=\"'SUBROGATION.HOME.RESULTS_TABLE.MODAL.MAIL' | translate\" required>\n              <ng-container *ngIf=\"form.get('emailFirstPart')?.touched\">\n                <vitamui-common-input-error *ngIf=\"form?.get('emailFirstPart')?.hasError('required')\">{{'COMMON.REQUIRED' | translate}}</vitamui-common-input-error>\n              </ng-container>\n            </vitamui-common-input>\n\n            <h4 class=\"mx-2 mt-1 light\">@</h4>\n\n            <mat-form-field class=\"vitamui-mat-select\">\n                <mat-select formControlName=\"domain\" panelClass=\"vitamui-mat-select\" required>\n                  <mat-option value=\"{{domainTmp}}\" *ngFor=\"let domainTmp of domains\">\n                    {{ domainTmp }}\n                  </mat-option>\n                </mat-select>\n                <div class=\"select-arrow\">\n                  <i class=\"material-icons\">keyboard_arrow_up</i>\n                  <i class=\"material-icons\">keyboard_arrow_down</i>\n                </div>\n            </mat-form-field>\n          </div>\n        </form>\n\n      <div class=\"actions\">\n        <button class=\"btn primary\" appStepperNext (click)=\"askForSubrogation()\">\n          {{'SUBROGATION.HOME.RESULTS_TABLE.MODAL.BUTTON' | translate}}\n        </button>\n        <button class=\"btn link\" (click)=\"onCancel()\">{{'COMMON.UNDO' | translate}}</button>\n      </div>\n    </div>\n  </cdk-step>\n\n  <cdk-step>\n    <div class=\"content\">\n      <div class=\"text large bold mb-1\">{{'SUBROGATION.HOME.RESULTS_TABLE.MODAL.WAITING_ACCEPTATION' | translate}}</div>\n\n      <div class=\"text normal\" *ngIf=\"user?.firstname && user?.lastname\">\n        {{'SUBROGATION.HOME.RESULTS_TABLE.MODAL.ASK_SUBROGATION' | translate}} {{ user?.firstname }} {{ user?.lastname }}\n      </div>\n\n      <div class=\"text normal\" *ngIf=\"!user?.firstname || !user?.lastname\">\n        {{'SUBROGATION.HOME.RESULTS_TABLE.MODAL.ASK_SUBROGATION' | translate}} {{ user?.email }}\n      </div>\n\n      <div class=\"d-flex justify-content-center align-items-center my-5\">\n        <mat-spinner *ngIf=\"pending\" class=\"vitamui-spinner large\"></mat-spinner>\n      </div>\n\n      <div class=\"actions\">\n        <button type=\"button\" class=\"btn cancel link\" (click)=\"cancelSubrogation()\">{{'COMMON.UNDO' | translate}}</button>\n      </div>\n    </div>\n  </cdk-step>\n</vitamui-common-stepper>\n",
                styles: [""]
            },] }
];
SubrogationModalComponent.ctorParameters = () => [
    { type: MatDialogRef },
    { type: undefined, decorators: [{ type: Inject, args: [MAT_DIALOG_DATA,] }] },
    { type: FormBuilder },
    { type: AuthService },
    { type: MatSnackBar },
    { type: SubrogationService }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class SubrogationModalService {
    constructor(dialog) {
        this.dialog = dialog;
    }
    open(domains, subrogateUser) {
        this.dialog.open(SubrogationModalComponent, {
            panelClass: 'vitamui-modal',
            data: { domains, user: subrogateUser }
        });
    }
}
SubrogationModalService.ɵprov = ɵɵdefineInjectable({ factory: function SubrogationModalService_Factory() { return new SubrogationModalService(ɵɵinject(MatDialog)); }, token: SubrogationModalService, providedIn: "root" });
SubrogationModalService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
SubrogationModalService.ctorParameters = () => [
    { type: MatDialog }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class TenantSelectionGuard {
    constructor(authService, snackBar, appService, router, tenantService, location) {
        this.authService = authService;
        this.snackBar = snackBar;
        this.appService = appService;
        this.router = router;
        this.tenantService = tenantService;
        this.location = location;
    }
    canActivate(route) {
        if (route.params.tenantIdentifier) {
            return true;
        }
        else if (this.tenantService.getSelectedTenant()) {
            const application = this.appService.applications.find((appFromService) => appFromService.identifier === route.data.appId);
            this.location.href = application.url + TENANT_SELECTION_URL_CONDITION + this.tenantService.getSelectedTenant().identifier;
        }
        const tenantsByApp = this.authService.user.tenantsByApp.find((element) => element.name === route.data.appId);
        if (tenantsByApp) {
            const tenants = tenantsByApp.tenants;
            if (tenants.length === 1) {
                // redirect user to the unique tenant page of the app
                const application = this.appService.applications.find((appFromService) => appFromService.identifier === route.data.appId);
                this.router.navigate(route.pathFromRoot.map(r => r.url.toString()).concat([tenants[0].identifier.toString()]));
                return true;
            }
            else {
                return true;
            }
        }
        else {
            this.snackBar.open('Liste des tenants introuvable pour :' + route.data.appId + '.', null, {
                duration: 4000,
            });
        }
        return false;
    }
    canActivateChild(route) {
        return this.canActivate(route);
    }
}
TenantSelectionGuard.ɵprov = ɵɵdefineInjectable({ factory: function TenantSelectionGuard_Factory() { return new TenantSelectionGuard(ɵɵinject(AuthService), ɵɵinject(MatSnackBar), ɵɵinject(ApplicationService), ɵɵinject(Router), ɵɵinject(TenantSelectionService), ɵɵinject(WINDOW_LOCATION)); }, token: TenantSelectionGuard, providedIn: "root" });
TenantSelectionGuard.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
TenantSelectionGuard.ctorParameters = () => [
    { type: AuthService },
    { type: MatSnackBar },
    { type: ApplicationService },
    { type: Router },
    { type: TenantSelectionService },
    { type: undefined, decorators: [{ type: Inject, args: [WINDOW_LOCATION,] }] }
];

class UserPhotoComponent {
    constructor() {
        this.size = 40;
        this.hasStatus = false;
        this.statusCondition = false;
        this.photoClicked = new EventEmitter();
    }
    ngOnInit() { }
}
UserPhotoComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-user-photo',
                template: "<div class=\"d-flex\">\n  <div *ngIf=\"photo then userPhoto else defaultUserPhoto\" (click)=\"photoClicked.emit()\"></div>\n  <span *ngIf=\"hasStatus\" [ngClass]=\"statusCondition ? 'status-badge-green' :'status-badge-grey'\"></span>\n</div>\n\n<ng-template #defaultUserPhoto>\n  <img class=\"user-photo\" src=\"../../../../../assets/user_icon.png\" [style.width.px]=\"size\" alt=\"user photo\">\n</ng-template>\n\n<ng-template #userPhoto>\n  <img class=\"user-photo\" [src]=\"photo\" [style.width.px]=\"size\" alt=\"user photo\">\n</ng-template>",
                styles: [".user-photo img{border-radius:30px}span{bottom:7px;position:relative;right:7px}"]
            },] }
];
UserPhotoComponent.ctorParameters = () => [];
UserPhotoComponent.propDecorators = {
    photo: [{ type: Input }],
    size: [{ type: Input }],
    hasStatus: [{ type: Input }],
    statusCondition: [{ type: Input }],
    photoClicked: [{ type: Output }]
};

class UserPhotoModule {
}
UserPhotoModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    UserPhotoComponent
                ],
                imports: [
                    CommonModule,
                ],
                exports: [
                    UserPhotoComponent
                ]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const APPLICATION_TRANSLATE_PATH$1 = 'APPLICATION';
class VitamuiBreadcrumbComponent {
    constructor(route, applicationService) {
        this.route = route;
        this.applicationService = applicationService;
        this.selected = new EventEmitter();
    }
    ngOnInit() {
        if (!this.data) {
            const appId = this.route.snapshot.data.appId;
            if (appId) {
                this.data = [
                    {
                        identifier: ApplicationId.PORTAL_APP
                    },
                    {
                        label: this.applicationService.getAppById(appId).name,
                        identifier: appId
                    }
                ];
            }
        }
    }
    onClick(d, emit) {
        if (emit) {
            this.selected.emit(d.identifier);
        }
    }
}
VitamuiBreadcrumbComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-breadcrumb',
                template: "<div class=\"breadcrumb\">\n    <ng-container *ngFor=\"let d of data; let last = last\">\n        <span class=\"text normal\" (click)=\"onClick(d, !last)\">{{'APPLICATION.' + d.identifier + '.NAME' | translate:{default: d.label} }}</span>\n        <i *ngIf=\"!last\" class=\"material-icons px-2\">trending_flat</i>\n    </ng-container>\n</div>",
                styles: [".breadcrumb{align-items:center;display:inline-flex}.breadcrumb span{font-weight:700}.breadcrumb span:not(:last-child){color:var(--vitamui-primary);cursor:pointer}.breadcrumb span:last-child{color:var(--vitamui-grey-900)}.breadcrumb i:not(:nth-last-child(2)){color:var(--vitamui-primary)}.breadcrumb i:nth-last-child(2){color:var(--vitamui-grey-900)}"]
            },] }
];
VitamuiBreadcrumbComponent.ctorParameters = () => [
    { type: ActivatedRoute },
    { type: ApplicationService }
];
VitamuiBreadcrumbComponent.propDecorators = {
    data: [{ type: Input }],
    selected: [{ type: Output }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamuiTitleBreadcrumbComponent {
    constructor(location, applicationService, router, startupService, logger) {
        this.location = location;
        this.applicationService = applicationService;
        this.router = router;
        this.startupService = startupService;
        this.logger = logger;
    }
    ngOnInit() {
    }
    redirectTo(identifier) {
        if (!identifier || identifier === ApplicationId.PORTAL_APP) {
            this.router.navigate([this.startupService.getPortalUrl()]);
        }
        else {
            const app = this.applicationService.applications.find((application) => application.identifier === identifier);
            if (app) {
                this.applicationService.openApplication(app, this.router, this.startupService.getConfigStringValue('UI_URL'));
            }
            else {
                this.logger.error(this, 'No application identifier found for ', identifier);
            }
        }
    }
}
VitamuiTitleBreadcrumbComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-title-breadcrumb',
                template: "<div class=\"d-flex flex-column\">\n    <div class=\"d-flex align-items-center mt-2\">\n        <button class=\"btn btn-circle primary small\" (click)=\"location.back()\" aria-label=\"breadcrumb back\">\n            <i class=\"vitamui-icon vitamui-icon-arrow-back\"></i>\n        </button>\n\n        <vitamui-common-breadcrumb\n            [data]=\"data\"\n            (selected)=\"redirectTo($event)\">\n        </vitamui-common-breadcrumb>\n    </div>\n\n    <h5 class=\"ml-2 mb-4\">\n        <ng-content></ng-content>\n    </h5>\n</div>\n",
                styles: [":host::ng-deep .btn-circle.small{height:24px;width:24px}:host::ng-deep .btn-circle.small i{font-size:14px}button{box-shadow:none!important;left:-2rem;position:relative}vitamui-common-breadcrumb{left:-1rem;position:relative}"]
            },] }
];
VitamuiTitleBreadcrumbComponent.ctorParameters = () => [
    { type: Location },
    { type: ApplicationService },
    { type: Router },
    { type: StartupService },
    { type: Logger }
];
VitamuiTitleBreadcrumbComponent.propDecorators = {
    data: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamuiContentBreadcrumbModule {
}
VitamuiContentBreadcrumbModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    VitamuiBreadcrumbComponent,
                    VitamuiTitleBreadcrumbComponent
                ],
                imports: [
                    CommonModule,
                    TranslateModule
                ],
                exports: [
                    VitamuiBreadcrumbComponent,
                    VitamuiTitleBreadcrumbComponent,
                ]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class AccountApplicationTabComponent {
    constructor() { }
    ngOnInit() {
    }
}
AccountApplicationTabComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-account-application-tab',
                template: "<p>\n  account-application-tab works!\n</p>\n",
                styles: [""]
            },] }
];
AccountApplicationTabComponent.ctorParameters = () => [];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class AccountInformationTabComponent {
    constructor(formBuilder, accountService) {
        this.formBuilder = formBuilder;
        this.accountService = accountService;
        this.form = this.formBuilder.group({
            id: [null],
            firstname: [{ value: null, disabled: true }, Validators.required],
            lastname: [{ value: null, disabled: true }, Validators.required],
            email: [{ value: null, disabled: true }, [Validators.required, Validators.email]],
            language: [{ value: null, disabled: true }, Validators.required],
            level: [{ value: null, disabled: true }],
            otp: [{ value: null, disabled: true }],
            mobile: [{ value: null, disabled: true }, [Validators.pattern(/^[+]{1}[0-9]{11,12}$/)]],
            phone: [{ value: null, disabled: true }, [Validators.pattern(/^[+]{1}[0-9]{11,12}$/)]],
            address: [{ value: null, disabled: true }, Validators.required],
            type: [{ value: null, disabled: true }],
            profileGroup: [{ value: null, disabled: true }],
        });
    }
    set account(account) {
        this._account = account;
        this.resetForm(this.account);
    }
    get account() { return this._account; }
    ngOnInit() {
        this.form.valueChanges.subscribe((values) => {
            this.accountService.patchMe(values).subscribe();
        });
    }
    resetForm(account) {
        // Passing the user email to the validator so it doesn't check if his own code exists
        this.form.reset(account, { emitEvent: false });
    }
}
AccountInformationTabComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-account-information-tab',
                template: "<form [formGroup]=\"form\" class=\"form-pad\">\n  <div class=\"row\">\n    <div class=\"col-2\">\n      <label>{{'ACCOUNT.LASTNAME' | translate}}</label>\n      <span>{{form?.get('lastname')?.value}}</span>\n    </div>\n    <div class=\"col-2\">\n      <label>{{'ACCOUNT.FIRSTNAME' | translate}}</label>\n      <span>{{form?.get('firstname')?.value}}</span>\n    </div>\n  </div>\n  \n  <div class=\"row\">\n    <div class=\"col-3\">\n      <label>{{'ACCOUNT.MAIL' | translate}}</label>\n      <span>{{form?.get('email')?.value}}</span>\n    </div>\n  </div>\n\n  <div class=\"row\">\n    <div class=\"col-2\">\n      <vitamui-common-editable-select class=\"fields-padding\" formControlName=\"language\" [label]=\"'ACCOUNT.DEFAULT_LANGUAGE' | translate\">\n        <vitamui-common-editable-option value=\"ENGLISH\" [content]=\"'COMMON.LANGUAGE.ENGLISH' | translate\">\n        </vitamui-common-editable-option>\n        <vitamui-common-editable-option value=\"FRENCH\" [content]=\"'COMMON.LANGUAGE.FRENCH' | translate\">\n        </vitamui-common-editable-option>\n      </vitamui-common-editable-select>\n    </div>\n  </div>\n\n  <div class=\"row\">\n    <div class=\"col-3\">\n      <vitamui-common-slide-toggle class=\"fields-padding\" formControlName=\"otp\" matTooltipPosition=\"below\">{{'ACCOUNT.OTP_AUTH' | translate}}\n      </vitamui-common-slide-toggle>\n    </div>\n  </div>\n\n  <div class=\"row\">\n    <div class=\"col-2\">\n      <label>{{'ACCOUNT.PHONE.MOBILE' | translate}}</label>\n      <span>{{form?.get('mobile')?.value}}</span>\n    </div>\n\n    <div class=\"col-2\">\n      <label>{{'ACCOUNT.PHONE.FIX' | translate}}</label>\n      <span>{{form?.get('phone')?.value}}</span>\n    </div>\n  </div>\n\n  <div class=\"row\">\n    <div class=\"col-4\">\n      <label>{{'ACCOUNT.DELIVERY_ADRESS' | translate}}</label>\n      <span *ngIf=\"form.get('address').value?.street\">{{form.get('address').value?.street}}\n        <span *ngIf=\"form.get('address').value?.city && form.get('address').value?.zipCode\">,</span>\n      </span>\n      <span *ngIf=\"form.get('address').value?.city && form.get('address').value?.zipCode\">\n        {{form.get('address').value?.zipCode}}, {{form.get('address').value?.city}}\n      </span>\n    </div>\n  </div>\n\n  <div class=\"row\">\n    <div class=\"col-3\">\n      <label>{{'ACCOUNT.LEVEL' | translate}}</label>\n      <span>{{form?.get('level')?.value}}</span>\n    </div>\n  </div>\n\n  <div class=\"row\">\n    <div class=\"col-4\">\n      <label>{{'ACCOUNT.GROUP' | translate}}</label>\n      <span>{{form.get('profileGroup').value?.name}}</span>\n      <span>{{form.get('profileGroup').value?.description}}</span>\n    </div>\n  </div>\n</form>\n",
                styles: [".row>div{display:flex;flex-direction:column}.row:not(:last-child){margin-bottom:1.5rem}label{color:var(--vitamui-grey-600);font-size:14px;font-weight:400}span{color:var(--vitamui-grey-900);font-size:16px;font-weight:700}.form-pad{padding-bottom:6.5rem;padding-left:2.5rem;padding-top:4.5rem}"]
            },] }
];
AccountInformationTabComponent.ctorParameters = () => [
    { type: FormBuilder },
    { type: AccountService }
];
AccountInformationTabComponent.propDecorators = {
    account: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class AccountModule {
}
AccountModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    NavbarModule,
                    ReactiveFormsModule,
                    EditableFieldModule,
                    MatSlideToggleModule,
                    MatTooltipModule,
                    SlideToggleModule,
                    MatTabsModule,
                    VitamUIFieldErrorModule,
                    VitamuiContentBreadcrumbModule,
                    UserPhotoModule,
                    TranslateModule
                ],
                declarations: [
                    AccountComponent,
                    AccountInformationTabComponent,
                    AccountApplicationTabComponent,
                ]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CancelledSnackBarModule {
}
CancelledSnackBarModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    MatDialogModule,
                    TranslateModule,
                ],
                declarations: [
                    CancelledSnackBarComponent,
                ],
                exports: [
                    CancelledSnackBarComponent,
                ],
                entryComponents: [
                    CancelledSnackBarComponent,
                ]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const PROGRESS_BAR_MULTIPLICATOR$1 = 100;
class CommonProgressBarComponent {
    constructor() { }
    set index(val) {
        this._index = val;
        this.progressValue = this.getProgressValue(this._index, this._count);
    }
    get index() {
        return this._index;
    }
    set count(val) {
        this._count = val;
        this.progressValue = this.getProgressValue(this._index, this._count);
    }
    get count() {
        return this._count;
    }
    ngOnInit() { }
    getProgressValue(index, count) {
        return ((index) / count) * PROGRESS_BAR_MULTIPLICATOR$1;
    }
}
CommonProgressBarComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-progress-bar',
                template: "<div>\n  <div class=\"d-flex\">\n    <div class=\"text normal bold primary align-left\">{{'PROGRESS_BAR.STEP' | translate}} {{index+1}} / {{count}}</div>\n  </div>\n  <mat-progress-bar mode=\"determinate\" [value]=\"progressValue\">\n  </mat-progress-bar>\n</div>\n",
                styles: [".transition{transition:width .25s ease}.tooltip-custom{background-color:var(--vitamui-primary);border-radius:5px;color:var(--vitamui-primary-font);display:inline-flex;font-size:12px;margin-bottom:6px;margin-left:-14px;margin-right:-37px;padding:5px 8px;position:relative}.tooltip-custom:before{border-bottom:0 solid transparent;border-left:5px solid transparent;border-right:5px solid transparent;border-top:5px solid var(--vitamui-primary);bottom:-5px;content:\"\";height:0;position:absolute;width:0}"]
            },] }
];
CommonProgressBarComponent.ctorParameters = () => [];
CommonProgressBarComponent.propDecorators = {
    index: [{ type: Input }],
    count: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CommonProgressBarModule {
}
CommonProgressBarModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, MatProgressBarModule, TranslateModule],
                declarations: [CommonProgressBarComponent],
                exports: [CommonProgressBarComponent, MatProgressBarModule],
            },] }
];

class CommonTooltipComponent {
    constructor() {
        this.text = '';
    }
    ngOnInit() {
    }
}
CommonTooltipComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-tooltip',
                template: "  <div class=\"d-flex\">\n    <div class=\"tooltip-custom {{className}}\" [class.outline]=\"outline\" @fadeInOutAnimation>{{ text }}</div>\n  </div>\n",
                animations: [
                    fadeInOutAnimation,
                ],
                styles: [":host{--color:var(--vitamui-primary);--color-font:var(--vitamui-primary-font)}:host .tooltip-custom{background-color:var(--color);border:1px solid var(--vitamui-primary);border-radius:5px;bottom:0;color:var(--color-font);display:inline-flex;font-size:12px;left:4px;letter-spacing:.4px;line-height:16px;max-width:200px;padding:4px;position:relative}:host .tooltip-custom:before{background-color:var(--color);border-color:var(--vitamui-primary);border-style:solid;content:\"\";height:8px;position:absolute;transform:rotate(-45deg);width:8px}:host .tooltip-custom.BOTTOM{margin-top:1rem}:host .tooltip-custom.BOTTOM:before{border-radius:0 2px 0 0;border-width:1px 1px 0 0;margin-left:4px;margin-top:-5px;top:0}:host .tooltip-custom.TOP{margin-bottom:1rem}:host .tooltip-custom.TOP:before{border-radius:0 0 0 2px;border-width:0 0 1px 1px;bottom:0;margin-bottom:-5px;margin-left:4px}:host .tooltip-custom.LEFT{margin-right:1rem}:host .tooltip-custom.LEFT:before{border-radius:0 0 2px 0;border-width:0 1px 1px 0;margin-right:-5px;margin-top:4px;right:0}:host .tooltip-custom.RIGHT{margin-left:1rem}:host .tooltip-custom.RIGHT:before{border-radius:2px 0 0 0;border-width:1px 0 0 1px;left:0;margin-left:-5px;margin-top:4px}:host .tooltip-custom.outline{--color:#fff;--color-font:var(--vitamui-primary)}"]
            },] }
];
CommonTooltipComponent.ctorParameters = () => [];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
var TooltipType;
(function (TooltipType) {
    TooltipType["TOP"] = "TOP";
    TooltipType["BOTTOM"] = "BOTTOM";
    TooltipType["LEFT"] = "LEFT";
    TooltipType["RIGHT"] = "RIGHT";
})(TooltipType || (TooltipType = {}));

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class CommonTooltipDirective {
    constructor(overlay, overlayPositionBuilder, elementRef) {
        this.overlay = overlay;
        this.overlayPositionBuilder = overlayPositionBuilder;
        this.elementRef = elementRef;
        this.text = '';
        this.type = 'BOTTOM';
        this.outline = false;
    }
    ngOnInit() {
        const position = this.buildPosition(this.type);
        const positionStrategy = this.overlayPositionBuilder
            .flexibleConnectedTo(this.elementRef)
            .withPositions([position]);
        this.overlayRef = this.overlay.create({ positionStrategy });
    }
    ngOnDestroy() {
        this.overlayRef.detach();
    }
    show() {
        const tooltipPortal = new ComponentPortal(CommonTooltipComponent);
        const tooltipRef = this.overlayRef.attach(tooltipPortal);
        tooltipRef.instance.text = this.text;
        tooltipRef.instance.className = this.type;
        tooltipRef.instance.outline = this.outline;
    }
    hide() {
        this.overlayRef.detach();
    }
    buildPosition(type) {
        switch (type) {
            case TooltipType.TOP: {
                return {
                    originX: 'start',
                    originY: 'top',
                    overlayX: 'start',
                    overlayY: 'bottom',
                };
            }
            case TooltipType.BOTTOM:
                return {
                    originX: 'start',
                    originY: 'bottom',
                    overlayX: 'start',
                    overlayY: 'top',
                };
            case TooltipType.LEFT:
                return {
                    originX: 'start',
                    originY: 'center',
                    overlayX: 'end',
                    overlayY: 'center',
                };
            case TooltipType.RIGHT:
                return {
                    originX: 'end',
                    originY: 'center',
                    overlayX: 'start',
                    overlayY: 'center',
                };
        }
    }
}
CommonTooltipDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonToolTip]',
            },] }
];
CommonTooltipDirective.ctorParameters = () => [
    { type: Overlay },
    { type: OverlayPositionBuilder },
    { type: ElementRef }
];
CommonTooltipDirective.propDecorators = {
    text: [{ type: Input, args: ['vitamuiCommonToolTip',] }],
    type: [{ type: Input }],
    outline: [{ type: Input }],
    show: [{ type: HostListener, args: ['mouseenter',] }],
    hide: [{ type: HostListener, args: ['mouseout',] }]
};

class CommonTooltipModule {
}
CommonTooltipModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, MatTooltipModule],
                declarations: [CommonTooltipComponent, CommonTooltipDirective],
                exports: [CommonTooltipComponent, CommonTooltipDirective, MatTooltipModule],
                entryComponents: [CommonTooltipComponent],
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class DownloadSnackBarModule {
}
DownloadSnackBarModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    MatDialogModule,
                    MatProgressBarModule,
                    TranslateModule,
                ],
                declarations: [
                    DownloadSnackBarComponent,
                ],
                exports: [
                    DownloadSnackBarComponent,
                ],
                entryComponents: [
                    DownloadSnackBarComponent,
                ]
            },] }
];

class FooterComponent {
    constructor(startupService, authService, themeService) {
        this.startupService = startupService;
        this.authService = authService;
        this.themeService = themeService;
    }
    ngOnInit() {
        const versionRelease = this.startupService.getConfigStringValue('VERSION_RELEASE');
        if (versionRelease) {
            this.version = 'v' + versionRelease;
        }
        this.footerLogoUrl = this.themeService.getData(this.authService.user, ThemeDataType.FOOTER_LOGO);
    }
}
FooterComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-footer',
                template: "<div class=\"d-flex flex-column align-items-center\">\n  <div><img alt=\"compagny logo\" [src]=\"footerLogoUrl\" class=\"logo\"/></div>\n  <div class=\"text normal spaced primary-300\">{{version}}</div>\n</div>\n",
                styles: [":host{align-items:center;background-color:var(--vitamui-background);display:flex;flex-wrap:wrap;height:100px;justify-content:center;width:100%}"]
            },] }
];
FooterComponent.ctorParameters = () => [
    { type: StartupService },
    { type: AuthService },
    { type: ThemeService }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class FooterModule {
}
FooterModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    FooterComponent
                ],
                exports: [
                    FooterComponent
                ],
                imports: [
                    TranslateModule,
                ]
            },] }
];

class MenuOverlayRef {
    constructor(overlayRef) {
        this.overlayRef = overlayRef;
    }
    get overlay() { return this.overlayRef; }
    close() {
        this.overlayRef.dispose();
    }
}

const APPLICATION_TRANSLATE_PATH$2 = 'APPLICATION';
class MenuComponent {
    constructor(dialogRef, applicationService, cdrRef, tenantService, translateService, router, startupService) {
        this.dialogRef = dialogRef;
        this.applicationService = applicationService;
        this.cdrRef = cdrRef;
        this.tenantService = tenantService;
        this.translateService = translateService;
        this.router = router;
        this.startupService = startupService;
        this.state = '';
        this.tabSelectedIndex = 0;
        this.firstResultFocused = false;
        this.destroyer$ = new Subject();
        this.ngxAppArray = []; // Translated apps array from en / fr json files
    }
    handleKeyboardEvent(event) {
        if (event.key === 'ArrowRight') {
            if (this.tabSelectedIndex < this.selectedList.length - 1) {
                this.tabSelectedIndex++;
            }
        }
        else if (event.key === 'ArrowLeft') {
            if (this.tabSelectedIndex > 0) {
                this.tabSelectedIndex--;
            }
        }
        else if (event.key === 'ArrowDown') {
            if (this.firstResult && !this.firstResultFocused) {
                this.firstResult.focus();
                this.firstResultFocused = true;
            }
        }
    }
    ngOnInit() {
        this.dialogRef.overlay.backdropClick().pipe(takeUntil(this.destroyer$)).subscribe(() => this.onClose());
        this.tenants = this.tenantService.getTenants().map((tenant) => {
            return { value: tenant, label: tenant.name };
        });
        // Display application list depending on the current active tenant.
        // If no active tenant is set, then use the last tenant identifier.
        this.tenantService.getSelectedTenant$().pipe(take(1)).subscribe((tenant) => {
            if (tenant) {
                this.selectedTenant = { value: tenant, label: tenant.name };
                this.updateApps(this.selectedTenant);
            }
            else {
                this.tenantService.getLastTenantIdentifier$().pipe(takeUntil(this.destroyer$)).subscribe((identifier) => {
                    this.updateApps(this.tenants.find(option => option.value.identifier === identifier));
                });
            }
        });
        // Get the list of translated apps from en / fr json files for research
        this.translateService.get(APPLICATION_TRANSLATE_PATH$2).pipe(take(1)).subscribe((translatedApps) => {
            for (const [key, value] of Object.entries(translatedApps)) {
                this.ngxAppArray.push({ identifier: key, name: value.NAME });
            }
        });
    }
    ngAfterViewInit() {
        this.searchBar.onFocus();
    }
    ngOnDestroy() {
        this.destroyer$.next();
        this.destroyer$.complete();
    }
    onSearch(value) {
        if (value) {
            this.criteria = value;
            this.firstResultFocused = false;
            // Search value in the translated apps array
            const filteredNgxTranslateApps = this.ngxAppArray.filter((app) => {
                return app.name.normalize('NFD').replace(/[\u0300-\u036f]/g, '').toLowerCase()
                    .includes(value.normalize('NFD').replace(/[\u0300-\u036f]/g, '').toLowerCase());
            });
            // Avoid maping array by identifier inside filter
            const mappedArray = filteredNgxTranslateApps.map((ngxApp) => ngxApp.identifier);
            const flattenApps = Array.from(new Set([].concat.apply([], Array.from(this.appMap.values()))));
            this.filteredApplications = flattenApps.filter((app) => {
                return mappedArray.includes(app.identifier);
            });
            this.cdrRef.detectChanges();
            if (this.filteredApplications.length > 0) {
                this.firstResult = document.getElementById('searchResults').firstElementChild;
            }
        }
        else {
            this.resetSearch();
        }
    }
    resetSearch() {
        this.filteredApplications = null;
        this.criteria = '';
        this.searchBar.onFocus();
    }
    onClose(event) {
        if (event) {
            this.openApplication(event.options[0].value);
        }
        this.state = 'close';
        setTimeout(() => this.dialogRef.close(), 500);
    }
    changeTabFocus(value) {
        if (value && value.index !== this.tabSelectedIndex) {
            this.tabSelectedIndex = value.index; // when clicking
        }
        setTimeout(() => {
            // tslint:disable-next-line: variable-name
            const firstElem = this.selectedList.find((_select, index) => index === this.tabSelectedIndex);
            if (firstElem && firstElem.options && firstElem.options.first) {
                firstElem.options.first.focus();
            }
        }, 300);
    }
    updateApps(tenant) {
        if (tenant) {
            this.selectedTenant = tenant;
            this.appMap = this.applicationService.getTenantAppMap(tenant.value);
        }
    }
    getApplicationUrl(application) {
        return this.applicationService.getApplicationUrl(application, this.selectedTenant.value.identifier);
    }
    openApplication(application) {
        this.applicationService.openApplication(application, this.router, this.startupService.getConfigStringValue('UI_URL'), this.selectedTenant.value.identifier);
        this.onClose();
    }
}
MenuComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-menu',
                template: "<div\n    class=\"container p-0\"\n    [@opacityAnimation]=\"state\"\n    >\n    <div class=\"row header\">\n        <vitamui-common-search-bar #searchBar\n            class=\"col-5 mr-2\"\n            name=\"element-search\"\n            (searchChanged)=\"onSearch($event)\"\n            (clear)=\"resetSearch()\"\n            placeholder=\"{{'MENU.GRAB_APPLICATION' | translate}}\"\n        ></vitamui-common-search-bar>\n\n        <vitamui-common-item-select\n            class=\"col-3 p-0 ml-5\"\n            [label]=\"'SELECT_TENANT.SELECT' | translate\"\n            [selectedLabel]=\"'SELECT_TENANT.SELECTED' | translate\"\n            [items]=\"tenants\"\n            [selectedItem]=\"selectedTenant\"\n            (itemSelected)=\"updateApps($event)\"\n        ></vitamui-common-item-select>\n\n        <div class=\"apps-container col-3 ml-auto\" (click)=\"onClose()\">\n            <span class=\"pr-2\">{{'MENU.MY_APPLICATIONS' | translate}}</span>\n            <button mat-icon-button class=\"apps-button\">\n                <i class=\"vitamui-icon vitamui-icon-apps-colored\"><span class=\"path1\"></span><span class=\"path2\"></span><span class=\"path3\"></span><span class=\"path4\"></span><span class=\"path5\"></span><span class=\"path6\"></span><span class=\"path7\"></span><span class=\"path8\"></span><span class=\"path9\"></span></i>\n            </button>\n        </div>\n    </div>\n\n    <div class=\"pt-4\">\n        <ng-container *ngIf=\"filteredApplications; else displayMats\">\n            <span class=\"px-3\">{{'MENU.RESULT' | translate}}&nbsp;: </span>\n            <hr class=\"mb-0\">\n            <mat-selection-list id=\"searchResults\"\n                (selectionChange)=\"onClose($event)\"\n                class=\"py-3 overflow\">\n                <mat-list-option [value]=\"app\" @slideAnimation *ngFor=\"let app of filteredApplications\">\n                    <vitamui-common-menu-application-tile [application]=\"app\"\n                    [applicationUrl]=\"getApplicationUrl(app)\"\n                    [hlCriteria]=\"criteria\"\n                    (openApplication)=\"openApplication(app)\"\n                    ></vitamui-common-menu-application-tile>\n                </mat-list-option>\n            </mat-selection-list>\n        </ng-container>\n        <ng-template #displayMats>\n                <mat-tab-group animationDuration=\"300ms\" mat-align-tabs=\"start\" [selectedIndex]=\"tabSelectedIndex\" (selectedTabChange)=\"changeTabFocus($event)\">\n                    <mat-tab *ngFor=\"let element of appMap | keyvalue\" [label]=\"'MENU.' + element.key.identifier | translate:{default:element.key.title}\">\n                        <mat-selection-list (selectionChange)=\"onClose($event)\" class=\"py-3\">\n                            <mat-list-option cdkTrapFocus cdkTrapFocusAutoChange [value]=\"app\" *ngFor=\"let app of element.value\">\n                                <vitamui-common-menu-application-tile\n                                [application]=\"app\"\n                                [applicationUrl]=\"getApplicationUrl(app)\"\n                                (openApplication)=\"openApplication(app)\"\n                                ></vitamui-common-menu-application-tile>\n                            </mat-list-option>\n                        </mat-selection-list>\n                    </mat-tab>\n                </mat-tab-group>\n        </ng-template>\n    </div>\n</div>\n",
                animations: [
                    opacityAnimation,
                    slideAnimation,
                ],
                styles: [":host::ng-deep{--headerHeight:72px;--width:900px;color:#747272;font-size:16px;font-weight:400}:host::ng-deep .mat-tab-group.mat-primary .mat-ink-bar,:host::ng-deep .mat-tab-nav-bar.mat-primary .mat-ink-bar{background:var(--vitamui-primary)}:host::ng-deep .mat-tab-header-pagination.mat-tab-header-pagination-disabled{display:none!important}:host::ng-deep .mat-list-text{height:100%;padding:0!important}:host::ng-deep mat-pseudo-checkbox.mat-pseudo-checkbox{display:none}:host::ng-deep mat-list-option:focus,:host::ng-deep mat-list-option:hover{background-color:var(--vitamui-grey-300)}:host::ng-deep .mat-tab-body-content{overflow:hidden}:host::ng-deep .mat-list-single-selected-option{background-color:#fff}:host::ng-deep .mat-tab-label.mat-tab-label-active{color:var(--vitamui-primary);font-weight:700;opacity:1}:host::ng-deep vitamui-common-menu-application-tile{height:100%}:host::ng-deep mat-list-option vitamui-common-menu-application-tile * .hover-focus{visibility:hidden}:host::ng-deep mat-list-option vitamui-common-menu-application-tile * .focus{display:none!important}:host::ng-deep .overflow{max-height:80vh;overflow-x:hidden;overflow-y:auto}:host::ng-deep mat-list-option .mat-list-item-content{padding:0!important}:host::ng-deep mat-list-option:focus vitamui-common-menu-application-tile * .appName{font-weight:700}:host::ng-deep mat-list-option:focus vitamui-common-menu-application-tile * .mandatory{max-width:65%}:host::ng-deep mat-list-option:focus vitamui-common-menu-application-tile * .hover-focus{visibility:visible}:host::ng-deep mat-list-option:focus vitamui-common-menu-application-tile * .focus{display:flex!important}:host::ng-deep mat-list-option:hover vitamui-common-menu-application-tile * .appName{font-weight:700}:host::ng-deep mat-list-option:hover vitamui-common-menu-application-tile * .hover-focus{visibility:visible}:host::ng-deep .mat-tab-body-wrapper{height:100%}:host::ng-deep :focus{outline-color:transparent;outline-width:0}:host::ng-deep .container{background:#fff;box-shadow:0 10px 40px rgba(var(--vitamui-grey-rgb),.2),0 20px 80px rgba(var(--vitamui-grey-rgb),.05);height:auto;width:var(--width)}:host::ng-deep .header{align-items:center;height:var(--headerHeight);padding:0 1rem}:host::ng-deep .apps-button{font-size:24px}:host::ng-deep .apps-container{cursor:pointer;text-align:right}"]
            },] }
];
MenuComponent.ctorParameters = () => [
    { type: MenuOverlayRef },
    { type: ApplicationService },
    { type: ChangeDetectorRef },
    { type: TenantSelectionService },
    { type: TranslateService },
    { type: Router },
    { type: StartupService }
];
MenuComponent.propDecorators = {
    searchBar: [{ type: ViewChild, args: ['searchBar', { static: true },] }],
    selectedList: [{ type: ViewChildren, args: [MatSelectionList,] }],
    handleKeyboardEvent: [{ type: HostListener, args: ['document:keydown', ['$event'],] }]
};

class MenuOverlayService {
    constructor(overlay, injector) {
        this.overlay = overlay;
        this.injector = injector;
    }
    open() {
        const positionStrategy = this.overlay
            .position()
            .global()
            .top('0')
            .right('0');
        const config = new OverlayConfig({
            hasBackdrop: true,
            positionStrategy,
            scrollStrategy: this.overlay.scrollStrategies.block()
        });
        this.overlayRef = this.overlay.create(config);
        const injectionTokens = new WeakMap();
        this.dialogRef = new MenuOverlayRef(this.overlayRef);
        injectionTokens.set(MenuOverlayRef, this.dialogRef);
        this.portalInjector = new PortalInjector(this.injector, injectionTokens);
        this.overlayRef.attach(new ComponentPortal(MenuComponent, null, this.portalInjector));
    }
}
MenuOverlayService.decorators = [
    { type: Injectable }
];
MenuOverlayService.ctorParameters = () => [
    { type: Overlay },
    { type: Injector }
];

class HeaderComponent {
    constructor(subrogationService, startupService, menuOverlayService, authService, tenantService, customerSelectionService, themeService, matDialog, router, route, applicationService, globalEventService) {
        this.subrogationService = subrogationService;
        this.startupService = startupService;
        this.menuOverlayService = menuOverlayService;
        this.authService = authService;
        this.tenantService = tenantService;
        this.customerSelectionService = customerSelectionService;
        this.themeService = themeService;
        this.matDialog = matDialog;
        this.router = router;
        this.route = route;
        this.applicationService = applicationService;
        this.globalEventService = globalEventService;
        this.hasLangSelection = false;
        /** TODO : rooting /account in portal module => move to header module */
        this.hasAccountProfile = false;
        this.hasTenantSelection = false;
        this.hasCustomerSelection = false;
        this.destroyer$ = new Subject();
    }
    ngOnInit() {
        this.portalUrl = this.startupService.getPortalUrl();
        this.tenants = this.tenantService.getTenants().map((tenant) => {
            return { value: tenant, label: tenant.name };
        });
        if (this.authService.user) {
            this.currentUser = this.authService.user;
            this.hasAccountProfile = this.authService.user.profileGroup.profiles.some((profile) => profile.applicationName === ApplicationId.ACCOUNTS_APP);
        }
        this.headerLogoUrl = this.themeService.getData(this.authService.user, ThemeDataType.HEADER_LOGO);
        // Open the select default tenant dialog if no default tenant identifier defined
        const dialogConfig = SelectTenantDialogComponent.SELECT_TENANT_DIALOG_CONFIG;
        dialogConfig.data = { tenants: this.tenants };
        this.tenantService.getLastTenantIdentifier$().pipe(takeUntil(this.destroyer$)).subscribe((value) => {
            if (!value) {
                this.matDialog.open(SelectTenantDialogComponent, dialogConfig)
                    .beforeClosed().subscribe((selectedTenant) => {
                    this.tenantService.saveTenantIdentifier(selectedTenant.identifier).toPromise().then(() => {
                        this.tenantService.setSelectedTenant(selectedTenant);
                    });
                });
            }
        });
        this.initTenantSelection();
        this.tenantService.currentAppId$.pipe(takeUntil(this.destroyer$)).subscribe((appIdentifier) => {
            this.initCurrentAppTenants(appIdentifier);
            this.initCustomerSelection(appIdentifier);
        });
    }
    ngOnDestroy() {
        this.destroyer$.next();
        this.destroyer$.complete();
    }
    updateTenant(tenant) {
        this.tenantService.setSelectedTenant(tenant.value);
    }
    updateCustomer(customer) {
        this.customerSelectionService.setCustomerId(customer.value);
    }
    enabledSubrogation() {
        this.subrogationService.checkSubrogation();
    }
    logout() {
        this.authService.logout();
    }
    openMenu() {
        this.menuOverlayService.open();
    }
    /**
     * Init tenant selection feature & listeners if the current opened application requires it.
     */
    initTenantSelection() {
        if (this.router.events) {
            let eventsObsRef;
            // Show or hide the tenant selection component from the header when needed
            this.applicationService.hasTenantList().subscribe((result) => {
                this.hasTenantSelection = result;
                if (this.hasTenantSelection && !eventsObsRef) {
                    eventsObsRef = this.router.events.pipe(takeUntil(this.destroyer$)).subscribe((data) => {
                        if (data instanceof ActivationStart) {
                            const tenantIdentifier = +data.snapshot.params.tenantIdentifier;
                            if (tenantIdentifier) {
                                this.tenantService.setSelectedTenantByIdentifier(tenantIdentifier);
                                this.tenantService.getSelectedTenant$().pipe(takeUntil(this.destroyer$)).subscribe((tenant) => {
                                    if (tenant.identifier !== tenantIdentifier) {
                                        this.changeTenant(tenant.identifier);
                                    }
                                });
                            }
                        }
                    });
                }
            });
        }
        // Subcribe to active tenant changes
        this.tenantService.getSelectedTenant$().pipe(takeUntil(this.destroyer$)).subscribe((tenant) => {
            if (!this.selectedTenant) {
                this.selectedTenant = { value: tenant, label: tenant.name };
            }
            else {
                if (this.selectedTenant.value.identifier !== tenant.identifier) {
                    this.selectedTenant = { value: tenant, label: tenant.name };
                    this.tenantService.saveSelectedTenant(tenant).toPromise();
                }
            }
        });
        this.initLastTenantIdentifier();
    }
    /**
     * Init last tenant only if there is no active tenant.
     * The subscription will stop when a tenant is set as active.
     */
    initLastTenantIdentifier() {
        this.tenantService.getLastTenantIdentifier$()
            .pipe(takeUntil(this.tenantService.getSelectedTenant$()), takeUntil(this.destroyer$))
            .subscribe((identifier) => {
            const lastTenant = this.tenants.find((option) => option.value.identifier === identifier);
            if (!this.selectedTenant && lastTenant) {
                this.tenantService.setSelectedTenant(lastTenant.value);
            }
        });
    }
    initCurrentAppTenants(appIdentifier) {
        if (appIdentifier === ApplicationId.PORTAL_APP) {
            this.appTenants = this.tenants;
        }
        else {
            this.appTenants = this.applicationService.getApplicationTenants(appIdentifier).map((tenant) => {
                return { value: tenant, label: tenant.name };
            });
        }
    }
    /**
     * Init customer selection feature & listeners if the current opened application requires it.
     */
    initCustomerSelection(appIdentifier) {
        this.hasCustomerSelection = false;
        if (appIdentifier) {
            const currentApp = this.applicationService.applications.find(value => value.identifier === appIdentifier);
            if (currentApp) {
                this.hasCustomerSelection = currentApp.hasCustomerList;
            }
        }
        if (this.hasCustomerSelection) {
            this.customerSelectionService.getCustomers$().pipe(takeUntil(this.destroyer$)).subscribe((customers) => {
                this.customers = customers;
            });
            this.customerSelectionService.getSelectedCustomerId$().pipe(takeUntil(this.destroyer$)).subscribe((identifier) => {
                if (this.customers && (!this.selectedCustomer || this.selectedCustomer.value !== identifier)) {
                    this.selectedCustomer = this.customers.find(value => value.value === identifier);
                    this.globalEventService.customerEvent.next(this.selectedCustomer.value);
                }
            });
        }
    }
    changeTenant(tenantIdentifier) {
        this.router.navigate([this.route.firstChild.snapshot.routeConfig.path +
                TENANT_SELECTION_URL_CONDITION, tenantIdentifier], { relativeTo: this.route });
    }
}
HeaderComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-header',
                template: "<mat-toolbar color=\"primary\" class=\"header\">\n  <div class=\"header-logo\">\n    <a class=\"d-flex\" href=\"{{portalUrl}}\" >\n      <img alt=\"header logo\" [src]=\"headerLogoUrl\">\n    </a>\n  </div>\n\n  <div class=\"header-actions\">\n    <div class=\"d-flex align-items-center\">\n      <vitamui-common-select-language *ngIf=\"hasLangSelection\" [displayMode]=\"'select'\"></vitamui-common-select-language>\n    </div>\n\n    <div class=\"d-flex align-items-center\" [class.select-tenant]=\"hasTenantSelection || hasCustomerSelection\">\n      <!-- tenant selection -->\n      <vitamui-common-item-select\n        *ngIf=\"hasTenantSelection\"\n        [label]=\"'SELECT_TENANT.SELECT' | translate\"\n        [selectedLabel]=\"'SELECT_TENANT.SELECTED' | translate\"\n        [items]=\"appTenants\"\n        [selectedItem]=\"selectedTenant\"\n        (itemSelected)=\"updateTenant($event)\">\n      </vitamui-common-item-select>\n\n      <!-- customer selection -->\n      <vitamui-common-item-select\n        *ngIf=\"hasCustomerSelection\"\n        [label]=\"'SELECT_CUSTOMER.SELECT' | translate\"\n        [selectedLabel]=\"'SELECT_CUSTOMER.SELECTED' | translate\"\n        [items]=\"customers\"\n        [selectedItem]=\"selectedCustomer\"\n        (itemSelected)=\"updateCustomer($event)\">\n      </vitamui-common-item-select>\n    </div>\n\n    <div class=\"d-flex align-items-center pl-3 mr-4 account\" [matMenuTriggerFor]=\"accountMenu\">\n      <vitamui-common-user-photo class=\"mr-2\" [photo]=\"currentUser?.photo\"></vitamui-common-user-photo>\n      <div class=\"mx-2\">\n        <div class=\"text caption bold\">{{'HEADER.PROFILE' | translate}}</div>\n        <div class=\"text normal bold\">{{currentUser?.firstname}} {{currentUser.lastname}}</div>\n      </div>\n\n      <div class=\"ml-3\">\n        <i class=\"vitamui-icon vitamui-icon-chevron-down\"></i>\n      </div>\n\n      <div class=\"account-menu\">\n        <mat-menu #accountMenu=\"matMenu\" [overlapTrigger]=\"false\" xPosition=\"before\">\n          <ng-container>\n            <button mat-menu-item [routerLink]=\"['/account']\" *ngIf=\"hasAccountProfile\">{{'HEADER.MY_ACCOUNT' | translate}}</button>\n            <button mat-menu-item (click)=\"enabledSubrogation()\" *ngIf=\"!!!currentUser?.superUser\">{{'HEADER.NAVIGATE_AS' | translate}}</button>\n            <button mat-menu-item (click)=\"logout()\">{{'HEADER.LOGOUT' | translate}}</button>\n          </ng-container>\n        </mat-menu>\n      </div>\n    </div>\n\n    <div>\n      <button mat-mini-fab class=\"apps-button\" (click)=\"openMenu()\" aria-label=\"applications button\">\n        <i class=\"vitamui-icon vitamui-icon-apps-colored\"><span class=\"path1\"></span><span class=\"path2\"></span><span class=\"path3\"></span><span class=\"path4\"></span><span class=\"path5\"></span><span class=\"path6\"></span><span class=\"path7\"></span><span class=\"path8\"></span><span class=\"path9\"></span></i>\n      </button>\n    </div>\n  </div>\n</mat-toolbar>",
                styles: ["mat-toolbar{box-shadow:0 10px 40px rgba(var(--vitamui-grey-rgb),.2),0 20px 80px rgba(var(--vitamui-grey-rgb),.05);z-index:10}.header{background-color:var(--vitamui-header-footer);display:flex;height:72px;position:fixed;top:0}.header-logo{width:15%}.header-logo img{line-height:0;vertical-align:middle}.header-actions{align-items:center;display:flex;justify-content:flex-end;width:85%}vitamui-common-item-select{box-shadow:none!important;height:100%;width:100%}.select-tenant,vitamui-common-select-language{height:72px}.select-tenant{border-left:1px solid var(--vitamui-grey-200);min-width:200px;width:18%}.username{font-size:14px;font-weight:700;height:20px}.account{border-left:1px solid var(--vitamui-grey-200);cursor:pointer;height:72px}.account .text{color:var(--vitamui-header-footer-font)}.account .text.caption{line-height:1.4}.account .text.normal{line-height:2.8}.apps-button{background-color:#fff}.apps-button mat-icon{color:var(--vitamui-grey-700)}.vitamui-icon-apps-colored{font-size:24px}:host::ng-deep .mat-select-arrow,:host::ng-deep .mat-select-value,:host::ng-deep .mat-select-value-text,:host::ng-deep .mat-toolbar-row,:host::ng-deep .mat-toolbar-single-row,:host::ng-deep .selected-item-label,:host::ng-deep .unselected-item-label,:host::ng-deep mat-select{color:var(--vitamui-header-footer-font)!important}:host::ng-deep .mat-select-arrow-wrapper{vertical-align:top!important}:host::ng-deep mat-form-field{border:none!important;border-radius:0!important;box-shadow:none!important;height:100%!important;padding:0 1rem!important}:host::ng-deep mat-form-field,:host::ng-deep mat-form-field .mat-form-field-wrapper .mat-form-field-flex{background-color:transparent!important}"]
            },] }
];
HeaderComponent.ctorParameters = () => [
    { type: SubrogationService },
    { type: StartupService },
    { type: MenuOverlayService },
    { type: AuthService },
    { type: TenantSelectionService },
    { type: CustomerSelectionService },
    { type: ThemeService },
    { type: MatDialog },
    { type: Router },
    { type: ActivatedRoute },
    { type: ApplicationService },
    { type: GlobalEventService }
];
HeaderComponent.propDecorators = {
    hasLangSelection: [{ type: Input }]
};

class EmptyPipe {
    transform(value) {
        return value ? value : '— —';
    }
}
EmptyPipe.decorators = [
    { type: Pipe, args: [{
                name: 'empty'
            },] }
];

class SafeStylePipe {
    constructor(sanitizer) {
        this.sanitizer = sanitizer;
    }
    transform(value) {
        return this.sanitizer.bypassSecurityTrustStyle(value);
    }
}
SafeStylePipe.decorators = [
    { type: Pipe, args: [{
                name: 'safeStyle'
            },] }
];
SafeStylePipe.ctorParameters = () => [
    { type: DomSanitizer }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class TruncatePipe {
    transform(value = '', limit) {
        const ellipsis = '...';
        if (!value) {
            return value;
        }
        return value.length > limit ? value.slice(0, Math.max(1, limit - ellipsis.length)) + ellipsis : value;
    }
}
TruncatePipe.decorators = [
    { type: Pipe, args: [{
                name: 'truncate'
            },] }
];

class PipesModule {
}
PipesModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    BytesPipe,
                    HighlightPipe,
                    StrongifyPipe,
                    TruncatePipe,
                    SafeStylePipe,
                    EmptyPipe,
                ],
                imports: [
                    CommonModule
                ],
                exports: [
                    BytesPipe,
                    HighlightPipe,
                    StrongifyPipe,
                    TruncatePipe,
                    SafeStylePipe,
                    EmptyPipe,
                ]
            },] }
];

class MenuApplicationTileComponent {
    constructor() {
        this.openApplication = new EventEmitter();
    }
}
MenuApplicationTileComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-menu-application-tile',
                template: "<a class=\"d-flex align-items-center\" href=\"{{ applicationUrl }}\" (click)=\"openApplication.emit(application)\">\n    <div class=\"d-flex align-items-center mandatory\">\n        <i [ngClass]=\"application.icon\" class=\"app-icon d-flex justify-content-center align-items-center\"></i>\n        <span class=\"pl-2 appName\" [innerHTML]=\"'APPLICATION.' + application.identifier + '.NAME' | translate:{default: application.name}  | highlight: hlCriteria\"></span>\n        <span class=\"hover-focus pl-2\">-</span>\n        <span class=\"hover-focus pl-2 tooltip\">{{'APPLICATION.' + application.identifier + '.TOOLTIP' | translate:{default: application.tooltip} }}</span>\n    </div>\n    <div class=\"ml-auto focus d-flex justify-content-end\">\n        <span class=\"material-icons\">keyboard_return</span>\n        <span class=\"pl-2\">{{'MENU_APPLICATION_TILE.ENTER_APPLICATION' | translate}}</span>\n    </div>\n</a>\n",
                styles: [":host{color:var(--vitamui-grey-600)!important}:host .app-icon{border:2px solid var(--vitamui-primary);border-radius:50%;box-shadow:none!important;height:35px;padding:5px;width:35px}:host .tooltip{flex:1;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}:host .mandatory{max-width:100%}a{color:var(--vitamui-grey-600);height:100%;padding:0 24px;text-decoration:none}"]
            },] }
];
MenuApplicationTileComponent.ctorParameters = () => [];
MenuApplicationTileComponent.propDecorators = {
    application: [{ type: Input }],
    applicationUrl: [{ type: Input }],
    hlCriteria: [{ type: Input }],
    openApplication: [{ type: Output }]
};

class MenuModule {
    static forRoot() {
        return {
            ngModule: MenuModule,
            providers: [MenuOverlayService]
        };
    }
}
MenuModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    MenuComponent,
                    MenuApplicationTileComponent
                ],
                imports: [
                    CommonModule,
                    OverlayModule,
                    MatTabsModule,
                    RouterModule,
                    MatButtonModule,
                    MatIconModule,
                    MatListModule,
                    A11yModule,
                    SearchBarModule,
                    PipesModule,
                    TranslateModule,
                    ItemSelectModule
                ],
                entryComponents: [
                    MenuComponent
                ],
                providers: [
                    MenuOverlayService
                ],
                exports: [
                    MenuComponent, MenuApplicationTileComponent
                ]
            },] }
];

class SelectLanguageComponent {
    constructor(translateService, accountApiService, authService, languageService, sessionStorageService) {
        this.translateService = translateService;
        this.accountApiService = accountApiService;
        this.authService = authService;
        this.languageService = languageService;
        this.sessionStorageService = sessionStorageService;
        /**
         * This component have two display mode :
         * select : displays a select box with the current selected lang as text.
         * button : displays a circle button with the current selected lang as an image.
         */
        this.displayMode = 'button';
        this.currentLang = '';
        this.minLangString = MinLangString;
        this.destroyer$ = new Subject();
    }
    ngOnInit() {
        if (this.authService.user && this.authService.user.language) {
            this.translateService.use(this.getInitLanguage(this.translateConverter(this.authService.user.language)));
            this.currentLang = this.translateService.currentLang;
        }
        else {
            this.currentLang = this.translateService.defaultLang;
        }
        this.translateService.onLangChange
            .pipe(takeUntil(this.destroyer$))
            .subscribe((lang) => (this.currentLang = lang.lang));
    }
    ngOnDestroy() {
        this.destroyer$.next();
        this.destroyer$.complete();
    }
    use(lang) {
        this.accountApiService.patchMe({ language: this.languageService.getFullLangString(lang) }).subscribe(() => {
            this.sessionStorageService.language = lang;
            this.translateService.use(lang);
        });
    }
    getInitLanguage(language) {
        return this.sessionStorageService.language ? this.sessionStorageService.language : language;
    }
    translateConverter(lang) {
        return this.languageService.getShortLangString(lang);
    }
}
SelectLanguageComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-select-language',
                template: "<div *ngIf=\"displayMode === 'select' then select else button\"></div>\n\n<ng-template #button>\n  <button mat-mini-fab class=\"flag-button\" [matMenuTriggerFor]=\"menu\" aria-label=\"flag\">\n    <img [src]=\"'../../../assets/country/' + currentLang + '.svg'\">\n  </button>\n\n  <mat-menu #menu=\"matMenu\" [overlapTrigger]=\"false\" xPosition=\"before\" >\n    <span mat-menu-item (click)=\"use(minLangString.FR)\">\n      FR<img src=\"../../../assets/country/fr.svg\">\n    </span>\n    <span mat-menu-item (click)=\"use(minLangString.EN)\">\n      EN<img src=\"../../../assets/country/en.svg\">\n    </span>\n  </mat-menu>\n</ng-template>\n\n<ng-template #select>\n  <div class=\"select-language\">\n    <vitamui-common-item-select\n      [label]=\"'SELECT_LANGUAGE.LANGUAGE' | translate\"\n      [selectedLabel]=\"'SELECT_LANGUAGE.LANGUAGE' | translate\"\n      [items]=\"[{label: 'SELECT_LANGUAGE.FRENCH' | translate, value:'fr'}, {label: 'SELECT_LANGUAGE.ENGLISH' | translate, value:'en'}]\"\n      [selectedItem]=\"currentLang === 'fr' ? {label: 'SELECT_LANGUAGE.FRENCH' | translate, value:'fr'} : {label: 'SELECT_LANGUAGE.ENGLISH' | translate, value:'en'}\"\n      (itemSelected)=\"use($event.value)\">\n    </vitamui-common-item-select>\n  </div>\n</ng-template>",
                styles: [".mat-button-wrapper{display:flex!important;justify-content:center}img{width:25px}span img{margin-left:.75rem}span{display:inline-flex}.flag-button{background-color:#fff;height:40px;justify-content:center;width:40px}::ng-deep.mat-menu-content{align-items:center;display:flex;flex-direction:column}::ng-deep.mat-menu-panel{min-width:0!important}::ng-deep.mat-menu-content{padding:0!important}.select-language{border-left:1px solid var(--vitamui-grey-200)}div{height:100%}"]
            },] }
];
SelectLanguageComponent.ctorParameters = () => [
    { type: TranslateService },
    { type: AccountApiService },
    { type: AuthService },
    { type: LanguageService },
    { type: SessionStorageService }
];
SelectLanguageComponent.propDecorators = {
    displayMode: [{ type: Input }],
    hasLangSelection: [{ type: Input }]
};

class SelectLanguageModule {
}
SelectLanguageModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    MatMenuModule,
                    MatButtonModule,
                    ItemSelectModule,
                    TranslateModule
                ],
                declarations: [SelectLanguageComponent],
                exports: [SelectLanguageComponent],
            },] }
];

class HeaderModule {
}
HeaderModule.decorators = [
    { type: NgModule, args: [{
                declarations: [HeaderComponent],
                entryComponents: [SelectTenantDialogComponent],
                imports: [
                    CommonModule,
                    RouterModule,
                    MatMenuModule,
                    MatToolbarModule,
                    MatButtonModule,
                    ItemSelectModule,
                    UserPhotoModule,
                    MenuModule.forRoot(),
                    TranslateModule,
                    SelectLanguageModule
                ],
                exports: [
                    HeaderComponent
                ]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2015-2021)
 *
 * contact.vitam@culture.gouv.fr
 *
 * This software is a computer program whose purpose is to implement a digital archiving back-office system managing
 * high volumetry securely and efficiently.
 *
 * This software is governed by the CeCILL 2.1 license under French law and abiding by the rules of distribution of free
 * software. You can use, modify and/ or redistribute the software under the terms of the CeCILL 2.1 license as
 * circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license,
 * users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the
 * successive licensors have only limited liability.
 *
 * In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or
 * developing or reproducing the software by the user in light of its specific status of free software, that may mean
 * that it is complicated to manipulate, and that also therefore means that it is reserved for developers and
 * experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the
 * software's suitability as regards their requirements in conditions enabling the security of their systems and/or data
 * to be ensured and, more generally, to use and operate it in the same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had knowledge of the CeCILL 2.1 license and that you
 * accept its terms.
 */
class LogbookOperationFacetComponent {
    constructor() {
        /**
         * An action to execute that allows to filter the list of results
         * For static facet, it's not necessary to execute this action
         */
        this.filter = new EventEmitter();
    }
    ngOnInit() { }
    onFilter(facet) {
        if (facet.clickable) {
            this.filter.emit(facet.filter);
        }
    }
}
LogbookOperationFacetComponent.decorators = [
    { type: Component, args: [{
                // tslint:disable-next-line: component-selector
                selector: 'app-logbook-operation-facet',
                template: "<span class=\"title-text\">{{ facetTitle }}</span>\n<div class=\"row row-data\">\n  <div class=\"col title-text\" *ngFor=\"let facet of facetDetails\">\n    <div class=\"layout-data\" [ngClass]=\"{ clickable: facet.clickable }\" (click)=\"onFilter(facet)\">\n      <span class=\"status-text\" [ngStyle]=\"{ color: facet.color }\">{{ facet.title }}</span>\n      <div class=\"result-text\">\n        {{ facet.totalResults }}\n      </div>\n    </div>\n  </div>\n</div>\n",
                styles: [".clickable{cursor:pointer}.title-text{color:#9c31b5;font-family:Mulish;font-size:14px;font-style:normal;font-weight:700;letter-spacing:.1px;line-height:22px}.row-data{margin-top:10px}.layout-data{background:#fff;border-radius:5px;box-shadow:0 2px 8px rgba(33,33,33,.2),0 4px 16px rgba(33,33,33,.05);display:inline-block;flex:none;flex-grow:1;height:70px;order:0;position:relative;width:100%}.status-text{font-size:14px;letter-spacing:-.2px;top:10px}.result-text,.status-text{font-family:Mulish;font-style:normal;font-weight:700;height:100%;left:10%;position:relative;width:100%}.result-text{align-items:center;bottom:10px;color:#212121;display:flex;font-size:20px;line-height:28px}.result-layout{background:#fff;border-radius:5px;box-shadow:0 2px 8px rgba(33,33,33,.2),0 4px 16px rgba(33,33,33,.05);display:inline-block;height:60px;position:relative;width:100%}"]
            },] }
];
LogbookOperationFacetComponent.ctorParameters = () => [];
LogbookOperationFacetComponent.propDecorators = {
    facetTitle: [{ type: Input }],
    filter: [{ type: Output }],
    facetDetails: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2015-2021)
 *
 * contact.vitam@culture.gouv.fr
 *
 * This software is a computer program whose purpose is to implement a digital archiving back-office system managing
 * high volumetry securely and efficiently.
 *
 * This software is governed by the CeCILL 2.1 license under French law and abiding by the rules of distribution of free
 * software. You can use, modify and/ or redistribute the software under the terms of the CeCILL 2.1 license as
 * circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license,
 * users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the
 * successive licensors have only limited liability.
 *
 * In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or
 * developing or reproducing the software by the user in light of its specific status of free software, that may mean
 * that it is complicated to manipulate, and that also therefore means that it is reserved for developers and
 * experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the
 * software's suitability as regards their requirements in conditions enabling the security of their systems and/or data
 * to be ensured and, more generally, to use and operate it in the same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had knowledge of the CeCILL 2.1 license and that you
 * accept its terms.
 */
class LogbookOperationFacetModule {
}
LogbookOperationFacetModule.decorators = [
    { type: NgModule, args: [{
                declarations: [LogbookOperationFacetComponent],
                imports: [CommonModule],
                exports: [LogbookOperationFacetComponent],
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class OrderOptionComponent {
    constructor() {
        this.orderChange = new EventEmitter();
        this.orderByChange = new EventEmitter();
        this.directionChange = new EventEmitter();
    }
    ngOnInit() {
    }
    toggleOrder() {
        if (this.orderBy === this.orderByKey) {
            this.direction = this.direction !== Direction.DESCENDANT ? Direction.DESCENDANT : Direction.ASCENDANT;
        }
        else {
            this.orderBy = this.orderByKey;
            this.orderByChange.emit(this.orderBy);
            this.direction = Direction.DESCENDANT;
        }
        this.directionChange.emit(this.direction);
        this.orderChange.emit();
    }
}
OrderOptionComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-order-option',
                template: "<button\n  class=\"btn-orderby\"\n  [class.active]=\"orderBy===orderByKey\"\n  [class.upside-down]=\"orderBy===orderByKey && direction==='ASC'\"\n  (click)=\"toggleOrder()\"\n>\n  <ng-content></ng-content>\n  <i class=\"material-icons\">keyboard_arrow_down</i>\n</button>\n",
                styles: [":host{padding:5px 26px}.btn-orderby,:host{align-items:center;display:flex}.btn-orderby{background:transparent;border:none;color:#666;cursor:pointer;font-size:14px;font-weight:700;justify-content:flex-end;margin:0;outline:none;padding:0;white-space:nowrap;width:100%}.btn-orderby.active>i{color:var(--vitamui-primary)}.btn-orderby.upside-down>i{transform:rotate(180deg)}.btn-orderby>i{color:#d8d8d8;height:30px;line-height:30px;transition:color .2s ease-out,transform .2s ease-out;width:30px}"]
            },] }
];
OrderOptionComponent.ctorParameters = () => [];
OrderOptionComponent.propDecorators = {
    orderByKey: [{ type: Input }],
    orderBy: [{ type: Input }],
    direction: [{ type: Input }],
    orderChange: [{ type: Output }],
    orderByChange: [{ type: Output }],
    directionChange: [{ type: Output }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class OrderDropdownComponent {
    constructor() {
        this.dropdownOpen = false;
        this.active = false;
    }
    ngOnInit() {
    }
    ngAfterContentInit() {
        this.options.changes.pipe(startWith(null)).subscribe(() => {
            this.refreshActiveOption();
        });
    }
    ngOnChanges() {
        if (this.options) {
            this.refreshActiveOption();
        }
    }
    refreshActiveOption() {
        const activeOption = this.options.find((option) => option.orderByKey === this.orderBy);
        this.active = !!activeOption;
    }
}
OrderDropdownComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-order-dropdown',
                template: "<button\n  class=\"btn-orderby\"\n  #origin=\"cdkOverlayOrigin\"\n  cdkOverlayOrigin\n  (click)=\"dropdownOpen=true\"\n  [class.active]=\"active\"\n  [class.upside-down]=\"active && direction==='ASC'\"\n>\n  <i class=\"material-icons\">keyboard_arrow_down</i>\n</button>\n\n<ng-template\n  cdkConnectedOverlay\n  [cdkConnectedOverlayOpen]=\"dropdownOpen\"\n  [cdkConnectedOverlayOrigin]=\"origin\"\n  [cdkConnectedOverlayHasBackdrop]=\"true\"\n  cdkConnectedOverlayBackdropClass=\"transparent-backdrop\"\n  (backdropClick)=\"dropdownOpen=false\"\n>\n  <div class=\"order-dropdown-container\">\n    <ng-content></ng-content>\n  </div>\n</ng-template>\n",
                styles: [".btn-orderby{align-items:center;background:transparent;border:none;color:#d8d8d8;cursor:pointer;display:flex;height:30px;justify-content:flex-end;margin:0;outline:none;padding:0;transition:color .2s ease-out;white-space:nowrap;width:30px}.btn-orderby.active{color:var(--vitamui-primary)}.btn-orderby.upside-down>i{transform:rotate(180deg)}.btn-orderby>i{transition:transform .2s ease-out}.order-dropdown-container{background:#fff;border-radius:5px;min-width:100px;padding:10px 0}.order-dropdown-container:not(.disabled),.order-dropdown-container:not(:disabled){box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}.order-dropdown-container:not(.disabled):hover,.order-dropdown-container:not(:disabled):hover{box-shadow:0 2px 8px rgba(var(--vitamui-grey-rgb),.2),0 4px 16px rgba(var(--vitamui-grey-rgb),.05)}.order-dropdown-container.disabled,.order-dropdown-container:disabled{box-shadow:none!important}"]
            },] }
];
OrderDropdownComponent.ctorParameters = () => [];
OrderDropdownComponent.propDecorators = {
    orderBy: [{ type: Input }],
    direction: [{ type: Input }],
    options: [{ type: ContentChildren, args: [OrderOptionComponent,] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class OrderDropdownModule {
}
OrderDropdownModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    OverlayModule,
                    OrderByButtonModule,
                ],
                declarations: [OrderDropdownComponent, OrderOptionComponent],
                exports: [OrderDropdownComponent, OrderOptionComponent]
            },] }
];

class ScrollTopComponent {
    constructor() { }
    ngOnInit() { }
    ngAfterViewChecked() {
        if (!this.contentRendered) {
            const bodyElement = document.getElementsByClassName('vitamui-content');
            if ((bodyElement === null || bodyElement === void 0 ? void 0 : bodyElement.length) > 0) {
                const sideNavElement = document.getElementsByClassName('mat-sidenav-content');
                const windowElement = document.getElementsByTagName('div');
                const scrollElement = (sideNavElement === null || sideNavElement === void 0 ? void 0 : sideNavElement.length) > 0 ? sideNavElement[0] : windowElement[0];
                if (scrollElement) {
                    this.contentRendered = true;
                    scrollElement.addEventListener('scroll', () => {
                        if (scrollElement.scrollTop && scrollElement.scrollTop > 250) {
                            this.windowScrolled = true;
                        }
                        else if ((this.windowScrolled && window.pageYOffset) ||
                            scrollElement.scrollTop ||
                            scrollElement.scrollTop < 10) {
                            this.windowScrolled = false;
                        }
                    });
                }
            }
        }
    }
    scrollToTop() {
        (function smoothScroll() {
            const sideNavElement = document.getElementsByClassName('mat-sidenav-content');
            const windowElement = document.getElementsByTagName('div');
            const scrollElement = (sideNavElement === null || sideNavElement === void 0 ? void 0 : sideNavElement.length) > 0 ? sideNavElement[0] : windowElement[0];
            const currentScroll = scrollElement.scrollTop;
            if (currentScroll > 0) {
                window.requestAnimationFrame(smoothScroll);
                scrollElement.scrollTo(0, currentScroll - currentScroll / 8);
            }
        })();
    }
}
ScrollTopComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-scroll-top',
                template: "<div class=\"scroll-to-top\" [ngClass]=\"{ 'show-scrollTop': windowScrolled }\">\n  <button mat-mini-fab (click)=\"scrollToTop()\" aria-label=\"scroll to the top\">\n    <mat-icon>expand_less</mat-icon>\n  </button>\n</div>\n",
                styles: [".scroll-to-top{bottom:12%;opacity:0;position:fixed;right:1%;transition:all .3s ease-in-out;z-index:10}.show-scrollTop{opacity:1;transition:all .3s ease-in-out}.mat-mini-fab{background-color:var(--vitamui-primary)}"]
            },] }
];
ScrollTopComponent.ctorParameters = () => [];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class ScrollTopModule {
}
ScrollTopModule.decorators = [
    { type: NgModule, args: [{
                declarations: [ScrollTopComponent],
                imports: [CommonModule, MatButtonModule, MatIconModule],
                exports: [ScrollTopComponent],
            },] }
];

class VitamuiBodyComponent {
    constructor() { }
}
VitamuiBodyComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-body',
                template: "<div>\n    <ng-content></ng-content>\n    <vitamui-common-scroll-top></vitamui-common-scroll-top>\n</div>",
                styles: ["div{background-color:var(--vitamui-background);margin:72px auto 0;min-height:calc(100vh - 42px)}"]
            },] }
];
VitamuiBodyComponent.ctorParameters = () => [];

class VitamuiBodyModule {
}
VitamuiBodyModule.decorators = [
    { type: NgModule, args: [{
                declarations: [VitamuiBodyComponent],
                imports: [
                    CommonModule,
                    ScrollTopModule
                ],
                exports: [VitamuiBodyComponent]
            },] }
];

class VitamuiCommonBannerComponent {
    constructor() {
        this.disableSearchBar = false;
        this.action = new EventEmitter();
        this.search = new EventEmitter();
    }
}
VitamuiCommonBannerComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-banner',
                template: "<div class=\"d-flex align-items-center px-1\">\n  <vitamui-common-search-bar [disabled]=\"disableSearchBar\" [placeholder]=\"searchbarPlaceholder\" (search)=\"search.emit($event)\"></vitamui-common-search-bar>\n  <ng-content></ng-content>\n</div>",
                styles: [""]
            },] }
];
VitamuiCommonBannerComponent.ctorParameters = () => [];
VitamuiCommonBannerComponent.propDecorators = {
    searchbarPlaceholder: [{ type: Input }],
    disableSearchBar: [{ type: Input }],
    action: [{ type: Output }],
    search: [{ type: Output }]
};

class VitamuiCommonBannerModule {
}
VitamuiCommonBannerModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    SearchBarModule
                ],
                declarations: [VitamuiCommonBannerComponent],
                exports: [VitamuiCommonBannerComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamuiCommonSelectComponent {
    constructor() {
        this.selectedChange = new EventEmitter();
        this.disabled = false;
        this.messages = { selected: 'selected', unselected: 'unselected' };
        this.dataSelected = false;
    }
    ngOnInit() {
        const defaultValue = this.data.find((d) => d.isDefault);
        this.dataSelected = !!this.selected || !!defaultValue;
        this.selected = this.selected ? this.selected : defaultValue.id;
    }
    onSelect(val) {
        this.dataSelected = true;
        this.selectedChange.next(val);
    }
}
VitamuiCommonSelectComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-select',
                template: "<mat-form-field>\n    <mat-label *ngIf=\"dataSelected\" class=\"selected-label\">{{messages?.selected}}</mat-label>\n    <mat-label *ngIf=\"!dataSelected\" class=\"unselected-label\">{{messages?.unselected}}</mat-label>\n    <mat-select [value]=\"selected\" [disabled]=\"disabled\" (selectionChange)=\"onSelect($event.source.value)\" panelClass=\"vitamui-mat-select\">\n        <mat-option *ngFor=\"let d of data\" [value]=\"d.id\">\n            <span *ngIf=\"d.isDefault\">{{'COMMON_SELECT.DEFAULT_LABEL' | translate}}&nbsp;</span>{{ d.label }}\n        </mat-option>\n    </mat-select>\n</mat-form-field>\n",
                styles: [".mat-dialog-container .mat-form-field:not(.mat-form-field-disabled):not(.disabled),.mat-dialog-container .mat-form-field:not(.mat-form-field-disabled):not(:disabled),.mat-drawer .mat-form-field:not(.mat-form-field-disabled):not(.disabled),.mat-drawer .mat-form-field:not(.mat-form-field-disabled):not(:disabled){box-shadow:0 0 2px rgba(var(--vitamui-grey-rgb),.2),0 1px 4px rgba(var(--vitamui-grey-rgb),.05)}.mat-dialog-container .mat-form-field:not(.mat-form-field-disabled):not(.disabled):hover,.mat-dialog-container .mat-form-field:not(.mat-form-field-disabled):not(:disabled):hover,.mat-drawer .mat-form-field:not(.mat-form-field-disabled):not(.disabled):hover,.mat-drawer .mat-form-field:not(.mat-form-field-disabled):not(:disabled):hover{box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}.mat-dialog-container .mat-form-field:not(.mat-form-field-disabled).disabled,.mat-dialog-container .mat-form-field:not(.mat-form-field-disabled):disabled,.mat-drawer .mat-form-field:not(.mat-form-field-disabled).disabled,.mat-drawer .mat-form-field:not(.mat-form-field-disabled):disabled{box-shadow:none!important}:host::ng-deep .selected-label,:host::ng-deep .unselected-label{color:var(--vitamui-primary);font-size:16px;font-weight:700}:host::ng-deep .mat-form-field-underline{display:none}:host::ng-deep .mat-select-value-text{color:var(--vitamui-grey-900);font-size:16px;font-weight:700}:host::ng-deep .mat-form-field.mat-focused.mat-primary .mat-select-arrow,:host::ng-deep .mat-select-arrow{color:var(--vitamui-primary)}:host::ng-deep .mat-form-field-wrapper{padding-bottom:0}:host::ng-deep mat-form-field{align-items:center;background-color:#fff;border:none;border-radius:4px;display:inline-flex;height:60px;padding:8px 30px;position:relative;transition:border-color .15s ease-out;vertical-align:top;width:100%}:host::ng-deep .mat-form-field{font-weight:700;width:100%}:host::ng-deep .mat-form-field.mat-form-field-disabled{background-color:var(--vitamui-grey-300);border:none;color:var(--vitamui-grey-300)}:host::ng-deep .mat-form-field.mat-form-field-disabled .mat-form-field-flex{background-color:var(--vitamui-grey-300)}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled){color:var(--vitamui-grey-900);font-size:16px}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled):not(.disabled),:host::ng-deep .mat-form-field:not(.mat-form-field-disabled):not(:disabled){box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled):not(.disabled):hover,:host::ng-deep .mat-form-field:not(.mat-form-field-disabled):not(:disabled):hover{box-shadow:0 2px 8px rgba(var(--vitamui-grey-rgb),.2),0 4px 16px rgba(var(--vitamui-grey-rgb),.05)}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled).disabled,:host::ng-deep .mat-form-field:not(.mat-form-field-disabled):disabled{box-shadow:none!important}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled) .mat-form-field-label{color:var(--vitamui-grey-600)}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled) .mat-form-field-label .mat-form-field-required-marker{color:#c10000}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled).mat-focused{border:1px solid var(--vitamui-primary)}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled).mat-focused .mat-form-field-label{color:var(--vitamui-grey-600)}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled) .mat-select .mat-select-value{color:var(--vitamui-grey-900);font-size:16px;font-weight:700}:host::ng-deep .mat-form-field:not(.mat-form-field-disabled) .select-arrow i{color:var(--vitamui-primary)}:host::ng-deep .mat-option,:host::ng-deep .mat-option-text{color:var(--vitamui-grey-900)}:host::ng-deep .mat-option.mat-selected:not(.mat-option-disabled){color:var(--vitamui-primary)}:host::ng-deep .mat-form-field-infix{padding:0}:host::ng-deep .mat-select-arrow-wrapper{vertical-align:inherit}:host::ng-deep span.mat-select-placeholder{margin-top:.4rem}"]
            },] }
];
VitamuiCommonSelectComponent.ctorParameters = () => [];
VitamuiCommonSelectComponent.propDecorators = {
    data: [{ type: Input }],
    selected: [{ type: Input }],
    selectedChange: [{ type: Output }],
    disabled: [{ type: Input }],
    messages: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamuiCommonSelectModule {
}
VitamuiCommonSelectModule.decorators = [
    { type: NgModule, args: [{
                declarations: [VitamuiCommonSelectComponent],
                imports: [
                    CommonModule,
                    MatSelectModule,
                    FormsModule,
                    TranslateModule
                ],
                exports: [VitamuiCommonSelectComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamuiDragDropFileComponent {
    constructor() {
        this.IMAGE_TYPE_PREFIX = 'image';
        this.hasDropZoneOver = false;
        this.imageToUpload = null;
        this.lastImageUploaded = null;
        this.hasError = true;
        this.canDelete = true;
        this.messContent = 'Drag & drop';
        this.disabled = false;
        this.messPj = 'Attach';
        this.logoSize = { width: 1000, height: 1000 };
        this.file = new EventEmitter();
        this.delete = new EventEmitter();
    }
    get imageUrl() { return this._imageUrl; }
    set imageUrl(val) {
        this._imageUrl = val;
        if (this.imageToUpload) {
            this.file.next(this.imageToUpload);
        }
    }
    set fileUrl(url) {
        if (url) {
            this.imageUrl = url;
        }
    }
    ngOnInit() { }
    onImageDropped(files) {
        this.hasDropZoneOver = false;
        this.handleImage(files);
    }
    handleImage(files) {
        this.hasError = false;
        this.lastImageUploaded = this.imageToUpload;
        this.message = null;
        this.imageToUpload = files.item(0);
        if (this.imageToUpload.type.split('/')[0] !== this.IMAGE_TYPE_PREFIX) {
            this.message = 'Le fichier que vous essayez de déposer n\'est pas une image';
            this.hasError = true;
            return;
        }
        const reader = new FileReader();
        const logoImage = new Image();
        reader.onload = () => {
            const logoUrl = reader.result;
            logoImage.src = logoUrl;
            logoImage.onload = () => {
                if (logoImage.width > this.logoSize.width || logoImage.height > this.logoSize.height) {
                    this.imageToUpload = this.lastImageUploaded;
                    // tslint:disable-next-line: max-line-length
                    this.message = `Les dimensions du fichier que vous essayez de déposer sont supérieures à ${this.logoSize.width}px * ${this.logoSize.height}px`;
                    this.hasError = true;
                }
                else {
                    this.imageUrl = logoUrl;
                }
            };
        };
        reader.readAsDataURL(this.imageToUpload);
    }
    onImageDragOver(inDropZone) {
        this.hasDropZoneOver = inDropZone;
    }
    onImageDragLeave(inDropZone) {
        this.hasDropZoneOver = inDropZone;
    }
    addLogo() {
        this.fileSearch.nativeElement.click();
    }
    onDelete() {
        this.imageToUpload = null;
        this.imageUrl = null;
        this.delete.next();
    }
    handleFileInput(files) {
        this.handleImage(files);
    }
}
VitamuiDragDropFileComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-drag-drop-file',
                template: "<mat-icon [class.disabled]=\"disabled\" *ngIf=\"imageUrl && canDelete\" (click)=\"onDelete()\" class=\"delete pointer\">clear</mat-icon>\n<div [class.disabled]=\"disabled\">\n    <div class=\"drag-and-drop-area\" [ngClass]=\"{'on-over': hasDropZoneOver}\"\n        vitamuiCommonDragAndDrop\n        (fileToUploadEmitter)=\"onImageDropped($event)\"\n        (fileDragOverEmitter)=\"onImageDragOver($event)\"\n        (fileDragLeaveEmitter)=\"onImageDragLeave($event)\">\n        <input type=\"file\" #fileSearch class=\"d-none\" (change)=\"handleFileInput($event.target.files)\">\n        <div class=\"image-area d-flex flex-column justify-content-center align-items-center\">\n            <div *ngIf=\"!imageUrl && messContent\" class=\"\">\n                <h5>\n                    {{messContent}}\n                </h5>\n            </div>\n            <img *ngIf=\"imageUrl\" [src]=\"imageUrl\"/>\n        </div>\n    </div>\n    <div class=\"d-flex flex-column pt-2\">\n        <span (click)=\"addLogo()\" class=\"upload pointer text caption light bold\">\n            <mat-icon class=\"pj\">attach_file</mat-icon>\n            {{messPj}}\n        </span>\n        <small class=\"error-message\">\n            <div *ngIf=\"hasError\">  {{ message }}</div>\n        </small>\n    </div>\n</div>\n",
                styles: [":host{display:flex;flex-direction:column}:host .on-over{border:2px solid var(--vitamui-grey-600)}:host .on-over .drop-area{background:var(--vitamui-grey-900);color:#fff;opacity:.9}:host .pj{transform:rotate(45deg)}:host .pointer{cursor:pointer}:host .error-message{color:#c10000}:host .disabled{opacity:.4;pointer-events:none}:host .contents{display:contents}:host .delete{height:0;position:relative;right:-212px;top:3px}"]
            },] }
];
VitamuiDragDropFileComponent.ctorParameters = () => [];
VitamuiDragDropFileComponent.propDecorators = {
    canDelete: [{ type: Input }],
    messContent: [{ type: Input }],
    disabled: [{ type: Input }],
    messPj: [{ type: Input }],
    fileUrl: [{ type: Input }],
    logoSize: [{ type: Input }],
    file: [{ type: Output }],
    delete: [{ type: Output }],
    fileSearch: [{ type: ViewChild, args: ['fileSearch', { static: false },] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamuiDragDropFileModule {
}
VitamuiDragDropFileModule.decorators = [
    { type: NgModule, args: [{
                declarations: [VitamuiDragDropFileComponent],
                imports: [
                    CommonModule,
                    MatIconModule,
                ],
                exports: [
                    VitamuiDragDropFileComponent
                ]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const moment$3 = moment_;
const VITAMUI_INPUT_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => VitamUIDurationInputComponent),
    multi: true
};
class VitamUIDurationInputComponent {
    constructor(formBuilder) {
        // tslint:disable-next-line:variable-name
        this._disabled = false;
        this.onChange = (_) => { };
        this.onTouched = () => { };
        this.form = formBuilder.group({
            days: null,
            hours: null,
            minutes: null
        });
        this.form.valueChanges.subscribe((val) => {
            let duration;
            if (val.days == null && val.hours == null && val.minutes == null) {
                duration = null;
            }
            else {
                duration = moment$3.duration(val).toISOString();
            }
            this.onChange(duration);
        });
    }
    get disabled() { return this._disabled; }
    set disabled(value) { this._disabled = coerceBooleanProperty(value); }
    writeValue(value) {
        const momentDuration = moment$3.duration(value);
        this.form.get('days').reset(momentDuration.days() || null, { emitEvent: false });
        this.form.get('hours').reset(momentDuration.hours() || null, { emitEvent: false });
        this.form.get('minutes').reset(momentDuration.minutes() || null, { emitEvent: false });
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
}
VitamUIDurationInputComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-vitamui-duration-input',
                template: "<div class=\"vitamui-duration-input vitamui-input\" [formGroup]=\"form\">\n  <input type=\"number\" class=\"days\" formControlName=\"days\" min=\"0\"/><div class=\"unite\"><div class=\"unite-content\">J</div></div>\n  <input type=\"number\" class=\"hours\" formControlName=\"hours\" min=\"0\" max=\"23\"/><div class=\"unite\"><div class=\"unite-content\">H</div></div>\n  <input type=\"number\" class=\"minutes\" formControlName=\"minutes\" min=\"0\" max=\"59\"/><div class=\"unite\"><div class=\"unite-content\">M</div></div>\n</div>\n",
                providers: [VITAMUI_INPUT_VALUE_ACCESSOR],
                styles: [".mat-dialog-container .vitamui-duration-input:not(.disabled),.mat-dialog-container .vitamui-duration-input:not(:disabled),.mat-drawer .vitamui-duration-input:not(.disabled),.mat-drawer .vitamui-duration-input:not(:disabled){box-shadow:0 0 2px rgba(var(--vitamui-grey-rgb),.2),0 1px 4px rgba(var(--vitamui-grey-rgb),.05)}.mat-dialog-container .vitamui-duration-input:not(.disabled):hover,.mat-dialog-container .vitamui-duration-input:not(:disabled):hover,.mat-drawer .vitamui-duration-input:not(.disabled):hover,.mat-drawer .vitamui-duration-input:not(:disabled):hover{box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}.mat-dialog-container .vitamui-duration-input.disabled,.mat-dialog-container .vitamui-duration-input:disabled,.mat-drawer .vitamui-duration-input.disabled,.mat-drawer .vitamui-duration-input:disabled{box-shadow:none!important}.vitamui-duration-input{align-items:center;background-color:#fff;border:none;border-radius:4px;display:flex;justify-content:center}.vitamui-duration-input:not(.disabled),.vitamui-duration-input:not(:disabled){box-shadow:0 1px 4px rgba(var(--vitamui-grey-rgb),.2),0 2px 8px rgba(var(--vitamui-grey-rgb),.05)}.vitamui-duration-input:not(.disabled):hover,.vitamui-duration-input:not(:disabled):hover{box-shadow:0 2px 8px rgba(var(--vitamui-grey-rgb),.2),0 4px 16px rgba(var(--vitamui-grey-rgb),.05)}.vitamui-duration-input.disabled,.vitamui-duration-input:disabled{box-shadow:none!important}.unite{background-color:#e5f6f3;height:49px;width:23px}.unite>div{margin-left:5px;margin-top:11px}input{border:none}.days,.hours,.minutes{margin-left:30px;outline:none;width:40px}"]
            },] }
];
VitamUIDurationInputComponent.ctorParameters = () => [
    { type: FormBuilder }
];
VitamUIDurationInputComponent.propDecorators = {
    disabled: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUIDurationInputModule {
}
VitamUIDurationInputModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                ],
                declarations: [VitamUIDurationInputComponent],
                exports: [VitamUIDurationInputComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUIInputErrorComponent {
    constructor() {
        this.slideDownAnimation = true;
    }
    ngOnInit() {
    }
}
VitamUIInputErrorComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-input-error',
                template: `<ng-content></ng-content>`,
                animations: [
                    slideDownAnimation,
                ],
                styles: [":host{display:block}"]
            },] }
];
VitamUIInputErrorComponent.ctorParameters = () => [];
VitamUIInputErrorComponent.propDecorators = {
    slideDownAnimation: [{ type: HostBinding, args: ['@slideDownAnimation',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const VITAMUI_INPUT_VALUE_ACCESSOR$1 = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => VitamUIInputPositiveNumberComponent),
    multi: true
};
class VitamUIInputPositiveNumberComponent {
    constructor() {
        this.type = 'text';
        // tslint:disable-next-line:variable-name
        this._required = false;
        // tslint:disable-next-line:variable-name
        this._disabled = false;
        this.focused = false;
        this.labelFloat = false;
        this.onChange = (_) => { };
        this.onTouched = () => { };
        this.onKeyPress = (_) => { };
    }
    get required() { return this._required; }
    set required(value) { this._required = coerceBooleanProperty(value); }
    get disabled() { return this._disabled; }
    set disabled(value) { this._disabled = coerceBooleanProperty(value); }
    onClick() {
        this.input.nativeElement.focus();
    }
    writeValue(value) {
        this.value = value;
        this.labelFloat = !!this.value;
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    onTextChange(value) {
        this.labelFloat = !!this.value;
        this.onChange(value);
    }
    onNumberChange(value) {
        const badInput = this.input.nativeElement.validity.badInput;
        this.labelFloat = badInput || this.value !== null;
        this.onChange(value);
    }
    onValueChange(value) {
        if (this.type !== 'number' || value === '') {
            this.onTextChange(value);
        }
        else {
            this.onNumberChange(Number(value));
        }
    }
    onFocus() {
        this.focused = true;
    }
    onBlur() {
        this.focused = false;
        this.onTouched();
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
}
VitamUIInputPositiveNumberComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-input-positive-number',
                template: "<div class=\"vitamui-input\" [class.disabled]=\"disabled\">\n  <label>\n    {{placeholder}}\n    <span *ngIf=\"required\" class=\"required-marker\">*</span>\n  </label>\n\n  <input #vitamUIInputPositiveNumber [type]=\"type\" [required]=\"required\" [disabled]=\"disabled\" [autofocus]=\"autofocus\"\n    [attr.maxlength]=\"maxlength\" [attr.min]=\"min\" (blur)=\"onBlur()\" (focus)=\"onFocus()\" [(ngModel)]=\"value\"\n    (ngModelChange)=\"onValueChange($event)\" (keypress)=\"onKeyPress($event)\">\n\n\n  <mat-spinner diameter=\"25\" color=\"accent\"></mat-spinner>\n</div>\n<div class=\"vitamui-input-errors\">\n  <ng-content></ng-content>\n</div>",
                providers: [VITAMUI_INPUT_VALUE_ACCESSOR$1],
                styles: [":host{display:inline-block}:host.ng-valid.ng-touched .vitamui-input{border:1px solid #27740a}:host.ng-invalid.ng-touched .vitamui-input{border:1px solid #c10000}:host.ng-pending .vitamui-input mat-spinner{display:block}.vitamui-input-errors{min-height:30px}"]
            },] }
];
VitamUIInputPositiveNumberComponent.propDecorators = {
    type: [{ type: Input }],
    maxlength: [{ type: Input }],
    min: [{ type: Input }],
    placeholder: [{ type: Input }],
    autofocus: [{ type: Input }],
    required: [{ type: Input }],
    disabled: [{ type: Input }],
    input: [{ type: ViewChild, args: ['vitamUIInputPositiveNumber',] }],
    focused: [{ type: HostBinding, args: ['class.vitamui-focused',] }],
    labelFloat: [{ type: HostBinding, args: ['class.vitamui-float',] }],
    onClick: [{ type: HostListener, args: ['click',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const VITAMUI_INPUT_VALUE_ACCESSOR$2 = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => VitamUIInputComponent),
    multi: true
};
class VitamUIInputComponent {
    constructor() {
        this.type = 'text';
        // tslint:disable-next-line:variable-name
        this._autoFocus = false;
        // tslint:disable-next-line:variable-name
        this._disabled = false;
        // tslint:disable-next-line:variable-name
        this._required = false;
        this.focused = false;
        this.labelFloat = false;
        this.onChange = (_) => { };
        this.onTouched = () => { };
    }
    get autoFocus() { return this._autoFocus; }
    set autoFocus(value) { this._autoFocus = coerceBooleanProperty(value); }
    get disabled() { return this._disabled; }
    set disabled(value) { this._disabled = coerceBooleanProperty(value); }
    get required() { return this._required; }
    set required(value) { this._required = coerceBooleanProperty(value); }
    onClick() {
        this.input.nativeElement.focus();
    }
    ngAfterViewInit() {
        if (this.autoFocus) {
            setTimeout(() => {
                this.input.nativeElement.focus();
            }, 200);
        }
    }
    ngOnInit() {
        this.labelFloat = !!this.value;
    }
    writeValue(value) {
        this.value = value;
        this.labelFloat = !!this.value;
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    onTextChange(value) {
        this.labelFloat = !!this.value;
        this.onChange(value);
    }
    onNumberChange(value) {
        const badInput = this.input.nativeElement.validity.badInput;
        this.labelFloat = badInput || this.value !== null;
        this.onChange(value);
    }
    onValueChange(value) {
        if (this.type !== 'number' || value === '') {
            this.onTextChange(value);
        }
        else {
            this.onNumberChange(Number(value));
        }
    }
    onFocus() {
        this.focused = true;
        this.onTouched();
    }
    onBlur() {
        this.focused = false;
        this.onTouched();
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
}
VitamUIInputComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-input',
                template: "<div class=\"vitamui-input\" [class.disabled]=\"disabled\">\n  <label>\n    {{placeholder}}\n    <span *ngIf=\"required\" class=\"required-marker\">*</span>\n  </label>\n\n  <input #vitamUIInput [type]=\"type\" [required]=\"required\" [disabled]=\"disabled\" [autofocus]=\"autofocus\"\n    [attr.maxlength]=\"maxlength\" (blur)=\"onBlur()\" (focus)=\"onFocus()\" [(ngModel)]=\"value\" \n    (ngModelChange)=\"onValueChange($event)\">\n\n  <mat-spinner diameter=\"25\" color=\"accent\"></mat-spinner>\n</div>\n<div class=\"vitamui-input-errors\">\n  <ng-content></ng-content>\n</div>\n",
                providers: [VITAMUI_INPUT_VALUE_ACCESSOR$2],
                styles: [":host{display:inline-block}:host.ng-invalid .vitamui-input{border:1px solid #c10000}:host.ng-pending .vitamui-input mat-spinner{display:block}.vitamui-input-errors{min-height:23px}"]
            },] }
];
VitamUIInputComponent.propDecorators = {
    type: [{ type: Input }],
    maxlength: [{ type: Input }],
    placeholder: [{ type: Input }],
    autofocus: [{ type: Input }],
    value: [{ type: Input }],
    autoFocus: [{ type: Input }],
    disabled: [{ type: Input }],
    required: [{ type: Input }],
    input: [{ type: ViewChild, args: ['vitamUIInput',] }],
    focused: [{ type: HostBinding, args: ['class.vitamui-focused',] }],
    labelFloat: [{ type: HostBinding, args: ['class.vitamui-float',] }],
    onClick: [{ type: HostListener, args: ['click',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const VITAMUI_TEXTAREA_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => VitamUITextareaComponent),
    multi: true
};
class VitamUITextareaComponent {
    constructor() {
        this.rows = 2;
        // tslint:disable-next-line:variable-name
        this._required = false;
        // tslint:disable-next-line:variable-name
        this._disabled = false;
        this.focused = false;
        this.labelFloat = false;
        this.onChange = (_) => { };
        this.onTouched = () => { };
    }
    get required() { return this._required; }
    set required(value) { this._required = coerceBooleanProperty(value); }
    get disabled() { return this._disabled; }
    set disabled(value) { this._disabled = coerceBooleanProperty(value); }
    onClick() {
        this.textarea.nativeElement.focus();
    }
    writeValue(value) {
        this.value = value;
        this.labelFloat = !!this.value;
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    onValueChange(value) {
        this.labelFloat = !!this.value;
        this.onChange(value);
    }
    onFocus() {
        this.focused = true;
    }
    onBlur() {
        this.focused = false;
        this.onTouched();
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
}
VitamUITextareaComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-textarea',
                template: "<div class=\"vitamui-input\" [class.disabled]=\"disabled\">\n    <label class=\"mt-1\">\n        {{placeholder}}\n        <span *ngIf=\"required\" class=\"required-marker\">*</span>\n    </label>\n    <textarea\n        [required]=\"required\"\n        [disabled]=\"disabled\"\n        [attr.maxlength]=\"maxlength\"\n        [rows]=\"rows\"\n        (blur)=\"onBlur()\"\n        (focus)=\"onFocus()\"\n        [(ngModel)]=\"value\"\n        (ngModelChange)=\"onValueChange($event)\"\n        #textarea\n    ></textarea>\n    <mat-spinner diameter=\"25\" color=\"accent\"></mat-spinner>\n</div>\n<div class=\"vitamui-input-errors\">\n    <ng-content></ng-content>\n</div>\n",
                providers: [VITAMUI_TEXTAREA_VALUE_ACCESSOR],
                styles: [":host{align-items:baseline}:host.ng-valid.ng-touched .vitamui-input{border:1px solid #27740a}:host.ng-invalid.ng-touched .vitamui-input{border:1px solid #c10000}.vitamui-input{height:100%!important;min-height:90px!important}:host.ng-pending .vitamui-input mat-spinner{display:block}label{pointer-events:none;top:15px}"]
            },] }
];
VitamUITextareaComponent.propDecorators = {
    maxlength: [{ type: Input }],
    placeholder: [{ type: Input }],
    rows: [{ type: Input }],
    required: [{ type: Input }],
    disabled: [{ type: Input }],
    textarea: [{ type: ViewChild, args: ['textarea', { static: true },] }],
    focused: [{ type: HostBinding, args: ['class.vitamui-focused',] }],
    labelFloat: [{ type: HostBinding, args: ['class.vitamui-float',] }],
    onClick: [{ type: HostListener, args: ['click',] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUIInputModule {
}
VitamUIInputModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    MatProgressSpinnerModule,
                ],
                declarations: [VitamUIInputComponent, VitamUIInputErrorComponent, VitamUITextareaComponent, VitamUIInputPositiveNumberComponent],
                exports: [VitamUIInputComponent, VitamUIInputErrorComponent, VitamUITextareaComponent, VitamUIInputPositiveNumberComponent]
            },] }
];

class VitamuiMenuButtonComponent {
    constructor() {
        /** Set the menu overlay display (by defaut at start) */
        this.overlayPos = 'start';
        this.disabled = false;
    }
}
VitamuiMenuButtonComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-menu-button',
                template: "<button #trigger=\"matMenuTrigger\" [matMenuTriggerFor]=\"moreMenu\" class=\"btn outline secondary\"\n  [ngClass]=\"{'btn-circle large' : icon && !label}\" [class.hidden]=\"trigger.menuOpen\" [disabled] = \"disabled\" aria-label=\"more menu\">\n    <i *ngIf=\"icon\" class=\"vitamui-icon {{icon}}\" [class.mr-3]=\"label\"></i>\n    {{label}}\n</button>\n\n<mat-menu #moreMenu=\"matMenu\" xPosition=\"{{overlayPos === 'start' ? 'after' : 'before'}}\" [overlapTrigger]=\"true\" class=\"more-action-menu {{overlayPos}}\">\n  <button mat-menu-item disableRipple class=\"menu-cancel-button\">\n    <i class=\"vitamui-icon vitamui-icon-close\"></i>\n  </button>\n  <ng-content></ng-content>\n</mat-menu>\n",
                styles: ["::ng-deep .more-action-menu.mat-menu-panel{background:none;box-shadow:none}::ng-deep .more-action-menu.mat-menu-panel .mat-menu-content{align-items:flex-end;border-top:none;min-width:152px}::ng-deep .more-action-menu.mat-menu-panel.start .mat-menu-content{align-items:flex-start}::ng-deep .more-action-menu.mat-menu-panel.start .mat-menu-item:nth-of-type(2){border-radius:0 5px 0 0}::ng-deep .more-action-menu.mat-menu-panel .btn-circle.large>i{font-size:xx-large}::ng-deep .more-action-menu.mat-menu-panel .mat-menu-item{background-color:#fff;border-bottom:none;border-left:1px solid var(--vitamui-secondary);border-right:1px solid var(--vitamui-secondary);border-top:1px solid var(--vitamui-grey-300);font-size:16px}::ng-deep .more-action-menu.mat-menu-panel .mat-menu-item:nth-of-type(2){border-radius:5px 0 0 0;border-top:1px solid var(--vitamui-secondary)}::ng-deep .more-action-menu.mat-menu-panel .mat-menu-item:last-of-type{border-bottom:1px solid var(--vitamui-secondary);border-radius:0 0 5px 5px}::ng-deep .more-action-menu.mat-menu-panel .mat-menu-item.menu-cancel-button{align-items:center;border:1px solid var(--vitamui-secondary);border-bottom:none;border-radius:5px 5px 0 0;display:flex;height:50px;justify-content:center;width:50px}::ng-deep .more-action-menu.mat-menu-panel .mat-menu-item.menu-cancel-button>i{color:var(--vitamui-secondary);font-size:14px}::ng-deep .more-action-menu.mat-menu-panel .mat-menu-item:hover:not([disabled]):not(.menu-cancel-button){background-color:var(--vitamui-grey-300)}::ng-deep .more-action-menu.mat-menu-panel .mat-menu-item[disabled]{background-color:var(--vitamui-grey-400)}"]
            },] }
];
VitamuiMenuButtonComponent.ctorParameters = () => [];
VitamuiMenuButtonComponent.propDecorators = {
    overlayPos: [{ type: Input }],
    icon: [{ type: Input }],
    label: [{ type: Input }],
    disabled: [{ type: Input }]
};

class VitamuiMenuButtonModule {
}
VitamuiMenuButtonModule.decorators = [
    { type: NgModule, args: [{
                declarations: [VitamuiMenuButtonComponent],
                imports: [
                    CommonModule,
                    MatButtonModule,
                    MatMenuModule
                ],
                exports: [
                    VitamuiMenuButtonComponent,
                    MatButtonModule,
                    MatMenuModule
                ]
            },] }
];

class VitamuiSidenavHeaderComponent {
    constructor() {
        this.onclose = new EventEmitter();
        this.actionsBelowTitle = false;
    }
}
VitamuiSidenavHeaderComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-sidenav-header',
                template: "<div class=\"vitamui-sidepanel\">\n  <div class=\"vitamui-sidepanel-header\">\n    <div class=\"d-flex justify-content-end\">\n      <button class=\"btn link cancel\" (click)=\"onclose.emit()\">\n        <i class=\"vitamui-icon vitamui-icon-close\"></i>\n      </button>\n    </div>\n\n    <div *ngIf=\"!loading; else spinner\">\n      <div class=\"title\">\n        <i class=\"vitamui-icon {{icon}}\" [ngClass]=\"{\n          'status-badge-red': badge === 'red',\n          'status-badge-green': badge === 'green',\n          'status-badge-grey': badge === 'grey',\n          'status-badge-orange': badge === 'orange',\n          'status-badge-black': badge === 'black'\n        }\">\n        </i>\n\n      <div *ngIf=\"hasToolTipOnTitle && toolTipTitleText && toolTipTitleDuration\" matTooltip=\"{{toolTipTitleText}}\"\n           matTooltipClass=\"vitamui-tooltip\" [matTooltipShowDelay]=\"toolTipTitleDuration\">\n        <h5 class=\"m-0 text-primary\">{{title}}</h5>\n        <p class=\"text large light m-0\">{{subtitle}}</p>\n      </div>\n      <div *ngIf=\"!hasToolTipOnTitle || !toolTipTitleText || !toolTipTitleDuration\">\n          <h5 class=\"m-0\">{{title}}</h5>\n          <p class=\"text medium m-0\">{{subtitle}}</p>\n        </div>\n      <div *ngIf=\"!actionsBelowTitle\" class=\"d-flex align-items-end justify-content-end actions\">\n          <ng-container *ngTemplateOutlet=\"actionButtons\"></ng-container>\n        </div>\n      </div>\n\n      <div *ngIf=\"actionsBelowTitle\" class=\"title-actions\">\n        <ng-container *ngTemplateOutlet=\"actionButtons\"></ng-container>\n      </div>\n    </div>\n  </div>\n</div>\n\n<ng-template #spinner>\n  <div class=\"d-flex justify-content-center\">\n    <mat-spinner class=\"vitamui-spinner medium\"></mat-spinner>\n  </div>\n</ng-template>\n\n\n<ng-template #actionButtons>\n  <ng-content></ng-content>\n</ng-template>\n",
                styles: [""]
            },] }
];
VitamuiSidenavHeaderComponent.ctorParameters = () => [];
VitamuiSidenavHeaderComponent.propDecorators = {
    icon: [{ type: Input }],
    loading: [{ type: Input }],
    badge: [{ type: Input }],
    title: [{ type: Input }],
    subtitle: [{ type: Input }],
    onclose: [{ type: Output }],
    hasToolTipOnTitle: [{ type: Input }],
    toolTipTitleText: [{ type: Input }],
    toolTipTitleDuration: [{ type: Input }],
    actionsBelowTitle: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamuiSidenavHeaderModule {
}
VitamuiSidenavHeaderModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    MatProgressSpinnerModule,
                    MatTooltipModule
                ],
                declarations: [VitamuiSidenavHeaderComponent],
                exports: [VitamuiSidenavHeaderComponent]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class VitamUISnackBarModule {
}
VitamUISnackBarModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    TranslateModule,
                ],
                declarations: [VitamUISnackBarComponent],
                exports: [VitamUISnackBarComponent],
                entryComponents: [VitamUISnackBarComponent],
                providers: [VitamUISnackBar]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class EllipsisDirective {
    constructor(renderer, elementRef) {
        this.renderer = renderer;
        this.elementRef = elementRef;
        this.domElement = this.elementRef.nativeElement;
        this.renderer.addClass(this.elementRef.nativeElement, 'text-ellipsis');
    }
    ngOnInit() {
        this.setToolTip();
    }
    ngAfterViewInit() {
        this.renderer.setProperty(this.domElement, 'scrollTop', 1);
        this.setToolTip();
    }
    setToolTip() {
        (this.domElement.offsetWidth < this.domElement.scrollWidth) ?
            this.renderer.setAttribute(this.domElement, 'title', this.domElement.textContent) :
            this.renderer.removeAttribute(this.domElement, 'title');
    }
}
EllipsisDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonEllipsis]',
            },] }
];
EllipsisDirective.ctorParameters = () => [
    { type: Renderer2 },
    { type: ElementRef }
];
EllipsisDirective.propDecorators = {
    setToolTip: [{ type: HostListener, args: ['window:resize', ['$event.target'],] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class EllipsisDirectiveModule {
}
EllipsisDirectiveModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                ],
                declarations: [EllipsisDirective],
                exports: [EllipsisDirective]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class ResizeSidebarDirective {
    constructor(elementRef, renderer, document) {
        this.elementRef = elementRef;
        this.renderer = renderer;
        this.document = document;
        /**
         * Orientation du block à redimensionner, permet de positionner à droite ou à gauche la barre permettant de
         * redimensionner
         * valeur possible: left ou right (par défaut)
         */
        this.orientation = "right";
        /**
         * largeur de la barre permettant de redimensionner
         * valeur par défaut : 4px
         */
        this.barSize = "4px";
        /**
         * Couleur de la barre permettant de redimensionner
         * valeur par défaut #702382
         */
        this.barColor = "rgb(112, 35, 130)";
        /**
         * Largeur du block à redimensionner
         * valeur par défaut 300 (px)
         */
        this.width = 300;
        this.status = 0;
    }
    onMouseMove(event) {
        let mouse = { x: event.clientX, y: event.clientY };
        if (this.status === 1) {
            const space = Number(mouse.x) ? mouse.x : 0;
            if (this.orientation === "left") {
                this.width = space;
                this.elementRef.nativeElement.style.width = this.width + "px";
            }
            else {
                const { left } = this.elementRef.nativeElement.getBoundingClientRect();
                this.width = left - space + this.width;
                this.elementRef.nativeElement.style.width = this.width + "px";
            }
        }
    }
    onMouseUp() {
        this.status = 0;
    }
    ngOnInit() {
        const nativeElt = this.elementRef.nativeElement;
        nativeElt.style.width = this.width + "px";
        const child = this.createResizeBar();
        this.renderer.appendChild(nativeElt, child);
    }
    createResizeBar() {
        const div = this.document.createElement("div");
        div.style.display = "block";
        div.style.height = "100%";
        div.style.position = "absolute";
        div.className = "vitamuiResizeSidebar";
        div.style.zIndex = "99";
        div.style.top = "0";
        if (this.orientation === "left") {
            div.style.left = `calc(100% - ${this.barSize})`;
            div.style.borderRight = `${this.barSize} solid ${this.barColor}`;
        }
        else {
            div.style.right = `calc(100% - ${this.barSize})`;
            div.style.borderLeft = `${this.barSize} solid ${this.barColor}`;
        }
        div.style.cursor = "ew-resize";
        div.addEventListener("mousedown", (event) => this.setStatus(event, 1));
        return div;
    }
    setStatus(event, status) {
        if (status === 1) {
            event.stopPropagation();
        }
        this.status = status;
    }
}
ResizeSidebarDirective.decorators = [
    { type: Directive, args: [{
                selector: "[vitamuiCommonResizeSidebar]",
            },] }
];
ResizeSidebarDirective.ctorParameters = () => [
    { type: ElementRef },
    { type: Renderer2 },
    { type: undefined, decorators: [{ type: Inject, args: [DOCUMENT,] }] }
];
ResizeSidebarDirective.propDecorators = {
    orientation: [{ type: Input, args: ["vitamuiCommonResizeSidebar",] }],
    barSize: [{ type: Input }],
    barColor: [{ type: Input }],
    width: [{ type: Input }],
    onMouseMove: [{ type: HostListener, args: ["window:mousemove", ["$event"],] }],
    onMouseUp: [{ type: HostListener, args: ["window:mouseup",] }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class ResizeSidebarModule {
}
ResizeSidebarModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                ],
                declarations: [ResizeSidebarDirective],
                exports: [ResizeSidebarDirective]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class RowCollapseModule {
}
RowCollapseModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                ],
                declarations: [
                    RowCollapseDirective,
                    RowCollapseTriggerForDirective,
                    RowCollapseContainerDirective,
                ],
                exports: [
                    RowCollapseDirective,
                    RowCollapseTriggerForDirective,
                    RowCollapseContainerDirective,
                ]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class LogbookModule {
}
LogbookModule.decorators = [
    { type: NgModule, args: [{
                declarations: [],
                imports: [
                    CommonModule,
                    HistoryModule,
                    EventTypeLabelModule,
                ],
                exports: [
                    HistoryModule,
                    EventTypeLabelModule,
                ],
            },] }
];

class HasAnyRoleDirective {
    constructor(templateRef, viewContainer, securityService) {
        this.templateRef = templateRef;
        this.viewContainer = viewContainer;
        this.securityService = securityService;
        this.viewEmbedded = false;
    }
    ngOnInit() {
    }
    ngOnDestroy() {
        if (this.roleSubscription) {
            this.roleSubscription.unsubscribe();
        }
    }
    set vitamuiCommonHasAnyRole(data) {
        if (this.roleSubscription) {
            this.roleSubscription.unsubscribe();
        }
        this.roleSubscription = this.securityService.hasAnyRole(data.appId, data.tenantIdentifier, ...data.roles)
            .subscribe((allowed) => {
            if (allowed && !this.viewEmbedded) {
                this.viewEmbedded = true;
                this.viewContainer.createEmbeddedView(this.templateRef);
            }
            else if (!allowed && this.viewEmbedded) {
                this.viewEmbedded = false;
                this.viewContainer.clear();
            }
        });
    }
}
HasAnyRoleDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonHasAnyRole]'
            },] }
];
HasAnyRoleDirective.ctorParameters = () => [
    { type: TemplateRef },
    { type: ViewContainerRef },
    { type: SecurityService }
];
HasAnyRoleDirective.propDecorators = {
    vitamuiCommonHasAnyRole: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class HasRoleDirective {
    constructor(templateRef, viewContainer, securityService) {
        this.templateRef = templateRef;
        this.viewContainer = viewContainer;
        this.securityService = securityService;
        this.viewEmbedded = false;
    }
    ngOnInit() {
    }
    ngOnDestroy() {
        if (this.roleSubscription) {
            this.roleSubscription.unsubscribe();
        }
    }
    set vitamuiCommonHasRole(data) {
        if (this.roleSubscription) {
            this.roleSubscription.unsubscribe();
        }
        this.roleSubscription = this.securityService.hasRole(data.appId, data.tenantIdentifier, data.role)
            .subscribe((allowed) => {
            if (allowed && !this.viewEmbedded) {
                this.viewEmbedded = true;
                this.viewContainer.createEmbeddedView(this.templateRef);
            }
            else if (!allowed && this.viewEmbedded) {
                this.viewEmbedded = false;
                this.viewContainer.clear();
            }
        });
    }
}
HasRoleDirective.decorators = [
    { type: Directive, args: [{
                selector: '[vitamuiCommonHasRole]'
            },] }
];
HasRoleDirective.ctorParameters = () => [
    { type: TemplateRef },
    { type: ViewContainerRef },
    { type: SecurityService }
];
HasRoleDirective.propDecorators = {
    vitamuiCommonHasRole: [{ type: Input }]
};

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
class SecurityModule {
}
SecurityModule.decorators = [
    { type: NgModule, args: [{
                imports: [],
                declarations: [
                    HasRoleDirective,
                    HasAnyRoleDirective,
                ],
                exports: [
                    HasRoleDirective,
                    HasAnyRoleDirective,
                ]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const moment$4 = moment_;
class SubrogationBannerComponent {
    constructor(authService, subrogationService) {
        this.authService = authService;
        this.subrogationService = subrogationService;
        this.show = false;
        this.hidden = false;
        this.subrogationTTL = 1800000; // default TTL
    }
    ngOnInit() {
        this.authService.userLoaded.pipe(filter((user) => !!user && !!user.superUser))
            .subscribe(() => {
            this.subrogationService.getCurrent().pipe(filter((data) => !!data))
                .subscribe((data) => {
                if (!this.subrogation) {
                    this.subrogation = data;
                    this.show = true;
                    this.endDate = moment$4(this.subrogation.date).toDate();
                    this.subrogationTTL = this.endDate.getTime() - new Date().getTime();
                    setTimeout(() => this.authService.logoutAndRedirectToUiForUser(this.authService.user.superUser), this.subrogationTTL);
                }
            });
        });
    }
    onStopSubrogation() {
        this.subrogationService.decline(this.subrogation.id).subscribe(() => {
            this.show = false;
            this.authService.logoutAndRedirectToUiForUser(this.authService.user.superUser);
        });
    }
}
SubrogationBannerComponent.decorators = [
    { type: Component, args: [{
                selector: 'vitamui-common-subrogation-banner',
                template: "<div *ngIf=\"!hidden && show\" class=\"subrogation-banner\">\n  <div>\n    <i class=\"vitamui-icon vitamui-icon-repeat mr-4\"></i>\n    <span>{{'SUBROGATION.BANNER.MESSAGE' | translate : {email: authService?.user?.email, endDate : endDate | date:'HH:mm:ss' } }}</span>\n\n    <button class=\"btn link ml-5\" (click)=\"onStopSubrogation()\">{{'SUBROGATION.BANNER.STOP_LABEL' | translate}}</button>\n  </div>\n\n  <div (click)=\"hidden = true\">\n    <i class=\"vitamui-icon vitamui-icon-close clickable\"></i>\n  </div>\n</div>\n\n<div *ngIf=\"hidden && show\" class=\"hidden-banner-div\" (click)=\"hidden = false\">\n  <i class=\"vitamui-icon vitamui-icon-chevron-up\"></i>\n</div>"
            },] }
];
SubrogationBannerComponent.ctorParameters = () => [
    { type: AuthService },
    { type: SubrogationService }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const ɵ0 = window.location;
class SubrogationModule {
}
SubrogationModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    MatDialogModule,
                    MatProgressBarModule,
                    MatProgressSpinnerModule,
                    MatFormFieldModule,
                    MatSelectModule,
                    StepperModule,
                    ReactiveFormsModule,
                    VitamUIInputModule,
                    ConfirmDialogModule,
                    CommonProgressBarModule,
                    TranslateModule
                ],
                declarations: [
                    NotificationSnackBarComponent,
                    SubrogationBannerComponent,
                    SubrogationModalComponent,
                    SubrogationSnackBarComponent
                ],
                entryComponents: [
                    NotificationSnackBarComponent,
                    SubrogationModalComponent,
                    SubrogationSnackBarComponent
                ],
                exports: [SubrogationBannerComponent],
                providers: [
                    { provide: WINDOW_LOCATION, useValue: ɵ0 }
                ]
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const moment$5 = moment_;
const HTTP_STATUS_CODE_BAD_REQUEST = 400;
const HTTP_STATUS_CODE_UNAUTHORIZED = 401;
const HTTP_STATUS_CODE_FORBIDDEN = 403;
const HTTP_STATUS_CODE_NOT_FOUND = 404;
const HTTP_STATUS_CODE_INTERNAL_SERVER_ERROR = 500;
const HTTP_STATUS_CODE_SERVICE_UNAVAILABLE = 503;
const HTTP_STATUS_CODE_GATEWAY_TIMEOUT = 504;
const DEFAULT_API_TIMEOUT = 50000;
const CLIENT_ERROR_START = 400;
const SERVER_ERROR_START = 500;
const NOTIFICATION_DELAY_MS = 20000;
class VitamUIHttpInterceptor {
    constructor(logger, matDialog, snackBar, startupService, authService, environment, location) {
        this.logger = logger;
        this.matDialog = matDialog;
        this.snackBar = snackBar;
        this.startupService = startupService;
        this.authService = authService;
        this.environment = environment;
        this.location = location;
        if (environment && environment.apiTimeout != null) {
            this.apiTimeout = environment.apiTimeout;
        }
        else {
            this.apiTimeout = DEFAULT_API_TIMEOUT;
        }
    }
    intercept(request, next) {
        let tenantIdentifier = request.headers.get('X-Tenant-Id');
        if ((!tenantIdentifier || tenantIdentifier === undefined || tenantIdentifier === '') && this.authService.user) {
            tenantIdentifier = this.startupService.getTenantIdentifier();
        }
        let requestId = request.headers.get('X-Request-Id');
        if (!requestId) {
            requestId = uniqueId('' + Math.floor(Math.random() * Math.floor(moment$5().unix())));
        }
        let applicationId = request.headers.get('X-Application-Id');
        if (!applicationId) {
            applicationId = this.startupService.CURRENT_APP_ID;
        }
        const headerTimeout = request.headers.get('X-Api-Timeout');
        if (headerTimeout && !isNaN(Number(headerTimeout))) {
            this.apiTimeout = Number(headerTimeout);
        }
        const reqWithCredentials = request.clone({
            withCredentials: true,
            headers: request.headers.delete('X-By-Passed-Error'),
            setHeaders: {
                'X-Request-Id': requestId,
                'X-Request-Timestamp': moment$5().unix().toString(),
                'X-Requested-With': 'XMLHttpRequest',
                'X-Tenant-Id': tenantIdentifier ? tenantIdentifier.toString() : '-1',
                'X-Application-Id': applicationId,
            }
        });
        let errorToByPass = null;
        if (request.headers.has('X-By-Passed-Error')) {
            errorToByPass = +request.headers.get('X-By-Passed-Error');
        }
        return next.handle(reqWithCredentials)
            .pipe(timeout(this.apiTimeout), tap((ev) => {
            if (ev instanceof HttpResponse) {
                this.logger.log(this, 'processing response', ev);
            }
        }), catchError((response) => {
            if (response instanceof HttpErrorResponse && response.status !== errorToByPass) {
                this.logger.log(this, 'Processing http error', response);
                if (response.status === HTTP_STATUS_CODE_UNAUTHORIZED) {
                    // const loginRedirectUrl = response.headers.get('x-login-redirect');
                    // this.router.navigate(['login-redirect'], { queryParams: { url: loginRedirectUrl } });
                    if (!this.environment.production && request && request.url.endsWith('/security')) {
                        // MDI : hack for dev purposes, with the first connection, we redirect the user to login
                        this.authService.user = null;
                        this.location.href = this.startupService.getLoginUrl();
                    }
                    else {
                        // connection was lost, we need to logout the user
                        this.authService.logout();
                    }
                }
                else if (response.status === HTTP_STATUS_CODE_FORBIDDEN) {
                    this.snackBar.open('Vous n\'avez pas les droits nécessaires pour effectuer cette opération.', null, {
                        panelClass: 'vitamui-snack-bar',
                        duration: NOTIFICATION_DELAY_MS,
                    });
                }
                else if (response.status === HTTP_STATUS_CODE_BAD_REQUEST) {
                    this.snackBar.open('Erreur : requête invalide', null, {
                        panelClass: 'vitamui-snack-bar',
                        duration: NOTIFICATION_DELAY_MS,
                    });
                }
                else if (response.status === HTTP_STATUS_CODE_NOT_FOUND) {
                    this.snackBar.open('Erreur : La ressource n\'existe pas', null, {
                        panelClass: 'vitamui-snack-bar',
                        duration: NOTIFICATION_DELAY_MS,
                    });
                }
                else if (response.status === HTTP_STATUS_CODE_INTERNAL_SERVER_ERROR) {
                    if (!this.errorDialog) {
                        this.errorDialog = this.matDialog.open(ErrorDialogComponent, {
                            panelClass: 'vitamui-modal',
                        });
                        this.errorDialog.afterClosed().subscribe(() => this.errorDialog = null);
                    }
                }
                else if (response.status === HTTP_STATUS_CODE_SERVICE_UNAVAILABLE) {
                    this.snackBar.open('Une erreur technique est survenue : service indisponible', null, {
                        panelClass: 'vitamui-snack-bar',
                        duration: NOTIFICATION_DELAY_MS,
                    });
                }
                else if (response.status === HTTP_STATUS_CODE_GATEWAY_TIMEOUT) {
                    this.snackBar.open('Une erreur technique est survenue : le serveur ne répond pas.', null, {
                        panelClass: 'vitamui-snack-bar',
                        duration: NOTIFICATION_DELAY_MS,
                    });
                }
                else if (response.status >= CLIENT_ERROR_START) {
                    this.snackBar.open('Une erreur technique est survenue : requête invalide', null, {
                        panelClass: 'vitamui-snack-bar',
                        duration: NOTIFICATION_DELAY_MS,
                    });
                }
                else if (response.status >= SERVER_ERROR_START) {
                    this.snackBar.open('Une erreur technique est survenue : erreur interne', null, {
                        panelClass: 'vitamui-snack-bar',
                        duration: NOTIFICATION_DELAY_MS,
                    });
                }
            }
            else if (response && response.name === 'TimeoutError') {
                this.logger.log(this, 'Timeout error', response);
                this.snackBar.open('Une erreur technique est survenue : le serveur ne répond pas.', null, {
                    panelClass: 'vitamui-snack-bar',
                    duration: NOTIFICATION_DELAY_MS,
                });
            }
            else {
                this.logger.log(this, 'Request error', response);
            }
            return throwError(response);
        }));
    }
}
VitamUIHttpInterceptor.decorators = [
    { type: Injectable }
];
VitamUIHttpInterceptor.ctorParameters = () => [
    { type: Logger },
    { type: MatDialog },
    { type: MatSnackBar },
    { type: StartupService },
    { type: AuthService },
    { type: undefined, decorators: [{ type: Inject, args: [ENVIRONMENT,] }] },
    { type: undefined, decorators: [{ type: Inject, args: [WINDOW_LOCATION,] }] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
function startupServiceFactory(startupService) {
    // leave it like this due to run packagr issue :
    // https://github.com/ng-packagr/ng-packagr/issues/696 & https://github.com/angular/angular/issues/23629
    const val = () => startupService.load();
    return val;
}
const ɵ0$1 = window.location;
class VitamUICommonModule {
}
VitamUICommonModule.decorators = [
    { type: NgModule, args: [{
                declarations: [BlankComponent, ErrorDialogComponent],
                imports: [
                    CommonModule,
                    HttpClientModule,
                    MatDialogModule,
                    MatSnackBarModule,
                    AccountModule,
                    ApplicationSelectContentModule,
                    CancelledSnackBarModule,
                    CollapseDirectiveModule,
                    EllipsisDirectiveModule,
                    ConfirmDialogModule,
                    CustomerSelectContentModule,
                    PipesModule,
                    VitamUICustomerSelectModule,
                    VitamUIDisplayNodeModule,
                    VitamUIDurationInputModule,
                    VitamUIFieldErrorModule,
                    VitamUIInputModule,
                    VitamUIMenuTileModule,
                    VitamUIListInputModule,
                    VitamUISnackBarModule,
                    VitamUITenantSelectModule,
                    DownloadSnackBarModule,
                    DragAndDropModule,
                    EditableFieldModule,
                    InfiniteScrollModule,
                    LevelInputModule,
                    LogbookModule,
                    LoggerModule,
                    NavbarModule,
                    HeaderModule,
                    SelectTenantDialogModule,
                    OrderByButtonModule,
                    OrderDropdownModule,
                    RowCollapseModule,
                    SearchBarModule,
                    SecurityModule,
                    SlideToggleModule,
                    StepperModule,
                    SubrogationModule,
                    TooltipModule,
                    CommonProgressBarModule,
                    VitamuiCommonSelectModule,
                    VitamuiDragDropFileModule,
                    VitamUIAutocompleteModule,
                    ScrollTopModule,
                    FooterModule,
                    VitamuiBodyModule,
                    VitamuiContentBreadcrumbModule,
                    VitamuiCommonBannerModule,
                    UserPhotoModule,
                    VitamuiMenuButtonModule,
                    VitamuiSidenavHeaderModule,
                    ResizeSidebarModule,
                    AutocompletePositionDirectiveModule,
                    LogbookOperationFacetModule,
                    TranslateModule,
                ],
                entryComponents: [ErrorDialogComponent],
                exports: [
                    AccountModule,
                    TranslateModule,
                    SelectLanguageModule,
                    ApplicationSelectContentModule,
                    BlankComponent,
                    ConfirmDialogModule,
                    CollapseModule,
                    CollapseDirectiveModule,
                    EllipsisDirectiveModule,
                    VitamUICustomerSelectModule,
                    VitamUIDisplayNodeModule,
                    VitamUIDurationInputModule,
                    VitamUIFieldErrorModule,
                    VitamUIInputModule,
                    VitamUIListInputModule,
                    VitamUIMenuTileModule,
                    VitamUITenantSelectModule,
                    DragAndDropModule,
                    EditableFieldModule,
                    InfiniteScrollModule,
                    LevelInputModule,
                    LogbookModule,
                    LoggerModule,
                    NavbarModule,
                    HeaderModule,
                    SelectTenantDialogModule,
                    OrderByButtonModule,
                    OrderDropdownModule,
                    RowCollapseModule,
                    SearchBarModule,
                    SecurityModule,
                    SlideToggleModule,
                    StepperModule,
                    SubrogationModule,
                    TooltipModule,
                    VitamuiCommonSelectModule,
                    VitamuiDragDropFileModule,
                    VitamUIAutocompleteModule,
                    ScrollTopModule,
                    FooterModule,
                    VitamuiBodyModule,
                    PipesModule,
                    VitamuiContentBreadcrumbModule,
                    VitamuiCommonBannerModule,
                    UserPhotoModule,
                    CommonProgressBarModule,
                    CommonTooltipModule,
                    VitamuiSidenavHeaderModule,
                    VitamuiMenuButtonModule,
                    ResizeSidebarModule,
                    AutocompletePositionDirectiveModule,
                    LogbookOperationFacetModule,
                ],
                providers: [
                    { provide: SUBROGRATION_REFRESH_RATE_MS, useValue: 10000 },
                    { provide: WINDOW_LOCATION, useValue: ɵ0$1 },
                    {
                        provide: APP_INITIALIZER,
                        useFactory: startupServiceFactory,
                        deps: [StartupService],
                        multi: true,
                    },
                    { provide: HTTP_INTERCEPTORS, useClass: VitamUIHttpInterceptor, multi: true },
                ],
            },] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */
const NOTIFICATION_DELAY_MS$1 = 40000;
class GlobalErrorHandler {
    constructor(snackBar, startupService, environment) {
        this.snackBar = snackBar;
        this.startupService = startupService;
        this.environment = environment;
        this.displayed = false;
    }
    handleError(error) {
        if (!(error instanceof HttpErrorResponse)) {
            // open the snackbar only once
            if (!this.displayed && this.snackBar.open) {
                this.snackBar.dismiss();
                this.snackBar.open('Une erreur technique est survenue lors de l\'affichage de la page.', null, {
                    panelClass: 'vitamui-snack-bar',
                    duration: NOTIFICATION_DELAY_MS$1,
                });
                this.displayed = true;
            }
            // reset this property if the snackbar is not opened
            if (this.displayed && !this.snackBar.open) {
                this.displayed = false;
            }
            console.error('VITAMUI JS issue', error);
            if (this.environment.production) {
                // redirect in cas for example of an empty page
                this.startupService.redirect();
            }
        }
        else {
            // do nothing, error already handled with vitamui-http-interceptor
        }
    }
}
GlobalErrorHandler.decorators = [
    { type: Injectable }
];
GlobalErrorHandler.ctorParameters = () => [
    { type: MatSnackBar },
    { type: StartupService },
    { type: undefined, decorators: [{ type: Inject, args: [ENVIRONMENT,] }] }
];

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2015-2021)
 *
 * contact.vitam@culture.gouv.fr
 *
 * This software is a computer program whose purpose is to implement a digital archiving back-office system managing
 * high volumetry securely and efficiently.
 *
 * This software is governed by the CeCILL 2.1 license under French law and abiding by the rules of distribution of free
 * software. You can use, modify and/ or redistribute the software under the terms of the CeCILL 2.1 license as
 * circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license,
 * users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the
 * successive licensors have only limited liability.
 *
 * In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or
 * developing or reproducing the software by the user in light of its specific status of free software, that may mean
 * that it is complicated to manipulate, and that also therefore means that it is reserved for developers and
 * experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the
 * software's suitability as regards their requirements in conditions enabling the security of their systems and/or data
 * to be ensured and, more generally, to use and operate it in the same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had knowledge of the CeCILL 2.1 license and that you
 * accept its terms.
 */
var VitamuiRoles;
(function (VitamuiRoles) {
    VitamuiRoles["ROLE_SEARCH_WITH_RULES"] = "ROLE_SEARCH_WITH_RULES";
    VitamuiRoles["ROLE_CREATE_ARCHIVE_SEARCH"] = "ROLE_CREATE_ARCHIVE_SEARCH";
    VitamuiRoles["ROLE_GET_ARCHIVE_SEARCH"] = "ROLE_GET_ARCHIVE_SEARCH";
    VitamuiRoles["ROLE_GET_ALL_ARCHIVE_SEARCH"] = "ROLE_GET_ALL_ARCHIVE_SEARCH";
})(VitamuiRoles || (VitamuiRoles = {}));

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/**
 * Generated bundle index. Do not edit.
 */

export { APP_ID, AccessContractApiService, AccessContractUtil, AccessRight, AccountComponent, ActiveTenantGuard, AnalyticsResolver, AppGuard, AppRootComponent, ApplicationApiService, ApplicationId, ApplicationSelectContentComponent, ApplicationSelectContentModule, ApplicationService, AttachmentType, AuthGuard, AuthService, AuthnRequestBindingEnum, BASE_URL, BaseHttpClient, BlankComponent, BytesPipe, CancelledSnackBarComponent, ClosePopupDialogComponent, CollapseContainerDirective, CollapseDirective, CollapseDirectiveModule, CollapseModule, CollapseTriggerForDirective, Colors, ConfirmDialogComponent, ConfirmDialogModule, ConfirmDialogService, ContentDisposition, CountryCode, CountryName, CountryService, CustomerSelectionService, DEFAULT_PAGE_SIZE, Direction, DownloadSnackBarComponent, DragAndDropDirective, DragAndDropModule, ENVIRONMENT, EditableFieldComponent, EditableFieldModule, ErrorDialogComponent, EventTypeLabelComponent, ExternalParamProfileApiService, ExternalParameters, ExternalParametersService, FullLangString, GlobalErrorHandler, GlobalEventService, HOLDING_ACCESS_CONTRACT_NAME, HighlightPipe, HistoryModule, INFINITE_SCROLL_MAX_ITEMS, InfiniteScrollDirective, InfiniteScrollModule, InfiniteScrollTable, IngestRight, InjectorModule, LIST_INPUT_ACCESSOR, LOGBOOK_ACCESS_CONTRACT_NAME, LanguageService, LevelInputModule, LogbookApiService, LogbookService, Logger, LoggerModule, MAT_SNACK_BAR_DEFAULT_OPTIONS, MAT_SNACK_BAR_DEFAULT_OPTIONS_FACTORY, MinLangString, NavbarComponent, OperationStatus, OperationType, Operators, OrderByButtonComponent, OrderByButtonModule, OtpState, PageRequest, PositionType, ProfileApiService, ProfileService, ROLE_TOGGLE_VALUE_ACCESSOR, Role, RoleComponent, RoleToggleComponent, RoleToggleModule, RowCollapseContainerDirective, RowCollapseDirective, RowCollapseTriggerForDirective, SUBROGRATION_REFRESH_RATE_MS, SearchBarComponent, SearchBarModule, SearchService, SecurityService, SelectTenantDialogComponent, SelectTenantDialogModule, SessionStorageService, SidenavPage, StartupService, StepperComponent, StepperModule, StrongifyPipe, SubrogationApiService, SubrogationModalService, TENANT_SELECTION_URL_CONDITION, TableFilterComponent, TableFilterDirective, TableFilterModule, TableFilterSearchComponent, TenantSelectionGuard, TenantSelectionService, ThemeColorType, ThemeDataType, ThemeService, TooltipComponent, TooltipModule, UserApiService, VITAMUI_AUTOCOMPLETE_VALUE_ACCESSOR, VITAMUI_TOOLTIP_MESSAGE, VitamUIAutocompleteComponent, VitamUIAutocompleteModule, VitamUICommonModule, VitamUICustomerSelectComponent, VitamUICustomerSelectModule, VitamUIDisplayNodeComponent, VitamUIDisplayNodeModule, VitamUIFieldErrorComponent, VitamUIFieldErrorModule, VitamUIListInputComponent, VitamUIListInputModule, VitamUIMenuTileComponent, VitamUIMenuTileModule, VitamUISnackBar, VitamUITenantSelectComponent, VitamUITenantSelectModule, VitamuiMissingTranslationHandler, VitamuiRoles, WINDOW_LOCATION, buildCriteriaFromFilters, buildCriteriaFromSearch, buildValidators, collapseAnimation, convertLighten, convertToDarkColor, diff, extractSubLevel, fadeInOutAnimation, getColorFromMaps, hexToRgb, hexToRgbString, isLevelAllowed, isRootLevel, loggerFactory, newFile, opacityAnimation, rgbToHsl, rotate90Animation, rotateAnimation, rotateUpAnimation, slideAnimation, slideDownAnimation, startupServiceFactory, throwIfAlreadyLoaded, tooltipAnimation, transitionAnimation, ɵ0$1 as ɵ0, AccountService as ɵa, AccountApiService as ɵb, EDITABLE_TEXTAREA_VALUE_ACCESSOR as ɵba, EditableTextareaComponent as ɵbb, EDITABLE_TOGGLE_GROUP_VALUE_ACCESSOR as ɵbc, EditableToggleGroupComponent as ɵbd, HumanizedDurationPipe as ɵbe, MULTIPLE_EMAIL_INPUT_VALUE_ACCESSOR as ɵbf, MultipleEmailInputComponent as ɵbg, SubLevelPipe as ɵbh, ItemSelectModule as ɵbi, ItemSelectComponent as ɵbj, SubrogationService as ɵbk, SlideToggleModule as ɵbl, SLIDE_TOGGLE_VALUE_ACCESSOR as ɵbm, SlideToggleComponent as ɵbn, TableFilterOptionComponent as ɵbo, AutocompletePositionDirectiveModule as ɵbp, AutocompletePositionDirective as ɵbq, NavbarModule as ɵbr, CustomerSelectContentModule as ɵbs, CustomerSelectContentComponent as ɵbt, CustomerMenuService as ɵbu, TenantSelectContentModule as ɵbv, TenantSelectContentComponent as ɵbw, TenantMenuService as ɵbx, ApplicationMenuComponent as ɵby, TenantMenuComponent as ɵbz, SecurityApiService as ɵc, CustomerMenuComponent as ɵca, CommonMenuComponent as ɵcb, EventTypeLabelModule as ɵcc, HistoryEventsComponent as ɵcd, OperationHistoryTabComponent as ɵce, AccountModule as ɵcf, VitamuiContentBreadcrumbModule as ɵcg, VitamuiBreadcrumbComponent as ɵch, VitamuiTitleBreadcrumbComponent as ɵci, UserPhotoModule as ɵcj, UserPhotoComponent as ɵck, AccountInformationTabComponent as ɵcl, AccountApplicationTabComponent as ɵcm, CancelledSnackBarModule as ɵcn, EllipsisDirectiveModule as ɵco, EllipsisDirective as ɵcp, PipesModule as ɵcq, TruncatePipe as ɵcr, SafeStylePipe as ɵcs, EmptyPipe as ɵct, VitamUIDurationInputModule as ɵcu, VITAMUI_INPUT_VALUE_ACCESSOR as ɵcv, VitamUIDurationInputComponent as ɵcw, VitamUIInputModule as ɵcx, VITAMUI_INPUT_VALUE_ACCESSOR$2 as ɵcy, VitamUIInputComponent as ɵcz, TooltipDirective as ɵd, VitamUIInputErrorComponent as ɵda, VITAMUI_TEXTAREA_VALUE_ACCESSOR as ɵdb, VitamUITextareaComponent as ɵdc, VITAMUI_INPUT_VALUE_ACCESSOR$1 as ɵdd, VitamUIInputPositiveNumberComponent as ɵde, VitamUIListInputModule as ɵdf, LIST_INPUT_ACCESSOR as ɵdg, VitamUIListInputComponent as ɵdh, VitamUISnackBarModule as ɵdi, VitamUISnackBarComponent as ɵdj, DownloadSnackBarModule as ɵdk, LogbookModule as ɵdl, HeaderModule as ɵdm, HeaderComponent as ɵdn, MenuOverlayService as ɵdo, MenuModule as ɵdp, MenuComponent as ɵdq, opacityAnimation as ɵdr, slideAnimation as ɵds, MenuOverlayRef as ɵdt, MenuApplicationTileComponent as ɵdu, SelectLanguageModule as ɵdv, SelectLanguageComponent as ɵdw, SessionStorageService as ɵdx, OrderDropdownModule as ɵdy, OrderDropdownComponent as ɵdz, TooltipService as ɵe, OrderOptionComponent as ɵea, RowCollapseModule as ɵeb, SecurityModule as ɵec, HasRoleDirective as ɵed, HasAnyRoleDirective as ɵee, SubrogationModule as ɵef, CommonProgressBarModule as ɵeg, CommonProgressBarComponent as ɵeh, NotificationSnackBarComponent as ɵei, SubrogationBannerComponent as ɵej, SubrogationModalComponent as ɵek, SubrogationSnackBarComponent as ɵel, VitamuiCommonSelectModule as ɵem, VitamuiCommonSelectComponent as ɵen, VitamuiDragDropFileModule as ɵeo, VitamuiDragDropFileComponent as ɵep, ScrollTopModule as ɵeq, ScrollTopComponent as ɵer, FooterModule as ɵes, FooterComponent as ɵet, VitamuiBodyModule as ɵeu, VitamuiBodyComponent as ɵev, VitamuiCommonBannerModule as ɵew, VitamuiCommonBannerComponent as ɵex, VitamuiMenuButtonModule as ɵey, VitamuiMenuButtonComponent as ɵez, tooltipAnimation as ɵf, VitamuiSidenavHeaderModule as ɵfa, VitamuiSidenavHeaderComponent as ɵfb, ResizeSidebarModule as ɵfc, ResizeSidebarDirective as ɵfd, LogbookOperationFacetModule as ɵfe, LogbookOperationFacetComponent as ɵff, CommonTooltipModule as ɵfg, CommonTooltipComponent as ɵfh, fadeInOutAnimation as ɵfi, CommonTooltipDirective as ɵfj, VitamUIHttpInterceptor as ɵfk, CollapseComponent as ɵg, EmailsInputModule as ɵh, EMAILS_INPUT_ACCESSOR as ɵi, EmailsInputComponent as ɵj, LEVEL_INPUT_VALUE_ACCESSOR as ɵk, LevelInputComponent as ɵl, EditableButtonToggleComponent as ɵm, EDITABLE_DURATION_INPUT_VALUE_ACCESSOR as ɵn, EditableDurationInputComponent as ɵo, EDITABLE_EMAIL_INPUT_VALUE_ACCESSOR as ɵp, EditableEmailInputComponent as ɵq, EDITABLE_FILE_VALUE_ACCESSOR as ɵr, EditableFileComponent as ɵs, EDITABLE_INPUT_VALUE_ACCESSOR as ɵt, EditableInputComponent as ɵu, EDITABLE_LEVEL_INPUT_VALUE_ACCESSOR as ɵv, EditableLevelInputComponent as ɵw, EditableOptionComponent as ɵx, EDITABLE_SELECT_VALUE_ACCESSOR as ɵy, EditableSelectComponent as ɵz };
//# sourceMappingURL=ui-frontend-common.js.map
